# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

EGIT_COMMIT=bc1ef35a932acc2f6f3b6d3eb19a4f68aa9423f6

inherit go-module

DESCRIPTION="OCI-based implementation of Kubernetes Container Runtime Interface"
HOMEPAGE="https://cri-o.io/"
EGO_SUM=(
"bazil.org/fuse v0.0.0-20160811212531-371fbbdaa898/go.mod"
"bitbucket.org/bertimus9/systemstat v0.0.0-20180207000608-0eeff89b0690/go.mod"
"cloud.google.com/go v0.34.0/go.mod"
"cloud.google.com/go v0.38.0/go.mod"
"cloud.google.com/go v0.44.1/go.mod"
"cloud.google.com/go v0.44.2/go.mod"
"cloud.google.com/go v0.44.3/go.mod"
"cloud.google.com/go v0.45.1/go.mod"
"cloud.google.com/go v0.46.3/go.mod"
"cloud.google.com/go v0.50.0/go.mod"
"cloud.google.com/go v0.51.0/go.mod"
"cloud.google.com/go v0.52.0/go.mod"
"cloud.google.com/go v0.53.0/go.mod"
"cloud.google.com/go v0.54.0/go.mod"
"cloud.google.com/go v0.56.0/go.mod"
"cloud.google.com/go v0.57.0/go.mod"
"cloud.google.com/go v0.62.0/go.mod"
"cloud.google.com/go v0.65.0/go.mod"
"cloud.google.com/go v0.66.0/go.mod"
"cloud.google.com/go v0.71.0/go.mod"
"cloud.google.com/go v0.72.0/go.mod"
"cloud.google.com/go v0.75.0/go.mod"
"cloud.google.com/go/bigquery v1.0.1/go.mod"
"cloud.google.com/go/bigquery v1.3.0/go.mod"
"cloud.google.com/go/bigquery v1.4.0/go.mod"
"cloud.google.com/go/bigquery v1.5.0/go.mod"
"cloud.google.com/go/bigquery v1.7.0/go.mod"
"cloud.google.com/go/bigquery v1.8.0/go.mod"
"cloud.google.com/go/datastore v1.0.0/go.mod"
"cloud.google.com/go/datastore v1.1.0/go.mod"
"cloud.google.com/go/firestore v1.1.0/go.mod"
"cloud.google.com/go/logging v1.1.2/go.mod"
"cloud.google.com/go/pubsub v1.0.1/go.mod"
"cloud.google.com/go/pubsub v1.1.0/go.mod"
"cloud.google.com/go/pubsub v1.2.0/go.mod"
"cloud.google.com/go/pubsub v1.3.1/go.mod"
"cloud.google.com/go/storage v1.0.0/go.mod"
"cloud.google.com/go/storage v1.5.0/go.mod"
"cloud.google.com/go/storage v1.6.0/go.mod"
"cloud.google.com/go/storage v1.8.0/go.mod"
"cloud.google.com/go/storage v1.10.0/go.mod"
"cloud.google.com/go/storage v1.10.1-0.20200805182106-fcd132957b02/go.mod"
"cloud.google.com/go/storage v1.12.0/go.mod"
"dmitri.shuralyov.com/gpu/mtl v0.0.0-20190408044501-666a987793e9/go.mod"
"dmitri.shuralyov.com/gpu/mtl v0.0.0-20201218220906-28db891af037/go.mod"
"github.com/14rcole/gopopulate v0.0.0-20180821133914-b175b219e774"
"github.com/14rcole/gopopulate v0.0.0-20180821133914-b175b219e774/go.mod"
"github.com/Azure/azure-sdk-for-go v16.2.1+incompatible/go.mod"
"github.com/Azure/azure-sdk-for-go v38.0.0+incompatible/go.mod"
"github.com/Azure/azure-sdk-for-go v42.3.0+incompatible/go.mod"
"github.com/Azure/azure-sdk-for-go v43.0.0+incompatible/go.mod"
"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78/go.mod"
"github.com/Azure/go-autorest v10.8.1+incompatible/go.mod"
"github.com/Azure/go-autorest v14.2.0+incompatible/go.mod"
"github.com/Azure/go-autorest/autorest v0.9.0/go.mod"
"github.com/Azure/go-autorest/autorest v0.9.3/go.mod"
"github.com/Azure/go-autorest/autorest v0.10.2/go.mod"
"github.com/Azure/go-autorest/autorest v0.11.12/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.5.0/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.8.0/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.8.2/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.9.5/go.mod"
"github.com/Azure/go-autorest/autorest/date v0.1.0/go.mod"
"github.com/Azure/go-autorest/autorest/date v0.2.0/go.mod"
"github.com/Azure/go-autorest/autorest/date v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.1.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.2.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.4.1/go.mod"
"github.com/Azure/go-autorest/autorest/to v0.2.0/go.mod"
"github.com/Azure/go-autorest/autorest/to v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/validation v0.1.0/go.mod"
"github.com/Azure/go-autorest/autorest/validation v0.2.0/go.mod"
"github.com/Azure/go-autorest/logger v0.1.0/go.mod"
"github.com/Azure/go-autorest/logger v0.2.0/go.mod"
"github.com/Azure/go-autorest/tracing v0.5.0/go.mod"
"github.com/Azure/go-autorest/tracing v0.6.0/go.mod"
"github.com/BurntSushi/toml v0.3.1"
"github.com/BurntSushi/toml v0.3.1/go.mod"
"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
"github.com/GoogleCloudPlatform/k8s-cloud-provider v0.0.0-20200415212048-7901bc822317/go.mod"
"github.com/GoogleCloudPlatform/testgrid v0.0.10/go.mod"
"github.com/GoogleCloudPlatform/testgrid v0.0.22/go.mod"
"github.com/GoogleCloudPlatform/testgrid v0.0.38/go.mod"
"github.com/JeffAshton/win_pdh v0.0.0-20161109143554-76bb4ee9f0ab/go.mod"
"github.com/Knetic/govaluate v3.0.1-0.20171022003610-9aa49832a739+incompatible/go.mod"
"github.com/MakeNowJust/heredoc v0.0.0-20170808103936-bb23615498cd/go.mod"
"github.com/Microsoft/go-winio v0.4.11/go.mod"
"github.com/Microsoft/go-winio v0.4.14/go.mod"
"github.com/Microsoft/go-winio v0.4.15-0.20190919025122-fc70bd9a86b5/go.mod"
"github.com/Microsoft/go-winio v0.4.15/go.mod"
"github.com/Microsoft/go-winio v0.4.16-0.20201130162521-d1ffc52c7331/go.mod"
"github.com/Microsoft/go-winio v0.4.16/go.mod"
"github.com/Microsoft/go-winio v0.4.17-0.20210211115548-6eac466e5fa3"
"github.com/Microsoft/go-winio v0.4.17-0.20210211115548-6eac466e5fa3/go.mod"
"github.com/Microsoft/hcsshim v0.8.6/go.mod"
"github.com/Microsoft/hcsshim v0.8.7-0.20190325164909-8abdbb8205e4/go.mod"
"github.com/Microsoft/hcsshim v0.8.7/go.mod"
"github.com/Microsoft/hcsshim v0.8.9/go.mod"
"github.com/Microsoft/hcsshim v0.8.10-0.20200715222032-5eafd1556990/go.mod"
"github.com/Microsoft/hcsshim v0.8.14/go.mod"
"github.com/Microsoft/hcsshim v0.8.15"
"github.com/Microsoft/hcsshim v0.8.15/go.mod"
"github.com/Microsoft/hcsshim/test v0.0.0-20201218223536-d3e5debf77da/go.mod"
"github.com/Microsoft/hcsshim/test v0.0.0-20210227013316-43a75bb4edd3/go.mod"
"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
"github.com/NYTimes/gziphandler v1.1.1/go.mod"
"github.com/OneOfOne/xxhash v1.2.2/go.mod"
"github.com/OpenPeeDeeP/depguard v1.0.1/go.mod"
"github.com/PuerkitoBio/purell v1.1.0/go.mod"
"github.com/PuerkitoBio/purell v1.1.1/go.mod"
"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578/go.mod"
"github.com/Shopify/logrus-bugsnag v0.0.0-20171204204709-577dee27f20d/go.mod"
"github.com/Shopify/sarama v1.19.0/go.mod"
"github.com/Shopify/toxiproxy v2.1.4+incompatible/go.mod"
"github.com/StackExchange/wmi v0.0.0-20180116203802-5d049714c4a6/go.mod"
"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d"
"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d/go.mod"
"github.com/VividCortex/ewma v1.1.1"
"github.com/VividCortex/ewma v1.1.1/go.mod"
"github.com/VividCortex/gohistogram v1.0.0/go.mod"
"github.com/acarl005/stripansi v0.0.0-20180116102854-5a71ef0e047d"
"github.com/acarl005/stripansi v0.0.0-20180116102854-5a71ef0e047d/go.mod"
"github.com/afex/hystrix-go v0.0.0-20180502004556-fa1af6a1f4f5/go.mod"
"github.com/agnivade/levenshtein v1.0.1/go.mod"
"github.com/ajstarks/svgo v0.0.0-20180226025133-644b8db467af/go.mod"
"github.com/alcortesm/tgz v0.0.0-20161220082320-9c5fe88206d7"
"github.com/alcortesm/tgz v0.0.0-20161220082320-9c5fe88206d7/go.mod"
"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
"github.com/alecthomas/units v0.0.0-20190924025748-f65c72e2690d/go.mod"
"github.com/alexflint/go-filemutex v0.0.0-20171022225611-72bdc8eae2ae/go.mod"
"github.com/andreyvit/diff v0.0.0-20170406064948-c7f18ee00883/go.mod"
"github.com/anmitsu/go-shlex v0.0.0-20161002113705-648efa622239"
"github.com/anmitsu/go-shlex v0.0.0-20161002113705-648efa622239/go.mod"
"github.com/apache/thrift v0.12.0/go.mod"
"github.com/apache/thrift v0.13.0/go.mod"
"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
"github.com/armon/go-socks5 v0.0.0-20160902184237-e75332964ef5"
"github.com/armon/go-socks5 v0.0.0-20160902184237-e75332964ef5/go.mod"
"github.com/aryann/difflib v0.0.0-20170710044230-e206f873d14a/go.mod"
"github.com/asaskevich/govalidator v0.0.0-20180720115003-f9ffefc3facf/go.mod"
"github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a/go.mod"
"github.com/auth0/go-jwt-middleware v0.0.0-20170425171159-5493cabe49f7/go.mod"
"github.com/aws/aws-lambda-go v1.13.3/go.mod"
"github.com/aws/aws-sdk-go v1.15.11/go.mod"
"github.com/aws/aws-sdk-go v1.27.0/go.mod"
"github.com/aws/aws-sdk-go v1.28.2/go.mod"
"github.com/aws/aws-sdk-go v1.31.6/go.mod"
"github.com/aws/aws-sdk-go v1.35.24/go.mod"
"github.com/aws/aws-sdk-go-v2 v0.18.0/go.mod"
"github.com/bazelbuild/rules_go v0.22.1/go.mod"
"github.com/beorn7/perks v0.0.0-20160804104726-4c0e84591b9a/go.mod"
"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
"github.com/beorn7/perks v1.0.0/go.mod"
"github.com/beorn7/perks v1.0.1"
"github.com/beorn7/perks v1.0.1/go.mod"
"github.com/bgentry/speakeasy v0.1.0/go.mod"
"github.com/bifurcation/mint v0.0.0-20180715133206-93c51c6ce115/go.mod"
"github.com/bitly/go-simplejson v0.5.0/go.mod"
"github.com/bketelsen/crypt v0.0.3-0.20200106085610-5cbc8cc4026c/go.mod"
"github.com/blang/semver v3.1.0+incompatible/go.mod"
"github.com/blang/semver v3.5.0+incompatible/go.mod"
"github.com/blang/semver v3.5.1+incompatible"
"github.com/blang/semver v3.5.1+incompatible/go.mod"
"github.com/bmizerany/assert v0.0.0-20160611221934-b7ed37b82869/go.mod"
"github.com/boltdb/bolt v1.3.1/go.mod"
"github.com/bombsimon/wsl/v2 v2.0.0/go.mod"
"github.com/bombsimon/wsl/v3 v3.0.0/go.mod"
"github.com/bshuster-repo/logrus-logstash-hook v0.4.1/go.mod"
"github.com/buger/goterm v0.0.0-20181115115552-c206103e1f37/go.mod"
"github.com/buger/jsonparser v0.0.0-20180808090653-f4dd9f5a6b44/go.mod"
"github.com/bugsnag/bugsnag-go v0.0.0-20141110184014-b1d153021fcd/go.mod"
"github.com/bugsnag/osext v0.0.0-20130617224835-0dd3f918b21b/go.mod"
"github.com/bugsnag/panicwrap v0.0.0-20151223152923-e2c28503fcd0/go.mod"
"github.com/caddyserver/caddy v1.0.3/go.mod"
"github.com/casbin/casbin/v2 v2.1.2/go.mod"
"github.com/cenkalti/backoff v2.1.1+incompatible/go.mod"
"github.com/cenkalti/backoff v2.2.1+incompatible/go.mod"
"github.com/cenkalti/backoff/v4 v4.1.0/go.mod"
"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
"github.com/cespare/xxhash v1.1.0"
"github.com/cespare/xxhash v1.1.0/go.mod"
"github.com/cespare/xxhash/v2 v2.1.1"
"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
"github.com/chai2010/gettext-go v0.0.0-20160711120539-c6fed771bfd5/go.mod"
"github.com/checkpoint-restore/checkpointctl v0.0.0-20210301084134-a2024f5584e7"
"github.com/checkpoint-restore/checkpointctl v0.0.0-20210301084134-a2024f5584e7/go.mod"
"github.com/checkpoint-restore/go-criu v0.0.0-20190109184317-bdb7599cd87b"
"github.com/checkpoint-restore/go-criu v0.0.0-20190109184317-bdb7599cd87b/go.mod"
"github.com/checkpoint-restore/go-criu/v4 v4.0.2/go.mod"
"github.com/checkpoint-restore/go-criu/v4 v4.1.0/go.mod"
"github.com/cheekybits/genny v0.0.0-20170328200008-9127e812e1e9/go.mod"
"github.com/chzyer/logex v1.1.10"
"github.com/chzyer/logex v1.1.10/go.mod"
"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e"
"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1"
"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
"github.com/cilium/ebpf v0.0.0-20200110133405-4032b1d8aae3/go.mod"
"github.com/cilium/ebpf v0.0.0-20200507155900-a9f01edf17e3/go.mod"
"github.com/cilium/ebpf v0.0.0-20200702112145-1c8d4c9ef775/go.mod"
"github.com/cilium/ebpf v0.2.0"
"github.com/cilium/ebpf v0.2.0/go.mod"
"github.com/clbanning/x2j v0.0.0-20191024224557-825249438eec/go.mod"
"github.com/client9/misspell v0.3.4/go.mod"
"github.com/clusterhq/flocker-go v0.0.0-20160920122132-2b8b7259d313/go.mod"
"github.com/cockroachdb/datadriven v0.0.0-20190809214429-80d97fb3cbaa/go.mod"
"github.com/codahale/hdrhistogram v0.0.0-20161010025455-3a0bb77429bd/go.mod"
"github.com/container-storage-interface/spec v1.3.0/go.mod"
"github.com/containerd/aufs v0.0.0-20200908144142-dab0cbea06f4/go.mod"
"github.com/containerd/aufs v0.0.0-20201003224125-76a6863f2989/go.mod"
"github.com/containerd/aufs v0.0.0-20210316121734-20793ff83c97/go.mod"
"github.com/containerd/btrfs v0.0.0-20201111183144-404b9149801e/go.mod"
"github.com/containerd/btrfs v0.0.0-20210316141732-918d888fb676/go.mod"
"github.com/containerd/cgroups v0.0.0-20190717030353-c4b9ac5c7601/go.mod"
"github.com/containerd/cgroups v0.0.0-20190919134610-bf292b21730f/go.mod"
"github.com/containerd/cgroups v0.0.0-20200531161412-0dbf7f05ba59/go.mod"
"github.com/containerd/cgroups v0.0.0-20200710171044-318312a37340/go.mod"
"github.com/containerd/cgroups v0.0.0-20200824123100-0b889c03f102/go.mod"
"github.com/containerd/cgroups v0.0.0-20210114181951-8a68de567b68"
"github.com/containerd/cgroups v0.0.0-20210114181951-8a68de567b68/go.mod"
"github.com/containerd/console v0.0.0-20180822173158-c12b1e7919c1/go.mod"
"github.com/containerd/console v0.0.0-20181022165439-0650fd9eeb50/go.mod"
"github.com/containerd/console v0.0.0-20191206165004-02ecf6a7291e/go.mod"
"github.com/containerd/console v1.0.0/go.mod"
"github.com/containerd/console v1.0.1"
"github.com/containerd/console v1.0.1/go.mod"
"github.com/containerd/containerd v1.2.10/go.mod"
"github.com/containerd/containerd v1.3.0-beta.2.0.20190828155532-0293cbd26c69/go.mod"
"github.com/containerd/containerd v1.3.0/go.mod"
"github.com/containerd/containerd v1.3.1-0.20191213020239-082f7e3aed57/go.mod"
"github.com/containerd/containerd v1.3.2/go.mod"
"github.com/containerd/containerd v1.4.0-beta.2.0.20200729163537-40b22ef07410/go.mod"
"github.com/containerd/containerd v1.4.1/go.mod"
"github.com/containerd/containerd v1.4.3/go.mod"
"github.com/containerd/containerd v1.4.4/go.mod"
"github.com/containerd/containerd v1.5.0-beta.1/go.mod"
"github.com/containerd/containerd v1.5.0-beta.3/go.mod"
"github.com/containerd/containerd v1.5.0-beta.4"
"github.com/containerd/containerd v1.5.0-beta.4/go.mod"
"github.com/containerd/continuity v0.0.0-20190426062206-aaeac12a7ffc/go.mod"
"github.com/containerd/continuity v0.0.0-20190815185530-f2a389ac0a02/go.mod"
"github.com/containerd/continuity v0.0.0-20191127005431-f65d91d395eb/go.mod"
"github.com/containerd/continuity v0.0.0-20200710164510-efbc4488d8fe/go.mod"
"github.com/containerd/continuity v0.0.0-20201208142359-180525291bb7/go.mod"
"github.com/containerd/continuity v0.0.0-20210208174643-50096c924a4e"
"github.com/containerd/continuity v0.0.0-20210208174643-50096c924a4e/go.mod"
"github.com/containerd/fifo v0.0.0-20180307165137-3d5202aec260/go.mod"
"github.com/containerd/fifo v0.0.0-20190226154929-a9fb20d87448/go.mod"
"github.com/containerd/fifo v0.0.0-20200410184934-f15a3290365b/go.mod"
"github.com/containerd/fifo v0.0.0-20201026212402-0724c46b320c/go.mod"
"github.com/containerd/fifo v0.0.0-20210316144830-115abcc95a1d"
"github.com/containerd/fifo v0.0.0-20210316144830-115abcc95a1d/go.mod"
"github.com/containerd/go-cni v1.0.1/go.mod"
"github.com/containerd/go-runc v0.0.0-20180907222934-5a6d9f37cfa3/go.mod"
"github.com/containerd/go-runc v0.0.0-20190911050354-e029b79d8cda/go.mod"
"github.com/containerd/go-runc v0.0.0-20200220073739-7016d3ce2328/go.mod"
"github.com/containerd/go-runc v0.0.0-20201020171139-16b287bc67d0"
"github.com/containerd/go-runc v0.0.0-20201020171139-16b287bc67d0/go.mod"
"github.com/containerd/imgcrypt v1.0.1/go.mod"
"github.com/containerd/imgcrypt v1.0.4-0.20210301171431-0ae5c75f59ba/go.mod"
"github.com/containerd/imgcrypt v1.1.1-0.20210312161619-7ed62a527887/go.mod"
"github.com/containerd/nri v0.0.0-20201007170849-eb1350a75164/go.mod"
"github.com/containerd/nri v0.0.0-20210316161719-dbaa18c31c14/go.mod"
"github.com/containerd/stargz-snapshotter/estargz v0.0.0-20201217071531-2b97b583765b/go.mod"
"github.com/containerd/ttrpc v0.0.0-20190828154514-0e0f228740de/go.mod"
"github.com/containerd/ttrpc v0.0.0-20190828172938-92c8520ef9f8/go.mod"
"github.com/containerd/ttrpc v0.0.0-20191028202541-4f1b8fe65a5c/go.mod"
"github.com/containerd/ttrpc v1.0.1/go.mod"
"github.com/containerd/ttrpc v1.0.2"
"github.com/containerd/ttrpc v1.0.2/go.mod"
"github.com/containerd/typeurl v0.0.0-20180627222232-a93fcdb778cd/go.mod"
"github.com/containerd/typeurl v0.0.0-20190911142611-5eb25027c9fd/go.mod"
"github.com/containerd/typeurl v1.0.1"
"github.com/containerd/typeurl v1.0.1/go.mod"
"github.com/containerd/zfs v0.0.0-20200918131355-0a33824f23a2/go.mod"
"github.com/containerd/zfs v0.0.0-20210301145711-11e8f1707f62/go.mod"
"github.com/containerd/zfs v0.0.0-20210315114300-dde8f0fda960/go.mod"
"github.com/containernetworking/cni v0.7.1/go.mod"
"github.com/containernetworking/cni v0.8.0/go.mod"
"github.com/containernetworking/cni v0.8.1"
"github.com/containernetworking/cni v0.8.1/go.mod"
"github.com/containernetworking/plugins v0.8.6/go.mod"
"github.com/containernetworking/plugins v0.8.7/go.mod"
"github.com/containernetworking/plugins v0.9.1"
"github.com/containernetworking/plugins v0.9.1/go.mod"
"github.com/containers/buildah v1.20.0"
"github.com/containers/buildah v1.20.0/go.mod"
"github.com/containers/common v0.35.3/go.mod"
"github.com/containers/common v0.35.4"
"github.com/containers/common v0.35.4/go.mod"
"github.com/containers/conmon v2.0.20+incompatible"
"github.com/containers/conmon v2.0.20+incompatible/go.mod"
"github.com/containers/image/v5 v5.6.0/go.mod"
"github.com/containers/image/v5 v5.9.0/go.mod"
"github.com/containers/image/v5 v5.10.5/go.mod"
"github.com/containers/image/v5 v5.11.0"
"github.com/containers/image/v5 v5.11.0/go.mod"
"github.com/containers/libtrust v0.0.0-20190913040956-14b96171aa3b"
"github.com/containers/libtrust v0.0.0-20190913040956-14b96171aa3b/go.mod"
"github.com/containers/ocicrypt v1.0.1/go.mod"
"github.com/containers/ocicrypt v1.0.3/go.mod"
"github.com/containers/ocicrypt v1.1.0"
"github.com/containers/ocicrypt v1.1.0/go.mod"
"github.com/containers/podman/v3 v3.1.0"
"github.com/containers/podman/v3 v3.1.0/go.mod"
"github.com/containers/psgo v1.5.2"
"github.com/containers/psgo v1.5.2/go.mod"
"github.com/containers/storage v1.23.5/go.mod"
"github.com/containers/storage v1.23.7/go.mod"
"github.com/containers/storage v1.24.8/go.mod"
"github.com/containers/storage v1.28.0/go.mod"
"github.com/containers/storage v1.28.1"
"github.com/containers/storage v1.28.1/go.mod"
"github.com/coredns/corefile-migration v1.0.11/go.mod"
"github.com/coreos/bbolt v1.3.2/go.mod"
"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
"github.com/coreos/etcd v3.3.13+incompatible/go.mod"
"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
"github.com/coreos/go-iptables v0.4.5/go.mod"
"github.com/coreos/go-iptables v0.5.0"
"github.com/coreos/go-iptables v0.5.0/go.mod"
"github.com/coreos/go-oidc v2.1.0+incompatible/go.mod"
"github.com/coreos/go-semver v0.2.0/go.mod"
"github.com/coreos/go-semver v0.3.0/go.mod"
"github.com/coreos/go-systemd v0.0.0-20161114122254-48702e0da86b/go.mod"
"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7/go.mod"
"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e"
"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
"github.com/coreos/go-systemd/v22 v22.0.0/go.mod"
"github.com/coreos/go-systemd/v22 v22.1.0/go.mod"
"github.com/coreos/go-systemd/v22 v22.2.0/go.mod"
"github.com/coreos/go-systemd/v22 v22.3.1"
"github.com/coreos/go-systemd/v22 v22.3.1/go.mod"
"github.com/coreos/pkg v0.0.0-20160727233714-3ac0863d7acf/go.mod"
"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f/go.mod"
"github.com/cpuguy83/go-md2man v1.0.10"
"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0"
"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
"github.com/creack/pty v1.1.7/go.mod"
"github.com/creack/pty v1.1.9/go.mod"
"github.com/creack/pty v1.1.11"
"github.com/creack/pty v1.1.11/go.mod"
"github.com/cri-o/ocicni v0.2.1-0.20210301205850-541cf7c703cf"
"github.com/cri-o/ocicni v0.2.1-0.20210301205850-541cf7c703cf/go.mod"
"github.com/cyphar/filepath-securejoin v0.2.2"
"github.com/cyphar/filepath-securejoin v0.2.2/go.mod"
"github.com/d2g/dhcp4 v0.0.0-20170904100407-a1d1b6c41b1c/go.mod"
"github.com/d2g/dhcp4client v1.0.0/go.mod"
"github.com/d2g/dhcp4server v0.0.0-20181031114812-7d4a0a7f59a5/go.mod"
"github.com/d2g/hardwareaddr v0.0.0-20190221164911-e7d9fbe030e4/go.mod"
"github.com/davecgh/go-spew v1.1.0/go.mod"
"github.com/davecgh/go-spew v1.1.1"
"github.com/davecgh/go-spew v1.1.1/go.mod"
"github.com/daviddengcn/go-colortext v0.0.0-20160507010035-511bcaf42ccd/go.mod"
"github.com/denverdino/aliyungo v0.0.0-20190125010748-a747050bb1ba/go.mod"
"github.com/dgrijalva/jwt-go v0.0.0-20170104182250-a601269ab70c/go.mod"
"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
"github.com/dnaeon/go-vcr v1.0.1/go.mod"
"github.com/docker/cli v0.0.0-20191017083524-a8ff7f821017/go.mod"
"github.com/docker/distribution v0.0.0-20190905152932-14b96e55d84c/go.mod"
"github.com/docker/distribution v2.7.1-0.20190205005809-0d3efadf0154+incompatible/go.mod"
"github.com/docker/distribution v2.7.1+incompatible"
"github.com/docker/distribution v2.7.1+incompatible/go.mod"
"github.com/docker/docker v1.4.2-0.20190924003213-a8608b5b67c7/go.mod"
"github.com/docker/docker v1.4.2-0.20191219165747-a9416c67da9f/go.mod"
"github.com/docker/docker v17.12.0-ce-rc1.0.20201020191947-73dc6a680cdd+incompatible/go.mod"
"github.com/docker/docker v20.10.2+incompatible/go.mod"
"github.com/docker/docker v20.10.3-0.20210216175712-646072ed6524+incompatible"
"github.com/docker/docker v20.10.3-0.20210216175712-646072ed6524+incompatible/go.mod"
"github.com/docker/docker-credential-helpers v0.6.3"
"github.com/docker/docker-credential-helpers v0.6.3/go.mod"
"github.com/docker/go-connections v0.4.0"
"github.com/docker/go-connections v0.4.0/go.mod"
"github.com/docker/go-events v0.0.0-20170721190031-9461782956ad/go.mod"
"github.com/docker/go-events v0.0.0-20190806004212-e31b211e4f1c/go.mod"
"github.com/docker/go-metrics v0.0.0-20180209012529-399ea8c73916/go.mod"
"github.com/docker/go-metrics v0.0.1"
"github.com/docker/go-metrics v0.0.1/go.mod"
"github.com/docker/go-plugins-helpers v0.0.0-20200102110956-c9a8a2d92ccc"
"github.com/docker/go-plugins-helpers v0.0.0-20200102110956-c9a8a2d92ccc/go.mod"
"github.com/docker/go-units v0.3.3/go.mod"
"github.com/docker/go-units v0.4.0"
"github.com/docker/go-units v0.4.0/go.mod"
"github.com/docker/libnetwork v0.8.0-dev.2.0.20190625141545-5a177b73e316"
"github.com/docker/libnetwork v0.8.0-dev.2.0.20190625141545-5a177b73e316/go.mod"
"github.com/docker/libtrust v0.0.0-20150114040149-fa567046d9b1/go.mod"
"github.com/docker/libtrust v0.0.0-20160708172513-aabc10ec26b7"
"github.com/docker/libtrust v0.0.0-20160708172513-aabc10ec26b7/go.mod"
"github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815/go.mod"
"github.com/dustin/go-humanize v0.0.0-20171111073723-bb3d318650d4/go.mod"
"github.com/dustin/go-humanize v1.0.0/go.mod"
"github.com/eapache/go-resiliency v1.1.0/go.mod"
"github.com/eapache/go-xerial-snappy v0.0.0-20180814174437-776d5712da21/go.mod"
"github.com/eapache/queue v1.1.0/go.mod"
"github.com/edsrzf/mmap-go v1.0.0/go.mod"
"github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153"
"github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153/go.mod"
"github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
"github.com/emicklei/go-restful v2.9.5+incompatible/go.mod"
"github.com/emicklei/go-restful v2.15.0+incompatible"
"github.com/emicklei/go-restful v2.15.0+incompatible/go.mod"
"github.com/emirpasic/gods v1.12.0"
"github.com/emirpasic/gods v1.12.0/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
"github.com/euank/go-kmsg-parser v2.0.0+incompatible/go.mod"
"github.com/evanphx/json-patch v4.5.0+incompatible/go.mod"
"github.com/evanphx/json-patch v4.9.0+incompatible"
"github.com/evanphx/json-patch v4.9.0+incompatible/go.mod"
"github.com/exponent-io/jsonpath v0.0.0-20151013193312-d6023ce2651d/go.mod"
"github.com/fanliao/go-promise v0.0.0-20141029170127-1890db352a72/go.mod"
"github.com/fatih/camelcase v1.0.0/go.mod"
"github.com/fatih/color v1.7.0/go.mod"
"github.com/fatih/color v1.9.0/go.mod"
"github.com/flynn/go-shlex v0.0.0-20150515145356-3f9db97f8568"
"github.com/flynn/go-shlex v0.0.0-20150515145356-3f9db97f8568/go.mod"
"github.com/fogleman/gg v1.2.1-0.20190220221249-0403632d5b90/go.mod"
"github.com/form3tech-oss/jwt-go v3.2.2+incompatible/go.mod"
"github.com/franela/goblin v0.0.0-20200105215937-c9ffbefa60db/go.mod"
"github.com/franela/goreq v0.0.0-20171204163338-bcd34c9993f8/go.mod"
"github.com/fsnotify/fsnotify v1.4.7/go.mod"
"github.com/fsnotify/fsnotify v1.4.9"
"github.com/fsnotify/fsnotify v1.4.9/go.mod"
"github.com/fsouza/go-dockerclient v1.7.2"
"github.com/fsouza/go-dockerclient v1.7.2/go.mod"
"github.com/fullsailor/pkcs7 v0.0.0-20190404230743-d7302db945fa/go.mod"
"github.com/fvbommel/sortorder v1.0.1/go.mod"
"github.com/garyburd/redigo v0.0.0-20150301180006-535138d7bcd7/go.mod"
"github.com/ghodss/yaml v1.0.0"
"github.com/ghodss/yaml v1.0.0/go.mod"
"github.com/gliderlabs/ssh v0.2.2"
"github.com/gliderlabs/ssh v0.2.2/go.mod"
"github.com/globalsign/mgo v0.0.0-20180905125535-1ca0a4f7cbcb/go.mod"
"github.com/globalsign/mgo v0.0.0-20181015135952-eeefdecb41b8/go.mod"
"github.com/go-acme/lego v2.5.0+incompatible/go.mod"
"github.com/go-bindata/go-bindata v3.1.1+incompatible/go.mod"
"github.com/go-critic/go-critic v0.4.1/go.mod"
"github.com/go-errors/errors v1.0.1/go.mod"
"github.com/go-git/gcfg v1.5.0"
"github.com/go-git/gcfg v1.5.0/go.mod"
"github.com/go-git/go-billy/v5 v5.0.0"
"github.com/go-git/go-billy/v5 v5.0.0/go.mod"
"github.com/go-git/go-git-fixtures/v4 v4.0.1/go.mod"
"github.com/go-git/go-git-fixtures/v4 v4.0.2-0.20200613231340-f56387b50c12"
"github.com/go-git/go-git-fixtures/v4 v4.0.2-0.20200613231340-f56387b50c12/go.mod"
"github.com/go-git/go-git/v5 v5.0.0/go.mod"
"github.com/go-git/go-git/v5 v5.1.0/go.mod"
"github.com/go-git/go-git/v5 v5.2.0"
"github.com/go-git/go-git/v5 v5.2.0/go.mod"
"github.com/go-gl/glfw v0.0.0-20190409004039-e6da0acd62b1/go.mod"
"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20191125211704-12ad95a8df72/go.mod"
"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20200222043503-6f7a984d4dc4/go.mod"
"github.com/go-ini/ini v1.25.4/go.mod"
"github.com/go-kit/kit v0.8.0/go.mod"
"github.com/go-kit/kit v0.9.0/go.mod"
"github.com/go-kit/kit v0.10.0/go.mod"
"github.com/go-lintpack/lintpack v0.5.2/go.mod"
"github.com/go-logfmt/logfmt v0.3.0/go.mod"
"github.com/go-logfmt/logfmt v0.4.0/go.mod"
"github.com/go-logfmt/logfmt v0.5.0/go.mod"
"github.com/go-logr/logr v0.1.0/go.mod"
"github.com/go-logr/logr v0.2.0/go.mod"
"github.com/go-logr/logr v0.4.0"
"github.com/go-logr/logr v0.4.0/go.mod"
"github.com/go-ole/go-ole v1.2.1/go.mod"
"github.com/go-ole/go-ole v1.2.4"
"github.com/go-ole/go-ole v1.2.4/go.mod"
"github.com/go-openapi/analysis v0.0.0-20180825180245-b006789cd277/go.mod"
"github.com/go-openapi/analysis v0.17.0/go.mod"
"github.com/go-openapi/analysis v0.18.0/go.mod"
"github.com/go-openapi/analysis v0.19.2/go.mod"
"github.com/go-openapi/analysis v0.19.5/go.mod"
"github.com/go-openapi/errors v0.17.0/go.mod"
"github.com/go-openapi/errors v0.18.0/go.mod"
"github.com/go-openapi/errors v0.19.2/go.mod"
"github.com/go-openapi/jsonpointer v0.17.0/go.mod"
"github.com/go-openapi/jsonpointer v0.18.0/go.mod"
"github.com/go-openapi/jsonpointer v0.19.2/go.mod"
"github.com/go-openapi/jsonpointer v0.19.3/go.mod"
"github.com/go-openapi/jsonreference v0.17.0/go.mod"
"github.com/go-openapi/jsonreference v0.18.0/go.mod"
"github.com/go-openapi/jsonreference v0.19.2/go.mod"
"github.com/go-openapi/jsonreference v0.19.3/go.mod"
"github.com/go-openapi/loads v0.17.0/go.mod"
"github.com/go-openapi/loads v0.18.0/go.mod"
"github.com/go-openapi/loads v0.19.0/go.mod"
"github.com/go-openapi/loads v0.19.2/go.mod"
"github.com/go-openapi/loads v0.19.4/go.mod"
"github.com/go-openapi/runtime v0.0.0-20180920151709-4f900dc2ade9/go.mod"
"github.com/go-openapi/runtime v0.19.0/go.mod"
"github.com/go-openapi/runtime v0.19.4/go.mod"
"github.com/go-openapi/spec v0.17.0/go.mod"
"github.com/go-openapi/spec v0.18.0/go.mod"
"github.com/go-openapi/spec v0.19.2/go.mod"
"github.com/go-openapi/spec v0.19.3/go.mod"
"github.com/go-openapi/spec v0.19.5/go.mod"
"github.com/go-openapi/strfmt v0.17.0/go.mod"
"github.com/go-openapi/strfmt v0.18.0/go.mod"
"github.com/go-openapi/strfmt v0.19.0/go.mod"
"github.com/go-openapi/strfmt v0.19.3/go.mod"
"github.com/go-openapi/strfmt v0.19.5/go.mod"
"github.com/go-openapi/swag v0.17.0/go.mod"
"github.com/go-openapi/swag v0.18.0/go.mod"
"github.com/go-openapi/swag v0.19.2/go.mod"
"github.com/go-openapi/swag v0.19.5/go.mod"
"github.com/go-openapi/validate v0.18.0/go.mod"
"github.com/go-openapi/validate v0.19.2/go.mod"
"github.com/go-openapi/validate v0.19.8/go.mod"
"github.com/go-ozzo/ozzo-validation v3.5.0+incompatible/go.mod"
"github.com/go-sql-driver/mysql v1.4.0/go.mod"
"github.com/go-sql-driver/mysql v1.5.0/go.mod"
"github.com/go-stack/stack v1.8.0/go.mod"
"github.com/go-toolsmith/astcast v1.0.0/go.mod"
"github.com/go-toolsmith/astcopy v1.0.0/go.mod"
"github.com/go-toolsmith/astequal v0.0.0-20180903214952-dcb477bfacd6/go.mod"
"github.com/go-toolsmith/astequal v1.0.0/go.mod"
"github.com/go-toolsmith/astfmt v0.0.0-20180903215011-8f8ee99c3086/go.mod"
"github.com/go-toolsmith/astfmt v1.0.0/go.mod"
"github.com/go-toolsmith/astinfo v0.0.0-20180906194353-9809ff7efb21/go.mod"
"github.com/go-toolsmith/astp v0.0.0-20180903215135-0af7e3c24f30/go.mod"
"github.com/go-toolsmith/astp v1.0.0/go.mod"
"github.com/go-toolsmith/pkgload v0.0.0-20181119091011-e9e65178eee8/go.mod"
"github.com/go-toolsmith/pkgload v1.0.0/go.mod"
"github.com/go-toolsmith/strparse v1.0.0/go.mod"
"github.com/go-toolsmith/typep v1.0.0/go.mod"
"github.com/go-xmlfmt/xmlfmt v0.0.0-20191208150333-d5b6f63a941b/go.mod"
"github.com/go-zoo/bone v1.3.0"
"github.com/go-zoo/bone v1.3.0/go.mod"
"github.com/gobuffalo/here v0.6.0/go.mod"
"github.com/gobwas/glob v0.2.3/go.mod"
"github.com/godbus/dbus v0.0.0-20151105175453-c7fdd8b5cd55/go.mod"
"github.com/godbus/dbus v0.0.0-20180201030542-885f9cc04c9c/go.mod"
"github.com/godbus/dbus v0.0.0-20190422162347-ade71ed3457e"
"github.com/godbus/dbus v0.0.0-20190422162347-ade71ed3457e/go.mod"
"github.com/godbus/dbus/v5 v5.0.3/go.mod"
"github.com/godbus/dbus/v5 v5.0.4"
"github.com/godbus/dbus/v5 v5.0.4/go.mod"
"github.com/gofrs/flock v0.0.0-20190320160742-5135e617513b/go.mod"
"github.com/gofrs/flock v0.8.0/go.mod"
"github.com/gogo/googleapis v1.2.0/go.mod"
"github.com/gogo/googleapis v1.4.0/go.mod"
"github.com/gogo/protobuf v1.1.1/go.mod"
"github.com/gogo/protobuf v1.2.0/go.mod"
"github.com/gogo/protobuf v1.2.1/go.mod"
"github.com/gogo/protobuf v1.3.0/go.mod"
"github.com/gogo/protobuf v1.3.1/go.mod"
"github.com/gogo/protobuf v1.3.2"
"github.com/gogo/protobuf v1.3.2/go.mod"
"github.com/golang/freetype v0.0.0-20170609003504-e2365dfdc4a0/go.mod"
"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b"
"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef/go.mod"
"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7/go.mod"
"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e"
"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e/go.mod"
"github.com/golang/mock v1.1.1/go.mod"
"github.com/golang/mock v1.2.0/go.mod"
"github.com/golang/mock v1.3.1/go.mod"
"github.com/golang/mock v1.4.0/go.mod"
"github.com/golang/mock v1.4.1/go.mod"
"github.com/golang/mock v1.4.3/go.mod"
"github.com/golang/mock v1.4.4/go.mod"
"github.com/golang/mock v1.5.0"
"github.com/golang/mock v1.5.0/go.mod"
"github.com/golang/protobuf v1.3.5"
"github.com/golang/protobuf v1.3.5/go.mod"
"github.com/golang/snappy v0.0.0-20180518054509-2e65f85255db/go.mod"
"github.com/golangci/check v0.0.0-20180506172741-cfe4005ccda2/go.mod"
"github.com/golangci/dupl v0.0.0-20180902072040-3e9179ac440a/go.mod"
"github.com/golangci/errcheck v0.0.0-20181223084120-ef45e06d44b6/go.mod"
"github.com/golangci/go-misc v0.0.0-20180628070357-927a3d87b613/go.mod"
"github.com/golangci/goconst v0.0.0-20180610141641-041c5f2b40f3/go.mod"
"github.com/golangci/gocyclo v0.0.0-20180528134321-2becd97e67ee/go.mod"
"github.com/golangci/gofmt v0.0.0-20190930125516-244bba706f1a/go.mod"
"github.com/golangci/golangci-lint v1.23.3/go.mod"
"github.com/golangci/golangci-lint v1.25.0/go.mod"
"github.com/golangci/ineffassign v0.0.0-20190609212857-42439a7714cc/go.mod"
"github.com/golangci/lint-1 v0.0.0-20191013205115-297bf364a8e0/go.mod"
"github.com/golangci/maligned v0.0.0-20180506175553-b1d89398deca/go.mod"
"github.com/golangci/misspell v0.0.0-20180809174111-950f5d19e770/go.mod"
"github.com/golangci/prealloc v0.0.0-20180630174525-215b22d4de21/go.mod"
"github.com/golangci/revgrep v0.0.0-20180526074752-d9c87f5ffaf0/go.mod"
"github.com/golangci/unconvert v0.0.0-20180507085042-28b1c447d1f4/go.mod"
"github.com/golangplus/testing v0.0.0-20180327235837-af21d9c3145e/go.mod"
"github.com/gomarkdown/markdown v0.0.0-20200824053859-8c8b3816f167"
"github.com/gomarkdown/markdown v0.0.0-20200824053859-8c8b3816f167/go.mod"
"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
"github.com/google/btree v1.0.0/go.mod"
"github.com/google/cadvisor v0.39.0/go.mod"
"github.com/google/go-cmp v0.2.0/go.mod"
"github.com/google/go-cmp v0.3.0/go.mod"
"github.com/google/go-cmp v0.3.1/go.mod"
"github.com/google/go-cmp v0.4.0/go.mod"
"github.com/google/go-cmp v0.4.1/go.mod"
"github.com/google/go-cmp v0.5.0/go.mod"
"github.com/google/go-cmp v0.5.1/go.mod"
"github.com/google/go-cmp v0.5.2/go.mod"
"github.com/google/go-cmp v0.5.4/go.mod"
"github.com/google/go-cmp v0.5.5"
"github.com/google/go-cmp v0.5.5/go.mod"
"github.com/google/go-containerregistry v0.3.0/go.mod"
"github.com/google/go-github/v29 v29.0.3/go.mod"
"github.com/google/go-github/v33 v33.0.0"
"github.com/google/go-github/v33 v33.0.0/go.mod"
"github.com/google/go-querystring v1.0.0"
"github.com/google/go-querystring v1.0.0/go.mod"
"github.com/google/gofuzz v1.0.0/go.mod"
"github.com/google/gofuzz v1.1.0"
"github.com/google/gofuzz v1.1.0/go.mod"
"github.com/google/martian v2.1.0+incompatible/go.mod"
"github.com/google/martian/v3 v3.0.0/go.mod"
"github.com/google/martian/v3 v3.1.0/go.mod"
"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
"github.com/google/pprof v0.0.0-20191218002539-d4f498aebedc/go.mod"
"github.com/google/pprof v0.0.0-20200212024743-f11f1df84d12/go.mod"
"github.com/google/pprof v0.0.0-20200229191704-1ebb73c60ed3/go.mod"
"github.com/google/pprof v0.0.0-20200430221834-fc25d7d30c6d/go.mod"
"github.com/google/pprof v0.0.0-20200708004538-1a94d8640e99/go.mod"
"github.com/google/pprof v0.0.0-20200905233945-acf8798be1f7/go.mod"
"github.com/google/pprof v0.0.0-20201023163331-3e6fc7fc9c4c/go.mod"
"github.com/google/pprof v0.0.0-20201218002935-b9804c9f04c2/go.mod"
"github.com/google/renameio v0.1.0/go.mod"
"github.com/google/renameio v1.0.0"
"github.com/google/renameio v1.0.0/go.mod"
"github.com/google/shlex v0.0.0-20181106134648-c34317bd91bf/go.mod"
"github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510/go.mod"
"github.com/google/uuid v1.0.0/go.mod"
"github.com/google/uuid v1.1.1/go.mod"
"github.com/google/uuid v1.1.2/go.mod"
"github.com/google/uuid v1.1.4/go.mod"
"github.com/google/uuid v1.2.0"
"github.com/google/uuid v1.2.0/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
"github.com/googleapis/gnostic v0.2.2/go.mod"
"github.com/googleapis/gnostic v0.4.1"
"github.com/googleapis/gnostic v0.4.1/go.mod"
"github.com/gophercloud/gophercloud v0.1.0/go.mod"
"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
"github.com/gorilla/context v1.1.1/go.mod"
"github.com/gorilla/handlers v0.0.0-20150720190736-60c7bfde3e33/go.mod"
"github.com/gorilla/mux v1.6.2/go.mod"
"github.com/gorilla/mux v1.7.2/go.mod"
"github.com/gorilla/mux v1.7.3/go.mod"
"github.com/gorilla/mux v1.7.4/go.mod"
"github.com/gorilla/mux v1.8.0"
"github.com/gorilla/mux v1.8.0/go.mod"
"github.com/gorilla/schema v1.2.0/go.mod"
"github.com/gorilla/websocket v0.0.0-20170926233335-4201258b820c/go.mod"
"github.com/gorilla/websocket v1.4.0/go.mod"
"github.com/gorilla/websocket v1.4.2/go.mod"
"github.com/gostaticanalysis/analysisutil v0.0.0-20190318220348-4088753ea4d3/go.mod"
"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.1-0.20190118093823-f849b5445de4/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.2.2"
"github.com/grpc-ecosystem/go-grpc-middleware v1.2.2/go.mod"
"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.5/go.mod"
"github.com/hashicorp/consul/api v1.1.0/go.mod"
"github.com/hashicorp/consul/api v1.3.0/go.mod"
"github.com/hashicorp/consul/sdk v0.1.1/go.mod"
"github.com/hashicorp/consul/sdk v0.3.0/go.mod"
"github.com/hashicorp/errwrap v0.0.0-20141028054710-7554cd9344ce/go.mod"
"github.com/hashicorp/errwrap v1.0.0"
"github.com/hashicorp/errwrap v1.0.0/go.mod"
"github.com/hashicorp/go-cleanhttp v0.5.1/go.mod"
"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
"github.com/hashicorp/go-multierror v0.0.0-20161216184304-ed905158d874/go.mod"
"github.com/hashicorp/go-multierror v1.0.0/go.mod"
"github.com/hashicorp/go-multierror v1.1.0/go.mod"
"github.com/hashicorp/go-multierror v1.1.1"
"github.com/hashicorp/go-multierror v1.1.1/go.mod"
"github.com/hashicorp/go-rootcerts v1.0.0/go.mod"
"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
"github.com/hashicorp/go-syslog v1.0.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.1/go.mod"
"github.com/hashicorp/go-version v1.2.0/go.mod"
"github.com/hashicorp/go.net v0.0.1/go.mod"
"github.com/hashicorp/golang-lru v0.0.0-20180201235237-0fb14efe8c47/go.mod"
"github.com/hashicorp/golang-lru v0.5.0/go.mod"
"github.com/hashicorp/golang-lru v0.5.1/go.mod"
"github.com/hashicorp/golang-lru v0.5.3"
"github.com/hashicorp/golang-lru v0.5.3/go.mod"
"github.com/hashicorp/hcl v1.0.0/go.mod"
"github.com/hashicorp/logutils v1.0.0/go.mod"
"github.com/hashicorp/mdns v1.0.0/go.mod"
"github.com/hashicorp/memberlist v0.1.3/go.mod"
"github.com/hashicorp/serf v0.8.2/go.mod"
"github.com/heketi/heketi v10.2.0+incompatible/go.mod"
"github.com/heketi/tests v0.0.0-20151005000721-f3775cbcefd6/go.mod"
"github.com/hpcloud/tail v1.0.0"
"github.com/hpcloud/tail v1.0.0/go.mod"
"github.com/hudl/fargo v1.3.0/go.mod"
"github.com/hugelgupf/socketpair v0.0.0-20190730060125-05d35a94e714/go.mod"
"github.com/ianlancetaylor/demangle v0.0.0-20181102032728-5e5cf60278f6/go.mod"
"github.com/ianlancetaylor/demangle v0.0.0-20200824232613-28f6c0f3b639/go.mod"
"github.com/imdario/mergo v0.3.5/go.mod"
"github.com/imdario/mergo v0.3.8/go.mod"
"github.com/imdario/mergo v0.3.9/go.mod"
"github.com/imdario/mergo v0.3.10/go.mod"
"github.com/imdario/mergo v0.3.11"
"github.com/imdario/mergo v0.3.11/go.mod"
"github.com/inconshreveable/mousetrap v1.0.0"
"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
"github.com/influxdata/influxdb1-client v0.0.0-20191209144304-8bf82d3c094d/go.mod"
"github.com/insomniacslk/dhcp v0.0.0-20210120172423-cc9239ac6294/go.mod"
"github.com/ishidawataru/sctp v0.0.0-20190723014705-7c296d48a2b5/go.mod"
"github.com/ishidawataru/sctp v0.0.0-20191218070446-00ab2ac2db07"
"github.com/ishidawataru/sctp v0.0.0-20191218070446-00ab2ac2db07/go.mod"
"github.com/j-keck/arping v0.0.0-20160618110441-2cf9dc699c56/go.mod"
"github.com/jamescun/tuntap v0.0.0-20190712092105-cb1fb277045c/go.mod"
"github.com/jbenet/go-context v0.0.0-20150711004518-d14ea06fba99"
"github.com/jbenet/go-context v0.0.0-20150711004518-d14ea06fba99/go.mod"
"github.com/jessevdk/go-flags v1.4.0/go.mod"
"github.com/jimstudt/http-authentication v0.0.0-20140401203705-3eca13d6893a/go.mod"
"github.com/jingyugao/rowserrcheck v0.0.0-20191204022205-72ab7603b68a/go.mod"
"github.com/jirfag/go-printf-func-name v0.0.0-20191110105641-45db9963cdd3/go.mod"
"github.com/jmespath/go-jmespath v0.0.0-20160202185014-0b12d6b521d8/go.mod"
"github.com/jmespath/go-jmespath v0.0.0-20160803190731-bd40a432e4c7/go.mod"
"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af/go.mod"
"github.com/jmespath/go-jmespath v0.3.0/go.mod"
"github.com/jmespath/go-jmespath v0.4.0/go.mod"
"github.com/jmespath/go-jmespath/internal/testify v1.5.1/go.mod"
"github.com/jmoiron/sqlx v1.2.1-0.20190826204134-d7d95172beb5/go.mod"
"github.com/joefitzgerald/rainbow-reporter v0.1.0/go.mod"
"github.com/jonboulle/clockwork v0.1.0/go.mod"
"github.com/jpillora/backoff v1.0.0/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20190606172950-9527aa82566a/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20200117123717-f846d4f6c1f4/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20201009170750-9c6f07d100c1/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20201110080708-d2c240429e6c/go.mod"
"github.com/json-iterator/go v1.1.6/go.mod"
"github.com/json-iterator/go v1.1.7/go.mod"
"github.com/json-iterator/go v1.1.8/go.mod"
"github.com/json-iterator/go v1.1.10"
"github.com/json-iterator/go v1.1.10/go.mod"
"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
"github.com/jstemmer/go-junit-report v0.9.1/go.mod"
"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
"github.com/juju/ansiterm v0.0.0-20180109212912-720a0952cc2a"
"github.com/juju/ansiterm v0.0.0-20180109212912-720a0952cc2a/go.mod"
"github.com/julienschmidt/httprouter v1.2.0/go.mod"
"github.com/julienschmidt/httprouter v1.3.0/go.mod"
"github.com/jung-kurt/gofpdf v1.0.3-0.20190309125859-24315acbbda5/go.mod"
"github.com/karrick/godirwalk v1.16.1/go.mod"
"github.com/kevinburke/ssh_config v0.0.0-20190725054713-01f96b0aa0cd"
"github.com/kevinburke/ssh_config v0.0.0-20190725054713-01f96b0aa0cd/go.mod"
"github.com/kisielk/errcheck v1.1.0/go.mod"
"github.com/kisielk/errcheck v1.2.0/go.mod"
"github.com/kisielk/errcheck v1.5.0/go.mod"
"github.com/kisielk/gotool v1.0.0/go.mod"
"github.com/klauspost/compress v1.4.0/go.mod"
"github.com/klauspost/compress v1.4.1/go.mod"
"github.com/klauspost/compress v1.11.0/go.mod"
"github.com/klauspost/compress v1.11.1/go.mod"
"github.com/klauspost/compress v1.11.3/go.mod"
"github.com/klauspost/compress v1.11.5/go.mod"
"github.com/klauspost/compress v1.11.7/go.mod"
"github.com/klauspost/compress v1.11.12/go.mod"
"github.com/klauspost/compress v1.11.13"
"github.com/klauspost/compress v1.11.13/go.mod"
"github.com/klauspost/cpuid v0.0.0-20180405133222-e7e905edc00e/go.mod"
"github.com/klauspost/cpuid v1.2.0/go.mod"
"github.com/klauspost/pgzip v1.2.5"
"github.com/klauspost/pgzip v1.2.5/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.3/go.mod"
"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
"github.com/kr/pretty v0.1.0/go.mod"
"github.com/kr/pretty v0.2.0/go.mod"
"github.com/kr/pretty v0.2.1"
"github.com/kr/pretty v0.2.1/go.mod"
"github.com/kr/pty v1.1.1/go.mod"
"github.com/kr/pty v1.1.5/go.mod"
"github.com/kr/pty v1.1.8/go.mod"
"github.com/kr/text v0.1.0/go.mod"
"github.com/kr/text v0.2.0"
"github.com/kr/text v0.2.0/go.mod"
"github.com/kylelemons/godebug v0.0.0-20170820004349-d65d576e9348/go.mod"
"github.com/lib/pq v1.0.0/go.mod"
"github.com/lib/pq v1.2.0/go.mod"
"github.com/libopenstorage/openstorage v1.0.0/go.mod"
"github.com/liggitt/tabwriter v0.0.0-20181228230101-89fcab3d43de/go.mod"
"github.com/lightstep/lightstep-tracer-common/golang/gogo v0.0.0-20190605223551-bc2310a04743/go.mod"
"github.com/lightstep/lightstep-tracer-go v0.18.1/go.mod"
"github.com/lithammer/dedent v1.1.0"
"github.com/lithammer/dedent v1.1.0/go.mod"
"github.com/logrusorgru/aurora v0.0.0-20181002194514-a7b3b318ed4e/go.mod"
"github.com/lpabon/godbc v0.1.1/go.mod"
"github.com/lucas-clemente/aes12 v0.0.0-20171027163421-cd47fb39b79f/go.mod"
"github.com/lucas-clemente/quic-clients v0.1.0/go.mod"
"github.com/lucas-clemente/quic-go v0.10.2/go.mod"
"github.com/lucas-clemente/quic-go-certificates v0.0.0-20160823095156-d2f86524cced/go.mod"
"github.com/lunixbochs/vtclean v0.0.0-20180621232353-2d01aacdc34a"
"github.com/lunixbochs/vtclean v0.0.0-20180621232353-2d01aacdc34a/go.mod"
"github.com/magefile/mage v1.10.0/go.mod"
"github.com/magiconair/properties v1.8.0/go.mod"
"github.com/magiconair/properties v1.8.1/go.mod"
"github.com/mailru/easyjson v0.0.0-20180823135443-60711f1a8329/go.mod"
"github.com/mailru/easyjson v0.0.0-20190312143242-1de009706dbe/go.mod"
"github.com/mailru/easyjson v0.0.0-20190614124828-94de47d64c63/go.mod"
"github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e/go.mod"
"github.com/mailru/easyjson v0.7.0/go.mod"
"github.com/manifoldco/promptui v0.8.0"
"github.com/manifoldco/promptui v0.8.0/go.mod"
"github.com/maratori/testpackage v1.0.1/go.mod"
"github.com/markbates/pkger v0.17.1/go.mod"
"github.com/marstr/guid v1.1.0/go.mod"
"github.com/marten-seemann/qtls v0.2.3/go.mod"
"github.com/matoous/godox v0.0.0-20190911065817-5d6d842e92eb/go.mod"
"github.com/mattn/go-colorable v0.0.9/go.mod"
"github.com/mattn/go-colorable v0.1.4/go.mod"
"github.com/mattn/go-colorable v0.1.8"
"github.com/mattn/go-colorable v0.1.8/go.mod"
"github.com/mattn/go-isatty v0.0.3/go.mod"
"github.com/mattn/go-isatty v0.0.4/go.mod"
"github.com/mattn/go-isatty v0.0.8/go.mod"
"github.com/mattn/go-isatty v0.0.11/go.mod"
"github.com/mattn/go-isatty v0.0.12"
"github.com/mattn/go-isatty v0.0.12/go.mod"
"github.com/mattn/go-runewidth v0.0.2/go.mod"
"github.com/mattn/go-runewidth v0.0.4/go.mod"
"github.com/mattn/go-runewidth v0.0.7/go.mod"
"github.com/mattn/go-runewidth v0.0.9/go.mod"
"github.com/mattn/go-runewidth v0.0.10"
"github.com/mattn/go-runewidth v0.0.10/go.mod"
"github.com/mattn/go-shellwords v1.0.3/go.mod"
"github.com/mattn/go-shellwords v1.0.10/go.mod"
"github.com/mattn/go-shellwords v1.0.11"
"github.com/mattn/go-shellwords v1.0.11/go.mod"
"github.com/mattn/go-sqlite3 v1.9.0/go.mod"
"github.com/mattn/goveralls v0.0.2/go.mod"
"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
"github.com/matttproud/golang_protobuf_extensions v1.0.2-0.20181231171920-c182affec369"
"github.com/matttproud/golang_protobuf_extensions v1.0.2-0.20181231171920-c182affec369/go.mod"
"github.com/maxbrunsfeld/counterfeiter/v6 v6.2.2/go.mod"
"github.com/maxbrunsfeld/counterfeiter/v6 v6.2.3/go.mod"
"github.com/maxbrunsfeld/counterfeiter/v6 v6.3.0/go.mod"
"github.com/mdlayher/ethernet v0.0.0-20190606142754-0394541c37b7/go.mod"
"github.com/mdlayher/netlink v0.0.0-20190409211403-11939a169225/go.mod"
"github.com/mdlayher/netlink v1.0.0/go.mod"
"github.com/mdlayher/netlink v1.1.0/go.mod"
"github.com/mdlayher/netlink v1.1.1/go.mod"
"github.com/mdlayher/raw v0.0.0-20190606142536-fef19f00fc18/go.mod"
"github.com/mdlayher/raw v0.0.0-20191009151244-50f2db8cc065/go.mod"
"github.com/mholt/certmagic v0.6.2-0.20190624175158-6a42ef9fe8c2/go.mod"
"github.com/miekg/dns v1.0.14/go.mod"
"github.com/miekg/dns v1.1.3/go.mod"
"github.com/miekg/dns v1.1.35/go.mod"
"github.com/miekg/pkcs11 v1.0.3"
"github.com/miekg/pkcs11 v1.0.3/go.mod"
"github.com/mindprince/gonvml v0.0.0-20190828220739-9ebdce4bb989/go.mod"
"github.com/mistifyio/go-zfs v2.1.1+incompatible/go.mod"
"github.com/mistifyio/go-zfs v2.1.2-0.20190413222219-f784269be439+incompatible"
"github.com/mistifyio/go-zfs v2.1.2-0.20190413222219-f784269be439+incompatible/go.mod"
"github.com/mitchellh/cli v1.0.0/go.mod"
"github.com/mitchellh/go-homedir v1.0.0/go.mod"
"github.com/mitchellh/go-homedir v1.1.0"
"github.com/mitchellh/go-homedir v1.1.0/go.mod"
"github.com/mitchellh/go-ps v0.0.0-20190716172923-621e5597135b/go.mod"
"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
"github.com/mitchellh/go-wordwrap v1.0.0/go.mod"
"github.com/mitchellh/gox v0.4.0/go.mod"
"github.com/mitchellh/iochan v1.0.0/go.mod"
"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
"github.com/mitchellh/mapstructure v1.1.2/go.mod"
"github.com/mitchellh/mapstructure v1.4.1/go.mod"
"github.com/mitchellh/osext v0.0.0-20151018003038-5e2d6d41470f/go.mod"
"github.com/mmarkdown/mmark v2.0.40+incompatible"
"github.com/mmarkdown/mmark v2.0.40+incompatible/go.mod"
"github.com/moby/ipvs v1.0.1/go.mod"
"github.com/moby/spdystream v0.2.0"
"github.com/moby/spdystream v0.2.0/go.mod"
"github.com/moby/sys/mount v0.2.0"
"github.com/moby/sys/mount v0.2.0/go.mod"
"github.com/moby/sys/mountinfo v0.1.3/go.mod"
"github.com/moby/sys/mountinfo v0.4.0/go.mod"
"github.com/moby/sys/mountinfo v0.4.1"
"github.com/moby/sys/mountinfo v0.4.1/go.mod"
"github.com/moby/sys/symlink v0.1.0/go.mod"
"github.com/moby/term v0.0.0-20200915141129-7f0af18e79f2/go.mod"
"github.com/moby/term v0.0.0-20201216013528-df9cb8a40635"
"github.com/moby/term v0.0.0-20201216013528-df9cb8a40635/go.mod"
"github.com/moby/vpnkit v0.5.0/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
"github.com/modern-go/reflect2 v1.0.1"
"github.com/modern-go/reflect2 v1.0.1/go.mod"
"github.com/mohae/deepcopy v0.0.0-20170603005431-491d3605edfb/go.mod"
"github.com/monochromegane/go-gitignore v0.0.0-20200626010858-205db1a8cc00/go.mod"
"github.com/morikuni/aec v1.0.0"
"github.com/morikuni/aec v1.0.0/go.mod"
"github.com/mozilla/tls-observatory v0.0.0-20190404164649-a3c1b6cfecfd/go.mod"
"github.com/mrunalp/fileutils v0.0.0-20171103030105-7d4729fb3618/go.mod"
"github.com/mrunalp/fileutils v0.5.0/go.mod"
"github.com/mtrmac/gpgme v0.1.2"
"github.com/mtrmac/gpgme v0.1.2/go.mod"
"github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822/go.mod"
"github.com/mvdan/xurls v1.1.0/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20190716064945-2f068394615f/go.mod"
"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
"github.com/nakabonne/nestif v0.3.0/go.mod"
"github.com/naoina/go-stringutil v0.1.0/go.mod"
"github.com/naoina/toml v0.1.1/go.mod"
"github.com/nats-io/jwt v0.3.0/go.mod"
"github.com/nats-io/jwt v0.3.2/go.mod"
"github.com/nats-io/nats-server/v2 v2.1.2/go.mod"
"github.com/nats-io/nats.go v1.9.1/go.mod"
"github.com/nats-io/nkeys v0.1.0/go.mod"
"github.com/nats-io/nkeys v0.1.3/go.mod"
"github.com/nats-io/nuid v1.0.1/go.mod"
"github.com/nbutton23/zxcvbn-go v0.0.0-20180912185939-ae427f1e4c1d/go.mod"
"github.com/ncw/swift v1.0.47/go.mod"
"github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e"
"github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e/go.mod"
"github.com/nozzle/throttler v0.0.0-20180817012639-2ea982251481"
"github.com/nozzle/throttler v0.0.0-20180817012639-2ea982251481/go.mod"
"github.com/nxadm/tail v1.4.4/go.mod"
"github.com/nxadm/tail v1.4.8"
"github.com/nxadm/tail v1.4.8/go.mod"
"github.com/oklog/oklog v0.3.2/go.mod"
"github.com/oklog/run v1.0.0/go.mod"
"github.com/oklog/ulid v1.3.1/go.mod"
"github.com/olekukonko/tablewriter v0.0.0-20170122224234-a0225b3f23b5/go.mod"
"github.com/olekukonko/tablewriter v0.0.1/go.mod"
"github.com/olekukonko/tablewriter v0.0.4"
"github.com/olekukonko/tablewriter v0.0.4/go.mod"
"github.com/onsi/ginkgo v0.0.0-20151202141238-7f8ab55aaf3b/go.mod"
"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
"github.com/onsi/ginkgo v1.6.0/go.mod"
"github.com/onsi/ginkgo v1.7.0/go.mod"
"github.com/onsi/ginkgo v1.8.0/go.mod"
"github.com/onsi/ginkgo v1.10.1/go.mod"
"github.com/onsi/ginkgo v1.10.3/go.mod"
"github.com/onsi/ginkgo v1.11.0/go.mod"
"github.com/onsi/ginkgo v1.12.0/go.mod"
"github.com/onsi/ginkgo v1.12.1/go.mod"
"github.com/onsi/ginkgo v1.14.1/go.mod"
"github.com/onsi/ginkgo v1.15.0/go.mod"
"github.com/onsi/ginkgo v1.15.2"
"github.com/onsi/ginkgo v1.15.2/go.mod"
"github.com/onsi/gomega v0.0.0-20151007035656-2152b45fa28a/go.mod"
"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
"github.com/onsi/gomega v1.4.3/go.mod"
"github.com/onsi/gomega v1.5.0/go.mod"
"github.com/onsi/gomega v1.7.0/go.mod"
"github.com/onsi/gomega v1.7.1/go.mod"
"github.com/onsi/gomega v1.8.1/go.mod"
"github.com/onsi/gomega v1.9.0/go.mod"
"github.com/onsi/gomega v1.10.0/go.mod"
"github.com/onsi/gomega v1.10.1/go.mod"
"github.com/onsi/gomega v1.10.2/go.mod"
"github.com/onsi/gomega v1.10.3/go.mod"
"github.com/onsi/gomega v1.10.5/go.mod"
"github.com/onsi/gomega v1.11.0"
"github.com/onsi/gomega v1.11.0/go.mod"
"github.com/op/go-logging v0.0.0-20160315200505-970db520ece7/go.mod"
"github.com/opencontainers/go-digest v0.0.0-20170106003457-a6d0ee40d420/go.mod"
"github.com/opencontainers/go-digest v0.0.0-20180430190053-c9281466c8b2/go.mod"
"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
"github.com/opencontainers/go-digest v1.0.0-rc1.0.20180430190053-c9281466c8b2/go.mod"
"github.com/opencontainers/go-digest v1.0.0"
"github.com/opencontainers/go-digest v1.0.0/go.mod"
"github.com/opencontainers/image-spec v1.0.0/go.mod"
"github.com/opencontainers/image-spec v1.0.1/go.mod"
"github.com/opencontainers/image-spec v1.0.2-0.20190823105129-775207bd45b6/go.mod"
"github.com/opencontainers/image-spec v1.0.2-0.20200206005212-79b036d80240"
"github.com/opencontainers/image-spec v1.0.2-0.20200206005212-79b036d80240/go.mod"
"github.com/opencontainers/runc v0.0.0-20190115041553-12f6a991201f/go.mod"
"github.com/opencontainers/runc v0.0.0-20190425234816-dae70e8efea4/go.mod"
"github.com/opencontainers/runc v0.1.1/go.mod"
"github.com/opencontainers/runc v1.0.0-rc8.0.20190926000215-3e425f80a8c9/go.mod"
"github.com/opencontainers/runc v1.0.0-rc9/go.mod"
"github.com/opencontainers/runc v1.0.0-rc91/go.mod"
"github.com/opencontainers/runc v1.0.0-rc93"
"github.com/opencontainers/runc v1.0.0-rc93/go.mod"
"github.com/opencontainers/runtime-spec v1.0.3-0.20201121164853-7413a7f753e1"
"github.com/opencontainers/runtime-spec v1.0.3-0.20201121164853-7413a7f753e1/go.mod"
"github.com/opencontainers/runtime-tools v0.0.0-20181011054405-1d69bd0f9c39/go.mod"
"github.com/opencontainers/runtime-tools v0.9.0/go.mod"
"github.com/opencontainers/runtime-tools v0.9.1-0.20200121211434-d1bf3e66ff0a"
"github.com/opencontainers/runtime-tools v0.9.1-0.20200121211434-d1bf3e66ff0a/go.mod"
"github.com/opencontainers/selinux v1.5.1/go.mod"
"github.com/opencontainers/selinux v1.6.0/go.mod"
"github.com/opencontainers/selinux v1.8.0"
"github.com/opencontainers/selinux v1.8.0/go.mod"
"github.com/openshift/imagebuilder v1.2.0"
"github.com/openshift/imagebuilder v1.2.0/go.mod"
"github.com/opentracing-contrib/go-observer v0.0.0-20170622124052-a52f23424492/go.mod"
"github.com/opentracing/basictracer-go v1.0.0/go.mod"
"github.com/opentracing/opentracing-go v1.0.2/go.mod"
"github.com/opentracing/opentracing-go v1.1.0/go.mod"
"github.com/openzipkin-contrib/zipkin-go-opentracing v0.4.5/go.mod"
"github.com/openzipkin/zipkin-go v0.1.6/go.mod"
"github.com/openzipkin/zipkin-go v0.2.1/go.mod"
"github.com/openzipkin/zipkin-go v0.2.2/go.mod"
"github.com/ostreedev/ostree-go v0.0.0-20190702140239-759a8c1ac913"
"github.com/ostreedev/ostree-go v0.0.0-20190702140239-759a8c1ac913/go.mod"
"github.com/pact-foundation/pact-go v1.0.4/go.mod"
"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
"github.com/pborman/uuid v1.2.0/go.mod"
"github.com/pelletier/go-buffruneio v0.2.0/go.mod"
"github.com/pelletier/go-toml v1.2.0/go.mod"
"github.com/performancecopilot/speed v3.0.0+incompatible/go.mod"
"github.com/peterbourgon/diskv v2.0.1+incompatible/go.mod"
"github.com/phayes/checkstyle v0.0.0-20170904204023-bfd46e6a821d/go.mod"
"github.com/pierrec/lz4 v1.0.2-0.20190131084431-473cd7ce01a1/go.mod"
"github.com/pierrec/lz4 v2.0.5+incompatible/go.mod"
"github.com/pkg/diff v0.0.0-20200914180035-5b29258ca4f7"
"github.com/pkg/diff v0.0.0-20200914180035-5b29258ca4f7/go.mod"
"github.com/pkg/errors v0.0.0-20190227000051-27936f6d90f9/go.mod"
"github.com/pkg/errors v0.8.0/go.mod"
"github.com/pkg/errors v0.8.1-0.20171018195549-f15c970de5b7/go.mod"
"github.com/pkg/errors v0.8.1/go.mod"
"github.com/pkg/errors v0.9.1"
"github.com/pkg/errors v0.9.1/go.mod"
"github.com/pkg/profile v1.2.1/go.mod"
"github.com/pmezard/go-difflib v1.0.0"
"github.com/pmezard/go-difflib v1.0.0/go.mod"
"github.com/posener/complete v1.1.1/go.mod"
"github.com/pquerna/cachecontrol v0.0.0-20171018203845-0dec1b30a021/go.mod"
"github.com/pquerna/ffjson v0.0.0-20181028064349-e517b90714f7/go.mod"
"github.com/pquerna/ffjson v0.0.0-20190813045741-dac163c6c0a9"
"github.com/pquerna/ffjson v0.0.0-20190813045741-dac163c6c0a9/go.mod"
"github.com/prometheus/client_golang v0.0.0-20180209125602-c332b6f63c06/go.mod"
"github.com/prometheus/client_golang v0.9.1/go.mod"
"github.com/prometheus/client_golang v0.9.3-0.20190127221311-3c4408c8b829/go.mod"
"github.com/prometheus/client_golang v0.9.3/go.mod"
"github.com/prometheus/client_golang v1.0.0/go.mod"
"github.com/prometheus/client_golang v1.1.0/go.mod"
"github.com/prometheus/client_golang v1.3.0/go.mod"
"github.com/prometheus/client_golang v1.7.1/go.mod"
"github.com/prometheus/client_golang v1.10.0"
"github.com/prometheus/client_golang v1.10.0/go.mod"
"github.com/prometheus/client_model v0.0.0-20171117100541-99fa1f4be8e5/go.mod"
"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
"github.com/prometheus/client_model v0.0.0-20190115171406-56726106282f/go.mod"
"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
"github.com/prometheus/client_model v0.1.0/go.mod"
"github.com/prometheus/client_model v0.2.0"
"github.com/prometheus/client_model v0.2.0/go.mod"
"github.com/prometheus/common v0.0.0-20180110214958-89604d197083/go.mod"
"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
"github.com/prometheus/common v0.2.0/go.mod"
"github.com/prometheus/common v0.4.0/go.mod"
"github.com/prometheus/common v0.4.1/go.mod"
"github.com/prometheus/common v0.6.0/go.mod"
"github.com/prometheus/common v0.7.0/go.mod"
"github.com/prometheus/common v0.10.0/go.mod"
"github.com/prometheus/common v0.18.0"
"github.com/prometheus/common v0.18.0/go.mod"
"github.com/prometheus/procfs v0.0.0-20180125133057-cb4147076ac7/go.mod"
"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
"github.com/prometheus/procfs v0.0.0-20190117184657-bf6a532e95b1/go.mod"
"github.com/prometheus/procfs v0.0.0-20190507164030-5867b95ac084/go.mod"
"github.com/prometheus/procfs v0.0.0-20190522114515-bc1a522cf7b1/go.mod"
"github.com/prometheus/procfs v0.0.2/go.mod"
"github.com/prometheus/procfs v0.0.3/go.mod"
"github.com/prometheus/procfs v0.0.5/go.mod"
"github.com/prometheus/procfs v0.0.8/go.mod"
"github.com/prometheus/procfs v0.1.3/go.mod"
"github.com/prometheus/procfs v0.2.0/go.mod"
"github.com/prometheus/procfs v0.6.0"
"github.com/prometheus/procfs v0.6.0/go.mod"
"github.com/prometheus/tsdb v0.7.1/go.mod"
"github.com/psampaz/go-mod-outdated v0.5.0/go.mod"
"github.com/psampaz/go-mod-outdated v0.7.0"
"github.com/psampaz/go-mod-outdated v0.7.0/go.mod"
"github.com/quasilyte/go-consistent v0.0.0-20190521200055-c6f3937de18c/go.mod"
"github.com/quobyte/api v0.1.8/go.mod"
"github.com/rcrowley/go-metrics v0.0.0-20181016184325-3113b8401b8a/go.mod"
"github.com/remyoudompheng/bigfft v0.0.0-20170806203942-52369c62f446/go.mod"
"github.com/rivo/uniseg v0.1.0/go.mod"
"github.com/rivo/uniseg v0.2.0"
"github.com/rivo/uniseg v0.2.0/go.mod"
"github.com/robfig/cron v1.1.0/go.mod"
"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
"github.com/rogpeppe/go-internal v1.3.0/go.mod"
"github.com/rogpeppe/go-internal v1.6.2"
"github.com/rogpeppe/go-internal v1.6.2/go.mod"
"github.com/rootless-containers/rootlesskit v0.14.0-beta.0"
"github.com/rootless-containers/rootlesskit v0.14.0-beta.0/go.mod"
"github.com/rubiojr/go-vhd v0.0.0-20200706105327-02e210299021/go.mod"
"github.com/russross/blackfriday v0.0.0-20170610170232-067529f716f4/go.mod"
"github.com/russross/blackfriday v1.5.2"
"github.com/russross/blackfriday v1.5.2/go.mod"
"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
"github.com/russross/blackfriday/v2 v2.1.0"
"github.com/russross/blackfriday/v2 v2.1.0/go.mod"
"github.com/ryancurrah/gomodguard v1.0.2/go.mod"
"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
"github.com/safchain/ethtool v0.0.0-20190326074333-42ed695e3de8"
"github.com/safchain/ethtool v0.0.0-20190326074333-42ed695e3de8/go.mod"
"github.com/samuel/go-zookeeper v0.0.0-20190923202752-2cc03de413da/go.mod"
"github.com/saschagrunert/ccli v1.0.2-0.20200423111659-b68f755cc0f5/go.mod"
"github.com/saschagrunert/go-modiff v1.2.0/go.mod"
"github.com/saschagrunert/go-modiff v1.2.1"
"github.com/saschagrunert/go-modiff v1.2.1/go.mod"
"github.com/satori/go.uuid v1.2.0/go.mod"
"github.com/sclevine/spec v1.2.0/go.mod"
"github.com/sclevine/spec v1.4.0/go.mod"
"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
"github.com/seccomp/libseccomp-golang v0.9.1/go.mod"
"github.com/seccomp/libseccomp-golang v0.9.2-0.20200616122406-847368b35ebf"
"github.com/seccomp/libseccomp-golang v0.9.2-0.20200616122406-847368b35ebf/go.mod"
"github.com/securego/gosec v0.0.0-20200103095621-79fbf3af8d83/go.mod"
"github.com/sendgrid/rest v2.4.1+incompatible/go.mod"
"github.com/sendgrid/rest v2.6.1+incompatible/go.mod"
"github.com/sendgrid/rest v2.6.2+incompatible/go.mod"
"github.com/sendgrid/sendgrid-go v3.5.0+incompatible/go.mod"
"github.com/sendgrid/sendgrid-go v3.6.4+incompatible/go.mod"
"github.com/sendgrid/sendgrid-go v3.7.2+incompatible/go.mod"
"github.com/sergi/go-diff v1.0.0/go.mod"
"github.com/sergi/go-diff v1.1.0"
"github.com/sergi/go-diff v1.1.0/go.mod"
"github.com/shirou/gopsutil v0.0.0-20190901111213-e4ec7b275ada"
"github.com/shirou/gopsutil v0.0.0-20190901111213-e4ec7b275ada/go.mod"
"github.com/shirou/gopsutil/v3 v3.20.12"
"github.com/shirou/gopsutil/v3 v3.20.12/go.mod"
"github.com/shirou/w32 v0.0.0-20160930032740-bb4de0191aa4/go.mod"
"github.com/shurcooL/go v0.0.0-20180423040247-9e1955d9fb6e/go.mod"
"github.com/shurcooL/go-goon v0.0.0-20170922171312-37c2f522c041/go.mod"
"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
"github.com/sirupsen/logrus v0.0.0-20190403091019-9b3cdde74fbe/go.mod"
"github.com/sirupsen/logrus v1.0.4-0.20170822132746-89742aefa4b2/go.mod"
"github.com/sirupsen/logrus v1.0.6/go.mod"
"github.com/sirupsen/logrus v1.2.0/go.mod"
"github.com/sirupsen/logrus v1.4.1/go.mod"
"github.com/sirupsen/logrus v1.4.2/go.mod"
"github.com/sirupsen/logrus v1.6.0/go.mod"
"github.com/sirupsen/logrus v1.7.0/go.mod"
"github.com/sirupsen/logrus v1.8.0/go.mod"
"github.com/sirupsen/logrus v1.8.1"
"github.com/sirupsen/logrus v1.8.1/go.mod"
"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
"github.com/smartystreets/goconvey v0.0.0-20190330032615-68dc04aab96a/go.mod"
"github.com/smartystreets/goconvey v1.6.4/go.mod"
"github.com/soheilhy/cmux v0.1.4/go.mod"
"github.com/soheilhy/cmux v0.1.5"
"github.com/soheilhy/cmux v0.1.5/go.mod"
"github.com/sony/gobreaker v0.4.1/go.mod"
"github.com/sourcegraph/go-diff v0.5.1/go.mod"
"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
"github.com/spf13/afero v1.1.2/go.mod"
"github.com/spf13/afero v1.2.2"
"github.com/spf13/afero v1.2.2/go.mod"
"github.com/spf13/cast v1.3.0/go.mod"
"github.com/spf13/cobra v0.0.2-0.20171109065643-2da4a54c5cee/go.mod"
"github.com/spf13/cobra v0.0.3/go.mod"
"github.com/spf13/cobra v0.0.5/go.mod"
"github.com/spf13/cobra v0.0.7/go.mod"
"github.com/spf13/cobra v1.0.0/go.mod"
"github.com/spf13/cobra v1.1.1/go.mod"
"github.com/spf13/cobra v1.1.3"
"github.com/spf13/cobra v1.1.3/go.mod"
"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
"github.com/spf13/jwalterweatherman v1.1.0/go.mod"
"github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
"github.com/spf13/pflag v1.0.1-0.20171106142849-4c012f6dcd95/go.mod"
"github.com/spf13/pflag v1.0.1/go.mod"
"github.com/spf13/pflag v1.0.3/go.mod"
"github.com/spf13/pflag v1.0.5"
"github.com/spf13/pflag v1.0.5/go.mod"
"github.com/spf13/viper v1.3.2/go.mod"
"github.com/spf13/viper v1.4.0/go.mod"
"github.com/spf13/viper v1.6.1/go.mod"
"github.com/spf13/viper v1.7.0/go.mod"
"github.com/src-d/gcfg v1.4.0/go.mod"
"github.com/stefanberger/go-pkcs11uri v0.0.0-20201008174630-78d3cae3a980"
"github.com/stefanberger/go-pkcs11uri v0.0.0-20201008174630-78d3cae3a980/go.mod"
"github.com/storageos/go-api v2.2.0+incompatible/go.mod"
"github.com/streadway/amqp v0.0.0-20190404075320-75d898a42a94/go.mod"
"github.com/streadway/amqp v0.0.0-20190827072141-edfb9018d271/go.mod"
"github.com/streadway/handy v0.0.0-20190108123426-d5acb3125c2a/go.mod"
"github.com/stretchr/objx v0.0.0-20180129172003-8a3f7159479f/go.mod"
"github.com/stretchr/objx v0.1.0/go.mod"
"github.com/stretchr/objx v0.1.1/go.mod"
"github.com/stretchr/objx v0.2.0"
"github.com/stretchr/objx v0.2.0/go.mod"
"github.com/stretchr/testify v0.0.0-20180303142811-b89eecf5ca5d/go.mod"
"github.com/stretchr/testify v1.2.2/go.mod"
"github.com/stretchr/testify v1.3.0/go.mod"
"github.com/stretchr/testify v1.4.0/go.mod"
"github.com/stretchr/testify v1.5.1/go.mod"
"github.com/stretchr/testify v1.6.1/go.mod"
"github.com/stretchr/testify v1.7.0"
"github.com/stretchr/testify v1.7.0/go.mod"
"github.com/subosito/gotenv v1.2.0/go.mod"
"github.com/syndtr/gocapability v0.0.0-20170704070218-db04d3cc01c8/go.mod"
"github.com/syndtr/gocapability v0.0.0-20180916011248-d98352740cb2/go.mod"
"github.com/syndtr/gocapability v0.0.0-20200815063812-42c35b437635"
"github.com/syndtr/gocapability v0.0.0-20200815063812-42c35b437635/go.mod"
"github.com/tchap/go-patricia v2.2.6+incompatible/go.mod"
"github.com/tchap/go-patricia v2.3.0+incompatible"
"github.com/tchap/go-patricia v2.3.0+incompatible/go.mod"
"github.com/tetafro/godot v0.2.5/go.mod"
"github.com/thecodeteam/goscaleio v0.1.0/go.mod"
"github.com/tidwall/pretty v1.0.0/go.mod"
"github.com/timakin/bodyclose v0.0.0-20190930140734-f7f2e9bca95e/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5/go.mod"
"github.com/tommy-muehle/go-mnd v1.1.1/go.mod"
"github.com/tommy-muehle/go-mnd v1.3.1-0.20200224220436-e6f9a994e8fa/go.mod"
"github.com/u-root/u-root v7.0.0+incompatible/go.mod"
"github.com/uber/jaeger-client-go v2.25.0+incompatible/go.mod"
"github.com/ugorji/go v1.1.4/go.mod"
"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
"github.com/ulikunitz/xz v0.5.8/go.mod"
"github.com/ulikunitz/xz v0.5.9/go.mod"
"github.com/ulikunitz/xz v0.5.10"
"github.com/ulikunitz/xz v0.5.10/go.mod"
"github.com/ultraware/funlen v0.0.2/go.mod"
"github.com/ultraware/whitespace v0.0.4/go.mod"
"github.com/urfave/cli v0.0.0-20171014202726-7bc6a0acffa5/go.mod"
"github.com/urfave/cli v1.20.0/go.mod"
"github.com/urfave/cli v1.22.1/go.mod"
"github.com/urfave/cli v1.22.2"
"github.com/urfave/cli v1.22.2/go.mod"
"github.com/urfave/cli/v2 v2.2.0/go.mod"
"github.com/urfave/cli/v2 v2.3.0"
"github.com/urfave/cli/v2 v2.3.0/go.mod"
"github.com/urfave/negroni v1.0.0/go.mod"
"github.com/uudashr/gocognit v1.0.1/go.mod"
"github.com/valyala/bytebufferpool v1.0.0/go.mod"
"github.com/valyala/fasthttp v1.2.0/go.mod"
"github.com/valyala/quicktemplate v1.2.0/go.mod"
"github.com/valyala/tcplisten v0.0.0-20161114210144-ceec8f93295a/go.mod"
"github.com/vbatts/tar-split v0.11.1"
"github.com/vbatts/tar-split v0.11.1/go.mod"
"github.com/vbauerster/mpb/v5 v5.3.0/go.mod"
"github.com/vbauerster/mpb/v5 v5.4.0/go.mod"
"github.com/vbauerster/mpb/v6 v6.0.3"
"github.com/vbauerster/mpb/v6 v6.0.3/go.mod"
"github.com/vdemeester/k8s-pkg-credentialprovider v1.18.1-0.20201019120933-f1d16962a4db/go.mod"
"github.com/vektah/gqlparser v1.1.2/go.mod"
"github.com/vishvananda/netlink v0.0.0-20181108222139-023a6dafdcdf/go.mod"
"github.com/vishvananda/netlink v1.1.0/go.mod"
"github.com/vishvananda/netlink v1.1.1-0.20201029203352-d40f9887b852"
"github.com/vishvananda/netlink v1.1.1-0.20201029203352-d40f9887b852/go.mod"
"github.com/vishvananda/netns v0.0.0-20180720170159-13995c7128cc/go.mod"
"github.com/vishvananda/netns v0.0.0-20191106174202-0a2b9b5464df/go.mod"
"github.com/vishvananda/netns v0.0.0-20200728191858-db3c7e526aae"
"github.com/vishvananda/netns v0.0.0-20200728191858-db3c7e526aae/go.mod"
"github.com/vmware/govmomi v0.20.3/go.mod"
"github.com/willf/bitset v1.1.11-0.20200630133818-d5bec3311243/go.mod"
"github.com/willf/bitset v1.1.11"
"github.com/willf/bitset v1.1.11/go.mod"
"github.com/xanzy/ssh-agent v0.2.1"
"github.com/xanzy/ssh-agent v0.2.1/go.mod"
"github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f/go.mod"
"github.com/xeipuuv/gojsonpointer v0.0.0-20190809123943-df4f5c81cb3b"
"github.com/xeipuuv/gojsonpointer v0.0.0-20190809123943-df4f5c81cb3b/go.mod"
"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415"
"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415/go.mod"
"github.com/xeipuuv/gojsonschema v0.0.0-20180618132009-1d523034197f/go.mod"
"github.com/xeipuuv/gojsonschema v1.2.0"
"github.com/xeipuuv/gojsonschema v1.2.0/go.mod"
"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
"github.com/xlab/handysort v0.0.0-20150421192137-fb3537ed64a1/go.mod"
"github.com/xlab/treeprint v0.0.0-20181112141820-a009c3971eca/go.mod"
"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
"github.com/yuin/goldmark v1.1.25/go.mod"
"github.com/yuin/goldmark v1.1.27/go.mod"
"github.com/yuin/goldmark v1.1.32/go.mod"
"github.com/yuin/goldmark v1.2.1/go.mod"
"github.com/yuin/goldmark v1.3.1/go.mod"
"github.com/yvasiyarov/go-metrics v0.0.0-20140926110328-57bccd1ccd43/go.mod"
"github.com/yvasiyarov/gorelic v0.0.0-20141212073537-a9bba5b9ab50/go.mod"
"github.com/yvasiyarov/newrelic_platform_go v0.0.0-20140908184405-b21fdbd4370f/go.mod"
"go.etcd.io/bbolt v1.3.2/go.mod"
"go.etcd.io/bbolt v1.3.3/go.mod"
"go.etcd.io/bbolt v1.3.5"
"go.etcd.io/bbolt v1.3.5/go.mod"
"go.etcd.io/etcd v0.0.0-20191023171146-3cf2f69b5738/go.mod"
"go.etcd.io/etcd v0.5.0-alpha.5.0.20200910180754-dd1b699fc489/go.mod"
"go.mongodb.org/mongo-driver v1.0.3/go.mod"
"go.mongodb.org/mongo-driver v1.1.1/go.mod"
"go.mongodb.org/mongo-driver v1.1.2/go.mod"
"go.mozilla.org/pkcs7 v0.0.0-20200128120323-432b2356ecb1"
"go.mozilla.org/pkcs7 v0.0.0-20200128120323-432b2356ecb1/go.mod"
"go.opencensus.io v0.20.1/go.mod"
"go.opencensus.io v0.20.2/go.mod"
"go.opencensus.io v0.21.0/go.mod"
"go.opencensus.io v0.22.0/go.mod"
"go.opencensus.io v0.22.1/go.mod"
"go.opencensus.io v0.22.2/go.mod"
"go.opencensus.io v0.22.3/go.mod"
"go.opencensus.io v0.22.4/go.mod"
"go.opencensus.io v0.22.5"
"go.opencensus.io v0.22.5/go.mod"
"go.starlark.net v0.0.0-20200306205701-8dd3e2ee1dd5/go.mod"
"go.uber.org/atomic v1.3.2/go.mod"
"go.uber.org/atomic v1.4.0/go.mod"
"go.uber.org/atomic v1.5.0/go.mod"
"go.uber.org/multierr v1.1.0/go.mod"
"go.uber.org/multierr v1.3.0/go.mod"
"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee/go.mod"
"go.uber.org/zap v1.10.0/go.mod"
"go.uber.org/zap v1.13.0/go.mod"
"golang.org/dl v0.0.0-20190829154251-82a15e2f2ead/go.mod"
"golang.org/x/crypto v0.0.0-20171113213409-9f005a07e0d3/go.mod"
"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
"golang.org/x/crypto v0.0.0-20181009213950-7c1a557ab941/go.mod"
"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
"golang.org/x/crypto v0.0.0-20190123085648-057139ce5d2b/go.mod"
"golang.org/x/crypto v0.0.0-20190211182817-74369b46fc67/go.mod"
"golang.org/x/crypto v0.0.0-20190219172222-a4c6cb3142f2/go.mod"
"golang.org/x/crypto v0.0.0-20190228161510-8dd112bcdc25/go.mod"
"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
"golang.org/x/crypto v0.0.0-20190320223903-b7391e95e576/go.mod"
"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8/go.mod"
"golang.org/x/crypto v0.0.0-20190617133340-57b3e21c3d56/go.mod"
"golang.org/x/crypto v0.0.0-20190701094942-4def268fd1a4/go.mod"
"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
"golang.org/x/crypto v0.0.0-20191206172530-e9b2fee46413/go.mod"
"golang.org/x/crypto v0.0.0-20200302210943-78000ba7a073/go.mod"
"golang.org/x/crypto v0.0.0-20200423211502-4bdfaf469ed5/go.mod"
"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
"golang.org/x/crypto v0.0.0-20200728195943-123391ffb6de/go.mod"
"golang.org/x/crypto v0.0.0-20201002170205-7f63de1d35b0/go.mod"
"golang.org/x/crypto v0.0.0-20201221181555-eec23a3978ad/go.mod"
"golang.org/x/crypto v0.0.0-20210220033148-5ea612d1eb83"
"golang.org/x/crypto v0.0.0-20210220033148-5ea612d1eb83/go.mod"
"golang.org/x/exp v0.0.0-20180321215751-8460e604b9de/go.mod"
"golang.org/x/exp v0.0.0-20180807140117-3d87b88a115f/go.mod"
"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
"golang.org/x/exp v0.0.0-20190125153040-c74c464bbbf2/go.mod"
"golang.org/x/exp v0.0.0-20190306152737-a1d7652674e8/go.mod"
"golang.org/x/exp v0.0.0-20190312203227-4b39c73a6495/go.mod"
"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
"golang.org/x/exp v0.0.0-20190731235908-ec7cb31e5a56/go.mod"
"golang.org/x/exp v0.0.0-20190829153037-c13cbed26979/go.mod"
"golang.org/x/exp v0.0.0-20191030013958-a1ab85dbe136/go.mod"
"golang.org/x/exp v0.0.0-20191129062945-2f5052295587/go.mod"
"golang.org/x/exp v0.0.0-20191227195350-da58074b4299/go.mod"
"golang.org/x/exp v0.0.0-20200119233911-0405dc783f0a/go.mod"
"golang.org/x/exp v0.0.0-20200207192155-f17229e696bd/go.mod"
"golang.org/x/exp v0.0.0-20200224162631-6cc2880d07d6/go.mod"
"golang.org/x/exp v0.0.0-20200331195152-e8c3332aa8e5/go.mod"
"golang.org/x/exp v0.0.0-20210220032938-85be41e4509f/go.mod"
"golang.org/x/image v0.0.0-20180708004352-c73c2afc3b81/go.mod"
"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
"golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
"golang.org/x/lint v0.0.0-20190909230951-414d861bb4ac/go.mod"
"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
"golang.org/x/lint v0.0.0-20200130185559-910be7a94367/go.mod"
"golang.org/x/lint v0.0.0-20200302205851-738671d3881b/go.mod"
"golang.org/x/lint v0.0.0-20201208152925-83fdc39ff7b5/go.mod"
"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
"golang.org/x/mobile v0.0.0-20190719004257-d2bd2a29d028/go.mod"
"golang.org/x/mobile v0.0.0-20201217150744-e6ae53a27f4f/go.mod"
"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
"golang.org/x/mod v0.1.0/go.mod"
"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
"golang.org/x/mod v0.1.1-0.20191107180719-034126e5016b/go.mod"
"golang.org/x/mod v0.1.1-0.20191209134235-331c550502dd/go.mod"
"golang.org/x/mod v0.2.0/go.mod"
"golang.org/x/mod v0.3.0/go.mod"
"golang.org/x/mod v0.3.1-0.20200828183125-ce943fd02449/go.mod"
"golang.org/x/mod v0.4.0"
"golang.org/x/mod v0.4.0/go.mod"
"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
"golang.org/x/net v0.0.0-20180911220305-26e67e76b6c3/go.mod"
"golang.org/x/net v0.0.0-20181005035420-146acd28ed58/go.mod"
"golang.org/x/net v0.0.0-20181011144130-49bb7cea24b1/go.mod"
"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
"golang.org/x/net v0.0.0-20190125091013-d26f9f9a57f3/go.mod"
"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
"golang.org/x/net v0.0.0-20190320064053-1272bf9dcd53/go.mod"
"golang.org/x/net v0.0.0-20190328230028-74de082e2cca/go.mod"
"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
"golang.org/x/net v0.0.0-20190419010253-1f3472d942ba/go.mod"
"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
"golang.org/x/net v0.0.0-20190522155817-f3200d17e092/go.mod"
"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
"golang.org/x/net v0.0.0-20190619014844-b5b0513f8c1b/go.mod"
"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
"golang.org/x/net v0.0.0-20190628185345-da137c7871d7/go.mod"
"golang.org/x/net v0.0.0-20190724013045-ca1201d0de80/go.mod"
"golang.org/x/net v0.0.0-20190813141303-74dc4d7220e7/go.mod"
"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
"golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
"golang.org/x/net v0.0.0-20191004110552-13f9640d40b9/go.mod"
"golang.org/x/net v0.0.0-20191007182048-72f939374954/go.mod"
"golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
"golang.org/x/net v0.0.0-20200114155413-6afb5195e5aa/go.mod"
"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
"golang.org/x/net v0.0.0-20200222125558-5a598a2470a0/go.mod"
"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
"golang.org/x/net v0.0.0-20200301022130-244492dfa37a/go.mod"
"golang.org/x/net v0.0.0-20200324143707-d3edc9973b7e/go.mod"
"golang.org/x/net v0.0.0-20200421231249-e086a090c8fd/go.mod"
"golang.org/x/net v0.0.0-20200501053045-e0ff5e5a1de5/go.mod"
"golang.org/x/net v0.0.0-20200506145744-7e3656a0809f/go.mod"
"golang.org/x/net v0.0.0-20200513185701-a91f0712d120/go.mod"
"golang.org/x/net v0.0.0-20200520004742-59133d7f0dd7/go.mod"
"golang.org/x/net v0.0.0-20200520182314-0ba52f642ac2/go.mod"
"golang.org/x/net v0.0.0-20200625001655-4c5254603344/go.mod"
"golang.org/x/net v0.0.0-20200707034311-ab3426394381/go.mod"
"golang.org/x/net v0.0.0-20200822124328-c89045814202/go.mod"
"golang.org/x/net v0.0.0-20200904194848-62affa334b73/go.mod"
"golang.org/x/net v0.0.0-20200930145003-4acb6c075d10/go.mod"
"golang.org/x/net v0.0.0-20201006153459-a7d1128ccaa0/go.mod"
"golang.org/x/net v0.0.0-20201010224723-4f7140c49acb/go.mod"
"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
"golang.org/x/net v0.0.0-20201026091529-146b70c837a4/go.mod"
"golang.org/x/net v0.0.0-20201031054903-ff519b6c9102/go.mod"
"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
"golang.org/x/net v0.0.0-20201202161906-c7110b5ffcbb/go.mod"
"golang.org/x/net v0.0.0-20201224014010-6772e930b67b/go.mod"
"golang.org/x/net v0.0.0-20210119194325-5f4716e94777/go.mod"
"golang.org/x/net v0.0.0-20210224082022-3d97a244fca7/go.mod"
"golang.org/x/net v0.0.0-20210316092652-d523dce5a7f4"
"golang.org/x/net v0.0.0-20210316092652-d523dce5a7f4/go.mod"
"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6/go.mod"
"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
"golang.org/x/oauth2 v0.0.0-20200902213428-5d25da1a8d43/go.mod"
"golang.org/x/oauth2 v0.0.0-20201109201403-9fd604954f58/go.mod"
"golang.org/x/oauth2 v0.0.0-20201208152858-08078c50e5b5/go.mod"
"golang.org/x/oauth2 v0.0.0-20210112200429-01de73cf58bd"
"golang.org/x/oauth2 v0.0.0-20210112200429-01de73cf58bd/go.mod"
"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
"golang.org/x/sync v0.0.0-20200317015054-43a5402ce75a/go.mod"
"golang.org/x/sync v0.0.0-20200625203802-6e8e738ad208/go.mod"
"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
"golang.org/x/sync v0.0.0-20201207232520-09787c993a3a/go.mod"
"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c"
"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c/go.mod"
"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
"golang.org/x/sys v0.0.0-20181122145206-62eef0e2fa9b/go.mod"
"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
"golang.org/x/sys v0.0.0-20190124100055-b90733256f2e/go.mod"
"golang.org/x/sys v0.0.0-20190209173611-3b5209105503/go.mod"
"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
"golang.org/x/sys v0.0.0-20190221075227-b4e8571b14e0/go.mod"
"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
"golang.org/x/sys v0.0.0-20190228124157-a34e9553db1e/go.mod"
"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
"golang.org/x/sys v0.0.0-20190321052220-f7bb7a8bee54/go.mod"
"golang.org/x/sys v0.0.0-20190411185658-b44545bcd369/go.mod"
"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
"golang.org/x/sys v0.0.0-20190418153312-f0ce4c0180be/go.mod"
"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
"golang.org/x/sys v0.0.0-20190425145619-16072639606e/go.mod"
"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
"golang.org/x/sys v0.0.0-20190514135907-3a4b5fb9f71f/go.mod"
"golang.org/x/sys v0.0.0-20190522044717-8097e1b27ff5/go.mod"
"golang.org/x/sys v0.0.0-20190602015325-4c4f7f33c9ed/go.mod"
"golang.org/x/sys v0.0.0-20190606122018-79a91cf218c4/go.mod"
"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
"golang.org/x/sys v0.0.0-20190606203320-7fc4e5ec1444/go.mod"
"golang.org/x/sys v0.0.0-20190616124812-15dcb6c0061f/go.mod"
"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
"golang.org/x/sys v0.0.0-20190626221950-04f50cda93cb/go.mod"
"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
"golang.org/x/sys v0.0.0-20190801041406-cbf593c0f2f3/go.mod"
"golang.org/x/sys v0.0.0-20190812073006-9eafafc0a87e/go.mod"
"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
"golang.org/x/sys v0.0.0-20190904154756-749cb33beabd/go.mod"
"golang.org/x/sys v0.0.0-20190916202348-b4ddaad3f8a3/go.mod"
"golang.org/x/sys v0.0.0-20190922100055-0a153f010e69/go.mod"
"golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
"golang.org/x/sys v0.0.0-20191001151750-bb3f8db39f24/go.mod"
"golang.org/x/sys v0.0.0-20191002063906-3421d5a6bb1c/go.mod"
"golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
"golang.org/x/sys v0.0.0-20191008105621-543471e840be/go.mod"
"golang.org/x/sys v0.0.0-20191022100944-742c48ecaeb7/go.mod"
"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
"golang.org/x/sys v0.0.0-20191115151921-52ab43148777/go.mod"
"golang.org/x/sys v0.0.0-20191120155948-bd437916bb0e/go.mod"
"golang.org/x/sys v0.0.0-20191204072324-ce4227a45e2e/go.mod"
"golang.org/x/sys v0.0.0-20191210023423-ac6580df4449/go.mod"
"golang.org/x/sys v0.0.0-20191220142924-d4481acd189f/go.mod"
"golang.org/x/sys v0.0.0-20191228213918-04cbcbbfeed8/go.mod"
"golang.org/x/sys v0.0.0-20200106162015-b016eb3dc98e/go.mod"
"golang.org/x/sys v0.0.0-20200113162924-86b910548bc1/go.mod"
"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
"golang.org/x/sys v0.0.0-20200120151820-655fe14d7479/go.mod"
"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82/go.mod"
"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9/go.mod"
"golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
"golang.org/x/sys v0.0.0-20200212091648-12a6c2dcc1e4/go.mod"
"golang.org/x/sys v0.0.0-20200217220822-9197077df867/go.mod"
"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
"golang.org/x/sys v0.0.0-20200302150141-5c8b2ff67527/go.mod"
"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
"golang.org/x/sys v0.0.0-20200327173247-9dae0f8f5775/go.mod"
"golang.org/x/sys v0.0.0-20200331124033-c3d80250170d/go.mod"
"golang.org/x/sys v0.0.0-20200420163511-1957bb5e6d1f/go.mod"
"golang.org/x/sys v0.0.0-20200501052902-10377860bb8e/go.mod"
"golang.org/x/sys v0.0.0-20200511232937-7e40ca221e25/go.mod"
"golang.org/x/sys v0.0.0-20200515095857-1151b9dac4a9/go.mod"
"golang.org/x/sys v0.0.0-20200519105757-fe76b779f299/go.mod"
"golang.org/x/sys v0.0.0-20200523222454-059865788121/go.mod"
"golang.org/x/sys v0.0.0-20200615200032-f1bc736245b1/go.mod"
"golang.org/x/sys v0.0.0-20200622214017-ed371f2e16b4/go.mod"
"golang.org/x/sys v0.0.0-20200625212154-ddb9806d33ae/go.mod"
"golang.org/x/sys v0.0.0-20200728102440-3e129f6d46b1/go.mod"
"golang.org/x/sys v0.0.0-20200803210538-64077c9b5642/go.mod"
"golang.org/x/sys v0.0.0-20200810151505-1b9f1253b3ed/go.mod"
"golang.org/x/sys v0.0.0-20200817155316-9781c653f443/go.mod"
"golang.org/x/sys v0.0.0-20200828194041-157a740278f4/go.mod"
"golang.org/x/sys v0.0.0-20200831180312-196b9ba8737a/go.mod"
"golang.org/x/sys v0.0.0-20200905004654-be1d3432aa8f/go.mod"
"golang.org/x/sys v0.0.0-20200909081042-eff7692f9009/go.mod"
"golang.org/x/sys v0.0.0-20200916030750-2334cc1a136f/go.mod"
"golang.org/x/sys v0.0.0-20200922070232-aee5d888a860/go.mod"
"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
"golang.org/x/sys v0.0.0-20201009025420-dfb3f7c4e634/go.mod"
"golang.org/x/sys v0.0.0-20201024232916-9f70ab9862d5/go.mod"
"golang.org/x/sys v0.0.0-20201029080932-201ba4db2418/go.mod"
"golang.org/x/sys v0.0.0-20201101102859-da207088b7d1/go.mod"
"golang.org/x/sys v0.0.0-20201112073958-5cba982894dd/go.mod"
"golang.org/x/sys v0.0.0-20201117170446-d9b008d0a637/go.mod"
"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
"golang.org/x/sys v0.0.0-20201201145000-ef89a241ccb3/go.mod"
"golang.org/x/sys v0.0.0-20201202213521-69691e467435/go.mod"
"golang.org/x/sys v0.0.0-20201218084310-7d0127a74742/go.mod"
"golang.org/x/sys v0.0.0-20210112080510-489259a85091/go.mod"
"golang.org/x/sys v0.0.0-20210119212857-b64e53b001e4/go.mod"
"golang.org/x/sys v0.0.0-20210124154548-22da62e12c0c/go.mod"
"golang.org/x/sys v0.0.0-20210216224549-f992740a1bac/go.mod"
"golang.org/x/sys v0.0.0-20210225134936-a50acf3fe073/go.mod"
"golang.org/x/sys v0.0.0-20210309074719-68d13333faf2/go.mod"
"golang.org/x/sys v0.0.0-20210315160823-c6e025ad8005/go.mod"
"golang.org/x/sys v0.0.0-20210324051608-47abb6519492"
"golang.org/x/sys v0.0.0-20210324051608-47abb6519492/go.mod"
"golang.org/x/term v0.0.0-20191110171634-ad39bd3f0407/go.mod"
"golang.org/x/term v0.0.0-20201113234701-d7a72108b828/go.mod"
"golang.org/x/term v0.0.0-20201117132131-f5c789dd3221/go.mod"
"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
"golang.org/x/term v0.0.0-20210220032956-6a3ed077a48d"
"golang.org/x/term v0.0.0-20210220032956-6a3ed077a48d/go.mod"
"golang.org/x/text v0.0.0-20170915032832-14c0d48ead0c/go.mod"
"golang.org/x/text v0.3.0/go.mod"
"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
"golang.org/x/text v0.3.2/go.mod"
"golang.org/x/text v0.3.3/go.mod"
"golang.org/x/text v0.3.4"
"golang.org/x/text v0.3.4/go.mod"
"golang.org/x/time v0.0.0-20180412165947-fbb02b2291d2/go.mod"
"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
"golang.org/x/time v0.0.0-20200416051211-89c76fbcd5d1/go.mod"
"golang.org/x/time v0.0.0-20200630173020-3af7569d3a1e/go.mod"
"golang.org/x/time v0.0.0-20210220033141-f8bda1e9f3ba"
"golang.org/x/time v0.0.0-20210220033141-f8bda1e9f3ba/go.mod"
"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
"golang.org/x/tools v0.0.0-20180525024113-a5b4c53f6e8b/go.mod"
"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
"golang.org/x/tools v0.0.0-20181117154741-2ddaf7f79a09/go.mod"
"golang.org/x/tools v0.0.0-20190110163146-51295c7ec13a/go.mod"
"golang.org/x/tools v0.0.0-20190125232054-d66bd3c5d5a6/go.mod"
"golang.org/x/tools v0.0.0-20190206041539-40960b6deb8e/go.mod"
"golang.org/x/tools v0.0.0-20190221204921-83362c3779f5/go.mod"
"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
"golang.org/x/tools v0.0.0-20190311215038-5c2858a9cfe5/go.mod"
"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
"golang.org/x/tools v0.0.0-20190322203728-c1a832b0ad89/go.mod"
"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
"golang.org/x/tools v0.0.0-20190521203540-521d6ed310dd/go.mod"
"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
"golang.org/x/tools v0.0.0-20190614205625-5aca471b1d59/go.mod"
"golang.org/x/tools v0.0.0-20190617190820-da514acc4774/go.mod"
"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
"golang.org/x/tools v0.0.0-20190624222133-a101b041ded4/go.mod"
"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
"golang.org/x/tools v0.0.0-20190706070813-72ffa07ba3db/go.mod"
"golang.org/x/tools v0.0.0-20190719005602-e377ae9d6386/go.mod"
"golang.org/x/tools v0.0.0-20190729092621-ff9f1409240a/go.mod"
"golang.org/x/tools v0.0.0-20190816200558-6889da9d5479/go.mod"
"golang.org/x/tools v0.0.0-20190910044552-dd2b5c81c578/go.mod"
"golang.org/x/tools v0.0.0-20190911174233-4f2ddba30aff/go.mod"
"golang.org/x/tools v0.0.0-20191012152004-8de300cfc20a/go.mod"
"golang.org/x/tools v0.0.0-20191029041327-9cc4af7d6b2c/go.mod"
"golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5/go.mod"
"golang.org/x/tools v0.0.0-20191108193012-7d206e10da11/go.mod"
"golang.org/x/tools v0.0.0-20191112195655-aa38f8e97acc/go.mod"
"golang.org/x/tools v0.0.0-20191113191852-77e3bb0ad9e7/go.mod"
"golang.org/x/tools v0.0.0-20191113232020-e2727e816f5a/go.mod"
"golang.org/x/tools v0.0.0-20191115202509-3a792d9c32b2/go.mod"
"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
"golang.org/x/tools v0.0.0-20191130070609-6e064ea0cf2d/go.mod"
"golang.org/x/tools v0.0.0-20191216052735-49a3e744a425/go.mod"
"golang.org/x/tools v0.0.0-20191216173652-a0e659d51361/go.mod"
"golang.org/x/tools v0.0.0-20191227053925-7b8e75db28f4/go.mod"
"golang.org/x/tools v0.0.0-20200102140908-9497f49d5709/go.mod"
"golang.org/x/tools v0.0.0-20200103221440-774c71fcf114/go.mod"
"golang.org/x/tools v0.0.0-20200117012304-6edc0a871e69/go.mod"
"golang.org/x/tools v0.0.0-20200117161641-43d50277825c/go.mod"
"golang.org/x/tools v0.0.0-20200122220014-bf1340f18c4a/go.mod"
"golang.org/x/tools v0.0.0-20200130002326-2f3ba24bd6e7/go.mod"
"golang.org/x/tools v0.0.0-20200204074204-1cc6d1ef6c74/go.mod"
"golang.org/x/tools v0.0.0-20200207183749-b753a1ba74fa/go.mod"
"golang.org/x/tools v0.0.0-20200212150539-ea181f53ac56/go.mod"
"golang.org/x/tools v0.0.0-20200224181240-023911ca70b2/go.mod"
"golang.org/x/tools v0.0.0-20200227222343-706bc42d1f0d/go.mod"
"golang.org/x/tools v0.0.0-20200301222351-066e0c02454c/go.mod"
"golang.org/x/tools v0.0.0-20200304193943-95d2e580d8eb/go.mod"
"golang.org/x/tools v0.0.0-20200312045724-11d5b4c81c7d/go.mod"
"golang.org/x/tools v0.0.0-20200331025713-a30bf2db82d4/go.mod"
"golang.org/x/tools v0.0.0-20200422022333-3d57cf2e726e/go.mod"
"golang.org/x/tools v0.0.0-20200501065659-ab2804fb9c9d/go.mod"
"golang.org/x/tools v0.0.0-20200505023115-26f46d2f7ef8/go.mod"
"golang.org/x/tools v0.0.0-20200512131952-2bc93b1c0c88/go.mod"
"golang.org/x/tools v0.0.0-20200515010526-7d3b6ebf133d/go.mod"
"golang.org/x/tools v0.0.0-20200618134242-20370b0cb4b2/go.mod"
"golang.org/x/tools v0.0.0-20200619180055-7c47624df98f/go.mod"
"golang.org/x/tools v0.0.0-20200729194436-6467de6f59a7/go.mod"
"golang.org/x/tools v0.0.0-20200804011535-6c149bb5ef0d/go.mod"
"golang.org/x/tools v0.0.0-20200825202427-b303f430e36d/go.mod"
"golang.org/x/tools v0.0.0-20200828161849-5deb26317202/go.mod"
"golang.org/x/tools v0.0.0-20200904185747-39188db58858/go.mod"
"golang.org/x/tools v0.0.0-20200915173823-2db8f0ff891c/go.mod"
"golang.org/x/tools v0.0.0-20200916195026-c9a70fc28ce3/go.mod"
"golang.org/x/tools v0.0.0-20200918232735-d647fc253266/go.mod"
"golang.org/x/tools v0.0.0-20201023174141-c8cfbd0f21e6/go.mod"
"golang.org/x/tools v0.0.0-20201030143252-cf7a54d06671/go.mod"
"golang.org/x/tools v0.0.0-20201105220310-78b158585360/go.mod"
"golang.org/x/tools v0.0.0-20201110124207-079ba7bd75cd/go.mod"
"golang.org/x/tools v0.0.0-20201201161351-ac6f37ff4c2a/go.mod"
"golang.org/x/tools v0.0.0-20201224043029-2b0845dc783e/go.mod"
"golang.org/x/tools v0.0.0-20210106214847-113979e3529a/go.mod"
"golang.org/x/tools v0.0.0-20210108195828-e2f9c7f1fc8e/go.mod"
"golang.org/x/tools v0.1.0"
"golang.org/x/tools v0.1.0/go.mod"
"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
"gonum.org/v1/gonum v0.0.0-20180816165407-929014505bf4/go.mod"
"gonum.org/v1/gonum v0.0.0-20190331200053-3d26580ed485/go.mod"
"gonum.org/v1/gonum v0.6.2/go.mod"
"gonum.org/v1/netlib v0.0.0-20190313105609-8cb42192e0e0/go.mod"
"gonum.org/v1/netlib v0.0.0-20190331212654-76723241ea4e/go.mod"
"gonum.org/v1/plot v0.0.0-20190515093506-e2840ee46a6b/go.mod"
"google.golang.org/api v0.0.0-20160322025152-9bf6e6e569ff/go.mod"
"google.golang.org/api v0.3.1/go.mod"
"google.golang.org/api v0.4.0/go.mod"
"google.golang.org/api v0.7.0/go.mod"
"google.golang.org/api v0.8.0/go.mod"
"google.golang.org/api v0.9.0/go.mod"
"google.golang.org/api v0.13.0/go.mod"
"google.golang.org/api v0.14.0/go.mod"
"google.golang.org/api v0.15.0/go.mod"
"google.golang.org/api v0.15.1-0.20200106000736-b8fc810ca6b5/go.mod"
"google.golang.org/api v0.17.0/go.mod"
"google.golang.org/api v0.18.0/go.mod"
"google.golang.org/api v0.19.0/go.mod"
"google.golang.org/api v0.20.0/go.mod"
"google.golang.org/api v0.21.0/go.mod"
"google.golang.org/api v0.22.0/go.mod"
"google.golang.org/api v0.24.0/go.mod"
"google.golang.org/api v0.28.0/go.mod"
"google.golang.org/api v0.29.0/go.mod"
"google.golang.org/api v0.30.0/go.mod"
"google.golang.org/api v0.31.0/go.mod"
"google.golang.org/api v0.32.0/go.mod"
"google.golang.org/api v0.34.0/go.mod"
"google.golang.org/api v0.35.0/go.mod"
"google.golang.org/api v0.36.0/go.mod"
"google.golang.org/appengine v1.1.0/go.mod"
"google.golang.org/appengine v1.2.0/go.mod"
"google.golang.org/appengine v1.4.0/go.mod"
"google.golang.org/appengine v1.5.0/go.mod"
"google.golang.org/appengine v1.6.1/go.mod"
"google.golang.org/appengine v1.6.2/go.mod"
"google.golang.org/appengine v1.6.5/go.mod"
"google.golang.org/appengine v1.6.6/go.mod"
"google.golang.org/appengine v1.6.7"
"google.golang.org/appengine v1.6.7/go.mod"
"google.golang.org/cloud v0.0.0-20151119220103-975617b05ea8/go.mod"
"google.golang.org/genproto v0.0.0-20200117163144-32f20d992d24"
"google.golang.org/genproto v0.0.0-20200117163144-32f20d992d24/go.mod"
"google.golang.org/grpc v1.27.0"
"google.golang.org/grpc v1.27.0/go.mod"
"google.golang.org/protobuf v1.25.0/go.mod"
"gopkg.in/airbrake/gobrake.v2 v2.0.9/go.mod"
"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
"gopkg.in/check.v1 v1.0.0-20141024133853-64131543e789/go.mod"
"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
"gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f/go.mod"
"gopkg.in/check.v1 v1.0.0-20200902074654-038fdea0a05b"
"gopkg.in/check.v1 v1.0.0-20200902074654-038fdea0a05b/go.mod"
"gopkg.in/cheggaaa/pb.v1 v1.0.25/go.mod"
"gopkg.in/errgo.v2 v2.1.0"
"gopkg.in/errgo.v2 v2.1.0/go.mod"
"gopkg.in/fsnotify.v1 v1.4.7"
"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
"gopkg.in/gcfg.v1 v1.2.0/go.mod"
"gopkg.in/gcfg.v1 v1.2.3/go.mod"
"gopkg.in/gemnasium/logrus-airbrake-hook.v2 v2.1.2/go.mod"
"gopkg.in/inf.v0 v0.9.1"
"gopkg.in/inf.v0 v0.9.1/go.mod"
"gopkg.in/ini.v1 v1.51.0/go.mod"
"gopkg.in/mcuadros/go-syslog.v2 v2.2.1/go.mod"
"gopkg.in/natefinch/lumberjack.v2 v2.0.0/go.mod"
"gopkg.in/resty.v1 v1.12.0/go.mod"
"gopkg.in/square/go-jose.v2 v2.2.2/go.mod"
"gopkg.in/square/go-jose.v2 v2.3.1/go.mod"
"gopkg.in/square/go-jose.v2 v2.5.1"
"gopkg.in/square/go-jose.v2 v2.5.1/go.mod"
"gopkg.in/src-d/go-billy.v4 v4.3.2/go.mod"
"gopkg.in/src-d/go-git-fixtures.v3 v3.5.0/go.mod"
"gopkg.in/src-d/go-git.v4 v4.13.1/go.mod"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
"gopkg.in/warnings.v0 v0.1.1/go.mod"
"gopkg.in/warnings.v0 v0.1.2"
"gopkg.in/warnings.v0 v0.1.2/go.mod"
"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
"gopkg.in/yaml.v2 v2.2.1/go.mod"
"gopkg.in/yaml.v2 v2.2.2/go.mod"
"gopkg.in/yaml.v2 v2.2.3/go.mod"
"gopkg.in/yaml.v2 v2.2.4/go.mod"
"gopkg.in/yaml.v2 v2.2.5/go.mod"
"gopkg.in/yaml.v2 v2.2.7/go.mod"
"gopkg.in/yaml.v2 v2.2.8/go.mod"
"gopkg.in/yaml.v2 v2.3.0/go.mod"
"gopkg.in/yaml.v2 v2.4.0"
"gopkg.in/yaml.v2 v2.4.0/go.mod"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
"gopkg.in/yaml.v3 v3.0.0-20200615113413-eeeca48fe776"
"gopkg.in/yaml.v3 v3.0.0-20200615113413-eeeca48fe776/go.mod"
"gotest.tools v2.2.0+incompatible"
"gotest.tools v2.2.0+incompatible/go.mod"
"gotest.tools/v3 v3.0.2/go.mod"
"gotest.tools/v3 v3.0.3"
"gotest.tools/v3 v3.0.3/go.mod"
"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
"honnef.co/go/tools v0.0.1-2020.1.3/go.mod"
"honnef.co/go/tools v0.0.1-2020.1.4/go.mod"
"k8s.io/gengo v0.0.0-20200413195148-3a45101e95ac/go.mod"
"k8s.io/gengo v0.0.0-20201214224949-b6c5ce23f027/go.mod"
"k8s.io/heapster v1.2.0-beta.1/go.mod"
"k8s.io/klog v0.3.0/go.mod"
"k8s.io/klog v1.0.0"
"k8s.io/klog v1.0.0/go.mod"
"k8s.io/klog/v2 v2.0.0/go.mod"
"k8s.io/klog/v2 v2.2.0/go.mod"
"k8s.io/klog/v2 v2.4.0/go.mod"
"k8s.io/klog/v2 v2.8.0"
"k8s.io/klog/v2 v2.8.0/go.mod"
"k8s.io/kube-openapi v0.0.0-20210305001622-591a79e4bda7"
"k8s.io/kube-openapi v0.0.0-20210305001622-591a79e4bda7/go.mod"
"k8s.io/kubernetes v1.21.0"
"k8s.io/kubernetes v1.21.0/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/api v0.0.0-20210408162405-cb303e613a12"
"k8s.io/kubernetes/staging/src/k8s.io/api v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/apiextensions-apiserver v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/apimachinery v0.0.0-20210408162405-cb303e613a12"
"k8s.io/kubernetes/staging/src/k8s.io/apimachinery v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/apiserver v0.0.0-20210408162405-cb303e613a12"
"k8s.io/kubernetes/staging/src/k8s.io/apiserver v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/cli-runtime v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/client-go v0.0.0-20210408162405-cb303e613a12"
"k8s.io/kubernetes/staging/src/k8s.io/client-go v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/cloud-provider v0.0.0-20210408162405-cb303e613a12"
"k8s.io/kubernetes/staging/src/k8s.io/cloud-provider v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/cluster-bootstrap v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/code-generator v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/component-base v0.0.0-20210408162405-cb303e613a12"
"k8s.io/kubernetes/staging/src/k8s.io/component-base v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/component-helpers v0.0.0-20210408162405-cb303e613a12"
"k8s.io/kubernetes/staging/src/k8s.io/component-helpers v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/controller-manager v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/cri-api v0.0.0-20210408162405-cb303e613a12"
"k8s.io/kubernetes/staging/src/k8s.io/cri-api v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/csi-translation-lib v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/kube-aggregator v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/kube-controller-manager v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/kube-proxy v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/kube-scheduler v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/kubectl v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/kubelet v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/legacy-cloud-providers v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/metrics v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/mount-utils v0.0.0-20210408162405-cb303e613a12"
"k8s.io/kubernetes/staging/src/k8s.io/mount-utils v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/kubernetes/staging/src/k8s.io/sample-apiserver v0.0.0-20210408162405-cb303e613a12/go.mod"
"k8s.io/release v0.3.2-0.20200513161026-05b87eb96960/go.mod"
"k8s.io/release v0.4.2/go.mod"
"k8s.io/release v0.7.0"
"k8s.io/release v0.7.0/go.mod"
"k8s.io/system-validators v1.4.0/go.mod"
"k8s.io/utils v0.0.0-20200229041039-0a110f9eb7ab/go.mod"
"k8s.io/utils v0.0.0-20200912215256-4140de9c8800/go.mod"
"k8s.io/utils v0.0.0-20201110183641-67b214c5f920/go.mod"
"k8s.io/utils v0.0.0-20210111153108-fddb29f9d009/go.mod"
"k8s.io/utils v0.0.0-20210305010621-2afb4311ab10"
"k8s.io/utils v0.0.0-20210305010621-2afb4311ab10/go.mod"
"modernc.org/cc v1.0.0/go.mod"
"modernc.org/golex v1.0.0/go.mod"
"modernc.org/mathutil v1.0.0/go.mod"
"modernc.org/strutil v1.0.0/go.mod"
"modernc.org/xc v1.0.0/go.mod"
"mvdan.cc/editorconfig v0.1.1-0.20200121172147-e40951bde157"
"mvdan.cc/editorconfig v0.1.1-0.20200121172147-e40951bde157/go.mod"
"mvdan.cc/interfacer v0.0.0-20180901003855-c20040233aed/go.mod"
"mvdan.cc/lint v0.0.0-20170908181259-adc824a0674b/go.mod"
"mvdan.cc/sh/v3 v3.2.4"
"mvdan.cc/sh/v3 v3.2.4/go.mod"
"mvdan.cc/unparam v0.0.0-20190720180237-d51796306d8f/go.mod"
"rsc.io/binaryregexp v0.2.0/go.mod"
"rsc.io/pdf v0.1.1/go.mod"
"rsc.io/quote/v3 v3.1.0/go.mod"
"rsc.io/sampler v1.3.0/go.mod"
"sigs.k8s.io/apiserver-network-proxy/konnectivity-client v0.0.15/go.mod"
"sigs.k8s.io/kustomize/api v0.8.5/go.mod"
"sigs.k8s.io/kustomize/cmd/config v0.9.7/go.mod"
"sigs.k8s.io/kustomize/kustomize/v4 v4.0.5/go.mod"
"sigs.k8s.io/kustomize/kyaml v0.10.15/go.mod"
"sigs.k8s.io/mdtoc v1.0.1"
"sigs.k8s.io/mdtoc v1.0.1/go.mod"
"sigs.k8s.io/structured-merge-diff/v4 v4.0.2/go.mod"
"sigs.k8s.io/structured-merge-diff/v4 v4.1.0"
"sigs.k8s.io/structured-merge-diff/v4 v4.1.0/go.mod"
"sigs.k8s.io/yaml v1.1.0/go.mod"
"sigs.k8s.io/yaml v1.2.0"
"sigs.k8s.io/yaml v1.2.0/go.mod"
"sourcegraph.com/sourcegraph/appdash v0.0.0-20190731080439-ebfcffb1b5c0/go.mod"
"sourcegraph.com/sqs/pbtypes v0.0.0-20180604144634-d3ebe8f20ae4/go.mod"
"vbom.ml/util v0.0.0-20180919145318-efcd4e0f9787/go.mod"
)
go-module_set_globals
SRC_URI="https://github.com/cri-o/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE="btrfs +device-mapper selinux systemd"

COMMON_DEPEND="
	app-crypt/gpgme:=
	app-emulation/conmon
	app-emulation/runc
	dev-libs/glib:=
	dev-libs/libassuan:=
	dev-libs/libgpg-error:=
	net-firewall/conntrack-tools
	net-firewall/iptables
	net-misc/cni-plugins
	net-misc/socat
	sys-apps/iproute2
	sys-libs/libseccomp:=
	btrfs? ( sys-fs/btrfs-progs )
	device-mapper? ( sys-fs/lvm2:= )
	selinux? ( sys-libs/libselinux:= )
	systemd? ( sys-apps/systemd:= )"
DEPEND="
	${COMMON_DEPEND}
	dev-go/go-md2man"
RDEPEND="${COMMON_DEPEND}
	!<app-emulation/podman-1.3.2-r1"

src_prepare() {
	default

	sed -e '/^export GOPROXY=/d' \
		-e '/^GIT_.*/d' \
		-e '/	git diff --exit-code/d' \
		-e 's/$(GO) build -i/$(GO) build -v -work -x/' \
		-e 's/\${GIT_COMMIT}/'${EGIT_COMMIT}'/' \
		-e "s|^GIT_COMMIT := .*|GIT_COMMIT := ${EGIT_COMMIT}|" \
		-e "s|^COMMIT_NO := .*|COMMIT_NO := ${EGIT_COMMIT}|" \
		-i Makefile || die

	echo ".NOTPARALLEL: binaries docs" >> Makefile || die

	sed -e 's:/usr/local/bin:/usr/bin:' \
		-i contrib/systemd/* || die
}

src_compile() {
	[[ -f hack/btrfs_installed_tag.sh ]] || die
	use btrfs || { echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
		hack/btrfs_installed_tag.sh || die; }

	[[ -f hack/libdm_installed.sh ]] || die
	use device-mapper || { echo -e "#!/bin/sh\necho exclude_graphdriver_devicemapper" > \
		hack/libdm_installed.sh || die; }

	[[ -f hack/selinux_tag.sh ]] || die
	use selinux || { echo -e "#!/bin/sh\ntrue" > \
		hack/selinux_tag.sh || die; }

	mkdir -p bin || die
	emake all \
		GOBIN="${S}/bin" \
		GO_BUILD="go build ${GOFLAGS}" \
		GO_MD2MAN="$(which go-md2man)"
}

src_install() {
	emake install install.config install.systemd \
		DESTDIR="${D}" \
		GO_MD2MAN="$(which go-md2man)" \
		PREFIX="${D}${EPREFIX}/usr"
	keepdir /etc/crio
	mv "${ED}/etc/crio/crio.conf"{,.example} || die

	newinitd "${FILESDIR}/crio.initd" crio

	insinto /etc/logrotate.d
	newins "${FILESDIR}/${PN}.logrotated" "${PN}"

	# Suppress crio log error messages triggered if these don't exist.
	keepdir /etc/containers/oci/hooks.d
	keepdir /usr/share/containers/oci/hooks.d

	# Suppress crio "Missing CNI default network" log message.
	keepdir /etc/cni/net.d
	insinto /etc/cni/net.d
	doins contrib/cni/99-loopback.conf
}
