# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module

DESCRIPTION="k3d creates k3s clusters in docker"
HOMEPAGE="https://github.com/rancher/k3d"

K3D_K3S_TAG=v1.20.6-k3s1
EGO_SUM=(
"bazil.org/fuse v0.0.0-20160811212531-371fbbdaa898/go.mod"
"cloud.google.com/go v0.26.0/go.mod"
"cloud.google.com/go v0.34.0/go.mod"
"cloud.google.com/go v0.38.0/go.mod"
"cloud.google.com/go v0.44.1/go.mod"
"cloud.google.com/go v0.44.2/go.mod"
"cloud.google.com/go v0.45.1/go.mod"
"cloud.google.com/go v0.46.3/go.mod"
"cloud.google.com/go v0.50.0/go.mod"
"cloud.google.com/go v0.52.0/go.mod"
"cloud.google.com/go v0.53.0/go.mod"
"cloud.google.com/go v0.54.0/go.mod"
"cloud.google.com/go/bigquery v1.0.1/go.mod"
"cloud.google.com/go/bigquery v1.3.0/go.mod"
"cloud.google.com/go/bigquery v1.4.0/go.mod"
"cloud.google.com/go/datastore v1.0.0/go.mod"
"cloud.google.com/go/datastore v1.1.0/go.mod"
"cloud.google.com/go/firestore v1.1.0/go.mod"
"cloud.google.com/go/pubsub v1.0.1/go.mod"
"cloud.google.com/go/pubsub v1.1.0/go.mod"
"cloud.google.com/go/pubsub v1.2.0/go.mod"
"cloud.google.com/go/storage v1.0.0/go.mod"
"cloud.google.com/go/storage v1.5.0/go.mod"
"cloud.google.com/go/storage v1.6.0/go.mod"
"dmitri.shuralyov.com/gpu/mtl v0.0.0-20190408044501-666a987793e9/go.mod"
"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78/go.mod"
"github.com/Azure/go-autorest v14.2.0+incompatible/go.mod"
"github.com/Azure/go-autorest/autorest v0.11.1/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.9.0/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.9.5/go.mod"
"github.com/Azure/go-autorest/autorest/date v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.4.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.4.1/go.mod"
"github.com/Azure/go-autorest/logger v0.2.0/go.mod"
"github.com/Azure/go-autorest/tracing v0.6.0/go.mod"
"github.com/BurntSushi/toml v0.3.1"
"github.com/BurntSushi/toml v0.3.1/go.mod"
"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
"github.com/Microsoft/go-winio v0.4.16-0.20201130162521-d1ffc52c7331/go.mod"
"github.com/Microsoft/go-winio v0.4.17-0.20210211115548-6eac466e5fa3"
"github.com/Microsoft/go-winio v0.4.17-0.20210211115548-6eac466e5fa3/go.mod"
"github.com/Microsoft/hcsshim v0.8.14"
"github.com/Microsoft/hcsshim v0.8.14/go.mod"
"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
"github.com/OneOfOne/xxhash v1.2.2/go.mod"
"github.com/OpenPeeDeeP/depguard v1.0.0/go.mod"
"github.com/PuerkitoBio/purell v1.1.1/go.mod"
"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578/go.mod"
"github.com/StackExchange/wmi v0.0.0-20180116203802-5d049714c4a6/go.mod"
"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
"github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a/go.mod"
"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
"github.com/beorn7/perks v1.0.0/go.mod"
"github.com/bgentry/speakeasy v0.1.0/go.mod"
"github.com/bketelsen/crypt v0.0.3-0.20200106085610-5cbc8cc4026c/go.mod"
"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
"github.com/cespare/xxhash v1.1.0/go.mod"
"github.com/checkpoint-restore/go-criu/v4 v4.1.0/go.mod"
"github.com/chzyer/logex v1.1.10/go.mod"
"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
"github.com/cilium/ebpf v0.0.0-20200110133405-4032b1d8aae3/go.mod"
"github.com/cilium/ebpf v0.2.0/go.mod"
"github.com/client9/misspell v0.3.4/go.mod"
"github.com/cncf/udpa/go v0.0.0-20191209042840-269d4d468f6f/go.mod"
"github.com/cncf/udpa/go v0.0.0-20201120205902-5459f2c99403/go.mod"
"github.com/containerd/cgroups v0.0.0-20200531161412-0dbf7f05ba59/go.mod"
"github.com/containerd/cgroups v0.0.0-20210114181951-8a68de567b68"
"github.com/containerd/cgroups v0.0.0-20210114181951-8a68de567b68/go.mod"
"github.com/containerd/console v0.0.0-20180822173158-c12b1e7919c1/go.mod"
"github.com/containerd/console v1.0.1/go.mod"
"github.com/containerd/containerd v1.3.2/go.mod"
"github.com/containerd/containerd v1.4.4"
"github.com/containerd/containerd v1.4.4/go.mod"
"github.com/containerd/continuity v0.0.0-20190426062206-aaeac12a7ffc/go.mod"
"github.com/containerd/continuity v0.0.0-20210208174643-50096c924a4e"
"github.com/containerd/continuity v0.0.0-20210208174643-50096c924a4e/go.mod"
"github.com/containerd/fifo v0.0.0-20190226154929-a9fb20d87448/go.mod"
"github.com/containerd/go-runc v0.0.0-20180907222934-5a6d9f37cfa3/go.mod"
"github.com/containerd/ttrpc v0.0.0-20190828154514-0e0f228740de/go.mod"
"github.com/containerd/typeurl v0.0.0-20180627222232-a93fcdb778cd/go.mod"
"github.com/coreos/bbolt v1.3.2/go.mod"
"github.com/coreos/etcd v3.3.13+incompatible/go.mod"
"github.com/coreos/go-semver v0.3.0/go.mod"
"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
"github.com/coreos/go-systemd/v22 v22.0.0/go.mod"
"github.com/coreos/go-systemd/v22 v22.1.0/go.mod"
"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
"github.com/creack/pty v1.1.11/go.mod"
"github.com/cyphar/filepath-securejoin v0.2.2/go.mod"
"github.com/davecgh/go-spew v1.1.0/go.mod"
"github.com/davecgh/go-spew v1.1.1"
"github.com/davecgh/go-spew v1.1.1/go.mod"
"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
"github.com/docker/cli v20.10.5+incompatible"
"github.com/docker/cli v20.10.5+incompatible/go.mod"
"github.com/docker/distribution v0.0.0-20171011171712-7484e51bf6af/go.mod"
"github.com/docker/distribution v2.7.1+incompatible"
"github.com/docker/distribution v2.7.1+incompatible/go.mod"
"github.com/docker/docker v20.10.5+incompatible"
"github.com/docker/docker v20.10.5+incompatible/go.mod"
"github.com/docker/go-connections v0.4.0"
"github.com/docker/go-connections v0.4.0/go.mod"
"github.com/docker/go-units v0.4.0"
"github.com/docker/go-units v0.4.0/go.mod"
"github.com/docker/libtrust v0.0.0-20160708172513-aabc10ec26b7"
"github.com/docker/libtrust v0.0.0-20160708172513-aabc10ec26b7/go.mod"
"github.com/docker/spdystream v0.0.0-20160310174837-449fdfce4d96/go.mod"
"github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815/go.mod"
"github.com/dustin/go-humanize v1.0.0/go.mod"
"github.com/dvyukov/go-fuzz v0.0.0-20201127111758-49e582c6c23d/go.mod"
"github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153/go.mod"
"github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.0/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.4/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.9-0.20201210154907-fd9021fe5dad/go.mod"
"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
"github.com/evanphx/json-patch v4.9.0+incompatible/go.mod"
"github.com/fatih/color v1.6.0/go.mod"
"github.com/fatih/color v1.7.0/go.mod"
"github.com/form3tech-oss/jwt-go v3.2.2+incompatible/go.mod"
"github.com/fsnotify/fsnotify v1.4.7/go.mod"
"github.com/fsnotify/fsnotify v1.4.9"
"github.com/fsnotify/fsnotify v1.4.9/go.mod"
"github.com/ghodss/yaml v0.0.0-20150909031657-73d445a93680/go.mod"
"github.com/ghodss/yaml v1.0.0/go.mod"
"github.com/go-critic/go-critic v0.3.5-0.20190526074819-1df300866540/go.mod"
"github.com/go-gl/glfw v0.0.0-20190409004039-e6da0acd62b1/go.mod"
"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20191125211704-12ad95a8df72/go.mod"
"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20200222043503-6f7a984d4dc4/go.mod"
"github.com/go-kit/kit v0.8.0/go.mod"
"github.com/go-lintpack/lintpack v0.5.2/go.mod"
"github.com/go-logfmt/logfmt v0.3.0/go.mod"
"github.com/go-logfmt/logfmt v0.4.0/go.mod"
"github.com/go-logr/logr v0.1.0/go.mod"
"github.com/go-logr/logr v0.2.0"
"github.com/go-logr/logr v0.2.0/go.mod"
"github.com/go-ole/go-ole v1.2.1/go.mod"
"github.com/go-openapi/jsonpointer v0.19.2/go.mod"
"github.com/go-openapi/jsonpointer v0.19.3/go.mod"
"github.com/go-openapi/jsonreference v0.19.2/go.mod"
"github.com/go-openapi/jsonreference v0.19.3/go.mod"
"github.com/go-openapi/spec v0.19.3/go.mod"
"github.com/go-openapi/swag v0.19.2/go.mod"
"github.com/go-openapi/swag v0.19.5/go.mod"
"github.com/go-stack/stack v1.8.0/go.mod"
"github.com/go-test/deep v1.0.4"
"github.com/go-test/deep v1.0.4/go.mod"
"github.com/go-toolsmith/astcast v1.0.0/go.mod"
"github.com/go-toolsmith/astcopy v1.0.0/go.mod"
"github.com/go-toolsmith/astequal v0.0.0-20180903214952-dcb477bfacd6/go.mod"
"github.com/go-toolsmith/astequal v1.0.0/go.mod"
"github.com/go-toolsmith/astfmt v0.0.0-20180903215011-8f8ee99c3086/go.mod"
"github.com/go-toolsmith/astfmt v1.0.0/go.mod"
"github.com/go-toolsmith/astinfo v0.0.0-20180906194353-9809ff7efb21/go.mod"
"github.com/go-toolsmith/astp v0.0.0-20180903215135-0af7e3c24f30/go.mod"
"github.com/go-toolsmith/astp v1.0.0/go.mod"
"github.com/go-toolsmith/pkgload v0.0.0-20181119091011-e9e65178eee8/go.mod"
"github.com/go-toolsmith/pkgload v1.0.0/go.mod"
"github.com/go-toolsmith/strparse v1.0.0/go.mod"
"github.com/go-toolsmith/typep v1.0.0/go.mod"
"github.com/gobwas/glob v0.2.3/go.mod"
"github.com/godbus/dbus/v5 v5.0.3/go.mod"
"github.com/gogo/protobuf v1.1.1/go.mod"
"github.com/gogo/protobuf v1.2.1/go.mod"
"github.com/gogo/protobuf v1.3.1/go.mod"
"github.com/gogo/protobuf v1.3.2"
"github.com/gogo/protobuf v1.3.2/go.mod"
"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef/go.mod"
"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7/go.mod"
"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e"
"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e/go.mod"
"github.com/golang/mock v1.0.0/go.mod"
"github.com/golang/mock v1.1.1/go.mod"
"github.com/golang/mock v1.2.0/go.mod"
"github.com/golang/mock v1.3.1/go.mod"
"github.com/golang/mock v1.4.0/go.mod"
"github.com/golang/mock v1.4.1/go.mod"
"github.com/golang/protobuf v1.2.0/go.mod"
"github.com/golang/protobuf v1.3.1/go.mod"
"github.com/golang/protobuf v1.3.2/go.mod"
"github.com/golang/protobuf v1.3.3/go.mod"
"github.com/golang/protobuf v1.3.4/go.mod"
"github.com/golang/protobuf v1.3.5/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
"github.com/golang/protobuf v1.4.0/go.mod"
"github.com/golang/protobuf v1.4.1/go.mod"
"github.com/golang/protobuf v1.4.2/go.mod"
"github.com/golang/protobuf v1.4.3"
"github.com/golang/protobuf v1.4.3/go.mod"
"github.com/golangci/check v0.0.0-20180506172741-cfe4005ccda2/go.mod"
"github.com/golangci/dupl v0.0.0-20180902072040-3e9179ac440a/go.mod"
"github.com/golangci/errcheck v0.0.0-20181223084120-ef45e06d44b6/go.mod"
"github.com/golangci/go-misc v0.0.0-20180628070357-927a3d87b613/go.mod"
"github.com/golangci/go-tools v0.0.0-20190318055746-e32c54105b7c/go.mod"
"github.com/golangci/goconst v0.0.0-20180610141641-041c5f2b40f3/go.mod"
"github.com/golangci/gocyclo v0.0.0-20180528134321-2becd97e67ee/go.mod"
"github.com/golangci/gofmt v0.0.0-20181222123516-0b8337e80d98/go.mod"
"github.com/golangci/golangci-lint v1.17.2-0.20190909185456-6163a8a79084/go.mod"
"github.com/golangci/gosec v0.0.0-20190211064107-66fb7fc33547/go.mod"
"github.com/golangci/ineffassign v0.0.0-20190609212857-42439a7714cc/go.mod"
"github.com/golangci/lint-1 v0.0.0-20190420132249-ee948d087217/go.mod"
"github.com/golangci/maligned v0.0.0-20180506175553-b1d89398deca/go.mod"
"github.com/golangci/misspell v0.0.0-20180809174111-950f5d19e770/go.mod"
"github.com/golangci/prealloc v0.0.0-20180630174525-215b22d4de21/go.mod"
"github.com/golangci/revgrep v0.0.0-20180526074752-d9c87f5ffaf0/go.mod"
"github.com/golangci/unconvert v0.0.0-20180507085042-28b1c447d1f4/go.mod"
"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
"github.com/google/btree v1.0.0/go.mod"
"github.com/google/go-cmp v0.2.0/go.mod"
"github.com/google/go-cmp v0.3.0/go.mod"
"github.com/google/go-cmp v0.3.1/go.mod"
"github.com/google/go-cmp v0.4.0/go.mod"
"github.com/google/go-cmp v0.5.0/go.mod"
"github.com/google/go-cmp v0.5.2/go.mod"
"github.com/google/go-cmp v0.5.3"
"github.com/google/go-cmp v0.5.3/go.mod"
"github.com/google/gofuzz v1.0.0/go.mod"
"github.com/google/gofuzz v1.1.0"
"github.com/google/gofuzz v1.1.0/go.mod"
"github.com/google/martian v2.1.0+incompatible/go.mod"
"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
"github.com/google/pprof v0.0.0-20191218002539-d4f498aebedc/go.mod"
"github.com/google/pprof v0.0.0-20200212024743-f11f1df84d12/go.mod"
"github.com/google/pprof v0.0.0-20200229191704-1ebb73c60ed3/go.mod"
"github.com/google/renameio v0.1.0/go.mod"
"github.com/google/uuid v1.1.1/go.mod"
"github.com/google/uuid v1.1.2/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
"github.com/googleapis/gnostic v0.4.1/go.mod"
"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1"
"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
"github.com/gorilla/mux v1.7.3"
"github.com/gorilla/mux v1.7.3/go.mod"
"github.com/gorilla/websocket v1.4.2/go.mod"
"github.com/gostaticanalysis/analysisutil v0.0.0-20190318220348-4088753ea4d3/go.mod"
"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0/go.mod"
"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.0/go.mod"
"github.com/hashicorp/consul/api v1.1.0/go.mod"
"github.com/hashicorp/consul/sdk v0.1.1/go.mod"
"github.com/hashicorp/errwrap v1.0.0/go.mod"
"github.com/hashicorp/go-cleanhttp v0.5.1/go.mod"
"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
"github.com/hashicorp/go-multierror v1.0.0/go.mod"
"github.com/hashicorp/go-rootcerts v1.0.0/go.mod"
"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
"github.com/hashicorp/go-syslog v1.0.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.1/go.mod"
"github.com/hashicorp/go.net v0.0.1/go.mod"
"github.com/hashicorp/golang-lru v0.5.0/go.mod"
"github.com/hashicorp/golang-lru v0.5.1/go.mod"
"github.com/hashicorp/hcl v0.0.0-20180404174102-ef8a98b0bbce/go.mod"
"github.com/hashicorp/hcl v1.0.0"
"github.com/hashicorp/hcl v1.0.0/go.mod"
"github.com/hashicorp/logutils v1.0.0/go.mod"
"github.com/hashicorp/mdns v1.0.0/go.mod"
"github.com/hashicorp/memberlist v0.1.3/go.mod"
"github.com/hashicorp/serf v0.8.2/go.mod"
"github.com/heroku/docker-registry-client v0.0.0-20190909225348-afc9e1acc3d5"
"github.com/heroku/docker-registry-client v0.0.0-20190909225348-afc9e1acc3d5/go.mod"
"github.com/hpcloud/tail v1.0.0/go.mod"
"github.com/ianlancetaylor/demangle v0.0.0-20181102032728-5e5cf60278f6/go.mod"
"github.com/imdario/mergo v0.3.5/go.mod"
"github.com/imdario/mergo v0.3.11"
"github.com/imdario/mergo v0.3.11/go.mod"
"github.com/inconshreveable/mousetrap v1.0.0"
"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
"github.com/iwilltry42/viper v1.7.2-iwilltry42.0"
"github.com/iwilltry42/viper v1.7.2-iwilltry42.0/go.mod"
"github.com/jonboulle/clockwork v0.1.0/go.mod"
"github.com/json-iterator/go v1.1.6/go.mod"
"github.com/json-iterator/go v1.1.10"
"github.com/json-iterator/go v1.1.10/go.mod"
"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
"github.com/jstemmer/go-junit-report v0.9.1/go.mod"
"github.com/jtolds/gls v4.20.0+incompatible"
"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
"github.com/julienschmidt/httprouter v1.2.0/go.mod"
"github.com/kisielk/errcheck v1.1.0/go.mod"
"github.com/kisielk/errcheck v1.2.0/go.mod"
"github.com/kisielk/errcheck v1.5.0/go.mod"
"github.com/kisielk/gotool v0.0.0-20161130080628-0de1eaf82fa3/go.mod"
"github.com/kisielk/gotool v1.0.0/go.mod"
"github.com/klauspost/compress v1.4.0/go.mod"
"github.com/klauspost/compress v1.4.1/go.mod"
"github.com/klauspost/cpuid v0.0.0-20180405133222-e7e905edc00e/go.mod"
"github.com/klauspost/cpuid v1.2.0/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
"github.com/kr/fs v0.1.0/go.mod"
"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
"github.com/kr/pretty v0.1.0/go.mod"
"github.com/kr/pretty v0.2.0"
"github.com/kr/pretty v0.2.0/go.mod"
"github.com/kr/pty v1.1.1/go.mod"
"github.com/kr/pty v1.1.5/go.mod"
"github.com/kr/text v0.1.0"
"github.com/kr/text v0.1.0/go.mod"
"github.com/liggitt/tabwriter v0.0.0-20181228230101-89fcab3d43de"
"github.com/liggitt/tabwriter v0.0.0-20181228230101-89fcab3d43de/go.mod"
"github.com/logrusorgru/aurora v0.0.0-20181002194514-a7b3b318ed4e/go.mod"
"github.com/magiconair/properties v1.7.6/go.mod"
"github.com/magiconair/properties v1.8.1"
"github.com/magiconair/properties v1.8.1/go.mod"
"github.com/mailru/easyjson v0.0.0-20190614124828-94de47d64c63/go.mod"
"github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e/go.mod"
"github.com/mattn/go-colorable v0.0.9/go.mod"
"github.com/mattn/go-isatty v0.0.3/go.mod"
"github.com/mattn/goveralls v0.0.2/go.mod"
"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
"github.com/miekg/dns v1.0.14/go.mod"
"github.com/mitchellh/cli v1.0.0/go.mod"
"github.com/mitchellh/go-homedir v1.0.0/go.mod"
"github.com/mitchellh/go-homedir v1.1.0"
"github.com/mitchellh/go-homedir v1.1.0/go.mod"
"github.com/mitchellh/go-ps v0.0.0-20170309133038-4fdf99ab2936/go.mod"
"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
"github.com/mitchellh/gox v0.4.0/go.mod"
"github.com/mitchellh/iochan v1.0.0/go.mod"
"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
"github.com/mitchellh/mapstructure v0.0.0-20180220230111-00c29f56e238/go.mod"
"github.com/mitchellh/mapstructure v1.1.2/go.mod"
"github.com/mitchellh/mapstructure v1.3.3"
"github.com/mitchellh/mapstructure v1.3.3/go.mod"
"github.com/moby/sys/mount v0.2.0"
"github.com/moby/sys/mount v0.2.0/go.mod"
"github.com/moby/sys/mountinfo v0.4.0"
"github.com/moby/sys/mountinfo v0.4.0/go.mod"
"github.com/moby/term v0.0.0-20201110203204-bea5bbe245bf"
"github.com/moby/term v0.0.0-20201110203204-bea5bbe245bf/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
"github.com/modern-go/reflect2 v1.0.1"
"github.com/modern-go/reflect2 v1.0.1/go.mod"
"github.com/morikuni/aec v1.0.0"
"github.com/morikuni/aec v1.0.0/go.mod"
"github.com/mozilla/tls-observatory v0.0.0-20180409132520-8791a200eb40/go.mod"
"github.com/mrunalp/fileutils v0.5.0/go.mod"
"github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
"github.com/nbutton23/zxcvbn-go v0.0.0-20160627004424-a22cb81b2ecd/go.mod"
"github.com/nbutton23/zxcvbn-go v0.0.0-20171102151520-eafdab6b0663/go.mod"
"github.com/oklog/ulid v1.3.1/go.mod"
"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
"github.com/onsi/ginkgo v1.6.0/go.mod"
"github.com/onsi/ginkgo v1.11.0/go.mod"
"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
"github.com/onsi/gomega v1.4.2/go.mod"
"github.com/onsi/gomega v1.7.0/go.mod"
"github.com/opencontainers/go-digest v0.0.0-20180430190053-c9281466c8b2/go.mod"
"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
"github.com/opencontainers/go-digest v1.0.0"
"github.com/opencontainers/go-digest v1.0.0/go.mod"
"github.com/opencontainers/image-spec v1.0.1"
"github.com/opencontainers/image-spec v1.0.1/go.mod"
"github.com/opencontainers/runc v0.0.0-20190115041553-12f6a991201f/go.mod"
"github.com/opencontainers/runc v1.0.0-rc93"
"github.com/opencontainers/runc v1.0.0-rc93/go.mod"
"github.com/opencontainers/runtime-spec v1.0.2/go.mod"
"github.com/opencontainers/runtime-spec v1.0.3-0.20200929063507-e6143ca7d51d/go.mod"
"github.com/opencontainers/selinux v1.8.0/go.mod"
"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
"github.com/pelletier/go-toml v1.1.0/go.mod"
"github.com/pelletier/go-toml v1.2.0/go.mod"
"github.com/pelletier/go-toml v1.8.0"
"github.com/pelletier/go-toml v1.8.0/go.mod"
"github.com/peterbourgon/diskv v2.0.1+incompatible/go.mod"
"github.com/pkg/errors v0.8.0/go.mod"
"github.com/pkg/errors v0.8.1/go.mod"
"github.com/pkg/errors v0.9.1"
"github.com/pkg/errors v0.9.1/go.mod"
"github.com/pkg/sftp v1.10.1/go.mod"
"github.com/pmezard/go-difflib v1.0.0"
"github.com/pmezard/go-difflib v1.0.0/go.mod"
"github.com/posener/complete v1.1.1/go.mod"
"github.com/prometheus/client_golang v0.9.1/go.mod"
"github.com/prometheus/client_golang v0.9.3/go.mod"
"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
"github.com/prometheus/common v0.4.0/go.mod"
"github.com/prometheus/procfs v0.0.0-20180125133057-cb4147076ac7/go.mod"
"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
"github.com/prometheus/procfs v0.0.0-20190507164030-5867b95ac084/go.mod"
"github.com/prometheus/tsdb v0.7.1/go.mod"
"github.com/quasilyte/go-consistent v0.0.0-20190521200055-c6f3937de18c/go.mod"
"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
"github.com/rogpeppe/go-internal v1.1.0/go.mod"
"github.com/rogpeppe/go-internal v1.3.0/go.mod"
"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
"github.com/ryanuber/go-glob v0.0.0-20170128012129-256dc444b735/go.mod"
"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
"github.com/seccomp/libseccomp-golang v0.9.1/go.mod"
"github.com/shirou/gopsutil v0.0.0-20180427012116-c95755e4bcd7/go.mod"
"github.com/shirou/w32 v0.0.0-20160930032740-bb4de0191aa4/go.mod"
"github.com/shurcooL/go v0.0.0-20180423040247-9e1955d9fb6e/go.mod"
"github.com/shurcooL/go-goon v0.0.0-20170922171312-37c2f522c041/go.mod"
"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
"github.com/sirupsen/logrus v1.0.5/go.mod"
"github.com/sirupsen/logrus v1.2.0/go.mod"
"github.com/sirupsen/logrus v1.4.1/go.mod"
"github.com/sirupsen/logrus v1.4.2/go.mod"
"github.com/sirupsen/logrus v1.7.0/go.mod"
"github.com/sirupsen/logrus v1.8.1"
"github.com/sirupsen/logrus v1.8.1/go.mod"
"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d"
"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
"github.com/smartystreets/goconvey v1.6.4"
"github.com/smartystreets/goconvey v1.6.4/go.mod"
"github.com/soheilhy/cmux v0.1.4/go.mod"
"github.com/sourcegraph/go-diff v0.5.1/go.mod"
"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
"github.com/spf13/afero v1.1.0/go.mod"
"github.com/spf13/afero v1.2.2/go.mod"
"github.com/spf13/afero v1.5.1"
"github.com/spf13/afero v1.5.1/go.mod"
"github.com/spf13/cast v1.2.0/go.mod"
"github.com/spf13/cast v1.3.0/go.mod"
"github.com/spf13/cast v1.3.1"
"github.com/spf13/cast v1.3.1/go.mod"
"github.com/spf13/cobra v0.0.2-0.20171109065643-2da4a54c5cee/go.mod"
"github.com/spf13/cobra v0.0.2/go.mod"
"github.com/spf13/cobra v1.1.3"
"github.com/spf13/cobra v1.1.3/go.mod"
"github.com/spf13/jwalterweatherman v0.0.0-20180109140146-7c0cea34c8ec/go.mod"
"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
"github.com/spf13/jwalterweatherman v1.1.0"
"github.com/spf13/jwalterweatherman v1.1.0/go.mod"
"github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
"github.com/spf13/pflag v1.0.1-0.20171106142849-4c012f6dcd95/go.mod"
"github.com/spf13/pflag v1.0.1/go.mod"
"github.com/spf13/pflag v1.0.3/go.mod"
"github.com/spf13/pflag v1.0.5"
"github.com/spf13/pflag v1.0.5/go.mod"
"github.com/stretchr/objx v0.1.0/go.mod"
"github.com/stretchr/objx v0.1.1/go.mod"
"github.com/stretchr/objx v0.2.0/go.mod"
"github.com/stretchr/testify v1.2.2/go.mod"
"github.com/stretchr/testify v1.3.0/go.mod"
"github.com/stretchr/testify v1.4.0/go.mod"
"github.com/stretchr/testify v1.5.1/go.mod"
"github.com/stretchr/testify v1.6.1/go.mod"
"github.com/stretchr/testify v1.7.0"
"github.com/stretchr/testify v1.7.0/go.mod"
"github.com/subosito/gotenv v1.2.0"
"github.com/subosito/gotenv v1.2.0/go.mod"
"github.com/syndtr/gocapability v0.0.0-20200815063812-42c35b437635/go.mod"
"github.com/timakin/bodyclose v0.0.0-20190721030226-87058b9bfcec/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5/go.mod"
"github.com/ultraware/funlen v0.0.1/go.mod"
"github.com/urfave/cli v1.22.1/go.mod"
"github.com/urfave/cli v1.22.2/go.mod"
"github.com/valyala/bytebufferpool v1.0.0/go.mod"
"github.com/valyala/fasthttp v1.2.0/go.mod"
"github.com/valyala/quicktemplate v1.1.1/go.mod"
"github.com/valyala/tcplisten v0.0.0-20161114210144-ceec8f93295a/go.mod"
"github.com/vishvananda/netlink v1.1.0/go.mod"
"github.com/vishvananda/netns v0.0.0-20191106174202-0a2b9b5464df/go.mod"
"github.com/willf/bitset v1.1.11/go.mod"
"github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f/go.mod"
"github.com/xeipuuv/gojsonpointer v0.0.0-20190905194746-02993c407bfb"
"github.com/xeipuuv/gojsonpointer v0.0.0-20190905194746-02993c407bfb/go.mod"
"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415"
"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415/go.mod"
"github.com/xeipuuv/gojsonschema v1.2.0"
"github.com/xeipuuv/gojsonschema v1.2.0/go.mod"
"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
"github.com/yuin/goldmark v1.1.27/go.mod"
"github.com/yuin/goldmark v1.2.1/go.mod"
"go.etcd.io/bbolt v1.3.2/go.mod"
"go.opencensus.io v0.21.0/go.mod"
"go.opencensus.io v0.22.0/go.mod"
"go.opencensus.io v0.22.2/go.mod"
"go.opencensus.io v0.22.3/go.mod"
"go.opencensus.io v0.23.0"
"go.opencensus.io v0.23.0/go.mod"
"go.uber.org/atomic v1.4.0/go.mod"
"go.uber.org/multierr v1.1.0/go.mod"
"go.uber.org/zap v1.10.0/go.mod"
"go4.org/intern v0.0.0-20210108033219-3eb7198706b2"
"go4.org/intern v0.0.0-20210108033219-3eb7198706b2/go.mod"
"go4.org/unsafe/assume-no-moving-gc v0.0.0-20201222175341-b30ae309168e/go.mod"
"go4.org/unsafe/assume-no-moving-gc v0.0.0-20201222180813-1025295fd063"
"go4.org/unsafe/assume-no-moving-gc v0.0.0-20201222180813-1025295fd063/go.mod"
"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
"golang.org/x/crypto v0.0.0-20190313024323-a1f597ede03a/go.mod"
"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8/go.mod"
"golang.org/x/crypto v0.0.0-20190820162420-60c769a6c586/go.mod"
"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
"golang.org/x/crypto v0.0.0-20201002170205-7f63de1d35b0"
"golang.org/x/crypto v0.0.0-20201002170205-7f63de1d35b0/go.mod"
"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
"golang.org/x/exp v0.0.0-20190306152737-a1d7652674e8/go.mod"
"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
"golang.org/x/exp v0.0.0-20190829153037-c13cbed26979/go.mod"
"golang.org/x/exp v0.0.0-20191030013958-a1ab85dbe136/go.mod"
"golang.org/x/exp v0.0.0-20191129062945-2f5052295587/go.mod"
"golang.org/x/exp v0.0.0-20191227195350-da58074b4299/go.mod"
"golang.org/x/exp v0.0.0-20200119233911-0405dc783f0a/go.mod"
"golang.org/x/exp v0.0.0-20200207192155-f17229e696bd/go.mod"
"golang.org/x/exp v0.0.0-20200224162631-6cc2880d07d6/go.mod"
"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
"golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
"golang.org/x/lint v0.0.0-20190909230951-414d861bb4ac/go.mod"
"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
"golang.org/x/lint v0.0.0-20200130185559-910be7a94367/go.mod"
"golang.org/x/lint v0.0.0-20200302205851-738671d3881b/go.mod"
"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
"golang.org/x/mobile v0.0.0-20190719004257-d2bd2a29d028/go.mod"
"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
"golang.org/x/mod v0.1.0/go.mod"
"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
"golang.org/x/mod v0.1.1-0.20191107180719-034126e5016b/go.mod"
"golang.org/x/mod v0.2.0/go.mod"
"golang.org/x/mod v0.3.0/go.mod"
"golang.org/x/net v0.0.0-20170915142106-8351a756f30f/go.mod"
"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
"golang.org/x/net v0.0.0-20180911220305-26e67e76b6c3/go.mod"
"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
"golang.org/x/net v0.0.0-20190724013045-ca1201d0de80/go.mod"
"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
"golang.org/x/net v0.0.0-20191004110552-13f9640d40b9/go.mod"
"golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
"golang.org/x/net v0.0.0-20200114155413-6afb5195e5aa/go.mod"
"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
"golang.org/x/net v0.0.0-20200222125558-5a598a2470a0/go.mod"
"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
"golang.org/x/net v0.0.0-20200301022130-244492dfa37a/go.mod"
"golang.org/x/net v0.0.0-20200324143707-d3edc9973b7e/go.mod"
"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
"golang.org/x/net v0.0.0-20201224014010-6772e930b67b/go.mod"
"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110"
"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6/go.mod"
"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d"
"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c"
"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c/go.mod"
"golang.org/x/sys v0.0.0-20171026204733-164713f0dfce/go.mod"
"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
"golang.org/x/sys v0.0.0-20190606203320-7fc4e5ec1444/go.mod"
"golang.org/x/sys v0.0.0-20190616124812-15dcb6c0061f/go.mod"
"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
"golang.org/x/sys v0.0.0-20190916202348-b4ddaad3f8a3/go.mod"
"golang.org/x/sys v0.0.0-20191001151750-bb3f8db39f24/go.mod"
"golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
"golang.org/x/sys v0.0.0-20191022100944-742c48ecaeb7/go.mod"
"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
"golang.org/x/sys v0.0.0-20191115151921-52ab43148777/go.mod"
"golang.org/x/sys v0.0.0-20191204072324-ce4227a45e2e/go.mod"
"golang.org/x/sys v0.0.0-20191228213918-04cbcbbfeed8/go.mod"
"golang.org/x/sys v0.0.0-20200113162924-86b910548bc1/go.mod"
"golang.org/x/sys v0.0.0-20200120151820-655fe14d7479/go.mod"
"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82/go.mod"
"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9/go.mod"
"golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
"golang.org/x/sys v0.0.0-20200212091648-12a6c2dcc1e4/go.mod"
"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
"golang.org/x/sys v0.0.0-20200302150141-5c8b2ff67527/go.mod"
"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
"golang.org/x/sys v0.0.0-20200831180312-196b9ba8737a/go.mod"
"golang.org/x/sys v0.0.0-20200909081042-eff7692f9009/go.mod"
"golang.org/x/sys v0.0.0-20200916030750-2334cc1a136f/go.mod"
"golang.org/x/sys v0.0.0-20200922070232-aee5d888a860/go.mod"
"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
"golang.org/x/sys v0.0.0-20201112073958-5cba982894dd/go.mod"
"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
"golang.org/x/sys v0.0.0-20201201145000-ef89a241ccb3/go.mod"
"golang.org/x/sys v0.0.0-20210124154548-22da62e12c0c/go.mod"
"golang.org/x/sys v0.0.0-20210309074719-68d13333faf2"
"golang.org/x/sys v0.0.0-20210309074719-68d13333faf2/go.mod"
"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
"golang.org/x/text v0.0.0-20170915032832-14c0d48ead0c/go.mod"
"golang.org/x/text v0.0.0-20170915090833-1cbadb444a80/go.mod"
"golang.org/x/text v0.3.0/go.mod"
"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
"golang.org/x/text v0.3.2/go.mod"
"golang.org/x/text v0.3.3/go.mod"
"golang.org/x/text v0.3.4/go.mod"
"golang.org/x/text v0.3.5"
"golang.org/x/text v0.3.5/go.mod"
"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
"golang.org/x/time v0.0.0-20200630173020-3af7569d3a1e"
"golang.org/x/time v0.0.0-20200630173020-3af7569d3a1e/go.mod"
"golang.org/x/tools v0.0.0-20170915040203-e531a2a1c15f/go.mod"
"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
"golang.org/x/tools v0.0.0-20181117154741-2ddaf7f79a09/go.mod"
"golang.org/x/tools v0.0.0-20190110163146-51295c7ec13a/go.mod"
"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
"golang.org/x/tools v0.0.0-20190121143147-24cd39ecf745/go.mod"
"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
"golang.org/x/tools v0.0.0-20190311215038-5c2858a9cfe5/go.mod"
"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
"golang.org/x/tools v0.0.0-20190322203728-c1a832b0ad89/go.mod"
"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
"golang.org/x/tools v0.0.0-20190521203540-521d6ed310dd/go.mod"
"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
"golang.org/x/tools v0.0.0-20190614205625-5aca471b1d59/go.mod"
"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
"golang.org/x/tools v0.0.0-20190624222133-a101b041ded4/go.mod"
"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
"golang.org/x/tools v0.0.0-20190816200558-6889da9d5479/go.mod"
"golang.org/x/tools v0.0.0-20190911174233-4f2ddba30aff/go.mod"
"golang.org/x/tools v0.0.0-20191012152004-8de300cfc20a/go.mod"
"golang.org/x/tools v0.0.0-20191112195655-aa38f8e97acc/go.mod"
"golang.org/x/tools v0.0.0-20191113191852-77e3bb0ad9e7/go.mod"
"golang.org/x/tools v0.0.0-20191115202509-3a792d9c32b2/go.mod"
"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
"golang.org/x/tools v0.0.0-20191130070609-6e064ea0cf2d/go.mod"
"golang.org/x/tools v0.0.0-20191216173652-a0e659d51361/go.mod"
"golang.org/x/tools v0.0.0-20191227053925-7b8e75db28f4/go.mod"
"golang.org/x/tools v0.0.0-20200117161641-43d50277825c/go.mod"
"golang.org/x/tools v0.0.0-20200122220014-bf1340f18c4a/go.mod"
"golang.org/x/tools v0.0.0-20200130002326-2f3ba24bd6e7/go.mod"
"golang.org/x/tools v0.0.0-20200204074204-1cc6d1ef6c74/go.mod"
"golang.org/x/tools v0.0.0-20200207183749-b753a1ba74fa/go.mod"
"golang.org/x/tools v0.0.0-20200212150539-ea181f53ac56/go.mod"
"golang.org/x/tools v0.0.0-20200224181240-023911ca70b2/go.mod"
"golang.org/x/tools v0.0.0-20200304193943-95d2e580d8eb/go.mod"
"golang.org/x/tools v0.0.0-20200619180055-7c47624df98f/go.mod"
"golang.org/x/tools v0.0.0-20210106214847-113979e3529a/go.mod"
"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
"google.golang.org/api v0.4.0/go.mod"
"google.golang.org/api v0.7.0/go.mod"
"google.golang.org/api v0.8.0/go.mod"
"google.golang.org/api v0.9.0/go.mod"
"google.golang.org/api v0.13.0/go.mod"
"google.golang.org/api v0.14.0/go.mod"
"google.golang.org/api v0.15.0/go.mod"
"google.golang.org/api v0.17.0/go.mod"
"google.golang.org/api v0.18.0/go.mod"
"google.golang.org/api v0.20.0/go.mod"
"google.golang.org/appengine v1.1.0/go.mod"
"google.golang.org/appengine v1.4.0/go.mod"
"google.golang.org/appengine v1.5.0/go.mod"
"google.golang.org/appengine v1.6.1/go.mod"
"google.golang.org/appengine v1.6.5"
"google.golang.org/appengine v1.6.5/go.mod"
"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
"google.golang.org/genproto v0.0.0-20190801165951-fa694d86fc64/go.mod"
"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
"google.golang.org/genproto v0.0.0-20190911173649-1774047e7e51/go.mod"
"google.golang.org/genproto v0.0.0-20191108220845-16a3f7862a1a/go.mod"
"google.golang.org/genproto v0.0.0-20191115194625-c23dd37a84c9/go.mod"
"google.golang.org/genproto v0.0.0-20191216164720-4f79533eabd1/go.mod"
"google.golang.org/genproto v0.0.0-20191230161307-f3c370f40bfb/go.mod"
"google.golang.org/genproto v0.0.0-20200115191322-ca5a22157cba/go.mod"
"google.golang.org/genproto v0.0.0-20200122232147-0452cf42e150/go.mod"
"google.golang.org/genproto v0.0.0-20200204135345-fa8e72b47b90/go.mod"
"google.golang.org/genproto v0.0.0-20200212174721-66ed5ce911ce/go.mod"
"google.golang.org/genproto v0.0.0-20200224152610-e50cd9704f63/go.mod"
"google.golang.org/genproto v0.0.0-20200305110556-506484158171/go.mod"
"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
"google.golang.org/genproto v0.0.0-20210310155132-4ce2db91004e"
"google.golang.org/genproto v0.0.0-20210310155132-4ce2db91004e/go.mod"
"google.golang.org/grpc v1.19.0/go.mod"
"google.golang.org/grpc v1.20.1/go.mod"
"google.golang.org/grpc v1.21.1/go.mod"
"google.golang.org/grpc v1.23.0/go.mod"
"google.golang.org/grpc v1.23.1/go.mod"
"google.golang.org/grpc v1.25.1/go.mod"
"google.golang.org/grpc v1.26.0/go.mod"
"google.golang.org/grpc v1.27.0/go.mod"
"google.golang.org/grpc v1.27.1/go.mod"
"google.golang.org/grpc v1.33.2/go.mod"
"google.golang.org/grpc v1.36.0"
"google.golang.org/grpc v1.36.0/go.mod"
"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
"google.golang.org/protobuf v1.21.0/go.mod"
"google.golang.org/protobuf v1.22.0/go.mod"
"google.golang.org/protobuf v1.23.0/go.mod"
"google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
"google.golang.org/protobuf v1.24.0/go.mod"
"google.golang.org/protobuf v1.25.0"
"google.golang.org/protobuf v1.25.0/go.mod"
"gopkg.in/airbrake/gobrake.v2 v2.0.9/go.mod"
"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
"gopkg.in/errgo.v2 v2.1.0/go.mod"
"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
"gopkg.in/gemnasium/logrus-airbrake-hook.v2 v2.1.2/go.mod"
"gopkg.in/inf.v0 v0.9.1"
"gopkg.in/inf.v0 v0.9.1/go.mod"
"gopkg.in/ini.v1 v1.51.0/go.mod"
"gopkg.in/ini.v1 v1.58.0"
"gopkg.in/ini.v1 v1.58.0/go.mod"
"gopkg.in/resty.v1 v1.12.0/go.mod"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
"gopkg.in/yaml.v2 v2.2.1/go.mod"
"gopkg.in/yaml.v2 v2.2.2/go.mod"
"gopkg.in/yaml.v2 v2.2.4/go.mod"
"gopkg.in/yaml.v2 v2.2.8/go.mod"
"gopkg.in/yaml.v2 v2.3.0/go.mod"
"gopkg.in/yaml.v2 v2.4.0"
"gopkg.in/yaml.v2 v2.4.0/go.mod"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
"gotest.tools v2.2.0+incompatible"
"gotest.tools v2.2.0+incompatible/go.mod"
"gotest.tools/v3 v3.0.2/go.mod"
"gotest.tools/v3 v3.0.3"
"gotest.tools/v3 v3.0.3/go.mod"
"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
"honnef.co/go/tools v0.0.1-2020.1.3/go.mod"
"inet.af/netaddr v0.0.0-20210403172118-1e1430f727e0"
"inet.af/netaddr v0.0.0-20210403172118-1e1430f727e0/go.mod"
"k8s.io/api v0.20.4"
"k8s.io/api v0.20.4/go.mod"
"k8s.io/apimachinery v0.20.4"
"k8s.io/apimachinery v0.20.4/go.mod"
"k8s.io/client-go v0.20.4"
"k8s.io/client-go v0.20.4/go.mod"
"k8s.io/gengo v0.0.0-20200413195148-3a45101e95ac/go.mod"
"k8s.io/klog/v2 v2.0.0/go.mod"
"k8s.io/klog/v2 v2.4.0"
"k8s.io/klog/v2 v2.4.0/go.mod"
"k8s.io/kube-openapi v0.0.0-20201113171705-d219536bb9fd/go.mod"
"k8s.io/utils v0.0.0-20201110183641-67b214c5f920"
"k8s.io/utils v0.0.0-20201110183641-67b214c5f920/go.mod"
"mvdan.cc/interfacer v0.0.0-20180901003855-c20040233aed/go.mod"
"mvdan.cc/lint v0.0.0-20170908181259-adc824a0674b/go.mod"
"mvdan.cc/unparam v0.0.0-20190209190245-fbb59629db34/go.mod"
"rsc.io/binaryregexp v0.2.0/go.mod"
"rsc.io/quote/v3 v3.1.0/go.mod"
"rsc.io/sampler v1.3.0/go.mod"
"sigs.k8s.io/structured-merge-diff/v4 v4.0.2"
"sigs.k8s.io/structured-merge-diff/v4 v4.0.2/go.mod"
"sigs.k8s.io/yaml v1.1.0/go.mod"
"sigs.k8s.io/yaml v1.2.0"
"sigs.k8s.io/yaml v1.2.0/go.mod"
"sourcegraph.com/sqs/pbtypes v0.0.0-20180604144634-d3ebe8f20ae4/go.mod"
)
go-module_set_globals
SRC_URI="https://github.com/rancher/k3d/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"
LICENSE="MIT Apache-2.0 BSD BSD-2 MPL-2.0 ISC"
SLOT="0"

KEYWORDS="~amd64"
IUSE="doc"

src_prepare() {
	sed -e "s|^K3S_TAG[[:space:]]*:=.*|K3S_TAG := ${K3D_K3S_TAG}|" \
		-i Makefile || die
	grep -rFl 'golangci-lint run' "${WORKDIR}" "${HOME}" | \
		xargs sed -e 's/[^[:space:]]*golangci-lint run.*/true/' -i \
		|| die
	default
}

src_compile() {
	emake build \
		GIT_TAG_OVERRIDE=v${PV} \
		|| die
}

src_install() {
	dobin bin/${PN}
	DOCS=(*.md)
	if use doc; then
		DOCS+=(docs)
	fi
	default_src_install
}
