# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.5.9999
#hackport: flags: -check-bounds

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Efficient basic number-theoretic functions. Primes, powers, integer logarithms"
HOMEPAGE="https://github.com/Bodigrim/arithmoi"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND=">=dev-haskell/chimera-0.3:=[profile?]
	dev-haskell/constraints:=[profile?]
	>=dev-haskell/exact-pi-0.5:=[profile?]
	>=dev-haskell/integer-logarithms-1.0:=[profile?]
	>=dev-haskell/integer-roots-1.0:=[profile?]
	dev-haskell/mod:=[profile?]
	>=dev-haskell/random-1.0:=[profile?] <dev-haskell/random-1.3:=[profile?]
	>=dev-haskell/semirings-0.5.2:=[profile?]
	>=dev-haskell/vector-0.12:=[profile?]
	>=dev-lang/ghc-8.2.1:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.0.0.2
	test? ( >=dev-haskell/quickcheck-2.10
		>=dev-haskell/quickcheck-classes-0.6.3
		>=dev-haskell/smallcheck-1.2 <dev-haskell/smallcheck-1.3
		>=dev-haskell/tasty-0.10
		>=dev-haskell/tasty-hunit-0.9 <dev-haskell/tasty-hunit-0.11
		>=dev-haskell/tasty-quickcheck-0.9 <dev-haskell/tasty-quickcheck-0.11
		>=dev-haskell/tasty-rerun-1.1.17
		>=dev-haskell/tasty-smallcheck-0.8 <dev-haskell/tasty-smallcheck-0.9 )
"

src_configure() {
	haskell-cabal_src_configure \
		--flag=-check-bounds
}
