# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.4.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Lazy infinite streams with O(1) indexing"
HOMEPAGE="https://github.com/Bodigrim/chimera#readme"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+representable"

RDEPEND="dev-haskell/vector:=[profile?]
	>=dev-lang/ghc-8.0.1:=
	representable? ( dev-haskell/adjunctions:=[profile?]
				dev-haskell/distributive:=[profile?]
				dev-haskell/mtl:=[profile?] )
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.24.0.0
	test? ( >=dev-haskell/quickcheck-2.10
		dev-haskell/tasty
		dev-haskell/tasty-hunit
		dev-haskell/tasty-quickcheck
		dev-haskell/tasty-smallcheck )
"

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag representable representable)
}
