# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.6.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour"
inherit haskell-cabal

DESCRIPTION="Data encoding library"
HOMEPAGE="https://www.haskell.org/haskellwiki/Library/Data_encoding"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~ppc-macos"
IUSE="test"
RESTRICT="!test? ( test )"

RDEPEND=">=dev-lang/ghc-7.4.1:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.6
	test? ( dev-haskell/hunit:=[profile?]
			>=dev-haskell/quickcheck-2.5:2=[profile?]
			dev-haskell/test-framework:=[profile?]
			dev-haskell/test-framework-hunit:=[profile?]
			dev-haskell/test-framework-quickcheck2:=[profile?]
			dev-haskell/test-framework-th:=[profile?] )
"

src_prepare() {
	default

	cabal_chdeps \
		'base >= 3.0.0 && < 4.8' 'base >= 3.0.0' \
		'QuickCheck ==2.5.*' 'QuickCheck >=2.5' \
		'executable tests' 'executable dataenc-tests'
}

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag test tests)
}
