# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.3
#hackport: flags: -test-parsing

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Bindings to Graphviz for graph visualisation"
HOMEPAGE="http://projects.haskell.org/graphviz/"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE=""

RESTRICT=test # 30 examples, 3 failures, also known to fail here on previous version

RDEPEND=">=dev-haskell/colour-2.3:=[profile?] <dev-haskell/colour-2.4:=[profile?]
	>=dev-haskell/dlist-0.5:=[profile?] <dev-haskell/dlist-0.9:=[profile?]
	>=dev-haskell/fgl-5.4:=[profile?] <dev-haskell/fgl-5.8:=[profile?]
	>=dev-haskell/mtl-2:=[profile?] <dev-haskell/mtl-3:=[profile?]
	>=dev-haskell/polyparse-1.9:=[profile?] <dev-haskell/polyparse-1.14:=[profile?]
	>=dev-haskell/temporary-1.1:=[profile?] <dev-haskell/temporary-1.4:=[profile?]
	dev-haskell/text:=[profile?]
	>=dev-haskell/wl-pprint-text-1.2:=[profile?] <dev-haskell/wl-pprint-text-1.3:=[profile?]
	>=dev-lang/ghc-7.4.1:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.14
	test? ( >=dev-haskell/fgl-5.5.0.0
		>=dev-haskell/fgl-arbitrary-0.2 <dev-haskell/fgl-arbitrary-0.3
		>=dev-haskell/hspec-2.1 <dev-haskell/hspec-2.8
		>=dev-haskell/quickcheck-2.3 <dev-haskell/quickcheck-2.14 )
"

src_prepare() {
	default

	cabal_chdeps \
		'hspec >= 2.1 && < 2.8' 'hspec >= 2.1' \
		'polyparse >=1.9 && <1.14' 'polyparse >=1.9'
}

src_configure() {
	haskell-cabal_src_configure \
		--flag=-test-parsing
}
