# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.4.9999

CABAL_FEATURES="lib profile test-suite" # haddock hoogle hscolour
inherit haskell-cabal

DESCRIPTION="Library exposing some functionality of Haddock"
HOMEPAGE="https://www.haskell.org/haddock/"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD-2"
SLOT="0/${PV}"
# keep in sync with ghc-8.10
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""

RDEPEND=">=dev-haskell/parsec-3.1.13.0:=[profile?] <dev-haskell/parsec-3.2:=[profile?]
	>=dev-haskell/text-1.2.3.0:=[profile?] <dev-haskell/text-1.3:=[profile?]
	>=dev-lang/ghc-7.8.2:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.2
	test? ( >=dev-haskell/hspec-2.4.4
		>=dev-haskell/optparse-applicative-0.15
		>=dev-haskell/tree-diff-0.1
		>=dev-haskell/base-compat-0.9.3
		>=dev-haskell/quickcheck-2.11 )
"

src_prepare() {
	default

	cabal_chdeps \
		'base-compat  ^>= 0.9.3 || ^>= 0.11.0' 'base-compat  >= 0.9.3' \
		'hspec                          >= 2.4.4    && < 2.8' 'hspec                          >= 2.4.4' \
		'optparse-applicative  ^>= 0.15' 'optparse-applicative  >= 0.15' \
		'QuickCheck   ^>= 2.11  || ^>= 2.13.2' 'QuickCheck   >= 2.11' \
		'tree-diff             ^>= 0.1' 'tree-diff             >= 0.1'
}
