# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.7.9999
#hackport: flags: +network-uri

CABAL_FEATURES="lib profile haddock hoogle hscolour"
inherit haskell-cabal

MY_PN="iCalendar"
MY_P="${MY_PN}-${PV}"

DESCRIPTION="iCalendar data types, parser, and printer"
HOMEPAGE="https://github.com/chrra/iCalendar"
SRC_URI="https://hackage.haskell.org/package/${MY_P}/${MY_P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"

RDEPEND=">=dev-haskell/base64-bytestring-1.0:=[profile?] <dev-haskell/base64-bytestring-1.1:=[profile?]
	>=dev-haskell/case-insensitive-0.4:=[profile?]
	>=dev-haskell/data-default-0.3:=[profile?]
	>=dev-haskell/mime-0.4.0.2:=[profile?]
	>=dev-haskell/mtl-2.1.0:=[profile?]
	>=dev-haskell/network-2.6:=[profile?]
	>=dev-haskell/network-uri-2.6:=[profile?]
	dev-haskell/old-locale:=[profile?]
	>=dev-haskell/parsec-3.1.0:=[profile?]
	dev-haskell/text:=[profile?]
	>=dev-lang/ghc-8.4.3:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.2.0.1
"

S="${WORKDIR}/${MY_P}"

src_prepare() {
	default

	cabal_chdeps \
		'containers >= 0.5 && < 0.6' 'containers >= 0.5' \
		'network >= 2.6 && < 2.7' 'network >= 2.6'
}

src_configure() {
	haskell-cabal_src_configure \
		--flag=network-uri
}
