# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.9999
#hackport: flags: -check-bounds,+integer-gmp

CABAL_FEATURES="lib profile haddock hoogle hscolour" # test-suite": circular depends
inherit haskell-cabal

DESCRIPTION="Integer logarithms"
HOMEPAGE="https://github.com/Bodigrim/integer-logarithms"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE=""

#circular dependency: scientific -> integer-logarithms -> tasty -> scientific
RESTRICT="test"

RDEPEND=">=dev-haskell/nats-1.1.2:=[profile?] <dev-haskell/nats-1.2:=[profile?]
	>=dev-lang/ghc-7.4.1:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.10
"

src_prepare() {
	default

	cabal_chdeps \
		'base >= 4.3 && < 4.13' 'base >= 4.3' \
		'ghc-prim < 0.6' 'ghc-prim'
}

src_configure() {
	haskell-cabal_src_configure \
		--flag=-check-bounds \
		--flag=integer-gmp
}
