# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.3.4.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour"
inherit haskell-cabal

DESCRIPTION="Binding to libxml2"
HOMEPAGE="https://hackage.haskell.org/package/libxml"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="dev-haskell/mtl:=[profile?]
	>=dev-lang/ghc-6.10.4:=
	dev-libs/libxml2
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.6.0.3
	virtual/pkgconfig
"

src_prepare() {
	default
	sed -e 's@includes: libxml/xmlIO.h libxml/xmlmemory.h@pkgconfig-depends: libxml-2.0@' \
		-i "${S}/${PN}.cabal" \
		|| die "Could not patch libxml2 configuration in ${PN}.cabal"
}
