# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.4.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Fast type-safe modular arithmetic"
HOMEPAGE="https://github.com/Bodigrim/mod"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+semirings"

RDEPEND=">=dev-lang/ghc-8.2.1:=
	semirings? ( >=dev-haskell/semirings-0.5:=[profile?] )
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.0.0.2
	test? ( dev-haskell/quickcheck-classes-base
		>=dev-haskell/tasty-0.10
		>=dev-haskell/tasty-quickcheck-0.9 <dev-haskell/tasty-quickcheck-0.11
		semirings? ( >=dev-haskell/quickcheck-classes-0.6.3 ) )
"

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag semirings semirings)
}
