# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.6.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Content addressable Haskell package management"
HOMEPAGE="https://github.com/commercialhaskell/pantry#readme"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE=""

RESTRICT="test" # seems related to http-download, requiring network access

RDEPEND="dev-haskell/aeson:=[profile?]
	dev-haskell/ansi-terminal:=[profile?]
	>=dev-haskell/cabal-3:=[profile?] <dev-haskell/cabal-3.3:=[profile?]
	dev-haskell/casa-client:=[profile?]
	dev-haskell/casa-types:=[profile?]
	dev-haskell/conduit:=[profile?]
	dev-haskell/conduit-extra:=[profile?]
	dev-haskell/cryptonite:=[profile?]
	dev-haskell/cryptonite-conduit:=[profile?]
	dev-haskell/digest:=[profile?]
	dev-haskell/filelock:=[profile?]
	dev-haskell/generic-deriving:=[profile?]
	dev-haskell/hackage-security:=[profile?]
	>=dev-haskell/hpack-0.31.2:=[profile?]
	dev-haskell/http-client:=[profile?]
	dev-haskell/http-client-tls:=[profile?]
	dev-haskell/http-conduit:=[profile?]
	dev-haskell/http-download:=[profile?]
	dev-haskell/http-types:=[profile?]
	dev-haskell/memory:=[profile?]
	dev-haskell/mtl:=[profile?]
	dev-haskell/network-uri:=[profile?]
	dev-haskell/path:=[profile?]
	dev-haskell/path-io:=[profile?]
	dev-haskell/persistent:=[profile?]
	>=dev-haskell/persistent-sqlite-2.9.3:=[profile?]
	dev-haskell/persistent-template:=[profile?]
	dev-haskell/primitive:=[profile?]
	dev-haskell/resourcet:=[profile?]
	dev-haskell/rio:=[profile?]
	dev-haskell/rio-orphans:=[profile?]
	dev-haskell/rio-prettyprint:=[profile?]
	dev-haskell/tar-conduit:=[profile?]
	dev-haskell/text:=[profile?]
	dev-haskell/text-metrics:=[profile?]
	dev-haskell/unix-compat:=[profile?]
	dev-haskell/unliftio:=[profile?]
	dev-haskell/unordered-containers:=[profile?]
	dev-haskell/vector:=[profile?]
	dev-haskell/yaml:=[profile?]
	dev-haskell/zip-archive:=[profile?]
	>=dev-lang/ghc-8.2.1:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.0.0.2
	test? ( dev-haskell/exceptions
		dev-haskell/hedgehog
		dev-haskell/hspec
		dev-haskell/quickcheck
		dev-haskell/raw-strings-qq )
"
