# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.4.9999
#hackport: flags: -developer

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Efficient conversion of values into Text"
HOMEPAGE="https://github.com/RyanGlScott/text-show"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND=">=dev-haskell/base-compat-batteries-0.11:=[profile?] <dev-haskell/base-compat-batteries-0.12:=[profile?]
	>=dev-haskell/bifunctors-5.1:=[profile?] <dev-haskell/bifunctors-6:=[profile?]
	dev-haskell/bytestring-builder:=[profile?]
	>=dev-haskell/generic-deriving-1.11:=[profile?] <dev-haskell/generic-deriving-2:=[profile?]
	>=dev-haskell/text-0.11.1:=[profile?] <dev-haskell/text-1.3:=[profile?]
	>=dev-haskell/th-abstraction-0.3:=[profile?] <dev-haskell/th-abstraction-0.4:=[profile?]
	>=dev-haskell/th-lift-0.7.6:=[profile?] <dev-haskell/th-lift-1:=[profile?]
	>=dev-haskell/transformers-compat-0.5:=[profile?] <dev-haskell/transformers-compat-1:=[profile?]
	>=dev-lang/ghc-7.8.2:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.18.1.3
	test? ( >=dev-haskell/base-orphans-0.8.2 <dev-haskell/base-orphans-0.9
		>=dev-haskell/deriving-compat-0.5.6 <dev-haskell/deriving-compat-1
		>=dev-haskell/hspec-2 <dev-haskell/hspec-3
		>=dev-haskell/quickcheck-2.12 <dev-haskell/quickcheck-2.15
		>=dev-haskell/quickcheck-instances-0.3.18 <dev-haskell/quickcheck-instances-0.4 )
"

src_prepare() {
	default

	cabal_chdeps \
		'base                  >= 4.9 && < 4.14' 'base                  >= 4.9' \
		'base      >= 4.5    && < 4.14' 'base      >= 4.5' \
		'base                  >= 4.5 && < 4.9' 'base                  >= 4.5' \
		'ghc-boot-th           >= 8.0  && < 8.9' 'ghc-boot-th           >= 8.0' \
		'template-haskell      >= 2.11 && < 2.16' 'template-haskell      >= 2.11' \
		'template-haskell      >= 2.5  && < 2.11' 'template-haskell      >= 2.5' \
		'QuickCheck            >= 2.12   && < 2.14' 'QuickCheck            >= 2.12'
}

src_configure() {
	haskell-cabal_src_configure \
		--flag=-developer
}
