# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python3_{7,8} pypy3 )

inherit distutils-r1

MY_PN=""
DESCRIPTION="Python implementation of the Engine.IO realtime server."
HOMEPAGE="https://python-engineio.readthedocs.org/ https://github.com/miguelgrinberg/python-engineio/ https://pypi.org/project/python-engineio/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
	dev-python/setuptools[${PYTHON_USEDEP}]"

# pypi tarball does not contain tests
RESTRICT="test"

python_test() {
	esetup.py test || die "Tests failed under ${EPYTHON}"
}
