# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module

DESCRIPTION="Command-line interface for Drone"
HOMEPAGE="https://github.com/drone/drone-cli"

EGO_SUM=(
	"docker.io/go-docker v1.0.0"
	"docker.io/go-docker v1.0.0/go.mod"
	"github.com/99designs/httpsignatures-go v0.0.0-20170731043157-88528bf4ca7e"
	"github.com/99designs/httpsignatures-go v0.0.0-20170731043157-88528bf4ca7e/go.mod"
	"github.com/Microsoft/go-winio v0.4.11/go.mod"
	"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
	"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
	"github.com/bmatcuk/doublestar v1.1.1"
	"github.com/bmatcuk/doublestar v1.1.1/go.mod"
	"github.com/buildkite/yaml v0.0.0-20181016232759-0caa5f0796e3/go.mod"
	"github.com/buildkite/yaml v2.1.0+incompatible"
	"github.com/buildkite/yaml v2.1.0+incompatible/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/docker/distribution v0.0.0-20170726174610-edc3ab29cdff/go.mod"
	"github.com/docker/distribution v2.7.1+incompatible"
	"github.com/docker/distribution v2.7.1+incompatible/go.mod"
	"github.com/docker/go-connections v0.3.0"
	"github.com/docker/go-connections v0.3.0/go.mod"
	"github.com/docker/go-units v0.3.3"
	"github.com/docker/go-units v0.3.3/go.mod"
	"github.com/drone/drone-go v0.0.0-20190809073937-cba78c0895aa"
	"github.com/drone/drone-go v0.0.0-20190809073937-cba78c0895aa/go.mod"
	"github.com/drone/drone-go v1.0.6"
	"github.com/drone/drone-go v1.0.6/go.mod"
	"github.com/drone/drone-go v1.0.7-0.20190918192642-21c14e63f89a"
	"github.com/drone/drone-go v1.0.7-0.20190918192642-21c14e63f89a/go.mod"
	"github.com/drone/drone-go v1.0.7-0.20191002153459-173e210cf8d6"
	"github.com/drone/drone-go v1.0.7-0.20191002153459-173e210cf8d6/go.mod"
	"github.com/drone/drone-runtime v0.0.0-20190729082142-807d0aeaa221/go.mod"
	"github.com/drone/drone-runtime v1.0.7-0.20190729070836-38f28a11afe8"
	"github.com/drone/drone-runtime v1.0.7-0.20190729070836-38f28a11afe8/go.mod"
	"github.com/drone/drone-yaml v0.0.0-20190729072335-70fa398b3560"
	"github.com/drone/drone-yaml v0.0.0-20190729072335-70fa398b3560/go.mod"
	"github.com/drone/envsubst v1.0.1"
	"github.com/drone/envsubst v1.0.1/go.mod"
	"github.com/drone/funcmap v0.0.0-20190918184546-d4ef6e88376d"
	"github.com/drone/funcmap v0.0.0-20190918184546-d4ef6e88376d/go.mod"
	"github.com/drone/signal v1.0.0"
	"github.com/drone/signal v1.0.0/go.mod"
	"github.com/fatih/color v1.7.0"
	"github.com/fatih/color v1.7.0/go.mod"
	"github.com/ghodss/yaml v1.0.0"
	"github.com/ghodss/yaml v1.0.0/go.mod"
	"github.com/gogo/protobuf v0.0.0-20170307180453-100ba4e88506"
	"github.com/gogo/protobuf v0.0.0-20170307180453-100ba4e88506/go.mod"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
	"github.com/golang/mock v1.1.1/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/google/go-jsonnet v0.11.2"
	"github.com/google/go-jsonnet v0.11.2/go.mod"
	"github.com/google/gofuzz v0.0.0-20170612174753-24818f796faf/go.mod"
	"github.com/googleapis/gnostic v0.2.0/go.mod"
	"github.com/gregjones/httpcache v0.0.0-20181110185634-c63ab54fda8f/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/imdario/mergo v0.3.6/go.mod"
	"github.com/jackspirou/syscerts v0.0.0-20160531025014-b68f5469dff1"
	"github.com/jackspirou/syscerts v0.0.0-20160531025014-b68f5469dff1/go.mod"
	"github.com/joho/godotenv v1.3.0"
	"github.com/joho/godotenv v1.3.0/go.mod"
	"github.com/json-iterator/go v1.1.5/go.mod"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/mattn/go-colorable v0.0.9"
	"github.com/mattn/go-colorable v0.0.9/go.mod"
	"github.com/mattn/go-isatty v0.0.4"
	"github.com/mattn/go-isatty v0.0.4/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
	"github.com/natessilva/dag v0.0.0-20180124060714-7194b8dcc5c4"
	"github.com/natessilva/dag v0.0.0-20180124060714-7194b8dcc5c4/go.mod"
	"github.com/opencontainers/go-digest v1.0.0-rc1"
	"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
	"github.com/opencontainers/image-spec v1.0.1"
	"github.com/opencontainers/image-spec v1.0.1/go.mod"
	"github.com/petar/GoLLRB v0.0.0-20130427215148-53be0d36a84c/go.mod"
	"github.com/peterbourgon/diskv v2.0.1+incompatible/go.mod"
	"github.com/pkg/browser v0.0.0-20180916011732-0a3d74bf9ce4"
	"github.com/pkg/browser v0.0.0-20180916011732-0a3d74bf9ce4/go.mod"
	"github.com/pkg/errors v0.8.0"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/sergi/go-diff v1.0.0/go.mod"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/urfave/cli v1.20.0"
	"github.com/urfave/cli v1.20.0/go.mod"
	"github.com/vinzenz/yaml v0.0.0-20170920081652-35282ab071f9/go.mod"
	"github.com/vinzenz/yaml v0.0.0-20170920082545-91409cdd725d"
	"github.com/vinzenz/yaml v0.0.0-20170920082545-91409cdd725d/go.mod"
	"go.starlark.net v0.0.0-20190219202100-4eb76950c5f0"
	"go.starlark.net v0.0.0-20190219202100-4eb76950c5f0/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
	"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
	"golang.org/x/net v0.0.0-20181005035420-146acd28ed58"
	"golang.org/x/net v0.0.0-20181005035420-146acd28ed58/go.mod"
	"golang.org/x/oauth2 v0.0.0-20181003184128-c57b0facaced/go.mod"
	"golang.org/x/oauth2 v0.0.0-20181203162652-d668ce993890"
	"golang.org/x/oauth2 v0.0.0-20181203162652-d668ce993890/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sys v0.0.0-20181005133103-4497e2df6f9e/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
	"google.golang.org/appengine v1.2.0/go.mod"
	"google.golang.org/appengine v1.3.0/go.mod"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/inf.v0 v0.9.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"k8s.io/api v0.0.0-20181130031204-d04500c8c3dd/go.mod"
	"k8s.io/apimachinery v0.0.0-20181201231028-18a5ff3097b4/go.mod"
	"k8s.io/client-go v9.0.0+incompatible/go.mod"
	"k8s.io/klog v0.1.0/go.mod"
	"sigs.k8s.io/yaml v1.1.0/go.mod"
	)
go-module_set_globals
SRC_URI="https://github.com/drone/drone-cli/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"

RESTRICT+=" test"

src_compile() {
	go build \
		-ldflags "-X main.version=${PV}" -o bin/drone ./drone || die
}

src_install() {
	dobin bin/drone
	dodoc README.md
}
