# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools xdg

DESCRIPTION="A portable Nintendo Entertainment System emulator written in C++"
HOMEPAGE="http://0ldsk00l.ca/nestopia/"

if [[ ${PV} == *9999 ]]; then
	inherit git-r3
	EGIT_REPO_URI="https://github.com/0ldsk00l/nestopia.git"
else
	SRC_URI="https://github.com/0ldsk00l/nestopia/archive/${PV}.tar.gz -> ${P}.tar.gz"
	KEYWORDS="~amd64 ~x86"
fi

LICENSE="GPL-2+"
SLOT="0"
IUSE="ao doc gui jack"

RDEPEND="
	app-arch/libarchive:=
	media-libs/libepoxy
	media-libs/libsdl2[sound,joystick,video]
	sys-libs/zlib
	ao? ( media-libs/libao )
	gui? ( x11-libs/gtk+:3 )
	jack? ( virtual/jack )"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"

src_prepare() {
	default
	eautoreconf
}

src_configure() {
	econf \
		$(use_with ao) \
		$(use_with jack) \
		$(use_enable doc) \
		$(use_enable gui)
}
