# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module systemd
MY_PV="${PV/_rc/-rc.}"
COMMIT=cd037b49
BRANCH=release-1.18
VERSION=v${MY_PV}

DESCRIPTION="The plugin-driven server agent for collecting & reporting metrics."
HOMEPAGE="https://github.com/influxdata/telegraf"

EGO_SUM=(
	"cloud.google.com/go v0.26.0/go.mod"
	"cloud.google.com/go v0.34.0/go.mod"
	"cloud.google.com/go v0.37.4/go.mod"
	"cloud.google.com/go v0.38.0/go.mod"
	"cloud.google.com/go v0.44.1/go.mod"
	"cloud.google.com/go v0.44.2/go.mod"
	"cloud.google.com/go v0.45.1/go.mod"
	"cloud.google.com/go v0.46.3/go.mod"
	"cloud.google.com/go v0.50.0/go.mod"
	"cloud.google.com/go v0.53.0"
	"cloud.google.com/go v0.53.0/go.mod"
	"cloud.google.com/go/bigquery v1.0.1/go.mod"
	"cloud.google.com/go/bigquery v1.3.0"
	"cloud.google.com/go/bigquery v1.3.0/go.mod"
	"cloud.google.com/go/datastore v1.0.0"
	"cloud.google.com/go/datastore v1.0.0/go.mod"
	"cloud.google.com/go/pubsub v1.0.1/go.mod"
	"cloud.google.com/go/pubsub v1.1.0"
	"cloud.google.com/go/pubsub v1.1.0/go.mod"
	"cloud.google.com/go/storage v1.0.0/go.mod"
	"cloud.google.com/go/storage v1.5.0"
	"cloud.google.com/go/storage v1.5.0/go.mod"
	"code.cloudfoundry.org/clock v1.0.0"
	"code.cloudfoundry.org/clock v1.0.0/go.mod"
	"collectd.org v0.3.0"
	"collectd.org v0.3.0/go.mod"
	"dmitri.shuralyov.com/gpu/mtl v0.0.0-20190408044501-666a987793e9/go.mod"
	"github.com/Azure/azure-amqp-common-go/v3 v3.0.0"
	"github.com/Azure/azure-amqp-common-go/v3 v3.0.0/go.mod"
	"github.com/Azure/azure-event-hubs-go/v3 v3.2.0"
	"github.com/Azure/azure-event-hubs-go/v3 v3.2.0/go.mod"
	"github.com/Azure/azure-pipeline-go v0.1.8/go.mod"
	"github.com/Azure/azure-pipeline-go v0.1.9"
	"github.com/Azure/azure-pipeline-go v0.1.9/go.mod"
	"github.com/Azure/azure-sdk-for-go v37.1.0+incompatible"
	"github.com/Azure/azure-sdk-for-go v37.1.0+incompatible/go.mod"
	"github.com/Azure/azure-storage-blob-go v0.6.0/go.mod"
	"github.com/Azure/azure-storage-queue-go v0.0.0-20181215014128-6ed74e755687"
	"github.com/Azure/azure-storage-queue-go v0.0.0-20181215014128-6ed74e755687/go.mod"
	"github.com/Azure/go-amqp v0.12.6"
	"github.com/Azure/go-amqp v0.12.6/go.mod"
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78/go.mod"
	"github.com/Azure/go-autorest/autorest v0.9.0/go.mod"
	"github.com/Azure/go-autorest/autorest v0.9.3"
	"github.com/Azure/go-autorest/autorest v0.9.3/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.5.0/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.8.0/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.8.1"
	"github.com/Azure/go-autorest/autorest/adal v0.8.1/go.mod"
	"github.com/Azure/go-autorest/autorest/azure/auth v0.4.2"
	"github.com/Azure/go-autorest/autorest/azure/auth v0.4.2/go.mod"
	"github.com/Azure/go-autorest/autorest/azure/cli v0.3.1"
	"github.com/Azure/go-autorest/autorest/azure/cli v0.3.1/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.2.0"
	"github.com/Azure/go-autorest/autorest/date v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.3.0"
	"github.com/Azure/go-autorest/autorest/mocks v0.3.0/go.mod"
	"github.com/Azure/go-autorest/autorest/to v0.3.0"
	"github.com/Azure/go-autorest/autorest/to v0.3.0/go.mod"
	"github.com/Azure/go-autorest/autorest/validation v0.2.0"
	"github.com/Azure/go-autorest/autorest/validation v0.2.0/go.mod"
	"github.com/Azure/go-autorest/logger v0.1.0"
	"github.com/Azure/go-autorest/logger v0.1.0/go.mod"
	"github.com/Azure/go-autorest/tracing v0.5.0"
	"github.com/Azure/go-autorest/tracing v0.5.0/go.mod"
	"github.com/BurntSushi/toml v0.3.1"
	"github.com/BurntSushi/toml v0.3.1/go.mod"
	"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
	"github.com/DataDog/datadog-go v3.2.0+incompatible/go.mod"
	"github.com/Mellanox/rdmamap v0.0.0-20191106181932-7c3c4763a6ee"
	"github.com/Mellanox/rdmamap v0.0.0-20191106181932-7c3c4763a6ee/go.mod"
	"github.com/Microsoft/ApplicationInsights-Go v0.4.2"
	"github.com/Microsoft/ApplicationInsights-Go v0.4.2/go.mod"
	"github.com/Microsoft/go-winio v0.4.9"
	"github.com/Microsoft/go-winio v0.4.9/go.mod"
	"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
	"github.com/PuerkitoBio/purell v1.0.0/go.mod"
	"github.com/PuerkitoBio/urlesc v0.0.0-20160726150825-5bd2802263f2/go.mod"
	"github.com/Shopify/sarama v1.19.0/go.mod"
	"github.com/Shopify/sarama v1.27.2"
	"github.com/Shopify/sarama v1.27.2/go.mod"
	"github.com/Shopify/toxiproxy v2.1.4+incompatible"
	"github.com/Shopify/toxiproxy v2.1.4+incompatible/go.mod"
	"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d"
	"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d/go.mod"
	"github.com/aerospike/aerospike-client-go v1.27.0"
	"github.com/aerospike/aerospike-client-go v1.27.0/go.mod"
	"github.com/ajstarks/svgo v0.0.0-20180226025133-644b8db467af/go.mod"
	"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
	"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
	"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
	"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4"
	"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
	"github.com/amir/raidman v0.0.0-20170415203553-1ccc43bfb9c9"
	"github.com/amir/raidman v0.0.0-20170415203553-1ccc43bfb9c9/go.mod"
	"github.com/antchfx/xmlquery v1.3.3"
	"github.com/antchfx/xmlquery v1.3.3/go.mod"
	"github.com/antchfx/xpath v1.1.10/go.mod"
	"github.com/antchfx/xpath v1.1.11"
	"github.com/antchfx/xpath v1.1.11/go.mod"
	"github.com/antihax/optional v1.0.0/go.mod"
	"github.com/apache/thrift v0.12.0"
	"github.com/apache/thrift v0.12.0/go.mod"
	"github.com/aristanetworks/glog v0.0.0-20191112221043-67e8567f59f3"
	"github.com/aristanetworks/glog v0.0.0-20191112221043-67e8567f59f3/go.mod"
	"github.com/aristanetworks/goarista v0.0.0-20190325233358-a123909ec740"
	"github.com/aristanetworks/goarista v0.0.0-20190325233358-a123909ec740/go.mod"
	"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
	"github.com/armon/go-metrics v0.3.0"
	"github.com/armon/go-metrics v0.3.0/go.mod"
	"github.com/aws/aws-sdk-go v1.34.34"
	"github.com/aws/aws-sdk-go v1.34.34/go.mod"
	"github.com/aws/aws-sdk-go-v2 v1.1.0"
	"github.com/aws/aws-sdk-go-v2 v1.1.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/config v1.1.0"
	"github.com/aws/aws-sdk-go-v2/config v1.1.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/credentials v1.1.0"
	"github.com/aws/aws-sdk-go-v2/credentials v1.1.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.0.1"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.0.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/ec2 v1.1.0"
	"github.com/aws/aws-sdk-go-v2/service/ec2 v1.1.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.0.1"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.0.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.1.0"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.1.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.1.0"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.1.0/go.mod"
	"github.com/aws/smithy-go v1.0.0"
	"github.com/aws/smithy-go v1.0.0/go.mod"
	"github.com/benbjohnson/clock v1.0.3"
	"github.com/benbjohnson/clock v1.0.3/go.mod"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
	"github.com/beorn7/perks v1.0.0/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/bitly/go-hostpool v0.1.0"
	"github.com/bitly/go-hostpool v0.1.0/go.mod"
	"github.com/bmatcuk/doublestar/v3 v3.0.0"
	"github.com/bmatcuk/doublestar/v3 v3.0.0/go.mod"
	"github.com/bmizerany/assert v0.0.0-20160611221934-b7ed37b82869"
	"github.com/bmizerany/assert v0.0.0-20160611221934-b7ed37b82869/go.mod"
	"github.com/boltdb/bolt v1.3.1/go.mod"
	"github.com/caio/go-tdigest v3.1.0+incompatible"
	"github.com/caio/go-tdigest v3.1.0+incompatible/go.mod"
	"github.com/cenkalti/backoff v2.0.0+incompatible"
	"github.com/cenkalti/backoff v2.0.0+incompatible/go.mod"
	"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
	"github.com/cespare/xxhash/v2 v2.1.1"
	"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
	"github.com/chzyer/logex v1.1.10/go.mod"
	"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
	"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
	"github.com/circonus-labs/circonus-gometrics v2.3.1+incompatible/go.mod"
	"github.com/circonus-labs/circonusllhist v0.1.3/go.mod"
	"github.com/cisco-ie/nx-telemetry-proto v0.0.0-20190531143454-82441e232cf6"
	"github.com/cisco-ie/nx-telemetry-proto v0.0.0-20190531143454-82441e232cf6/go.mod"
	"github.com/client9/misspell v0.3.4/go.mod"
	"github.com/cncf/udpa/go v0.0.0-20191209042840-269d4d468f6f/go.mod"
	"github.com/cockroachdb/apd v1.1.0"
	"github.com/cockroachdb/apd v1.1.0/go.mod"
	"github.com/containerd/containerd v1.4.1"
	"github.com/containerd/containerd v1.4.1/go.mod"
	"github.com/coreos/etcd v3.3.22+incompatible"
	"github.com/coreos/etcd v3.3.22+incompatible/go.mod"
	"github.com/coreos/go-semver v0.3.0"
	"github.com/coreos/go-semver v0.3.0/go.mod"
	"github.com/couchbase/go-couchbase v0.0.0-20180501122049-16db1f1fe037"
	"github.com/couchbase/go-couchbase v0.0.0-20180501122049-16db1f1fe037/go.mod"
	"github.com/couchbase/gomemcached v0.0.0-20180502221210-0da75df14530"
	"github.com/couchbase/gomemcached v0.0.0-20180502221210-0da75df14530/go.mod"
	"github.com/couchbase/goutils v0.0.0-20180530154633-e865a1461c8a"
	"github.com/couchbase/goutils v0.0.0-20180530154633-e865a1461c8a/go.mod"
	"github.com/creack/pty v1.1.9/go.mod"
	"github.com/davecgh/go-spew v0.0.0-20151105211317-5215b55f46b2/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/denisenkom/go-mssqldb v0.0.0-20190707035753-2be1aa521ff4"
	"github.com/denisenkom/go-mssqldb v0.0.0-20190707035753-2be1aa521ff4/go.mod"
	"github.com/devigned/tab v0.1.1"
	"github.com/devigned/tab v0.1.1/go.mod"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
	"github.com/dgrijalva/jwt-go/v4 v4.0.0-preview1"
	"github.com/dgrijalva/jwt-go/v4 v4.0.0-preview1/go.mod"
	"github.com/dimchansky/utfbom v1.1.0"
	"github.com/dimchansky/utfbom v1.1.0/go.mod"
	"github.com/docker/distribution v2.6.0-rc.1.0.20170726174610-edc3ab29cdff+incompatible"
	"github.com/docker/distribution v2.6.0-rc.1.0.20170726174610-edc3ab29cdff+incompatible/go.mod"
	"github.com/docker/docker v17.12.0-ce-rc1.0.20200916142827-bd33bbf0497b+incompatible"
	"github.com/docker/docker v17.12.0-ce-rc1.0.20200916142827-bd33bbf0497b+incompatible/go.mod"
	"github.com/docker/go-connections v0.3.0"
	"github.com/docker/go-connections v0.3.0/go.mod"
	"github.com/docker/go-units v0.3.3"
	"github.com/docker/go-units v0.3.3/go.mod"
	"github.com/docker/libnetwork v0.8.0-dev.2.0.20181012153825-d7b61745d166"
	"github.com/docker/libnetwork v0.8.0-dev.2.0.20181012153825-d7b61745d166/go.mod"
	"github.com/docker/spdystream v0.0.0-20160310174837-449fdfce4d96/go.mod"
	"github.com/dropbox/godropbox v0.0.0-20180512210157-31879d3884b9"
	"github.com/dropbox/godropbox v0.0.0-20180512210157-31879d3884b9/go.mod"
	"github.com/eapache/go-resiliency v1.1.0/go.mod"
	"github.com/eapache/go-resiliency v1.2.0"
	"github.com/eapache/go-resiliency v1.2.0/go.mod"
	"github.com/eapache/go-xerial-snappy v0.0.0-20180814174437-776d5712da21"
	"github.com/eapache/go-xerial-snappy v0.0.0-20180814174437-776d5712da21/go.mod"
	"github.com/eapache/queue v1.1.0"
	"github.com/eapache/queue v1.1.0/go.mod"
	"github.com/echlebek/crock v1.0.1"
	"github.com/echlebek/crock v1.0.1/go.mod"
	"github.com/echlebek/timeproxy v1.0.0"
	"github.com/echlebek/timeproxy v1.0.0/go.mod"
	"github.com/eclipse/paho.mqtt.golang v1.3.0"
	"github.com/eclipse/paho.mqtt.golang v1.3.0/go.mod"
	"github.com/elazarl/goproxy v0.0.0-20170405201442-c4fc26588b6e/go.mod"
	"github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.0/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.4/go.mod"
	"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
	"github.com/ericchiang/k8s v1.2.0"
	"github.com/ericchiang/k8s v1.2.0/go.mod"
	"github.com/evanphx/json-patch v4.2.0+incompatible/go.mod"
	"github.com/facebookgo/stack v0.0.0-20160209184415-751773369052"
	"github.com/facebookgo/stack v0.0.0-20160209184415-751773369052/go.mod"
	"github.com/facebookgo/stackerr v0.0.0-20150612192056-c2fcf88613f4"
	"github.com/facebookgo/stackerr v0.0.0-20150612192056-c2fcf88613f4/go.mod"
	"github.com/fogleman/gg v1.2.1-0.20190220221249-0403632d5b90/go.mod"
	"github.com/fortytw2/leaktest v1.3.0"
	"github.com/fortytw2/leaktest v1.3.0/go.mod"
	"github.com/frankban/quicktest v1.10.2"
	"github.com/frankban/quicktest v1.10.2/go.mod"
	"github.com/fsnotify/fsnotify v1.4.7"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/ghodss/yaml v0.0.0-20150909031657-73d445a93680/go.mod"
	"github.com/ghodss/yaml v1.0.0/go.mod"
	"github.com/ghodss/yaml v1.0.1-0.20190212211648-25d852aebe32"
	"github.com/ghodss/yaml v1.0.1-0.20190212211648-25d852aebe32/go.mod"
	"github.com/go-gl/glfw v0.0.0-20190409004039-e6da0acd62b1/go.mod"
	"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20191125211704-12ad95a8df72/go.mod"
	"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20200222043503-6f7a984d4dc4/go.mod"
	"github.com/go-kit/kit v0.8.0/go.mod"
	"github.com/go-kit/kit v0.9.0"
	"github.com/go-kit/kit v0.9.0/go.mod"
	"github.com/go-kit/kit v0.9.0/go.mod"
	"github.com/go-logfmt/logfmt v0.3.0/go.mod"
	"github.com/go-logfmt/logfmt v0.4.0"
	"github.com/go-logfmt/logfmt v0.4.0/go.mod"
	"github.com/go-logr/logr v0.1.0/go.mod"
	"github.com/go-ole/go-ole v1.2.4"
	"github.com/go-ole/go-ole v1.2.4/go.mod"
	"github.com/go-openapi/jsonpointer v0.0.0-20160704185906-46af16f9f7b1/go.mod"
	"github.com/go-openapi/jsonreference v0.0.0-20160704190145-13c6e3589ad9/go.mod"
	"github.com/go-openapi/spec v0.0.0-20160808142527-6aced65f8501/go.mod"
	"github.com/go-openapi/swag v0.0.0-20160704191624-1d0bd113de87/go.mod"
	"github.com/go-ping/ping v0.0.0-20210201095549-52eed920f98c"
	"github.com/go-ping/ping v0.0.0-20210201095549-52eed920f98c/go.mod"
	"github.com/go-redis/redis v6.15.9+incompatible"
	"github.com/go-redis/redis v6.15.9+incompatible/go.mod"
	"github.com/go-sql-driver/mysql v1.5.0"
	"github.com/go-sql-driver/mysql v1.5.0/go.mod"
	"github.com/go-stack/stack v1.8.0"
	"github.com/go-stack/stack v1.8.0/go.mod"
	"github.com/goburrow/modbus v0.1.0"
	"github.com/goburrow/modbus v0.1.0/go.mod"
	"github.com/goburrow/serial v0.1.0"
	"github.com/goburrow/serial v0.1.0/go.mod"
	"github.com/gobwas/glob v0.2.3"
	"github.com/gobwas/glob v0.2.3/go.mod"
	"github.com/gofrs/uuid v2.1.0+incompatible"
	"github.com/gofrs/uuid v2.1.0+incompatible/go.mod"
	"github.com/gofrs/uuid v3.2.0+incompatible"
	"github.com/gofrs/uuid v3.2.0+incompatible/go.mod"
	"github.com/gogo/googleapis v1.3.1"
	"github.com/gogo/googleapis v1.3.1/go.mod"
	"github.com/gogo/protobuf v1.1.1/go.mod"
	"github.com/gogo/protobuf v1.2.0/go.mod"
	"github.com/gogo/protobuf v1.2.2-0.20190723190241-65acae22fc9d/go.mod"
	"github.com/gogo/protobuf v1.3.0/go.mod"
	"github.com/gogo/protobuf v1.3.1"
	"github.com/gogo/protobuf v1.3.1/go.mod"
	"github.com/golang/freetype v0.0.0-20170609003504-e2365dfdc4a0/go.mod"
	"github.com/golang/geo v0.0.0-20190916061304-5b978397cfec"
	"github.com/golang/geo v0.0.0-20190916061304-5b978397cfec/go.mod"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
	"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
	"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
	"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
	"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7/go.mod"
	"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e"
	"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e/go.mod"
	"github.com/golang/mock v1.1.1/go.mod"
	"github.com/golang/mock v1.2.0/go.mod"
	"github.com/golang/mock v1.3.1/go.mod"
	"github.com/golang/mock v1.4.0/go.mod"
	"github.com/golang/mock v1.4.4/go.mod"
	"github.com/golang/protobuf v0.0.0-20161109072736-4bd1920723d7/go.mod"
	"github.com/golang/protobuf v0.0.0-20170307001533-c9c7427a2a70/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.3.1/go.mod"
	"github.com/golang/protobuf v1.3.2/go.mod"
	"github.com/golang/protobuf v1.3.3/go.mod"
	"github.com/golang/protobuf v1.3.5"
	"github.com/golang/protobuf v1.3.5/go.mod"
	"github.com/golang/snappy v0.0.0-20180518054509-2e65f85255db/go.mod"
	"github.com/golang/snappy v0.0.1"
	"github.com/golang/snappy v0.0.1/go.mod"
	"github.com/google/addlicense v0.0.0-20190510175307-22550fa7c1b0/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/btree v1.0.0"
	"github.com/google/btree v1.0.0/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.3.0/go.mod"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/google/go-cmp v0.4.0/go.mod"
	"github.com/google/go-cmp v0.4.0/go.mod"
	"github.com/google/go-cmp v0.4.1/go.mod"
	"github.com/google/go-cmp v0.5.2/go.mod"
	"github.com/google/go-cmp v0.5.4"
	"github.com/google/go-cmp v0.5.4/go.mod"
	"github.com/google/go-github/v32 v32.1.0"
	"github.com/google/go-github/v32 v32.1.0/go.mod"
	"github.com/google/go-querystring v1.0.0"
	"github.com/google/go-querystring v1.0.0/go.mod"
	"github.com/google/gofuzz v0.0.0-20161122191042-44d81051d367/go.mod"
	"github.com/google/gofuzz v1.0.0"
	"github.com/google/gofuzz v1.0.0/go.mod"
	"github.com/google/martian v2.1.0+incompatible"
	"github.com/google/martian v2.1.0+incompatible/go.mod"
	"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
	"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
	"github.com/google/pprof v0.0.0-20200212024743-f11f1df84d12/go.mod"
	"github.com/google/renameio v0.1.0/go.mod"
	"github.com/google/renameio v0.1.0/go.mod"
	"github.com/google/uuid v1.1.1/go.mod"
	"github.com/google/uuid v1.1.2"
	"github.com/google/uuid v1.1.2/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.5"
	"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
	"github.com/googleapis/gnostic v0.0.0-20170729233727-0c5108395e2d/go.mod"
	"github.com/gopcua/opcua v0.1.13"
	"github.com/gopcua/opcua v0.1.13/go.mod"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
	"github.com/gorilla/context v1.1.1/go.mod"
	"github.com/gorilla/mux v1.6.2/go.mod"
	"github.com/gorilla/mux v1.7.3"
	"github.com/gorilla/mux v1.7.3/go.mod"
	"github.com/gorilla/websocket v1.4.2"
	"github.com/gorilla/websocket v1.4.2/go.mod"
	"github.com/gosnmp/gosnmp v1.31.0"
	"github.com/gosnmp/gosnmp v1.31.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.16.0"
	"github.com/grpc-ecosystem/grpc-gateway v1.16.0/go.mod"
	"github.com/hailocab/go-hostpool v0.0.0-20160125115350-e80d13ce29ed"
	"github.com/hailocab/go-hostpool v0.0.0-20160125115350-e80d13ce29ed/go.mod"
	"github.com/harlow/kinesis-consumer v0.3.1-0.20181230152818-2f58b136fee0"
	"github.com/harlow/kinesis-consumer v0.3.1-0.20181230152818-2f58b136fee0/go.mod"
	"github.com/hashicorp/consul v1.2.1"
	"github.com/hashicorp/consul v1.2.1/go.mod"
	"github.com/hashicorp/errwrap v1.0.0"
	"github.com/hashicorp/errwrap v1.0.0/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.0"
	"github.com/hashicorp/go-cleanhttp v0.5.0/go.mod"
	"github.com/hashicorp/go-immutable-radix v1.0.0"
	"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
	"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
	"github.com/hashicorp/go-msgpack v0.5.5"
	"github.com/hashicorp/go-msgpack v0.5.5/go.mod"
	"github.com/hashicorp/go-multierror v1.0.0"
	"github.com/hashicorp/go-multierror v1.0.0/go.mod"
	"github.com/hashicorp/go-retryablehttp v0.5.3/go.mod"
	"github.com/hashicorp/go-rootcerts v0.0.0-20160503143440-6bb64b370b90"
	"github.com/hashicorp/go-rootcerts v0.0.0-20160503143440-6bb64b370b90/go.mod"
	"github.com/hashicorp/go-sockaddr v1.0.0"
	"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.2"
	"github.com/hashicorp/go-uuid v1.0.2/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/hashicorp/golang-lru v0.5.1"
	"github.com/hashicorp/golang-lru v0.5.1/go.mod"
	"github.com/hashicorp/memberlist v0.1.5"
	"github.com/hashicorp/memberlist v0.1.5/go.mod"
	"github.com/hashicorp/serf v0.8.1"
	"github.com/hashicorp/serf v0.8.1/go.mod"
	"github.com/hpcloud/tail v1.0.0"
	"github.com/hpcloud/tail v1.0.0/go.mod"
	"github.com/ianlancetaylor/demangle v0.0.0-20181102032728-5e5cf60278f6/go.mod"
	"github.com/influxdata/apcupsd v0.0.0-20210427145308-694d5caead0e"
	"github.com/influxdata/apcupsd v0.0.0-20210427145308-694d5caead0e/go.mod"
	"github.com/influxdata/go-syslog/v2 v2.0.1"
	"github.com/influxdata/go-syslog/v2 v2.0.1/go.mod"
	"github.com/influxdata/tail v1.0.1-0.20200707181643-03a791b270e4"
	"github.com/influxdata/tail v1.0.1-0.20200707181643-03a791b270e4/go.mod"
	"github.com/influxdata/toml v0.0.0-20190415235208-270119a8ce65"
	"github.com/influxdata/toml v0.0.0-20190415235208-270119a8ce65/go.mod"
	"github.com/influxdata/wlog v0.0.0-20160411224016-7c63b0a71ef8"
	"github.com/influxdata/wlog v0.0.0-20160411224016-7c63b0a71ef8/go.mod"
	"github.com/jackc/fake v0.0.0-20150926172116-812a484cc733"
	"github.com/jackc/fake v0.0.0-20150926172116-812a484cc733/go.mod"
	"github.com/jackc/pgx v3.6.0+incompatible"
	"github.com/jackc/pgx v3.6.0+incompatible/go.mod"
	"github.com/jaegertracing/jaeger v1.15.1"
	"github.com/jaegertracing/jaeger v1.15.1/go.mod"
	"github.com/james4k/rcon v0.0.0-20120923215419-8fbb8268b60a"
	"github.com/james4k/rcon v0.0.0-20120923215419-8fbb8268b60a/go.mod"
	"github.com/jcmturner/gofork v1.0.0"
	"github.com/jcmturner/gofork v1.0.0/go.mod"
	"github.com/jmespath/go-jmespath v0.4.0"
	"github.com/jmespath/go-jmespath v0.4.0/go.mod"
	"github.com/jmespath/go-jmespath/internal/testify v1.5.1"
	"github.com/jmespath/go-jmespath/internal/testify v1.5.1/go.mod"
	"github.com/joho/godotenv v1.3.0"
	"github.com/joho/godotenv v1.3.0/go.mod"
	"github.com/jpillora/backoff v0.0.0-20180909062703-3050d21c67d7"
	"github.com/jpillora/backoff v0.0.0-20180909062703-3050d21c67d7/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20190606172950-9527aa82566a/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20200117123717-f846d4f6c1f4"
	"github.com/jsimonetti/rtnetlink v0.0.0-20200117123717-f846d4f6c1f4/go.mod"
	"github.com/json-iterator/go v0.0.0-20180612202835-f2b4162afba3/go.mod"
	"github.com/json-iterator/go v1.1.6/go.mod"
	"github.com/json-iterator/go v1.1.8/go.mod"
	"github.com/json-iterator/go v1.1.9"
	"github.com/json-iterator/go v1.1.9/go.mod"
	"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
	"github.com/jstemmer/go-junit-report v0.9.1"
	"github.com/jstemmer/go-junit-report v0.9.1/go.mod"
	"github.com/jtolds/gls v4.20.0+incompatible"
	"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
	"github.com/juju/errors v0.0.0-20181012004132-a4583d0a56ea"
	"github.com/juju/errors v0.0.0-20181012004132-a4583d0a56ea/go.mod"
	"github.com/juju/loggo v0.0.0-20190526231331-6e530bcce5d8/go.mod"
	"github.com/juju/testing v0.0.0-20191001232224-ce9dec17d28b/go.mod"
	"github.com/julienschmidt/httprouter v1.2.0/go.mod"
	"github.com/jung-kurt/gofpdf v1.0.3-0.20190309125859-24315acbbda5/go.mod"
	"github.com/kardianos/service v1.0.0"
	"github.com/kardianos/service v1.0.0/go.mod"
	"github.com/karrick/godirwalk v1.16.1"
	"github.com/karrick/godirwalk v1.16.1/go.mod"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51/go.mod"
	"github.com/kisielk/errcheck v1.2.0/go.mod"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/klauspost/compress v1.11.0"
	"github.com/klauspost/compress v1.11.0/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.3"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.3/go.mod"
	"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515"
	"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pretty v0.2.1"
	"github.com/kr/pretty v0.2.1/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kr/text v0.2.0"
	"github.com/kr/text v0.2.0/go.mod"
	"github.com/kubernetes/apimachinery v0.0.0-20190119020841-d41becfba9ee"
	"github.com/kubernetes/apimachinery v0.0.0-20190119020841-d41becfba9ee/go.mod"
	"github.com/kylelemons/godebug v1.1.0"
	"github.com/kylelemons/godebug v1.1.0/go.mod"
	"github.com/leesper/go_rng v0.0.0-20190531154944-a612b043e353"
	"github.com/leesper/go_rng v0.0.0-20190531154944-a612b043e353/go.mod"
	"github.com/leodido/ragel-machinery v0.0.0-20181214104525-299bdde78165"
	"github.com/leodido/ragel-machinery v0.0.0-20181214104525-299bdde78165/go.mod"
	"github.com/lib/pq v1.3.0"
	"github.com/lib/pq v1.3.0/go.mod"
	"github.com/mailru/easyjson v0.0.0-20160728113105-d5b7844b561a/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e"
	"github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e/go.mod"
	"github.com/mattn/go-isatty v0.0.12"
	"github.com/mattn/go-isatty v0.0.12/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
	"github.com/mdlayher/genetlink v1.0.0"
	"github.com/mdlayher/genetlink v1.0.0/go.mod"
	"github.com/mdlayher/netlink v0.0.0-20190409211403-11939a169225/go.mod"
	"github.com/mdlayher/netlink v1.0.0/go.mod"
	"github.com/mdlayher/netlink v1.1.0"
	"github.com/mdlayher/netlink v1.1.0/go.mod"
	"github.com/miekg/dns v1.0.14"
	"github.com/miekg/dns v1.0.14/go.mod"
	"github.com/mikioh/ipaddr v0.0.0-20190404000644-d465c8ab6721"
	"github.com/mikioh/ipaddr v0.0.0-20190404000644-d465c8ab6721/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-testing-interface v1.0.0"
	"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180320133207-05fbef0ca5da/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
	"github.com/modern-go/reflect2 v1.0.1"
	"github.com/modern-go/reflect2 v1.0.1/go.mod"
	"github.com/morikuni/aec v1.0.0"
	"github.com/morikuni/aec v1.0.0/go.mod"
	"github.com/multiplay/go-ts3 v1.0.0"
	"github.com/multiplay/go-ts3 v1.0.0/go.mod"
	"github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
	"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
	"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
	"github.com/naoina/go-stringutil v0.1.0"
	"github.com/naoina/go-stringutil v0.1.0/go.mod"
	"github.com/nats-io/jwt v0.3.0/go.mod"
	"github.com/nats-io/jwt v0.3.2"
	"github.com/nats-io/jwt v0.3.2/go.mod"
	"github.com/nats-io/nats-server/v2 v2.1.4"
	"github.com/nats-io/nats-server/v2 v2.1.4/go.mod"
	"github.com/nats-io/nats.go v1.9.1"
	"github.com/nats-io/nats.go v1.9.1/go.mod"
	"github.com/nats-io/nkeys v0.1.0/go.mod"
	"github.com/nats-io/nkeys v0.1.3"
	"github.com/nats-io/nkeys v0.1.3/go.mod"
	"github.com/nats-io/nuid v1.0.1"
	"github.com/nats-io/nuid v1.0.1/go.mod"
	"github.com/newrelic/newrelic-telemetry-sdk-go v0.5.1"
	"github.com/newrelic/newrelic-telemetry-sdk-go v0.5.1/go.mod"
	"github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e"
	"github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e/go.mod"
	"github.com/nsqio/go-nsq v1.0.8"
	"github.com/nsqio/go-nsq v1.0.8/go.mod"
	"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
	"github.com/onsi/ginkgo v1.6.0/go.mod"
	"github.com/onsi/ginkgo v1.7.0/go.mod"
	"github.com/onsi/ginkgo v1.10.1"
	"github.com/onsi/ginkgo v1.10.1/go.mod"
	"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
	"github.com/onsi/gomega v1.4.3/go.mod"
	"github.com/onsi/gomega v1.7.0"
	"github.com/onsi/gomega v1.7.0/go.mod"
	"github.com/openconfig/gnmi v0.0.0-20180912164834-33a1865c3029"
	"github.com/openconfig/gnmi v0.0.0-20180912164834-33a1865c3029/go.mod"
	"github.com/opencontainers/go-digest v1.0.0-rc1"
	"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
	"github.com/opencontainers/image-spec v1.0.1"
	"github.com/opencontainers/image-spec v1.0.1/go.mod"
	"github.com/opentracing-contrib/go-observer v0.0.0-20170622124052-a52f23424492"
	"github.com/opentracing-contrib/go-observer v0.0.0-20170622124052-a52f23424492/go.mod"
	"github.com/opentracing/opentracing-go v1.1.0"
	"github.com/opentracing/opentracing-go v1.1.0/go.mod"
	"github.com/openzipkin/zipkin-go v0.1.6/go.mod"
	"github.com/openzipkin/zipkin-go-opentracing v0.3.4"
	"github.com/openzipkin/zipkin-go-opentracing v0.3.4/go.mod"
	"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
	"github.com/pascaldekloe/goe v0.1.0"
	"github.com/pascaldekloe/goe v0.1.0/go.mod"
	"github.com/pavius/impi v0.0.0-20180302134524-c1cbdcb8df2b/go.mod"
	"github.com/philhofer/fwd v1.1.1"
	"github.com/philhofer/fwd v1.1.1/go.mod"
	"github.com/pierrec/lz4 v2.0.5+incompatible/go.mod"
	"github.com/pierrec/lz4 v2.5.2+incompatible"
	"github.com/pierrec/lz4 v2.5.2+incompatible/go.mod"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pmezard/go-difflib v0.0.0-20151028094244-d8ed2627bdf0/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/prometheus/client_golang v0.9.1/go.mod"
	"github.com/prometheus/client_golang v0.9.2/go.mod"
	"github.com/prometheus/client_golang v0.9.3-0.20190127221311-3c4408c8b829/go.mod"
	"github.com/prometheus/client_golang v1.0.0/go.mod"
	"github.com/prometheus/client_golang v1.5.1"
	"github.com/prometheus/client_golang v1.5.1/go.mod"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190115171406-56726106282f/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
	"github.com/prometheus/client_model v0.2.0"
	"github.com/prometheus/client_model v0.2.0/go.mod"
	"github.com/prometheus/common v0.0.0-20181126121408-4724e9255275/go.mod"
	"github.com/prometheus/common v0.2.0/go.mod"
	"github.com/prometheus/common v0.4.1/go.mod"
	"github.com/prometheus/common v0.9.1"
	"github.com/prometheus/common v0.9.1/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181204211112-1dc9a6cbc91a/go.mod"
	"github.com/prometheus/procfs v0.0.0-20190117184657-bf6a532e95b1/go.mod"
	"github.com/prometheus/procfs v0.0.2/go.mod"
	"github.com/prometheus/procfs v0.0.8"
	"github.com/prometheus/procfs v0.0.8/go.mod"
	"github.com/prometheus/prometheus v2.5.0+incompatible"
	"github.com/prometheus/prometheus v2.5.0+incompatible/go.mod"
	"github.com/rcrowley/go-metrics v0.0.0-20181016184325-3113b8401b8a/go.mod"
	"github.com/rcrowley/go-metrics v0.0.0-20200313005456-10cdbea86bc0"
	"github.com/rcrowley/go-metrics v0.0.0-20200313005456-10cdbea86bc0/go.mod"
	"github.com/remyoudompheng/bigfft v0.0.0-20200410134404-eec4a21b6bb0"
	"github.com/remyoudompheng/bigfft v0.0.0-20200410134404-eec4a21b6bb0/go.mod"
	"github.com/riemann/riemann-go-client v0.5.0"
	"github.com/riemann/riemann-go-client v0.5.0/go.mod"
	"github.com/robertkrimen/otto v0.0.0-20191219234010-c382bd3c16ff"
	"github.com/robertkrimen/otto v0.0.0-20191219234010-c382bd3c16ff/go.mod"
	"github.com/robfig/cron/v3 v3.0.1"
	"github.com/robfig/cron/v3 v3.0.1/go.mod"
	"github.com/rogpeppe/fastuuid v1.2.0/go.mod"
	"github.com/rogpeppe/go-internal v1.3.0/go.mod"
	"github.com/safchain/ethtool v0.0.0-20200218184317-f459e2d13664"
	"github.com/safchain/ethtool v0.0.0-20200218184317-f459e2d13664/go.mod"
	"github.com/samuel/go-zookeeper v0.0.0-20190810000440-0ceca61e4d75"
	"github.com/samuel/go-zookeeper v0.0.0-20190810000440-0ceca61e4d75/go.mod"
	"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529"
	"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
	"github.com/sensu/sensu-go/api/core/v2 v2.6.0"
	"github.com/sensu/sensu-go/api/core/v2 v2.6.0/go.mod"
	"github.com/shirou/gopsutil v2.18.10+incompatible/go.mod"
	"github.com/shirou/gopsutil v3.20.11+incompatible"
	"github.com/shirou/gopsutil v3.20.11+incompatible/go.mod"
	"github.com/shirou/w32 v0.0.0-20160930032740-bb4de0191aa4/go.mod"
	"github.com/shopspring/decimal v0.0.0-20200105231215-408a2507e114"
	"github.com/shopspring/decimal v0.0.0-20200105231215-408a2507e114/go.mod"
	"github.com/signalfx/com_signalfx_metrics_protobuf v0.0.0-20190222193949-1fb69526e884"
	"github.com/signalfx/com_signalfx_metrics_protobuf v0.0.0-20190222193949-1fb69526e884/go.mod"
	"github.com/signalfx/gohistogram v0.0.0-20160107210732-1ccfd2ff5083"
	"github.com/signalfx/gohistogram v0.0.0-20160107210732-1ccfd2ff5083/go.mod"
	"github.com/signalfx/golib/v3 v3.3.0"
	"github.com/signalfx/golib/v3 v3.3.0/go.mod"
	"github.com/signalfx/gomemcache v0.0.0-20180823214636-4f7ef64c72a9/go.mod"
	"github.com/signalfx/sapm-proto v0.4.0"
	"github.com/signalfx/sapm-proto v0.4.0/go.mod"
	"github.com/sirupsen/logrus v1.2.0/go.mod"
	"github.com/sirupsen/logrus v1.4.2/go.mod"
	"github.com/sirupsen/logrus v1.6.0"
	"github.com/sirupsen/logrus v1.6.0/go.mod"
	"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d"
	"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
	"github.com/smartystreets/goconvey v1.6.4-0.20190306220146-200a235640ff"
	"github.com/smartystreets/goconvey v1.6.4-0.20190306220146-200a235640ff/go.mod"
	"github.com/soniah/gosnmp v1.25.0"
	"github.com/soniah/gosnmp v1.25.0/go.mod"
	"github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
	"github.com/spf13/pflag v1.0.5/go.mod"
	"github.com/streadway/amqp v0.0.0-20180528204448-e5adc2ada8b8"
	"github.com/streadway/amqp v0.0.0-20180528204448-e5adc2ada8b8/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.1.1"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/testify v0.0.0-20151208002404-e3a8ff8ce365/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.5.1/go.mod"
	"github.com/stretchr/testify v1.6.0/go.mod"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/stretchr/testify v1.7.0"
	"github.com/stretchr/testify v1.7.0/go.mod"
	"github.com/tbrandon/mbserver v0.0.0-20170611213546-993e1772cc62"
	"github.com/tbrandon/mbserver v0.0.0-20170611213546-993e1772cc62/go.mod"
	"github.com/tidwall/gjson v1.6.0"
	"github.com/tidwall/gjson v1.6.0/go.mod"
	"github.com/tidwall/match v1.0.1"
	"github.com/tidwall/match v1.0.1/go.mod"
	"github.com/tidwall/pretty v1.0.0"
	"github.com/tidwall/pretty v1.0.0/go.mod"
	"github.com/tinylib/msgp v1.1.5"
	"github.com/tinylib/msgp v1.1.5/go.mod"
	"github.com/ttacon/chalk v0.0.0-20160626202418-22c06c80ed31/go.mod"
	"github.com/tv42/httpunix v0.0.0-20150427012821-b75d8614f926/go.mod"
	"github.com/vaughan0/go-ini v0.0.0-20130923145212-a98ad7ee00ec/go.mod"
	"github.com/vishvananda/netlink v0.0.0-20171020171820-b2de5d10e38e"
	"github.com/vishvananda/netlink v0.0.0-20171020171820-b2de5d10e38e/go.mod"
	"github.com/vishvananda/netns v0.0.0-20180720170159-13995c7128cc"
	"github.com/vishvananda/netns v0.0.0-20180720170159-13995c7128cc/go.mod"
	"github.com/vjeantet/grok v1.0.1"
	"github.com/vjeantet/grok v1.0.1/go.mod"
	"github.com/vmware/govmomi v0.19.0"
	"github.com/vmware/govmomi v0.19.0/go.mod"
	"github.com/wavefronthq/wavefront-sdk-go v0.9.7"
	"github.com/wavefronthq/wavefront-sdk-go v0.9.7/go.mod"
	"github.com/wvanbergen/kafka v0.0.0-20171203153745-e2edea948ddf"
	"github.com/wvanbergen/kafka v0.0.0-20171203153745-e2edea948ddf/go.mod"
	"github.com/wvanbergen/kazoo-go v0.0.0-20180202103751-f72d8611297a"
	"github.com/wvanbergen/kazoo-go v0.0.0-20180202103751-f72d8611297a/go.mod"
	"github.com/xdg/scram v0.0.0-20180814205039-7eeb5667e42c"
	"github.com/xdg/scram v0.0.0-20180814205039-7eeb5667e42c/go.mod"
	"github.com/xdg/stringprep v1.0.0"
	"github.com/xdg/stringprep v1.0.0/go.mod"
	"github.com/yuin/goldmark v1.2.1/go.mod"
	"github.com/yuin/gopher-lua v0.0.0-20180630135845-46796da1b0b4"
	"github.com/yuin/gopher-lua v0.0.0-20180630135845-46796da1b0b4/go.mod"
	"go.opencensus.io v0.20.1/go.mod"
	"go.opencensus.io v0.21.0/go.mod"
	"go.opencensus.io v0.22.0/go.mod"
	"go.opencensus.io v0.22.2/go.mod"
	"go.opencensus.io v0.22.2/go.mod"
	"go.opencensus.io v0.22.3"
	"go.opencensus.io v0.22.3/go.mod"
	"go.starlark.net v0.0.0-20200901195727-6e684ef5eeee"
	"go.starlark.net v0.0.0-20200901195727-6e684ef5eeee/go.mod"
	"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
	"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190325154230-a5d413f7728c/go.mod"
	"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
	"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
	"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
	"golang.org/x/crypto v0.0.0-20190701094942-4def268fd1a4/go.mod"
	"golang.org/x/crypto v0.0.0-20191002192127-34f69633bfdc/go.mod"
	"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
	"golang.org/x/crypto v0.0.0-20191206172530-e9b2fee46413/go.mod"
	"golang.org/x/crypto v0.0.0-20200204104054-c9f3fb736b72/go.mod"
	"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
	"golang.org/x/crypto v0.0.0-20200820211705-5c72a883971a"
	"golang.org/x/crypto v0.0.0-20200820211705-5c72a883971a/go.mod"
	"golang.org/x/exp v0.0.0-20180321215751-8460e604b9de/go.mod"
	"golang.org/x/exp v0.0.0-20180807140117-3d87b88a115f/go.mod"
	"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
	"golang.org/x/exp v0.0.0-20190125153040-c74c464bbbf2/go.mod"
	"golang.org/x/exp v0.0.0-20190306152737-a1d7652674e8/go.mod"
	"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
	"golang.org/x/exp v0.0.0-20190829153037-c13cbed26979/go.mod"
	"golang.org/x/exp v0.0.0-20191030013958-a1ab85dbe136/go.mod"
	"golang.org/x/exp v0.0.0-20191129062945-2f5052295587/go.mod"
	"golang.org/x/exp v0.0.0-20191227195350-da58074b4299/go.mod"
	"golang.org/x/exp v0.0.0-20200207192155-f17229e696bd/go.mod"
	"golang.org/x/exp v0.0.0-20200224162631-6cc2880d07d6"
	"golang.org/x/exp v0.0.0-20200224162631-6cc2880d07d6/go.mod"
	"golang.org/x/image v0.0.0-20180708004352-c73c2afc3b81/go.mod"
	"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
	"golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
	"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
	"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
	"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
	"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
	"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
	"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
	"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
	"golang.org/x/lint v0.0.0-20190909230951-414d861bb4ac/go.mod"
	"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
	"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
	"golang.org/x/lint v0.0.0-20200130185559-910be7a94367/go.mod"
	"golang.org/x/lint v0.0.0-20200302205851-738671d3881b"
	"golang.org/x/lint v0.0.0-20200302205851-738671d3881b/go.mod"
	"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
	"golang.org/x/mobile v0.0.0-20190719004257-d2bd2a29d028/go.mod"
	"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
	"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
	"golang.org/x/mod v0.1.0/go.mod"
	"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
	"golang.org/x/mod v0.1.1-0.20191107180719-034126e5016b/go.mod"
	"golang.org/x/mod v0.2.0/go.mod"
	"golang.org/x/mod v0.3.0"
	"golang.org/x/mod v0.3.0/go.mod"
	"golang.org/x/net v0.0.0-20170114055629-f2499483f923/go.mod"
	"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
	"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
	"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
	"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
	"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
	"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
	"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
	"golang.org/x/net v0.0.0-20190125091013-d26f9f9a57f3/go.mod"
	"golang.org/x/net v0.0.0-20190206173232-65e2d4e15006/go.mod"
	"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
	"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
	"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
	"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
	"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190724013045-ca1201d0de80/go.mod"
	"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
	"golang.org/x/net v0.0.0-20191003171128-d98b1b443823/go.mod"
	"golang.org/x/net v0.0.0-20191004110552-13f9640d40b9/go.mod"
	"golang.org/x/net v0.0.0-20191007182048-72f939374954/go.mod"
	"golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
	"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
	"golang.org/x/net v0.0.0-20200425230154-ff2c4b7c35a0/go.mod"
	"golang.org/x/net v0.0.0-20200813134508-3edf25e44fcc/go.mod"
	"golang.org/x/net v0.0.0-20200822124328-c89045814202/go.mod"
	"golang.org/x/net v0.0.0-20200822124328-c89045814202/go.mod"
	"golang.org/x/net v0.0.0-20200904194848-62affa334b73/go.mod"
	"golang.org/x/net v0.0.0-20200904194848-62affa334b73/go.mod"
	"golang.org/x/net v0.0.0-20200904194848-62affa334b73/go.mod"
	"golang.org/x/net v0.0.0-20200904194848-62affa334b73/go.mod"
	"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
	"golang.org/x/net v0.0.0-20201209123823-ac852fbbde11"
	"golang.org/x/net v0.0.0-20201209123823-ac852fbbde11/go.mod"
	"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
	"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6/go.mod"
	"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d"
	"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
	"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9"
	"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
	"golang.org/x/sys v0.0.0-20170830134202-bb24a47a89ea/go.mod"
	"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
	"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
	"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
	"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
	"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
	"golang.org/x/sys v0.0.0-20181122145206-62eef0e2fa9b/go.mod"
	"golang.org/x/sys v0.0.0-20190204203706-41f3e6584952/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
	"golang.org/x/sys v0.0.0-20190411185658-b44545bcd369/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
	"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
	"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
	"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
	"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
	"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
	"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
	"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
	"golang.org/x/sys v0.0.0-20191001151750-bb3f8db39f24/go.mod"
	"golang.org/x/sys v0.0.0-20191003212358-c178f38b412c/go.mod"
	"golang.org/x/sys v0.0.0-20191008105621-543471e840be/go.mod"
	"golang.org/x/sys v0.0.0-20191204072324-ce4227a45e2e/go.mod"
	"golang.org/x/sys v0.0.0-20191228213918-04cbcbbfeed8/go.mod"
	"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
	"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82/go.mod"
	"golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
	"golang.org/x/sys v0.0.0-20200212091648-12a6c2dcc1e4/go.mod"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
	"golang.org/x/sys v0.0.0-20200625212154-ddb9806d33ae/go.mod"
	"golang.org/x/sys v0.0.0-20200826173525-f9321e4c35a6/go.mod"
	"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
	"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68"
	"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
	"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
	"golang.org/x/text v0.0.0-20160726164857-2910a502d2bf/go.mod"
	"golang.org/x/text v0.0.0-20170915032832-14c0d48ead0c/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.4"
	"golang.org/x/text v0.3.4/go.mod"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
	"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4"
	"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
	"golang.org/x/tools v0.0.0-20180525024113-a5b4c53f6e8b/go.mod"
	"golang.org/x/tools v0.0.0-20180828015842-6cd1fcedba52/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20181011042414-1f849cf54d09/go.mod"
	"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
	"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
	"golang.org/x/tools v0.0.0-20190206041539-40960b6deb8e/go.mod"
	"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
	"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
	"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
	"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
	"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
	"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
	"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
	"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
	"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
	"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
	"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
	"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
	"golang.org/x/tools v0.0.0-20190816200558-6889da9d5479/go.mod"
	"golang.org/x/tools v0.0.0-20190906203814-12febf440ab1/go.mod"
	"golang.org/x/tools v0.0.0-20190911174233-4f2ddba30aff/go.mod"
	"golang.org/x/tools v0.0.0-20191012152004-8de300cfc20a/go.mod"
	"golang.org/x/tools v0.0.0-20191113191852-77e3bb0ad9e7/go.mod"
	"golang.org/x/tools v0.0.0-20191115202509-3a792d9c32b2/go.mod"
	"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
	"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
	"golang.org/x/tools v0.0.0-20191130070609-6e064ea0cf2d/go.mod"
	"golang.org/x/tools v0.0.0-20191216173652-a0e659d51361/go.mod"
	"golang.org/x/tools v0.0.0-20191227053925-7b8e75db28f4/go.mod"
	"golang.org/x/tools v0.0.0-20200130002326-2f3ba24bd6e7/go.mod"
	"golang.org/x/tools v0.0.0-20200207183749-b753a1ba74fa/go.mod"
	"golang.org/x/tools v0.0.0-20200212150539-ea181f53ac56/go.mod"
	"golang.org/x/tools v0.0.0-20201022035929-9cf592e881e9"
	"golang.org/x/tools v0.0.0-20201022035929-9cf592e881e9/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
	"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
	"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
	"golang.zx2c4.com/wireguard v0.0.20200121"
	"golang.zx2c4.com/wireguard v0.0.20200121/go.mod"
	"golang.zx2c4.com/wireguard/wgctrl v0.0.0-20200205215550-e35592f146e4"
	"golang.zx2c4.com/wireguard/wgctrl v0.0.0-20200205215550-e35592f146e4/go.mod"
	"gonum.org/v1/gonum v0.0.0-20180816165407-929014505bf4/go.mod"
	"gonum.org/v1/gonum v0.7.0"
	"gonum.org/v1/gonum v0.7.0/go.mod"
	"gonum.org/v1/netlib v0.0.0-20190313105609-8cb42192e0e0/go.mod"
	"gonum.org/v1/plot v0.0.0-20190515093506-e2840ee46a6b/go.mod"
	"google.golang.org/api v0.3.1/go.mod"
	"google.golang.org/api v0.4.0/go.mod"
	"google.golang.org/api v0.7.0/go.mod"
	"google.golang.org/api v0.8.0/go.mod"
	"google.golang.org/api v0.9.0/go.mod"
	"google.golang.org/api v0.13.0/go.mod"
	"google.golang.org/api v0.14.0/go.mod"
	"google.golang.org/api v0.15.0/go.mod"
	"google.golang.org/api v0.17.0/go.mod"
	"google.golang.org/api v0.20.0"
	"google.golang.org/api v0.20.0/go.mod"
	"google.golang.org/appengine v1.1.0/go.mod"
	"google.golang.org/appengine v1.4.0/go.mod"
	"google.golang.org/appengine v1.5.0/go.mod"
	"google.golang.org/appengine v1.6.1/go.mod"
	"google.golang.org/appengine v1.6.5"
	"google.golang.org/appengine v1.6.5/go.mod"
	"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
	"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
	"google.golang.org/genproto v0.0.0-20190404172233-64821d5d2107/go.mod"
	"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
	"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
	"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
	"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
	"google.golang.org/genproto v0.0.0-20190801165951-fa694d86fc64/go.mod"
	"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
	"google.golang.org/genproto v0.0.0-20190911173649-1774047e7e51/go.mod"
	"google.golang.org/genproto v0.0.0-20191108220845-16a3f7862a1a/go.mod"
	"google.golang.org/genproto v0.0.0-20191115194625-c23dd37a84c9/go.mod"
	"google.golang.org/genproto v0.0.0-20191216164720-4f79533eabd1/go.mod"
	"google.golang.org/genproto v0.0.0-20191230161307-f3c370f40bfb/go.mod"
	"google.golang.org/genproto v0.0.0-20200212174721-66ed5ce911ce/go.mod"
	"google.golang.org/genproto v0.0.0-20200513103714-09dca8ec2884"
	"google.golang.org/genproto v0.0.0-20200513103714-09dca8ec2884/go.mod"
	"google.golang.org/grpc v1.17.0/go.mod"
	"google.golang.org/grpc v1.19.0/go.mod"
	"google.golang.org/grpc v1.20.1/go.mod"
	"google.golang.org/grpc v1.20.1/go.mod"
	"google.golang.org/grpc v1.21.1/go.mod"
	"google.golang.org/grpc v1.23.0/go.mod"
	"google.golang.org/grpc v1.25.1/go.mod"
	"google.golang.org/grpc v1.26.0/go.mod"
	"google.golang.org/grpc v1.27.0/go.mod"
	"google.golang.org/grpc v1.27.1/go.mod"
	"google.golang.org/grpc v1.33.1"
	"google.golang.org/grpc v1.33.1/go.mod"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
	"gopkg.in/asn1-ber.v1 v1.0.0-20181015200546-f715ec2f112d"
	"gopkg.in/asn1-ber.v1 v1.0.0-20181015200546-f715ec2f112d/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/check.v1 v1.0.0-20200902074654-038fdea0a05b"
	"gopkg.in/check.v1 v1.0.0-20200902074654-038fdea0a05b/go.mod"
	"gopkg.in/djherbis/times.v1 v1.2.0"
	"gopkg.in/djherbis/times.v1 v1.2.0/go.mod"
	"gopkg.in/errgo.v2 v2.1.0/go.mod"
	"gopkg.in/fatih/pool.v2 v2.0.0"
	"gopkg.in/fatih/pool.v2 v2.0.0/go.mod"
	"gopkg.in/fsnotify.v1 v1.2.1/go.mod"
	"gopkg.in/fsnotify.v1 v1.4.7"
	"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
	"gopkg.in/gorethink/gorethink.v3 v3.0.5"
	"gopkg.in/gorethink/gorethink.v3 v3.0.5/go.mod"
	"gopkg.in/inf.v0 v0.9.1"
	"gopkg.in/inf.v0 v0.9.1/go.mod"
	"gopkg.in/jcmturner/aescts.v1 v1.0.1"
	"gopkg.in/jcmturner/aescts.v1 v1.0.1/go.mod"
	"gopkg.in/jcmturner/dnsutils.v1 v1.0.1"
	"gopkg.in/jcmturner/dnsutils.v1 v1.0.1/go.mod"
	"gopkg.in/jcmturner/goidentity.v3 v3.0.0"
	"gopkg.in/jcmturner/goidentity.v3 v3.0.0/go.mod"
	"gopkg.in/jcmturner/gokrb5.v7 v7.5.0"
	"gopkg.in/jcmturner/gokrb5.v7 v7.5.0/go.mod"
	"gopkg.in/jcmturner/rpc.v1 v1.1.0"
	"gopkg.in/jcmturner/rpc.v1 v1.1.0/go.mod"
	"gopkg.in/ldap.v3 v3.1.0"
	"gopkg.in/ldap.v3 v3.1.0/go.mod"
	"gopkg.in/mgo.v2 v2.0.0-20190816093944-a6b53ec6cb22"
	"gopkg.in/mgo.v2 v2.0.0-20190816093944-a6b53ec6cb22/go.mod"
	"gopkg.in/olivere/elastic.v5 v5.0.70"
	"gopkg.in/olivere/elastic.v5 v5.0.70/go.mod"
	"gopkg.in/sourcemap.v1 v1.0.5"
	"gopkg.in/sourcemap.v1 v1.0.5/go.mod"
	"gopkg.in/tomb.v1 v1.0.0-20140529071818-c131134a1947/go.mod"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
	"gopkg.in/tomb.v2 v2.0.0-20161208151619-d5d1b5820637"
	"gopkg.in/tomb.v2 v2.0.0-20161208151619-d5d1b5820637/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.2.3/go.mod"
	"gopkg.in/yaml.v2 v2.2.4/go.mod"
	"gopkg.in/yaml.v2 v2.2.5/go.mod"
	"gopkg.in/yaml.v2 v2.2.8/go.mod"
	"gopkg.in/yaml.v2 v2.3.0"
	"gopkg.in/yaml.v2 v2.3.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200615113413-eeeca48fe776"
	"gopkg.in/yaml.v3 v3.0.0-20200615113413-eeeca48fe776/go.mod"
	"gotest.tools v2.2.0+incompatible"
	"gotest.tools v2.2.0+incompatible/go.mod"
	"honnef.co/go/netdb v0.0.0-20150201073656-a416d700ae39/go.mod"
	"honnef.co/go/tools v0.0.0-20180728063816-88497007e858/go.mod"
	"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
	"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
	"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
	"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
	"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
	"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
	"honnef.co/go/tools v0.0.1-2020.1.3"
	"honnef.co/go/tools v0.0.1-2020.1.3/go.mod"
	"k8s.io/apimachinery v0.17.1"
	"k8s.io/apimachinery v0.17.1/go.mod"
	"k8s.io/gengo v0.0.0-20190128074634-0689ccc1d7d6/go.mod"
	"k8s.io/klog v0.0.0-20181102134211-b9b56d5dfc92/go.mod"
	"k8s.io/klog v1.0.0"
	"k8s.io/klog v1.0.0/go.mod"
	"k8s.io/kube-openapi v0.0.0-20191107075043-30be4d16710a/go.mod"
	"modernc.org/httpfs v1.0.0"
	"modernc.org/httpfs v1.0.0/go.mod"
	"modernc.org/libc v1.3.1"
	"modernc.org/libc v1.3.1/go.mod"
	"modernc.org/mathutil v1.1.1"
	"modernc.org/mathutil v1.1.1/go.mod"
	"modernc.org/memory v1.0.1"
	"modernc.org/memory v1.0.1/go.mod"
	"modernc.org/sqlite v1.7.4"
	"modernc.org/sqlite v1.7.4/go.mod"
	"modernc.org/tcl v1.4.1"
	"modernc.org/tcl v1.4.1/go.mod"
	"rsc.io/binaryregexp v0.2.0/go.mod"
	"rsc.io/pdf v0.1.1/go.mod"
	"rsc.io/quote/v3 v3.1.0/go.mod"
	"rsc.io/sampler v1.3.0/go.mod"
	"sigs.k8s.io/structured-merge-diff v0.0.0-20190525122527-15d366b2352e/go.mod"
	"sigs.k8s.io/yaml v1.1.0/go.mod"
)

go-module_set_globals

SRC_URI="https://github.com/influxdata/telegraf/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

RESTRICT+=" test"

DEPEND="acct-group/telegraf
	acct-user/telegraf"
	RDEPEND="${DEPEND}"

src_compile() {
	unset LDFLAGS
	emake \
		COMMIT=${COMMIT} \
		BRANCH=${BRANCH} \
		VERSION=v${MY_PV} \
		telegraf
}

src_install() {
	dobin telegraf
	insinto /etc/telegraf
	doins etc/telegraf.conf
	keepdir /etc/telegraf/telegraf.d

	insinto /etc/logrotate.d
	doins etc/logrotate.d/telegraf

	systemd_dounit scripts/telegraf.service
	newconfd "${FILESDIR}"/telegraf.confd telegraf
	newinitd "${FILESDIR}"/telegraf.rc telegraf

	dodoc -r docs/*

	keepdir /var/log/telegraf
	fowners telegraf:telegraf /var/log/telegraf
}
