# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module

DESCRIPTION="haproxy dataplane api / sidecar"
HOMEPAGE="https://github.com/haproxytech/dataplaneapi https://www.haproxy.com/documentation/dataplaneapi/latest/"

EGO_SUM=(
	"github.com/BurntSushi/toml v0.3.1/go.mod"
	"github.com/GehirnInc/crypt v0.0.0-20200316065508-bb7000b8a962"
	"github.com/GehirnInc/crypt v0.0.0-20200316065508-bb7000b8a962/go.mod"
	"github.com/PuerkitoBio/purell v1.1.0/go.mod"
	"github.com/PuerkitoBio/purell v1.1.1"
	"github.com/PuerkitoBio/purell v1.1.1/go.mod"
	"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578"
	"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578/go.mod"
	"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d"
	"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d/go.mod"
	"github.com/agnivade/levenshtein v1.0.1/go.mod"
	"github.com/andreyvit/diff v0.0.0-20170406064948-c7f18ee00883/go.mod"
	"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
	"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da"
	"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
	"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
	"github.com/armon/go-radix v1.0.0/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20180720115003-f9ffefc3facf/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20200108200545-475eaeb16496"
	"github.com/asaskevich/govalidator v0.0.0-20200108200545-475eaeb16496/go.mod"
	"github.com/aws/aws-sdk-go-v2 v1.3.0/go.mod"
	"github.com/aws/aws-sdk-go-v2 v1.3.1"
	"github.com/aws/aws-sdk-go-v2 v1.3.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/config v1.1.3"
	"github.com/aws/aws-sdk-go-v2/config v1.1.3/go.mod"
	"github.com/aws/aws-sdk-go-v2/credentials v1.1.3"
	"github.com/aws/aws-sdk-go-v2/credentials v1.1.3/go.mod"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.0.4"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.0.4/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/autoscaling v1.2.1"
	"github.com/aws/aws-sdk-go-v2/service/autoscaling v1.2.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/ec2 v1.2.0"
	"github.com/aws/aws-sdk-go-v2/service/ec2 v1.2.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.0.4"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.0.4/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.1.3"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.1.3/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.2.0"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.2.0/go.mod"
	"github.com/aws/smithy-go v1.2.0/go.mod"
	"github.com/aws/smithy-go v1.3.0"
	"github.com/aws/smithy-go v1.3.0/go.mod"
	"github.com/bgentry/speakeasy v0.1.0/go.mod"
	"github.com/creack/pty v1.1.9/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/docker/go-units v0.3.3/go.mod"
	"github.com/docker/go-units v0.4.0"
	"github.com/docker/go-units v0.4.0/go.mod"
	"github.com/dustinkirkland/golang-petname v0.0.0-20191129215211-8e5a1ed0cff0"
	"github.com/dustinkirkland/golang-petname v0.0.0-20191129215211-8e5a1ed0cff0/go.mod"
	"github.com/facebookgo/clock v0.0.0-20150410010913-600d898af40a"
	"github.com/facebookgo/clock v0.0.0-20150410010913-600d898af40a/go.mod"
	"github.com/fastly/go-utils v0.0.0-20180712184237-d95a45783239"
	"github.com/fastly/go-utils v0.0.0-20180712184237-d95a45783239/go.mod"
	"github.com/fatih/color v1.7.0/go.mod"
	"github.com/fatih/color v1.9.0"
	"github.com/fatih/color v1.9.0/go.mod"
	"github.com/fsnotify/fsnotify v1.4.9"
	"github.com/fsnotify/fsnotify v1.4.9/go.mod"
	"github.com/getkin/kin-openapi v0.17.0"
	"github.com/getkin/kin-openapi v0.17.0/go.mod"
	"github.com/ghodss/yaml v1.0.0"
	"github.com/ghodss/yaml v1.0.0/go.mod"
	"github.com/globalsign/mgo v0.0.0-20180905125535-1ca0a4f7cbcb/go.mod"
	"github.com/globalsign/mgo v0.0.0-20181015135952-eeefdecb41b8/go.mod"
	"github.com/go-ole/go-ole v1.2.4"
	"github.com/go-ole/go-ole v1.2.4/go.mod"
	"github.com/go-openapi/analysis v0.0.0-20180825180245-b006789cd277/go.mod"
	"github.com/go-openapi/analysis v0.17.0/go.mod"
	"github.com/go-openapi/analysis v0.18.0/go.mod"
	"github.com/go-openapi/analysis v0.19.2/go.mod"
	"github.com/go-openapi/analysis v0.19.4/go.mod"
	"github.com/go-openapi/analysis v0.19.5/go.mod"
	"github.com/go-openapi/analysis v0.19.10"
	"github.com/go-openapi/analysis v0.19.10/go.mod"
	"github.com/go-openapi/errors v0.17.0/go.mod"
	"github.com/go-openapi/errors v0.18.0/go.mod"
	"github.com/go-openapi/errors v0.19.2/go.mod"
	"github.com/go-openapi/errors v0.19.3/go.mod"
	"github.com/go-openapi/errors v0.19.4"
	"github.com/go-openapi/errors v0.19.4/go.mod"
	"github.com/go-openapi/jsonpointer v0.17.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.18.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.19.2/go.mod"
	"github.com/go-openapi/jsonpointer v0.19.3"
	"github.com/go-openapi/jsonpointer v0.19.3/go.mod"
	"github.com/go-openapi/jsonreference v0.17.0/go.mod"
	"github.com/go-openapi/jsonreference v0.18.0/go.mod"
	"github.com/go-openapi/jsonreference v0.19.2/go.mod"
	"github.com/go-openapi/jsonreference v0.19.3"
	"github.com/go-openapi/jsonreference v0.19.3/go.mod"
	"github.com/go-openapi/loads v0.17.0/go.mod"
	"github.com/go-openapi/loads v0.18.0/go.mod"
	"github.com/go-openapi/loads v0.19.0/go.mod"
	"github.com/go-openapi/loads v0.19.2/go.mod"
	"github.com/go-openapi/loads v0.19.3/go.mod"
	"github.com/go-openapi/loads v0.19.4/go.mod"
	"github.com/go-openapi/loads v0.19.5"
	"github.com/go-openapi/loads v0.19.5/go.mod"
	"github.com/go-openapi/runtime v0.0.0-20180920151709-4f900dc2ade9/go.mod"
	"github.com/go-openapi/runtime v0.19.0/go.mod"
	"github.com/go-openapi/runtime v0.19.4/go.mod"
	"github.com/go-openapi/runtime v0.19.15"
	"github.com/go-openapi/runtime v0.19.15/go.mod"
	"github.com/go-openapi/spec v0.17.0/go.mod"
	"github.com/go-openapi/spec v0.18.0/go.mod"
	"github.com/go-openapi/spec v0.19.2/go.mod"
	"github.com/go-openapi/spec v0.19.3/go.mod"
	"github.com/go-openapi/spec v0.19.6/go.mod"
	"github.com/go-openapi/spec v0.19.7"
	"github.com/go-openapi/spec v0.19.7/go.mod"
	"github.com/go-openapi/strfmt v0.17.0/go.mod"
	"github.com/go-openapi/strfmt v0.18.0/go.mod"
	"github.com/go-openapi/strfmt v0.19.0/go.mod"
	"github.com/go-openapi/strfmt v0.19.2/go.mod"
	"github.com/go-openapi/strfmt v0.19.3/go.mod"
	"github.com/go-openapi/strfmt v0.19.4/go.mod"
	"github.com/go-openapi/strfmt v0.19.5"
	"github.com/go-openapi/strfmt v0.19.5/go.mod"
	"github.com/go-openapi/swag v0.17.0/go.mod"
	"github.com/go-openapi/swag v0.18.0/go.mod"
	"github.com/go-openapi/swag v0.19.2/go.mod"
	"github.com/go-openapi/swag v0.19.5/go.mod"
	"github.com/go-openapi/swag v0.19.7/go.mod"
	"github.com/go-openapi/swag v0.19.9"
	"github.com/go-openapi/swag v0.19.9/go.mod"
	"github.com/go-openapi/validate v0.18.0/go.mod"
	"github.com/go-openapi/validate v0.19.2/go.mod"
	"github.com/go-openapi/validate v0.19.3/go.mod"
	"github.com/go-openapi/validate v0.19.8"
	"github.com/go-openapi/validate v0.19.8/go.mod"
	"github.com/go-stack/stack v1.8.0"
	"github.com/go-stack/stack v1.8.0/go.mod"
	"github.com/gobuffalo/attrs v0.0.0-20190224210810-a9411de4debd/go.mod"
	"github.com/gobuffalo/depgen v0.0.0-20190329151759-d478694a28d3/go.mod"
	"github.com/gobuffalo/depgen v0.1.0/go.mod"
	"github.com/gobuffalo/envy v1.6.15/go.mod"
	"github.com/gobuffalo/envy v1.7.0/go.mod"
	"github.com/gobuffalo/flect v0.1.0/go.mod"
	"github.com/gobuffalo/flect v0.1.1/go.mod"
	"github.com/gobuffalo/flect v0.1.3/go.mod"
	"github.com/gobuffalo/genny v0.0.0-20190329151137-27723ad26ef9/go.mod"
	"github.com/gobuffalo/genny v0.0.0-20190403191548-3ca520ef0d9e/go.mod"
	"github.com/gobuffalo/genny v0.1.0/go.mod"
	"github.com/gobuffalo/genny v0.1.1/go.mod"
	"github.com/gobuffalo/gitgen v0.0.0-20190315122116-cc086187d211/go.mod"
	"github.com/gobuffalo/gogen v0.0.0-20190315121717-8f38393713f5/go.mod"
	"github.com/gobuffalo/gogen v0.1.0/go.mod"
	"github.com/gobuffalo/gogen v0.1.1/go.mod"
	"github.com/gobuffalo/logger v0.0.0-20190315122211-86e12af44bc2/go.mod"
	"github.com/gobuffalo/mapi v1.0.1/go.mod"
	"github.com/gobuffalo/mapi v1.0.2/go.mod"
	"github.com/gobuffalo/packd v0.0.0-20190315124812-a385830c7fc0/go.mod"
	"github.com/gobuffalo/packd v0.1.0/go.mod"
	"github.com/gobuffalo/packr/v2 v2.0.9/go.mod"
	"github.com/gobuffalo/packr/v2 v2.2.0/go.mod"
	"github.com/gobuffalo/syncx v0.0.0-20190224160051-33c29581e754/go.mod"
	"github.com/golang/snappy v0.0.1/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.3.0/go.mod"
	"github.com/google/go-cmp v0.4.0/go.mod"
	"github.com/google/go-cmp v0.5.4"
	"github.com/google/go-cmp v0.5.4/go.mod"
	"github.com/google/renameio v0.1.1-0.20200217212219-353f81969824"
	"github.com/google/renameio v0.1.1-0.20200217212219-353f81969824/go.mod"
	"github.com/google/uuid v1.0.0/go.mod"
	"github.com/google/uuid v1.1.1"
	"github.com/google/uuid v1.1.1/go.mod"
	"github.com/haproxytech/client-native/v2 v2.3.1-0.20210427141952-ef3206577c49"
	"github.com/haproxytech/client-native/v2 v2.3.1-0.20210427141952-ef3206577c49/go.mod"
	"github.com/haproxytech/config-parser/v3 v3.0.1-0.20210212144342-183eb1988d86"
	"github.com/haproxytech/config-parser/v3 v3.0.1-0.20210212144342-183eb1988d86/go.mod"
	"github.com/hashicorp/consul/api v1.6.0"
	"github.com/hashicorp/consul/api v1.6.0/go.mod"
	"github.com/hashicorp/consul/sdk v0.6.0"
	"github.com/hashicorp/consul/sdk v0.6.0/go.mod"
	"github.com/hashicorp/errwrap v1.0.0"
	"github.com/hashicorp/errwrap v1.0.0/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.1"
	"github.com/hashicorp/go-cleanhttp v0.5.1/go.mod"
	"github.com/hashicorp/go-hclog v0.12.0"
	"github.com/hashicorp/go-hclog v0.12.0/go.mod"
	"github.com/hashicorp/go-immutable-radix v1.0.0"
	"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
	"github.com/hashicorp/go-msgpack v0.5.3"
	"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
	"github.com/hashicorp/go-multierror v1.0.0/go.mod"
	"github.com/hashicorp/go-multierror v1.1.0"
	"github.com/hashicorp/go-multierror v1.1.0/go.mod"
	"github.com/hashicorp/go-rootcerts v1.0.2"
	"github.com/hashicorp/go-rootcerts v1.0.2/go.mod"
	"github.com/hashicorp/go-sockaddr v1.0.0"
	"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
	"github.com/hashicorp/go-syslog v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.1"
	"github.com/hashicorp/go-uuid v1.0.1/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/hashicorp/hcl v1.0.0"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/hashicorp/logutils v1.0.0/go.mod"
	"github.com/hashicorp/mdns v1.0.1/go.mod"
	"github.com/hashicorp/memberlist v0.2.2"
	"github.com/hashicorp/memberlist v0.2.2/go.mod"
	"github.com/hashicorp/serf v0.9.3"
	"github.com/hashicorp/serf v0.9.3/go.mod"
	"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
	"github.com/jehiah/go-strftime v0.0.0-20171201141054-1d33003b3869"
	"github.com/jehiah/go-strftime v0.0.0-20171201141054-1d33003b3869/go.mod"
	"github.com/jessevdk/go-flags v1.4.0"
	"github.com/jessevdk/go-flags v1.4.0/go.mod"
	"github.com/jmespath/go-jmespath v0.4.0"
	"github.com/jmespath/go-jmespath v0.4.0/go.mod"
	"github.com/jmespath/go-jmespath/internal/testify v1.5.1"
	"github.com/jmespath/go-jmespath/internal/testify v1.5.1/go.mod"
	"github.com/joho/godotenv v1.3.0/go.mod"
	"github.com/karrick/godirwalk v1.8.0/go.mod"
	"github.com/karrick/godirwalk v1.10.3/go.mod"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51/go.mod"
	"github.com/kisielk/errcheck v1.2.0/go.mod"
	"github.com/klauspost/compress v1.9.5/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.2"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pretty v0.2.0/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/pty v1.1.5/go.mod"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kr/text v0.2.0"
	"github.com/kr/text v0.2.0/go.mod"
	"github.com/lestrrat-go/apache-logformat v0.0.0-20210106032603-24d066f940f8"
	"github.com/lestrrat-go/apache-logformat v0.0.0-20210106032603-24d066f940f8/go.mod"
	"github.com/lestrrat-go/envload v0.0.0-20180220234015-a3eb8ddeffcc"
	"github.com/lestrrat-go/envload v0.0.0-20180220234015-a3eb8ddeffcc/go.mod"
	"github.com/lestrrat-go/strftime v0.0.0-20180821113735-8b31f9c59b0f"
	"github.com/lestrrat-go/strftime v0.0.0-20180821113735-8b31f9c59b0f/go.mod"
	"github.com/mailru/easyjson v0.0.0-20180823135443-60711f1a8329/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190312143242-1de009706dbe/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190614124828-94de47d64c63/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e/go.mod"
	"github.com/mailru/easyjson v0.7.0/go.mod"
	"github.com/mailru/easyjson v0.7.1"
	"github.com/mailru/easyjson v0.7.1/go.mod"
	"github.com/markbates/oncer v0.0.0-20181203154359-bf2de49a0be2/go.mod"
	"github.com/markbates/safe v1.0.1/go.mod"
	"github.com/mattn/go-colorable v0.0.9/go.mod"
	"github.com/mattn/go-colorable v0.1.4/go.mod"
	"github.com/mattn/go-colorable v0.1.6"
	"github.com/mattn/go-colorable v0.1.6/go.mod"
	"github.com/mattn/go-isatty v0.0.3/go.mod"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-isatty v0.0.10/go.mod"
	"github.com/mattn/go-isatty v0.0.11/go.mod"
	"github.com/mattn/go-isatty v0.0.12"
	"github.com/mattn/go-isatty v0.0.12/go.mod"
	"github.com/miekg/dns v1.0.14/go.mod"
	"github.com/miekg/dns v1.1.26"
	"github.com/miekg/dns v1.1.26/go.mod"
	"github.com/mitchellh/cli v1.1.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-testing-interface v1.0.0"
	"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
	"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/mitchellh/mapstructure v1.2.2"
	"github.com/mitchellh/mapstructure v1.2.2/go.mod"
	"github.com/montanaflynn/stats v0.0.0-20171201202039-1bf9dbcd8cbe/go.mod"
	"github.com/nathanaelle/syslog5424/v2 v2.0.5"
	"github.com/nathanaelle/syslog5424/v2 v2.0.5/go.mod"
	"github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e"
	"github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e/go.mod"
	"github.com/oklog/ulid/v2 v2.0.2"
	"github.com/oklog/ulid/v2 v2.0.2/go.mod"
	"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c"
	"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
	"github.com/pborman/getopt v0.0.0-20170112200414-7148bc3a4c30/go.mod"
	"github.com/pborman/uuid v1.2.0/go.mod"
	"github.com/pelletier/go-toml v1.4.0/go.mod"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/posener/complete v1.1.1/go.mod"
	"github.com/posener/complete v1.2.3/go.mod"
	"github.com/rodaine/hclencoder v0.0.0-20200910194838-aaa140ee61ed"
	"github.com/rodaine/hclencoder v0.0.0-20200910194838-aaa140ee61ed/go.mod"
	"github.com/rogpeppe/go-internal v1.1.0/go.mod"
	"github.com/rogpeppe/go-internal v1.2.2/go.mod"
	"github.com/rogpeppe/go-internal v1.3.0/go.mod"
	"github.com/rs/cors v1.7.0"
	"github.com/rs/cors v1.7.0/go.mod"
	"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
	"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529"
	"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
	"github.com/sergi/go-diff v1.0.0/go.mod"
	"github.com/shirou/gopsutil v2.20.3+incompatible"
	"github.com/shirou/gopsutil v2.20.3+incompatible/go.mod"
	"github.com/sirupsen/logrus v1.4.0/go.mod"
	"github.com/sirupsen/logrus v1.4.1/go.mod"
	"github.com/sirupsen/logrus v1.4.2/go.mod"
	"github.com/sirupsen/logrus v1.5.0"
	"github.com/sirupsen/logrus v1.5.0/go.mod"
	"github.com/spf13/cobra v0.0.3/go.mod"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/objx v0.2.0/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.5.1/go.mod"
	"github.com/stretchr/testify v1.6.1"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/tebeka/strftime v0.1.5"
	"github.com/tebeka/strftime v0.1.5/go.mod"
	"github.com/tidwall/pretty v1.0.0/go.mod"
	"github.com/tidwall/pretty v1.0.1"
	"github.com/tidwall/pretty v1.0.1/go.mod"
	"github.com/vektah/gqlparser v1.1.2/go.mod"
	"github.com/xdg/scram v0.0.0-20180814205039-7eeb5667e42c/go.mod"
	"github.com/xdg/stringprep v0.0.0-20180714160509-73f8eece6fdc/go.mod"
	"go.mongodb.org/mongo-driver v1.0.3/go.mod"
	"go.mongodb.org/mongo-driver v1.1.1/go.mod"
	"go.mongodb.org/mongo-driver v1.1.2/go.mod"
	"go.mongodb.org/mongo-driver v1.3.0/go.mod"
	"go.mongodb.org/mongo-driver v1.3.2"
	"go.mongodb.org/mongo-driver v1.3.2/go.mod"
	"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
	"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190320223903-b7391e95e576/go.mod"
	"golang.org/x/crypto v0.0.0-20190422162423-af44ce270edf/go.mod"
	"golang.org/x/crypto v0.0.0-20190530122614-20be4c3c3ed5/go.mod"
	"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8/go.mod"
	"golang.org/x/crypto v0.0.0-20190617133340-57b3e21c3d56/go.mod"
	"golang.org/x/crypto v0.0.0-20190923035154-9ee001bba392/go.mod"
	"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9"
	"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
	"golang.org/x/net v0.0.0-20181005035420-146acd28ed58/go.mod"
	"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
	"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
	"golang.org/x/net v0.0.0-20190320064053-1272bf9dcd53/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
	"golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
	"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
	"golang.org/x/net v0.0.0-20200425230154-ff2c4b7c35a0/go.mod"
	"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b"
	"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
	"golang.org/x/sync v0.0.0-20190412183630-56d357773e84/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
	"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
	"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190321052220-f7bb7a8bee54/go.mod"
	"golang.org/x/sys v0.0.0-20190403152447-81d4e9dc473e/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190419153524-e8e3143a4f4a/go.mod"
	"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
	"golang.org/x/sys v0.0.0-20190531175056-4c3a928424d2/go.mod"
	"golang.org/x/sys v0.0.0-20190616124812-15dcb6c0061f/go.mod"
	"golang.org/x/sys v0.0.0-20190922100055-0a153f010e69/go.mod"
	"golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
	"golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
	"golang.org/x/sys v0.0.0-20191008105621-543471e840be/go.mod"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
	"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
	"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9/go.mod"
	"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
	"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f"
	"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.5"
	"golang.org/x/text v0.3.5/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
	"golang.org/x/tools v0.0.0-20190125232054-d66bd3c5d5a6/go.mod"
	"golang.org/x/tools v0.0.0-20190329151228-23e29df326fe/go.mod"
	"golang.org/x/tools v0.0.0-20190416151739-9c9e1878f421/go.mod"
	"golang.org/x/tools v0.0.0-20190420181800-aa740d480789/go.mod"
	"golang.org/x/tools v0.0.0-20190531172133-b3315ee88b7d/go.mod"
	"golang.org/x/tools v0.0.0-20190614205625-5aca471b1d59/go.mod"
	"golang.org/x/tools v0.0.0-20190617190820-da514acc4774/go.mod"
	"golang.org/x/tools v0.0.0-20190907020128-2ca718005c18/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543"
	"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f"
	"gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f/go.mod"
	"gopkg.in/errgo.v2 v2.1.0/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.2.4/go.mod"
	"gopkg.in/yaml.v2 v2.2.8/go.mod"
	"gopkg.in/yaml.v2 v2.3.0"
	"gopkg.in/yaml.v2 v2.3.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	)
go-module_set_globals

SRC_URI="https://github.com/haproxytech/dataplaneapi/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

S="${WORKDIR}/dataplaneapi-${PV}"

src_compile() {
	GOBIN="${S}/bin" emake build
}

src_install() {
	dobin build/dataplaneapi
	dodoc README.md
}
