# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module systemd

DESCRIPTION="A frp server plugin to support multiple users for frp"
HOMEPAGE="https://github.com/gofrp/fp-multiuser"

EGO_SUM=(
"cloud.google.com/go v0.34.0/go.mod"
"github.com/Azure/go-ntlmssp v0.0.0-20200615164410-66371956d46c/go.mod"
"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
"github.com/PuerkitoBio/purell v1.0.0/go.mod"
"github.com/PuerkitoBio/urlesc v0.0.0-20160726150825-5bd2802263f2/go.mod"
"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
"github.com/armon/go-socks5 v0.0.0-20160902184237-e75332964ef5/go.mod"
"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
"github.com/beorn7/perks v1.0.0/go.mod"
"github.com/beorn7/perks v1.0.1/go.mod"
"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
"github.com/coreos/go-oidc v2.2.1+incompatible/go.mod"
"github.com/davecgh/go-spew v1.1.0/go.mod"
"github.com/davecgh/go-spew v1.1.1"
"github.com/davecgh/go-spew v1.1.1/go.mod"
"github.com/docker/spdystream v0.0.0-20160310174837-449fdfce4d96/go.mod"
"github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153/go.mod"
"github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
"github.com/evanphx/json-patch v4.2.0+incompatible/go.mod"
"github.com/fatedier/beego v0.0.0-20171024143340-6c6a4f5bd5eb"
"github.com/fatedier/beego v0.0.0-20171024143340-6c6a4f5bd5eb/go.mod"
"github.com/fatedier/frp v0.34.1"
"github.com/fatedier/frp v0.34.1/go.mod"
"github.com/fatedier/golib v0.1.1-0.20200901083111-1f870741e185"
"github.com/fatedier/golib v0.1.1-0.20200901083111-1f870741e185/go.mod"
"github.com/fatedier/kcp-go v2.0.4-0.20190803094908-fe8645b0a904+incompatible/go.mod"
"github.com/fsnotify/fsnotify v1.4.7/go.mod"
"github.com/fsnotify/fsnotify v1.4.9/go.mod"
"github.com/ghodss/yaml v0.0.0-20150909031657-73d445a93680/go.mod"
"github.com/gin-contrib/sse v0.1.0"
"github.com/gin-contrib/sse v0.1.0/go.mod"
"github.com/gin-gonic/gin v1.5.0"
"github.com/gin-gonic/gin v1.5.0/go.mod"
"github.com/go-kit/kit v0.8.0/go.mod"
"github.com/go-kit/kit v0.9.0/go.mod"
"github.com/go-logfmt/logfmt v0.3.0/go.mod"
"github.com/go-logfmt/logfmt v0.4.0/go.mod"
"github.com/go-logr/logr v0.1.0/go.mod"
"github.com/go-openapi/jsonpointer v0.0.0-20160704185906-46af16f9f7b1/go.mod"
"github.com/go-openapi/jsonreference v0.0.0-20160704190145-13c6e3589ad9/go.mod"
"github.com/go-openapi/spec v0.0.0-20160808142527-6aced65f8501/go.mod"
"github.com/go-openapi/swag v0.0.0-20160704191624-1d0bd113de87/go.mod"
"github.com/go-playground/locales v0.12.1"
"github.com/go-playground/locales v0.12.1/go.mod"
"github.com/go-playground/universal-translator v0.16.0"
"github.com/go-playground/universal-translator v0.16.0/go.mod"
"github.com/go-stack/stack v1.8.0/go.mod"
"github.com/gogo/protobuf v1.1.1/go.mod"
"github.com/gogo/protobuf v1.3.1/go.mod"
"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
"github.com/golang/protobuf v0.0.0-20161109072736-4bd1920723d7/go.mod"
"github.com/golang/protobuf v1.2.0/go.mod"
"github.com/golang/protobuf v1.3.1/go.mod"
"github.com/golang/protobuf v1.3.2"
"github.com/golang/protobuf v1.3.2/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
"github.com/golang/protobuf v1.4.0/go.mod"
"github.com/golang/protobuf v1.4.2"
"github.com/golang/protobuf v1.4.2/go.mod"
"github.com/golang/snappy v0.0.1/go.mod"
"github.com/google/go-cmp v0.3.0/go.mod"
"github.com/google/go-cmp v0.3.1/go.mod"
"github.com/google/go-cmp v0.4.0"
"github.com/google/go-cmp v0.4.0/go.mod"
"github.com/google/gofuzz v1.0.0/go.mod"
"github.com/google/gofuzz v1.1.0/go.mod"
"github.com/google/uuid v1.1.1/go.mod"
"github.com/googleapis/gnostic v0.0.0-20170729233727-0c5108395e2d/go.mod"
"github.com/googleapis/gnostic v0.1.0/go.mod"
"github.com/gorilla/mux v1.7.3/go.mod"
"github.com/gorilla/websocket v1.4.0/go.mod"
"github.com/hashicorp/golang-lru v0.5.1/go.mod"
"github.com/hashicorp/yamux v0.0.0-20181012175058-2f1d1f20f75d/go.mod"
"github.com/hpcloud/tail v1.0.0/go.mod"
"github.com/inconshreveable/mousetrap v1.0.0"
"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
"github.com/json-iterator/go v1.1.6/go.mod"
"github.com/json-iterator/go v1.1.7/go.mod"
"github.com/json-iterator/go v1.1.8/go.mod"
"github.com/json-iterator/go v1.1.9"
"github.com/json-iterator/go v1.1.9/go.mod"
"github.com/julienschmidt/httprouter v1.2.0/go.mod"
"github.com/kisielk/errcheck v1.2.0/go.mod"
"github.com/kisielk/gotool v1.0.0/go.mod"
"github.com/klauspost/cpuid v1.2.0/go.mod"
"github.com/klauspost/reedsolomon v1.9.1/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
"github.com/kr/pretty v0.1.0"
"github.com/kr/pretty v0.1.0/go.mod"
"github.com/kr/pty v1.1.1/go.mod"
"github.com/kr/text v0.1.0"
"github.com/kr/text v0.1.0/go.mod"
"github.com/leodido/go-urn v1.1.0"
"github.com/leodido/go-urn v1.1.0/go.mod"
"github.com/mailru/easyjson v0.0.0-20160728113105-d5b7844b561a/go.mod"
"github.com/mattn/go-isatty v0.0.9"
"github.com/mattn/go-isatty v0.0.9/go.mod"
"github.com/mattn/go-runewidth v0.0.4/go.mod"
"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
"github.com/modern-go/reflect2 v1.0.1"
"github.com/modern-go/reflect2 v1.0.1/go.mod"
"github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
"github.com/nxadm/tail v1.4.4/go.mod"
"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
"github.com/onsi/ginkgo v1.6.0/go.mod"
"github.com/onsi/ginkgo v1.11.0/go.mod"
"github.com/onsi/ginkgo v1.12.1/go.mod"
"github.com/onsi/ginkgo v1.12.3/go.mod"
"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
"github.com/onsi/gomega v1.7.0/go.mod"
"github.com/onsi/gomega v1.7.1/go.mod"
"github.com/onsi/gomega v1.10.1/go.mod"
"github.com/pires/go-proxyproto v0.0.0-20190111085350-4d51b51e3bfc/go.mod"
"github.com/pkg/errors v0.8.0/go.mod"
"github.com/pkg/errors v0.8.1/go.mod"
"github.com/pmezard/go-difflib v1.0.0"
"github.com/pmezard/go-difflib v1.0.0/go.mod"
"github.com/pquerna/cachecontrol v0.0.0-20180517163645-1555304b9b35/go.mod"
"github.com/prometheus/client_golang v0.9.1/go.mod"
"github.com/prometheus/client_golang v1.0.0/go.mod"
"github.com/prometheus/client_golang v1.4.1/go.mod"
"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
"github.com/prometheus/client_model v0.2.0/go.mod"
"github.com/prometheus/common v0.4.1/go.mod"
"github.com/prometheus/common v0.9.1/go.mod"
"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
"github.com/prometheus/procfs v0.0.2/go.mod"
"github.com/prometheus/procfs v0.0.8/go.mod"
"github.com/rakyll/statik v0.1.1/go.mod"
"github.com/rodaine/table v1.0.0/go.mod"
"github.com/sirupsen/logrus v1.2.0/go.mod"
"github.com/sirupsen/logrus v1.4.2/go.mod"
"github.com/spf13/cobra v0.0.3"
"github.com/spf13/cobra v0.0.3/go.mod"
"github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
"github.com/spf13/pflag v1.0.5"
"github.com/spf13/pflag v1.0.5/go.mod"
"github.com/stretchr/objx v0.1.0/go.mod"
"github.com/stretchr/objx v0.1.1/go.mod"
"github.com/stretchr/testify v1.2.2/go.mod"
"github.com/stretchr/testify v1.3.0/go.mod"
"github.com/stretchr/testify v1.4.0"
"github.com/stretchr/testify v1.4.0/go.mod"
"github.com/templexxx/cpufeat v0.0.0-20170927014610-3794dfbfb047/go.mod"
"github.com/templexxx/xor v0.0.0-20170926022130-0af8e873c554/go.mod"
"github.com/tjfoc/gmsm v0.0.0-20171124023159-98aa888b79d8/go.mod"
"github.com/ugorji/go v1.1.7"
"github.com/ugorji/go v1.1.7/go.mod"
"github.com/ugorji/go/codec v1.1.7"
"github.com/ugorji/go/codec v1.1.7/go.mod"
"github.com/vaughan0/go-ini v0.0.0-20130923145212-a98ad7ee00ec/go.mod"
"github.com/xtaci/lossyconn v0.0.0-20190602105132-8df528c0c9ae/go.mod"
"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
"golang.org/x/crypto v0.0.0-20190228161510-8dd112bcdc25/go.mod"
"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
"golang.org/x/net v0.0.0-20170114055629-f2499483f923/go.mod"
"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
"golang.org/x/net v0.0.0-20190228165749-92fc7df08ae7/go.mod"
"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
"golang.org/x/net v0.0.0-20191004110552-13f9640d40b9/go.mod"
"golang.org/x/net v0.0.0-20200520004742-59133d7f0dd7/go.mod"
"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
"golang.org/x/sys v0.0.0-20170830134202-bb24a47a89ea/go.mod"
"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
"golang.org/x/sys v0.0.0-20190813064441-fde4db37ae7a/go.mod"
"golang.org/x/sys v0.0.0-20190904154756-749cb33beabd/go.mod"
"golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
"golang.org/x/sys v0.0.0-20191022100944-742c48ecaeb7/go.mod"
"golang.org/x/sys v0.0.0-20191120155948-bd437916bb0e/go.mod"
"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82"
"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82/go.mod"
"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
"golang.org/x/sys v0.0.0-20200519105757-fe76b779f299/go.mod"
"golang.org/x/sys v0.0.0-20200602225109-6fdc65e7d980"
"golang.org/x/sys v0.0.0-20200602225109-6fdc65e7d980/go.mod"
"golang.org/x/text v0.0.0-20160726164857-2910a502d2bf/go.mod"
"golang.org/x/text v0.3.0/go.mod"
"golang.org/x/text v0.3.2/go.mod"
"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
"golang.org/x/tools v0.0.0-20181011042414-1f849cf54d09/go.mod"
"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
"google.golang.org/appengine v1.4.0/go.mod"
"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
"google.golang.org/protobuf v1.21.0/go.mod"
"google.golang.org/protobuf v1.23.0"
"google.golang.org/protobuf v1.23.0/go.mod"
"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
"gopkg.in/go-playground/assert.v1 v1.2.1"
"gopkg.in/go-playground/assert.v1 v1.2.1/go.mod"
"gopkg.in/go-playground/validator.v9 v9.29.1"
"gopkg.in/go-playground/validator.v9 v9.29.1/go.mod"
"gopkg.in/inf.v0 v0.9.1/go.mod"
"gopkg.in/square/go-jose.v2 v2.4.1/go.mod"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
"gopkg.in/yaml.v2 v2.2.1/go.mod"
"gopkg.in/yaml.v2 v2.2.2"
"gopkg.in/yaml.v2 v2.2.2/go.mod"
"gopkg.in/yaml.v2 v2.2.4/go.mod"
"gopkg.in/yaml.v2 v2.2.5"
"gopkg.in/yaml.v2 v2.2.5/go.mod"
"gopkg.in/yaml.v2 v2.2.8/go.mod"
"gopkg.in/yaml.v2 v2.3.0"
"gopkg.in/yaml.v2 v2.3.0/go.mod"
"k8s.io/apimachinery v0.18.3/go.mod"
"k8s.io/gengo v0.0.0-20190128074634-0689ccc1d7d6/go.mod"
"k8s.io/klog v0.0.0-20181102134211-b9b56d5dfc92/go.mod"
"k8s.io/klog v1.0.0/go.mod"
"k8s.io/kube-openapi v0.0.0-20200410145947-61e04a5be9a6/go.mod"
"sigs.k8s.io/structured-merge-diff/v3 v3.0.0-20200116222232-67a7b8c61874/go.mod"
"sigs.k8s.io/structured-merge-diff/v3 v3.0.0/go.mod"
"sigs.k8s.io/yaml v1.1.0/go.mod"
"sigs.k8s.io/yaml v1.2.0/go.mod"
)
go-module_set_globals
SRC_URI="https://github.com/gofrp/fp-multiuser/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RDEPEND="
	acct-user/fp-multiuser
	acct-group/fp-multiuser"
DEPEND="${RDEPEND}"

src_compile() {
	emake all
}

src_install() {
	dobin bin/${PN}
	keepdir /etc/${PN}
	systemd_dounit "${FILESDIR}/fp-multiuser.service"
	newinitd "${FILESDIR}/initd" "${PN}"
	newconfd "${FILESDIR}/confd" "${PN}"
	insinto /etc/logrotate.d
	newins "${FILESDIR}/logrotated" "${PN}"
	dodoc README*.md
}
