# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module

DESCRIPTION="Linux-native \"fake root\" for implementing rootless containers"
HOMEPAGE="https://github.com/rootless-containers/rootlesskit"

EGO_SUM=(
"github.com/BurntSushi/toml v0.3.1/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0"
"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
"github.com/davecgh/go-spew v1.1.0/go.mod"
"github.com/davecgh/go-spew v1.1.1"
"github.com/davecgh/go-spew v1.1.1/go.mod"
"github.com/fanliao/go-promise v0.0.0-20141029170127-1890db352a72/go.mod"
"github.com/gofrs/flock v0.8.0"
"github.com/gofrs/flock v0.8.0/go.mod"
"github.com/google/go-cmp v0.2.0/go.mod"
"github.com/google/go-cmp v0.3.0/go.mod"
"github.com/google/go-cmp v0.3.1/go.mod"
"github.com/google/go-cmp v0.4.0/go.mod"
"github.com/google/go-cmp v0.5.2/go.mod"
"github.com/google/uuid v1.2.0"
"github.com/google/uuid v1.2.0/go.mod"
"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
"github.com/gorilla/mux v1.8.0"
"github.com/gorilla/mux v1.8.0/go.mod"
"github.com/hugelgupf/socketpair v0.0.0-20190730060125-05d35a94e714/go.mod"
"github.com/insomniacslk/dhcp v0.0.0-20210120172423-cc9239ac6294"
"github.com/insomniacslk/dhcp v0.0.0-20210120172423-cc9239ac6294/go.mod"
"github.com/jamescun/tuntap v0.0.0-20190712092105-cb1fb277045c"
"github.com/jamescun/tuntap v0.0.0-20190712092105-cb1fb277045c/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20190606172950-9527aa82566a/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20200117123717-f846d4f6c1f4/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20201009170750-9c6f07d100c1/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20201110080708-d2c240429e6c/go.mod"
"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
"github.com/mdlayher/ethernet v0.0.0-20190606142754-0394541c37b7/go.mod"
"github.com/mdlayher/netlink v0.0.0-20190409211403-11939a169225/go.mod"
"github.com/mdlayher/netlink v1.0.0/go.mod"
"github.com/mdlayher/netlink v1.1.0/go.mod"
"github.com/mdlayher/netlink v1.1.1/go.mod"
"github.com/mdlayher/raw v0.0.0-20190606142536-fef19f00fc18/go.mod"
"github.com/mdlayher/raw v0.0.0-20191009151244-50f2db8cc065/go.mod"
"github.com/moby/sys/mountinfo v0.4.1"
"github.com/moby/sys/mountinfo v0.4.1/go.mod"
"github.com/moby/vpnkit v0.5.0"
"github.com/moby/vpnkit v0.5.0/go.mod"
"github.com/pkg/errors v0.9.1"
"github.com/pkg/errors v0.9.1/go.mod"
"github.com/pmezard/go-difflib v1.0.0"
"github.com/pmezard/go-difflib v1.0.0/go.mod"
"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
"github.com/russross/blackfriday/v2 v2.1.0"
"github.com/russross/blackfriday/v2 v2.1.0/go.mod"
"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
"github.com/sirupsen/logrus v1.8.1"
"github.com/sirupsen/logrus v1.8.1/go.mod"
"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
"github.com/smartystreets/goconvey v1.6.4/go.mod"
"github.com/stretchr/objx v0.1.0/go.mod"
"github.com/stretchr/testify v1.2.2/go.mod"
"github.com/stretchr/testify v1.6.1/go.mod"
"github.com/stretchr/testify v1.7.0"
"github.com/stretchr/testify v1.7.0/go.mod"
"github.com/u-root/u-root v7.0.0+incompatible"
"github.com/u-root/u-root v7.0.0+incompatible/go.mod"
"github.com/urfave/cli/v2 v2.3.0"
"github.com/urfave/cli/v2 v2.3.0/go.mod"
"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
"golang.org/x/net v0.0.0-20190419010253-1f3472d942ba/go.mod"
"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
"golang.org/x/net v0.0.0-20191007182048-72f939374954/go.mod"
"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
"golang.org/x/net v0.0.0-20201010224723-4f7140c49acb/go.mod"
"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
"golang.org/x/net v0.0.0-20210119194325-5f4716e94777"
"golang.org/x/net v0.0.0-20210119194325-5f4716e94777/go.mod"
"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
"golang.org/x/sys v0.0.0-20190411185658-b44545bcd369/go.mod"
"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
"golang.org/x/sys v0.0.0-20190418153312-f0ce4c0180be/go.mod"
"golang.org/x/sys v0.0.0-20190606122018-79a91cf218c4/go.mod"
"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
"golang.org/x/sys v0.0.0-20191008105621-543471e840be/go.mod"
"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
"golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
"golang.org/x/sys v0.0.0-20200909081042-eff7692f9009/go.mod"
"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
"golang.org/x/sys v0.0.0-20201009025420-dfb3f7c4e634/go.mod"
"golang.org/x/sys v0.0.0-20201101102859-da207088b7d1/go.mod"
"golang.org/x/sys v0.0.0-20201112073958-5cba982894dd/go.mod"
"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
"golang.org/x/sys v0.0.0-20210119212857-b64e53b001e4"
"golang.org/x/sys v0.0.0-20210119212857-b64e53b001e4/go.mod"
"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
"golang.org/x/text v0.3.0/go.mod"
"golang.org/x/text v0.3.3/go.mod"
"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405"
"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
"gopkg.in/yaml.v2 v2.2.3/go.mod"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
)
go-module_set_globals
SRC_URI="https://github.com/rootless-containers/rootlesskit/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"
LICENSE="Apache-2.0 BSD BSD-2 ISC MIT"
SLOT="0"

KEYWORDS="~amd64"
IUSE=""

src_prepare() {
	sed -e 's:/usr/local/bin:/usr/bin:' -i Makefile || die
	default
}
