# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module systemd

DESCRIPTION="MQTT broker library with cluster support that implements MQTT V5.0 and V3.1.1"
HOMEPAGE="https://github.com/DrmagicE/gmqtt"

EGO_SUM=(
"cloud.google.com/go v0.26.0/go.mod"
"cloud.google.com/go v0.34.0/go.mod"
"github.com/BurntSushi/toml v0.3.1"
"github.com/BurntSushi/toml v0.3.1/go.mod"
"github.com/OneOfOne/xxhash v1.2.2/go.mod"
"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
"github.com/antihax/optional v1.0.0/go.mod"
"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da"
"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
"github.com/armon/go-radix v1.0.0/go.mod"
"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
"github.com/beorn7/perks v1.0.0/go.mod"
"github.com/beorn7/perks v1.0.1"
"github.com/beorn7/perks v1.0.1/go.mod"
"github.com/bgentry/speakeasy v0.1.0/go.mod"
"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
"github.com/cespare/xxhash v1.1.0"
"github.com/cespare/xxhash v1.1.0/go.mod"
"github.com/cespare/xxhash/v2 v2.1.1"
"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
"github.com/client9/misspell v0.3.4/go.mod"
"github.com/cncf/udpa/go v0.0.0-20191209042840-269d4d468f6f/go.mod"
"github.com/cncf/udpa/go v0.0.0-20200629203442-efcf912fb354/go.mod"
"github.com/coreos/bbolt v1.3.2/go.mod"
"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
"github.com/coreos/go-semver v0.2.0/go.mod"
"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
"github.com/davecgh/go-spew v1.1.0/go.mod"
"github.com/davecgh/go-spew v1.1.1"
"github.com/davecgh/go-spew v1.1.1/go.mod"
"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.0/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.4/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.7/go.mod"
"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
"github.com/fatih/color v1.7.0/go.mod"
"github.com/fatih/color v1.9.0/go.mod"
"github.com/fsnotify/fsnotify v1.4.7"
"github.com/fsnotify/fsnotify v1.4.7/go.mod"
"github.com/ghodss/yaml v1.0.0"
"github.com/ghodss/yaml v1.0.0/go.mod"
"github.com/go-kit/kit v0.8.0/go.mod"
"github.com/go-kit/kit v0.9.0/go.mod"
"github.com/go-logfmt/logfmt v0.3.0/go.mod"
"github.com/go-logfmt/logfmt v0.4.0/go.mod"
"github.com/go-stack/stack v1.8.0/go.mod"
"github.com/gogo/protobuf v1.1.1/go.mod"
"github.com/gogo/protobuf v1.2.1"
"github.com/gogo/protobuf v1.2.1/go.mod"
"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef/go.mod"
"github.com/golang/mock v1.1.1"
"github.com/golang/mock v1.1.1/go.mod"
"github.com/golang/mock v1.4.4"
"github.com/golang/mock v1.4.4/go.mod"
"github.com/golang/protobuf v1.2.0/go.mod"
"github.com/golang/protobuf v1.3.1/go.mod"
"github.com/golang/protobuf v1.3.2"
"github.com/golang/protobuf v1.3.2/go.mod"
"github.com/golang/protobuf v1.3.3/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
"github.com/golang/protobuf v1.4.0"
"github.com/golang/protobuf v1.4.0/go.mod"
"github.com/golang/protobuf v1.4.1/go.mod"
"github.com/golang/protobuf v1.4.2"
"github.com/golang/protobuf v1.4.2/go.mod"
"github.com/gomodule/redigo v1.8.2"
"github.com/gomodule/redigo v1.8.2/go.mod"
"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
"github.com/google/btree v1.0.0"
"github.com/google/btree v1.0.0/go.mod"
"github.com/google/go-cmp v0.2.0/go.mod"
"github.com/google/go-cmp v0.3.0/go.mod"
"github.com/google/go-cmp v0.3.1/go.mod"
"github.com/google/go-cmp v0.4.0"
"github.com/google/go-cmp v0.4.0/go.mod"
"github.com/google/go-cmp v0.5.0"
"github.com/google/go-cmp v0.5.0/go.mod"
"github.com/google/gofuzz v1.0.0/go.mod"
"github.com/google/renameio v0.1.0/go.mod"
"github.com/google/uuid v1.1.2"
"github.com/google/uuid v1.1.2/go.mod"
"github.com/gorilla/websocket v1.4.0/go.mod"
"github.com/gorilla/websocket v1.4.2"
"github.com/gorilla/websocket v1.4.2/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0/go.mod"
"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0"
"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.16.0"
"github.com/grpc-ecosystem/grpc-gateway v1.16.0/go.mod"
"github.com/hashicorp/errwrap v1.0.0"
"github.com/hashicorp/errwrap v1.0.0/go.mod"
"github.com/hashicorp/go-immutable-radix v1.0.0"
"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
"github.com/hashicorp/go-msgpack v0.5.3"
"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
"github.com/hashicorp/go-multierror v1.0.0/go.mod"
"github.com/hashicorp/go-multierror v1.1.0"
"github.com/hashicorp/go-multierror v1.1.0/go.mod"
"github.com/hashicorp/go-sockaddr v1.0.0"
"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
"github.com/hashicorp/go-syslog v1.0.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.1"
"github.com/hashicorp/go-uuid v1.0.1/go.mod"
"github.com/hashicorp/golang-lru v0.5.0"
"github.com/hashicorp/golang-lru v0.5.0/go.mod"
"github.com/hashicorp/hcl v1.0.0"
"github.com/hashicorp/hcl v1.0.0/go.mod"
"github.com/hashicorp/logutils v1.0.0"
"github.com/hashicorp/logutils v1.0.0/go.mod"
"github.com/hashicorp/mdns v1.0.1/go.mod"
"github.com/hashicorp/memberlist v0.2.2"
"github.com/hashicorp/memberlist v0.2.2/go.mod"
"github.com/hashicorp/serf v0.9.5"
"github.com/hashicorp/serf v0.9.5/go.mod"
"github.com/iancoleman/strcase v0.1.2"
"github.com/iancoleman/strcase v0.1.2/go.mod"
"github.com/inconshreveable/mousetrap v1.0.0"
"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
"github.com/jonboulle/clockwork v0.1.0/go.mod"
"github.com/json-iterator/go v1.1.6/go.mod"
"github.com/json-iterator/go v1.1.9"
"github.com/json-iterator/go v1.1.9/go.mod"
"github.com/julienschmidt/httprouter v1.2.0/go.mod"
"github.com/kisielk/errcheck v1.1.0/go.mod"
"github.com/kisielk/gotool v1.0.0/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.1"
"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
"github.com/kr/pretty v0.1.0"
"github.com/kr/pretty v0.1.0/go.mod"
"github.com/kr/pty v1.1.1/go.mod"
"github.com/kr/text v0.1.0"
"github.com/kr/text v0.1.0/go.mod"
"github.com/magiconair/properties v1.8.0/go.mod"
"github.com/mattn/go-colorable v0.0.9/go.mod"
"github.com/mattn/go-colorable v0.1.4/go.mod"
"github.com/mattn/go-colorable v0.1.6/go.mod"
"github.com/mattn/go-isatty v0.0.3/go.mod"
"github.com/mattn/go-isatty v0.0.8/go.mod"
"github.com/mattn/go-isatty v0.0.11/go.mod"
"github.com/mattn/go-isatty v0.0.12/go.mod"
"github.com/matttproud/golang_protobuf_extensions v1.0.1"
"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
"github.com/miekg/dns v1.0.14/go.mod"
"github.com/miekg/dns v1.1.26"
"github.com/miekg/dns v1.1.26/go.mod"
"github.com/mitchellh/cli v1.1.0/go.mod"
"github.com/mitchellh/go-homedir v1.1.0"
"github.com/mitchellh/go-homedir v1.1.0/go.mod"
"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
"github.com/mitchellh/mapstructure v1.1.2"
"github.com/mitchellh/mapstructure v1.1.2/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
"github.com/modern-go/reflect2 v1.0.1"
"github.com/modern-go/reflect2 v1.0.1/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
"github.com/oklog/ulid v1.3.1/go.mod"
"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c"
"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
"github.com/pelletier/go-toml v1.2.0"
"github.com/pelletier/go-toml v1.2.0/go.mod"
"github.com/pkg/errors v0.8.0/go.mod"
"github.com/pkg/errors v0.8.1"
"github.com/pkg/errors v0.8.1/go.mod"
"github.com/pmezard/go-difflib v1.0.0"
"github.com/pmezard/go-difflib v1.0.0/go.mod"
"github.com/posener/complete v1.1.1/go.mod"
"github.com/posener/complete v1.2.3/go.mod"
"github.com/prometheus/client_golang v0.9.1/go.mod"
"github.com/prometheus/client_golang v0.9.3/go.mod"
"github.com/prometheus/client_golang v1.0.0/go.mod"
"github.com/prometheus/client_golang v1.4.0"
"github.com/prometheus/client_golang v1.4.0/go.mod"
"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
"github.com/prometheus/client_model v0.2.0"
"github.com/prometheus/client_model v0.2.0/go.mod"
"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
"github.com/prometheus/common v0.4.0/go.mod"
"github.com/prometheus/common v0.4.1/go.mod"
"github.com/prometheus/common v0.9.1"
"github.com/prometheus/common v0.9.1/go.mod"
"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
"github.com/prometheus/procfs v0.0.0-20190507164030-5867b95ac084/go.mod"
"github.com/prometheus/procfs v0.0.2/go.mod"
"github.com/prometheus/procfs v0.0.8"
"github.com/prometheus/procfs v0.0.8/go.mod"
"github.com/prometheus/tsdb v0.7.1/go.mod"
"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
"github.com/rogpeppe/fastuuid v1.2.0/go.mod"
"github.com/rogpeppe/go-internal v1.3.0/go.mod"
"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529"
"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
"github.com/sirupsen/logrus v1.2.0/go.mod"
"github.com/sirupsen/logrus v1.4.2"
"github.com/sirupsen/logrus v1.4.2/go.mod"
"github.com/soheilhy/cmux v0.1.4/go.mod"
"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
"github.com/spf13/afero v1.1.2"
"github.com/spf13/afero v1.1.2/go.mod"
"github.com/spf13/cast v1.3.0"
"github.com/spf13/cast v1.3.0/go.mod"
"github.com/spf13/cobra v1.0.0"
"github.com/spf13/cobra v1.0.0/go.mod"
"github.com/spf13/jwalterweatherman v1.0.0"
"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
"github.com/spf13/pflag v1.0.3"
"github.com/spf13/pflag v1.0.3/go.mod"
"github.com/spf13/viper v1.4.0/go.mod"
"github.com/stretchr/objx v0.1.0/go.mod"
"github.com/stretchr/objx v0.1.1"
"github.com/stretchr/objx v0.1.1/go.mod"
"github.com/stretchr/testify v1.2.2/go.mod"
"github.com/stretchr/testify v1.3.0/go.mod"
"github.com/stretchr/testify v1.4.0"
"github.com/stretchr/testify v1.4.0/go.mod"
"github.com/stretchr/testify v1.5.1"
"github.com/stretchr/testify v1.5.1/go.mod"
"github.com/stretchr/testify v1.6.1"
"github.com/stretchr/testify v1.6.1/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5/go.mod"
"github.com/ugorji/go v1.1.4/go.mod"
"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
"go.etcd.io/bbolt v1.3.2"
"go.etcd.io/bbolt v1.3.2/go.mod"
"go.uber.org/atomic v1.4.0/go.mod"
"go.uber.org/atomic v1.5.0"
"go.uber.org/atomic v1.5.0/go.mod"
"go.uber.org/multierr v1.1.0/go.mod"
"go.uber.org/multierr v1.3.0"
"go.uber.org/multierr v1.3.0/go.mod"
"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee"
"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee/go.mod"
"go.uber.org/zap v1.10.0/go.mod"
"go.uber.org/zap v1.13.0"
"go.uber.org/zap v1.13.0/go.mod"
"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
"golang.org/x/crypto v0.0.0-20190923035154-9ee001bba392/go.mod"
"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9"
"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
"golang.org/x/lint v0.0.0-20190930215403-16217165b5de"
"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
"golang.org/x/net v0.0.0-20190522155817-f3200d17e092/go.mod"
"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
"golang.org/x/net v0.0.0-20190620200207-3b0461eec859"
"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
"golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
"golang.org/x/net v0.0.0-20200822124328-c89045814202"
"golang.org/x/net v0.0.0-20200822124328-c89045814202/go.mod"
"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e"
"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
"golang.org/x/sys v0.0.0-20190922100055-0a153f010e69/go.mod"
"golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82"
"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82/go.mod"
"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd"
"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
"golang.org/x/text v0.3.0/go.mod"
"golang.org/x/text v0.3.2"
"golang.org/x/text v0.3.2/go.mod"
"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
"golang.org/x/tools v0.0.0-20190907020128-2ca718005c18/go.mod"
"golang.org/x/tools v0.0.0-20191029041327-9cc4af7d6b2c/go.mod"
"golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5"
"golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5/go.mod"
"golang.org/x/tools v0.0.0-20191112195655-aa38f8e97acc"
"golang.org/x/tools v0.0.0-20191112195655-aa38f8e97acc/go.mod"
"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
"google.golang.org/appengine v1.1.0/go.mod"
"google.golang.org/appengine v1.4.0/go.mod"
"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
"google.golang.org/genproto v0.0.0-20200513103714-09dca8ec2884/go.mod"
"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013"
"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
"google.golang.org/grpc v1.19.0/go.mod"
"google.golang.org/grpc v1.21.0"
"google.golang.org/grpc v1.21.0/go.mod"
"google.golang.org/grpc v1.23.0/go.mod"
"google.golang.org/grpc v1.25.1/go.mod"
"google.golang.org/grpc v1.27.0/go.mod"
"google.golang.org/grpc v1.33.1/go.mod"
"google.golang.org/grpc v1.34.0"
"google.golang.org/grpc v1.34.0/go.mod"
"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
"google.golang.org/protobuf v1.21.0/go.mod"
"google.golang.org/protobuf v1.22.0/go.mod"
"google.golang.org/protobuf v1.23.0"
"google.golang.org/protobuf v1.23.0/go.mod"
"google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
"google.golang.org/protobuf v1.25.0"
"google.golang.org/protobuf v1.25.0/go.mod"
"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
"gopkg.in/errgo.v2 v2.1.0/go.mod"
"gopkg.in/resty.v1 v1.12.0/go.mod"
"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
"gopkg.in/yaml.v2 v2.2.1/go.mod"
"gopkg.in/yaml.v2 v2.2.2"
"gopkg.in/yaml.v2 v2.2.2/go.mod"
"gopkg.in/yaml.v2 v2.2.3/go.mod"
"gopkg.in/yaml.v2 v2.2.4/go.mod"
"gopkg.in/yaml.v2 v2.2.5"
"gopkg.in/yaml.v2 v2.2.5/go.mod"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
"honnef.co/go/tools v0.0.1-2019.2.3"
"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
)
go-module_set_globals
SRC_URI="https://github.com/DrmagicE/gmqtt/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="MIT Apache-2.0 BSD BSD-2 ISC MPL-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RESTRICT+=" test"

src_compile() {
	GOBIN=${S}/bin CGO_ENABLED=0 go install ./... || die
}

src_install() {
	dobin bin/{gmqctl,gmqttd}
	keepdir /etc/${PN}
	systemd_dounit "${FILESDIR}/${PN}d.service"
	newinitd "${FILESDIR}/initd" "${PN}d"
	newconfd "${FILESDIR}/confd" "${PN}d"
	insinto /etc/logrotate.d
	newins "${FILESDIR}/logrotated" "${PN}"
	docompress -x /usr/share/doc/${PF}/default_config.yml
	dodoc CONTRIBUTING.md README*.md cmd/gmqttd/default_config.yml
	docinto federation
	dodoc -r plugin/federation/{examples,README.md}
}

pkg_postinst() {
	local config=/etc/gmqtt/gmqttd.yml dest=${ROOT}/
	if [[ ! ${REPLACING_VERSIONS} && ! -e ${ROOT}${config} ]]; then
		einfo "Copying default config to ${config} for first install"
		cp "${ROOT}/usr/share/doc/${PF}/default_config.yml" "${ROOT}${config}"
	fi
}
