# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit go-module

DESCRIPTION="Kubernetes Operations"
HOMEPAGE="https://kops.sigs.k8s.io/ https://github.com/kubernetes/kops/"

EGO_SUM=(
	"bazil.org/fuse v0.0.0-20160811212531-371fbbdaa898/go.mod"
	"bitbucket.org/bertimus9/systemstat v0.0.0-20180207000608-0eeff89b0690/go.mod"
	"cloud.google.com/go v0.26.0/go.mod"
	"cloud.google.com/go v0.34.0/go.mod"
	"cloud.google.com/go v0.38.0/go.mod"
	"cloud.google.com/go v0.44.1/go.mod"
	"cloud.google.com/go v0.44.2/go.mod"
	"cloud.google.com/go v0.45.1/go.mod"
	"cloud.google.com/go v0.46.3/go.mod"
	"cloud.google.com/go v0.50.0/go.mod"
	"cloud.google.com/go v0.51.0/go.mod"
	"cloud.google.com/go v0.52.0/go.mod"
	"cloud.google.com/go v0.53.0/go.mod"
	"cloud.google.com/go v0.54.0"
	"cloud.google.com/go v0.54.0/go.mod"
	"cloud.google.com/go/bigquery v1.0.1/go.mod"
	"cloud.google.com/go/bigquery v1.3.0/go.mod"
	"cloud.google.com/go/bigquery v1.4.0/go.mod"
	"cloud.google.com/go/datastore v1.0.0/go.mod"
	"cloud.google.com/go/datastore v1.1.0/go.mod"
	"cloud.google.com/go/firestore v1.1.0/go.mod"
	"cloud.google.com/go/pubsub v1.0.1/go.mod"
	"cloud.google.com/go/pubsub v1.1.0/go.mod"
	"cloud.google.com/go/pubsub v1.2.0/go.mod"
	"cloud.google.com/go/storage v1.0.0/go.mod"
	"cloud.google.com/go/storage v1.5.0/go.mod"
	"cloud.google.com/go/storage v1.6.0/go.mod"
	"dmitri.shuralyov.com/gpu/mtl v0.0.0-20190408044501-666a987793e9/go.mod"
	"github.com/Azure/azure-pipeline-go v0.2.2/go.mod"
	"github.com/Azure/azure-pipeline-go v0.2.3"
	"github.com/Azure/azure-pipeline-go v0.2.3/go.mod"
	"github.com/Azure/azure-sdk-for-go v16.2.1+incompatible/go.mod"
	"github.com/Azure/azure-sdk-for-go v43.0.0+incompatible/go.mod"
	"github.com/Azure/azure-sdk-for-go v46.3.0+incompatible/go.mod"
	"github.com/Azure/azure-sdk-for-go v48.2.0+incompatible"
	"github.com/Azure/azure-sdk-for-go v48.2.0+incompatible/go.mod"
	"github.com/Azure/azure-storage-blob-go v0.10.0"
	"github.com/Azure/azure-storage-blob-go v0.10.0/go.mod"
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78/go.mod"
	"github.com/Azure/go-autorest v10.8.1+incompatible/go.mod"
	"github.com/Azure/go-autorest v14.2.0+incompatible"
	"github.com/Azure/go-autorest v14.2.0+incompatible/go.mod"
	"github.com/Azure/go-autorest/autorest v0.9.0/go.mod"
	"github.com/Azure/go-autorest/autorest v0.9.6/go.mod"
	"github.com/Azure/go-autorest/autorest v0.11.1/go.mod"
	"github.com/Azure/go-autorest/autorest v0.11.6/go.mod"
	"github.com/Azure/go-autorest/autorest v0.11.9"
	"github.com/Azure/go-autorest/autorest v0.11.9/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.5.0/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.8.2/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.8.3/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.9.0/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.9.4/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.9.5"
	"github.com/Azure/go-autorest/autorest/adal v0.9.5/go.mod"
	"github.com/Azure/go-autorest/autorest/azure/auth v0.5.3"
	"github.com/Azure/go-autorest/autorest/azure/auth v0.5.3/go.mod"
	"github.com/Azure/go-autorest/autorest/azure/cli v0.4.2"
	"github.com/Azure/go-autorest/autorest/azure/cli v0.4.2/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.3.0"
	"github.com/Azure/go-autorest/autorest/date v0.3.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.3.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.4.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.4.1"
	"github.com/Azure/go-autorest/autorest/mocks v0.4.1/go.mod"
	"github.com/Azure/go-autorest/autorest/to v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/to v0.4.0"
	"github.com/Azure/go-autorest/autorest/to v0.4.0/go.mod"
	"github.com/Azure/go-autorest/autorest/validation v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/validation v0.3.0"
	"github.com/Azure/go-autorest/autorest/validation v0.3.0/go.mod"
	"github.com/Azure/go-autorest/logger v0.1.0/go.mod"
	"github.com/Azure/go-autorest/logger v0.2.0"
	"github.com/Azure/go-autorest/logger v0.2.0/go.mod"
	"github.com/Azure/go-autorest/tracing v0.5.0/go.mod"
	"github.com/Azure/go-autorest/tracing v0.6.0"
	"github.com/Azure/go-autorest/tracing v0.6.0/go.mod"
	"github.com/BurntSushi/toml v0.3.1"
	"github.com/BurntSushi/toml v0.3.1/go.mod"
	"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
	"github.com/DATA-DOG/go-sqlmock v1.5.0/go.mod"
	"github.com/GoogleCloudPlatform/k8s-cloud-provider v0.0.0-20200415212048-7901bc822317"
	"github.com/GoogleCloudPlatform/k8s-cloud-provider v0.0.0-20200415212048-7901bc822317/go.mod"
	"github.com/JeffAshton/win_pdh v0.0.0-20161109143554-76bb4ee9f0ab/go.mod"
	"github.com/Knetic/govaluate v3.0.1-0.20171022003610-9aa49832a739+incompatible/go.mod"
	"github.com/MakeNowJust/heredoc v0.0.0-20170808103936-bb23615498cd"
	"github.com/MakeNowJust/heredoc v0.0.0-20170808103936-bb23615498cd/go.mod"
	"github.com/MakeNowJust/heredoc/v2 v2.0.1"
	"github.com/MakeNowJust/heredoc/v2 v2.0.1/go.mod"
	"github.com/Masterminds/goutils v1.1.0"
	"github.com/Masterminds/goutils v1.1.0/go.mod"
	"github.com/Masterminds/semver/v3 v3.1.0"
	"github.com/Masterminds/semver/v3 v3.1.0/go.mod"
	"github.com/Masterminds/sprig/v3 v3.1.0"
	"github.com/Masterminds/sprig/v3 v3.1.0/go.mod"
	"github.com/Masterminds/squirrel v1.4.0/go.mod"
	"github.com/Masterminds/vcs v1.13.1/go.mod"
	"github.com/Microsoft/go-winio v0.4.15-0.20190919025122-fc70bd9a86b5"
	"github.com/Microsoft/go-winio v0.4.15-0.20190919025122-fc70bd9a86b5/go.mod"
	"github.com/Microsoft/hcsshim v0.8.7/go.mod"
	"github.com/Microsoft/hcsshim v0.8.10-0.20200715222032-5eafd1556990/go.mod"
	"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
	"github.com/NYTimes/gziphandler v1.1.1/go.mod"
	"github.com/OneOfOne/xxhash v1.2.2/go.mod"
	"github.com/PuerkitoBio/purell v1.0.0/go.mod"
	"github.com/PuerkitoBio/purell v1.1.0/go.mod"
	"github.com/PuerkitoBio/purell v1.1.1"
	"github.com/PuerkitoBio/purell v1.1.1/go.mod"
	"github.com/PuerkitoBio/urlesc v0.0.0-20160726150825-5bd2802263f2/go.mod"
	"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578"
	"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578/go.mod"
	"github.com/Shopify/logrus-bugsnag v0.0.0-20171204204709-577dee27f20d/go.mod"
	"github.com/Shopify/sarama v1.19.0/go.mod"
	"github.com/Shopify/toxiproxy v2.1.4+incompatible/go.mod"
	"github.com/Venafi/vcert/v4 v4.11.0/go.mod"
	"github.com/VividCortex/gohistogram v1.0.0/go.mod"
	"github.com/afex/hystrix-go v0.0.0-20180502004556-fa1af6a1f4f5/go.mod"
	"github.com/agext/levenshtein v1.2.1"
	"github.com/agext/levenshtein v1.2.1/go.mod"
	"github.com/agnivade/levenshtein v1.0.1/go.mod"
	"github.com/ajstarks/svgo v0.0.0-20180226025133-644b8db467af/go.mod"
	"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
	"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
	"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
	"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
	"github.com/aliyun/alibaba-cloud-sdk-go v1.61.264"
	"github.com/aliyun/alibaba-cloud-sdk-go v1.61.264/go.mod"
	"github.com/andreyvit/diff v0.0.0-20170406064948-c7f18ee00883/go.mod"
	"github.com/apache/thrift v0.12.0/go.mod"
	"github.com/apache/thrift v0.13.0/go.mod"
	"github.com/apparentlymart/go-dump v0.0.0-20180507223929-23540a00eaa3/go.mod"
	"github.com/apparentlymart/go-textseg v1.0.0"
	"github.com/apparentlymart/go-textseg v1.0.0/go.mod"
	"github.com/apparentlymart/go-textseg/v12 v12.0.0"
	"github.com/apparentlymart/go-textseg/v12 v12.0.0/go.mod"
	"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
	"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
	"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da"
	"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
	"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
	"github.com/aryann/difflib v0.0.0-20170710044230-e206f873d14a/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20180720115003-f9ffefc3facf/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20200428143746-21a406dcc535/go.mod"
	"github.com/auth0/go-jwt-middleware v0.0.0-20170425171159-5493cabe49f7/go.mod"
	"github.com/aws/amazon-ec2-instance-selector/v2 v2.0.1"
	"github.com/aws/amazon-ec2-instance-selector/v2 v2.0.1/go.mod"
	"github.com/aws/aws-lambda-go v1.13.3/go.mod"
	"github.com/aws/aws-sdk-go v1.6.10/go.mod"
	"github.com/aws/aws-sdk-go v1.15.11/go.mod"
	"github.com/aws/aws-sdk-go v1.27.0/go.mod"
	"github.com/aws/aws-sdk-go v1.28.2/go.mod"
	"github.com/aws/aws-sdk-go v1.31.12/go.mod"
	"github.com/aws/aws-sdk-go v1.34.30/go.mod"
	"github.com/aws/aws-sdk-go v1.35.24/go.mod"
	"github.com/aws/aws-sdk-go v1.37.0"
	"github.com/aws/aws-sdk-go v1.37.0/go.mod"
	"github.com/aws/aws-sdk-go-v2 v0.18.0/go.mod"
	"github.com/beorn7/perks v0.0.0-20160804104726-4c0e84591b9a/go.mod"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
	"github.com/beorn7/perks v1.0.0/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/bgentry/speakeasy v0.1.0/go.mod"
	"github.com/bifurcation/mint v0.0.0-20180715133206-93c51c6ce115/go.mod"
	"github.com/bitly/go-simplejson v0.5.0/go.mod"
	"github.com/bketelsen/crypt v0.0.3-0.20200106085610-5cbc8cc4026c/go.mod"
	"github.com/blang/semver v3.1.0+incompatible/go.mod"
	"github.com/blang/semver v3.5.0+incompatible/go.mod"
	"github.com/blang/semver v3.5.1+incompatible"
	"github.com/blang/semver v3.5.1+incompatible/go.mod"
	"github.com/blang/semver/v4 v4.0.0"
	"github.com/blang/semver/v4 v4.0.0/go.mod"
	"github.com/bmizerany/assert v0.0.0-20160611221934-b7ed37b82869/go.mod"
	"github.com/boltdb/bolt v1.3.1/go.mod"
	"github.com/bshuster-repo/logrus-logstash-hook v0.4.1/go.mod"
	"github.com/bugsnag/bugsnag-go v0.0.0-20141110184014-b1d153021fcd/go.mod"
	"github.com/bugsnag/osext v0.0.0-20130617224835-0dd3f918b21b/go.mod"
	"github.com/bugsnag/panicwrap v0.0.0-20151223152923-e2c28503fcd0/go.mod"
	"github.com/caddyserver/caddy v1.0.3/go.mod"
	"github.com/casbin/casbin/v2 v2.1.2/go.mod"
	"github.com/cenkalti/backoff v2.1.1+incompatible/go.mod"
	"github.com/cenkalti/backoff v2.2.1+incompatible/go.mod"
	"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
	"github.com/cespare/xxhash v1.1.0"
	"github.com/cespare/xxhash v1.1.0/go.mod"
	"github.com/cespare/xxhash/v2 v2.1.1"
	"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
	"github.com/chai2010/gettext-go v0.0.0-20160711120539-c6fed771bfd5/go.mod"
	"github.com/chai2010/gettext-go v0.0.0-20170215093142-bf70f2a70fb1"
	"github.com/chai2010/gettext-go v0.0.0-20170215093142-bf70f2a70fb1/go.mod"
	"github.com/checkpoint-restore/go-criu/v4 v4.0.2/go.mod"
	"github.com/cheekybits/genny v0.0.0-20170328200008-9127e812e1e9/go.mod"
	"github.com/chzyer/logex v1.1.10/go.mod"
	"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
	"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
	"github.com/cilium/ebpf v0.0.0-20200110133405-4032b1d8aae3/go.mod"
	"github.com/cilium/ebpf v0.0.0-20200507155900-a9f01edf17e3/go.mod"
	"github.com/cilium/ebpf v0.0.0-20200601085316-9f1617e5c574/go.mod"
	"github.com/cilium/ebpf v0.0.0-20200702112145-1c8d4c9ef775/go.mod"
	"github.com/clbanning/x2j v0.0.0-20191024224557-825249438eec/go.mod"
	"github.com/client9/misspell v0.3.4/go.mod"
	"github.com/cloudflare/cloudflare-go v0.13.2/go.mod"
	"github.com/clusterhq/flocker-go v0.0.0-20160920122132-2b8b7259d313/go.mod"
	"github.com/cockroachdb/datadriven v0.0.0-20190809214429-80d97fb3cbaa/go.mod"
	"github.com/codahale/hdrhistogram v0.0.0-20161010025455-3a0bb77429bd/go.mod"
	"github.com/codegangsta/negroni v1.0.0/go.mod"
	"github.com/container-storage-interface/spec v1.2.0/go.mod"
	"github.com/containerd/cgroups v0.0.0-20190919134610-bf292b21730f/go.mod"
	"github.com/containerd/cgroups v0.0.0-20200531161412-0dbf7f05ba59/go.mod"
	"github.com/containerd/console v0.0.0-20180822173158-c12b1e7919c1/go.mod"
	"github.com/containerd/console v1.0.0/go.mod"
	"github.com/containerd/containerd v1.3.0-beta.2.0.20190828155532-0293cbd26c69/go.mod"
	"github.com/containerd/containerd v1.3.2/go.mod"
	"github.com/containerd/containerd v1.3.3/go.mod"
	"github.com/containerd/containerd v1.3.4"
	"github.com/containerd/containerd v1.3.4/go.mod"
	"github.com/containerd/continuity v0.0.0-20190426062206-aaeac12a7ffc/go.mod"
	"github.com/containerd/continuity v0.0.0-20200107194136-26c1120b8d41/go.mod"
	"github.com/containerd/fifo v0.0.0-20190226154929-a9fb20d87448/go.mod"
	"github.com/containerd/go-runc v0.0.0-20180907222934-5a6d9f37cfa3/go.mod"
	"github.com/containerd/ttrpc v0.0.0-20190828154514-0e0f228740de/go.mod"
	"github.com/containerd/ttrpc v1.0.0/go.mod"
	"github.com/containerd/typeurl v0.0.0-20180627222232-a93fcdb778cd/go.mod"
	"github.com/containerd/typeurl v1.0.0/go.mod"
	"github.com/containernetworking/cni v0.8.0/go.mod"
	"github.com/coredns/corefile-migration v1.0.10/go.mod"
	"github.com/coreos/bbolt v1.3.2/go.mod"
	"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
	"github.com/coreos/etcd v3.3.13+incompatible/go.mod"
	"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
	"github.com/coreos/go-oidc v2.1.0+incompatible/go.mod"
	"github.com/coreos/go-semver v0.2.0/go.mod"
	"github.com/coreos/go-semver v0.3.0/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20190620071333-e64a0ec8b42a/go.mod"
	"github.com/coreos/go-systemd/v22 v22.0.0/go.mod"
	"github.com/coreos/go-systemd/v22 v22.1.0/go.mod"
	"github.com/coreos/pkg v0.0.0-20160727233714-3ac0863d7acf/go.mod"
	"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f/go.mod"
	"github.com/cpu/goacmedns v0.0.3/go.mod"
	"github.com/cpuguy83/go-md2man v1.0.10"
	"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.0"
	"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
	"github.com/creack/pty v1.1.7/go.mod"
	"github.com/cyphar/filepath-securejoin v0.2.2/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/daviddengcn/go-colortext v0.0.0-20160507010035-511bcaf42ccd/go.mod"
	"github.com/deislabs/oras v0.8.1/go.mod"
	"github.com/denisenkom/go-mssqldb v0.0.0-20191001013358-cfbb681360f0/go.mod"
	"github.com/denverdino/aliyungo v0.0.0-20190125010748-a747050bb1ba/go.mod"
	"github.com/denverdino/aliyungo v0.0.0-20191128015008-acd8035bbb1d"
	"github.com/denverdino/aliyungo v0.0.0-20191128015008-acd8035bbb1d/go.mod"
	"github.com/dgrijalva/jwt-go v0.0.0-20170104182250-a601269ab70c/go.mod"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
	"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
	"github.com/digitalocean/godo v1.44.0/go.mod"
	"github.com/digitalocean/godo v1.54.0"
	"github.com/digitalocean/godo v1.54.0/go.mod"
	"github.com/dimchansky/utfbom v1.1.0"
	"github.com/dimchansky/utfbom v1.1.0/go.mod"
	"github.com/dnaeon/go-vcr v1.0.1/go.mod"
	"github.com/docker/cli v0.0.0-20200130152716-5d0cf8839492/go.mod"
	"github.com/docker/distribution v0.0.0-20191216044856-a8371794149d/go.mod"
	"github.com/docker/distribution v2.7.1-0.20190205005809-0d3efadf0154+incompatible/go.mod"
	"github.com/docker/distribution v2.7.1+incompatible"
	"github.com/docker/distribution v2.7.1+incompatible/go.mod"
	"github.com/docker/docker v0.7.3-0.20190327010347-be7ac8be2ae0/go.mod"
	"github.com/docker/docker v1.4.2-0.20200203170920-46ec8731fbce/go.mod"
	"github.com/docker/docker v1.4.2-0.20200309214505-aa6a9891b09c"
	"github.com/docker/docker v1.4.2-0.20200309214505-aa6a9891b09c/go.mod"
	"github.com/docker/docker-credential-helpers v0.6.3/go.mod"
	"github.com/docker/go-connections v0.4.0"
	"github.com/docker/go-connections v0.4.0/go.mod"
	"github.com/docker/go-metrics v0.0.0-20180209012529-399ea8c73916/go.mod"
	"github.com/docker/go-units v0.3.3/go.mod"
	"github.com/docker/go-units v0.4.0"
	"github.com/docker/go-units v0.4.0/go.mod"
	"github.com/docker/libtrust v0.0.0-20150114040149-fa567046d9b1/go.mod"
	"github.com/docker/spdystream v0.0.0-20160310174837-449fdfce4d96/go.mod"
	"github.com/docker/spdystream v0.0.0-20181023171402-6480d4af844c"
	"github.com/docker/spdystream v0.0.0-20181023171402-6480d4af844c/go.mod"
	"github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815/go.mod"
	"github.com/dustin/go-humanize v0.0.0-20171111073723-bb3d318650d4/go.mod"
	"github.com/dustin/go-humanize v1.0.0/go.mod"
	"github.com/eapache/go-resiliency v1.1.0/go.mod"
	"github.com/eapache/go-xerial-snappy v0.0.0-20180814174437-776d5712da21/go.mod"
	"github.com/eapache/queue v1.1.0/go.mod"
	"github.com/edsrzf/mmap-go v1.0.0/go.mod"
	"github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153"
	"github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153/go.mod"
	"github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
	"github.com/emicklei/go-restful v2.9.5+incompatible/go.mod"
	"github.com/emicklei/go-restful v2.9.6+incompatible"
	"github.com/emicklei/go-restful v2.9.6+incompatible/go.mod"
	"github.com/envoyproxy/go-control-plane v0.6.9/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.0/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
	"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
	"github.com/euank/go-kmsg-parser v2.0.0+incompatible/go.mod"
	"github.com/evanphx/json-patch v4.5.0+incompatible/go.mod"
	"github.com/evanphx/json-patch v4.9.0+incompatible"
	"github.com/evanphx/json-patch v4.9.0+incompatible/go.mod"
	"github.com/exponent-io/jsonpath v0.0.0-20151013193312-d6023ce2651d"
	"github.com/exponent-io/jsonpath v0.0.0-20151013193312-d6023ce2651d/go.mod"
	"github.com/fatih/camelcase v1.0.0/go.mod"
	"github.com/fatih/color v1.7.0/go.mod"
	"github.com/fatih/structs v1.1.0/go.mod"
	"github.com/flynn/go-shlex v0.0.0-20150515145356-3f9db97f8568/go.mod"
	"github.com/fogleman/gg v1.2.1-0.20190220221249-0403632d5b90/go.mod"
	"github.com/form3tech-oss/jwt-go v3.2.2+incompatible"
	"github.com/form3tech-oss/jwt-go v3.2.2+incompatible/go.mod"
	"github.com/franela/goblin v0.0.0-20200105215937-c9ffbefa60db/go.mod"
	"github.com/franela/goreq v0.0.0-20171204163338-bcd34c9993f8/go.mod"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/fsnotify/fsnotify v1.4.9"
	"github.com/fsnotify/fsnotify v1.4.9/go.mod"
	"github.com/fvbommel/sortorder v1.0.1/go.mod"
	"github.com/garyburd/redigo v0.0.0-20150301180006-535138d7bcd7/go.mod"
	"github.com/ghodss/yaml v0.0.0-20150909031657-73d445a93680/go.mod"
	"github.com/ghodss/yaml v1.0.0"
	"github.com/ghodss/yaml v1.0.0/go.mod"
	"github.com/globalsign/mgo v0.0.0-20180905125535-1ca0a4f7cbcb/go.mod"
	"github.com/globalsign/mgo v0.0.0-20181015135952-eeefdecb41b8/go.mod"
	"github.com/go-acme/lego v2.5.0+incompatible/go.mod"
	"github.com/go-bindata/go-bindata v3.1.1+incompatible"
	"github.com/go-bindata/go-bindata v3.1.1+incompatible/go.mod"
	"github.com/go-bindata/go-bindata/v3 v3.1.3"
	"github.com/go-bindata/go-bindata/v3 v3.1.3/go.mod"
	"github.com/go-gl/glfw v0.0.0-20190409004039-e6da0acd62b1/go.mod"
	"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20191125211704-12ad95a8df72/go.mod"
	"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20200222043503-6f7a984d4dc4/go.mod"
	"github.com/go-ini/ini v1.9.0/go.mod"
	"github.com/go-ini/ini v1.25.4/go.mod"
	"github.com/go-ini/ini v1.62.0"
	"github.com/go-ini/ini v1.62.0/go.mod"
	"github.com/go-kit/kit v0.8.0/go.mod"
	"github.com/go-kit/kit v0.9.0/go.mod"
	"github.com/go-kit/kit v0.10.0/go.mod"
	"github.com/go-ldap/ldap v3.0.2+incompatible/go.mod"
	"github.com/go-logfmt/logfmt v0.3.0/go.mod"
	"github.com/go-logfmt/logfmt v0.4.0/go.mod"
	"github.com/go-logfmt/logfmt v0.5.0/go.mod"
	"github.com/go-logr/logr v0.1.0/go.mod"
	"github.com/go-logr/logr v0.2.0/go.mod"
	"github.com/go-logr/logr v0.2.1-0.20200730175230-ee2de8da5be6/go.mod"
	"github.com/go-logr/logr v0.3.0"
	"github.com/go-logr/logr v0.3.0/go.mod"
	"github.com/go-logr/zapr v0.1.0/go.mod"
	"github.com/go-logr/zapr v0.1.1/go.mod"
	"github.com/go-logr/zapr v0.2.0"
	"github.com/go-logr/zapr v0.2.0/go.mod"
	"github.com/go-openapi/analysis v0.0.0-20180825180245-b006789cd277/go.mod"
	"github.com/go-openapi/analysis v0.17.0/go.mod"
	"github.com/go-openapi/analysis v0.18.0/go.mod"
	"github.com/go-openapi/analysis v0.19.2/go.mod"
	"github.com/go-openapi/analysis v0.19.5/go.mod"
	"github.com/go-openapi/errors v0.17.0/go.mod"
	"github.com/go-openapi/errors v0.18.0/go.mod"
	"github.com/go-openapi/errors v0.19.2/go.mod"
	"github.com/go-openapi/jsonpointer v0.0.0-20160704185906-46af16f9f7b1/go.mod"
	"github.com/go-openapi/jsonpointer v0.17.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.18.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.19.2/go.mod"
	"github.com/go-openapi/jsonpointer v0.19.3"
	"github.com/go-openapi/jsonpointer v0.19.3/go.mod"
	"github.com/go-openapi/jsonreference v0.0.0-20160704190145-13c6e3589ad9/go.mod"
	"github.com/go-openapi/jsonreference v0.17.0/go.mod"
	"github.com/go-openapi/jsonreference v0.18.0/go.mod"
	"github.com/go-openapi/jsonreference v0.19.2/go.mod"
	"github.com/go-openapi/jsonreference v0.19.3"
	"github.com/go-openapi/jsonreference v0.19.3/go.mod"
	"github.com/go-openapi/loads v0.17.0/go.mod"
	"github.com/go-openapi/loads v0.18.0/go.mod"
	"github.com/go-openapi/loads v0.19.0/go.mod"
	"github.com/go-openapi/loads v0.19.2/go.mod"
	"github.com/go-openapi/loads v0.19.4/go.mod"
	"github.com/go-openapi/runtime v0.0.0-20180920151709-4f900dc2ade9/go.mod"
	"github.com/go-openapi/runtime v0.19.0/go.mod"
	"github.com/go-openapi/runtime v0.19.4/go.mod"
	"github.com/go-openapi/spec v0.0.0-20160808142527-6aced65f8501/go.mod"
	"github.com/go-openapi/spec v0.17.0/go.mod"
	"github.com/go-openapi/spec v0.18.0/go.mod"
	"github.com/go-openapi/spec v0.19.2/go.mod"
	"github.com/go-openapi/spec v0.19.3"
	"github.com/go-openapi/spec v0.19.3/go.mod"
	"github.com/go-openapi/strfmt v0.17.0/go.mod"
	"github.com/go-openapi/strfmt v0.18.0/go.mod"
	"github.com/go-openapi/strfmt v0.19.0/go.mod"
	"github.com/go-openapi/strfmt v0.19.3/go.mod"
	"github.com/go-openapi/swag v0.0.0-20160704191624-1d0bd113de87/go.mod"
	"github.com/go-openapi/swag v0.17.0/go.mod"
	"github.com/go-openapi/swag v0.18.0/go.mod"
	"github.com/go-openapi/swag v0.19.2/go.mod"
	"github.com/go-openapi/swag v0.19.5"
	"github.com/go-openapi/swag v0.19.5/go.mod"
	"github.com/go-openapi/validate v0.18.0/go.mod"
	"github.com/go-openapi/validate v0.19.2/go.mod"
	"github.com/go-openapi/validate v0.19.5/go.mod"
	"github.com/go-ozzo/ozzo-validation v3.5.0+incompatible/go.mod"
	"github.com/go-sql-driver/mysql v1.4.0/go.mod"
	"github.com/go-sql-driver/mysql v1.4.1/go.mod"
	"github.com/go-sql-driver/mysql v1.5.0/go.mod"
	"github.com/go-stack/stack v1.8.0/go.mod"
	"github.com/go-test/deep v1.0.2-0.20181118220953-042da051cf31/go.mod"
	"github.com/go-test/deep v1.0.3"
	"github.com/go-test/deep v1.0.3/go.mod"
	"github.com/gobuffalo/envy v1.7.0/go.mod"
	"github.com/gobuffalo/envy v1.7.1/go.mod"
	"github.com/gobuffalo/flect v0.2.0/go.mod"
	"github.com/gobuffalo/logger v1.0.1/go.mod"
	"github.com/gobuffalo/packd v0.3.0/go.mod"
	"github.com/gobuffalo/packr/v2 v2.7.1/go.mod"
	"github.com/gobwas/glob v0.2.3/go.mod"
	"github.com/godbus/dbus v0.0.0-20190422162347-ade71ed3457e/go.mod"
	"github.com/godbus/dbus/v5 v5.0.3/go.mod"
	"github.com/godror/godror v0.13.3/go.mod"
	"github.com/gofrs/flock v0.8.0/go.mod"
	"github.com/gogo/googleapis v1.1.0/go.mod"
	"github.com/gogo/protobuf v0.0.0-20171007142547-342cbe0a0415/go.mod"
	"github.com/gogo/protobuf v1.1.1/go.mod"
	"github.com/gogo/protobuf v1.2.0/go.mod"
	"github.com/gogo/protobuf v1.2.1/go.mod"
	"github.com/gogo/protobuf v1.3.1"
	"github.com/gogo/protobuf v1.3.1/go.mod"
	"github.com/goji/httpauth v0.0.0-20160601135302-2da839ab0f4d/go.mod"
	"github.com/golang-sql/civil v0.0.0-20190719163853-cb61b32ac6fe/go.mod"
	"github.com/golang/freetype v0.0.0-20170609003504-e2365dfdc4a0/go.mod"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
	"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
	"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef/go.mod"
	"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
	"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7/go.mod"
	"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e"
	"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e/go.mod"
	"github.com/golang/mock v1.1.1/go.mod"
	"github.com/golang/mock v1.2.0/go.mod"
	"github.com/golang/mock v1.3.1/go.mod"
	"github.com/golang/mock v1.4.0/go.mod"
	"github.com/golang/mock v1.4.1/go.mod"
	"github.com/golang/protobuf v1.0.0/go.mod"
	"github.com/golang/protobuf v1.1.0/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.3.1/go.mod"
	"github.com/golang/protobuf v1.3.2/go.mod"
	"github.com/golang/protobuf v1.3.3/go.mod"
	"github.com/golang/protobuf v1.3.4/go.mod"
	"github.com/golang/protobuf v1.3.5/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
	"github.com/golang/protobuf v1.4.0/go.mod"
	"github.com/golang/protobuf v1.4.1/go.mod"
	"github.com/golang/protobuf v1.4.2/go.mod"
	"github.com/golang/protobuf v1.4.3"
	"github.com/golang/protobuf v1.4.3/go.mod"
	"github.com/golang/snappy v0.0.0-20180518054509-2e65f85255db/go.mod"
	"github.com/golang/snappy v0.0.1"
	"github.com/golang/snappy v0.0.1/go.mod"
	"github.com/golangplus/bytes v0.0.0-20160111154220-45c989fe5450/go.mod"
	"github.com/golangplus/fmt v0.0.0-20150411045040-2a5d6d7d2995/go.mod"
	"github.com/golangplus/testing v0.0.0-20180327235837-af21d9c3145e/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/btree v1.0.0"
	"github.com/google/btree v1.0.0/go.mod"
	"github.com/google/cadvisor v0.37.0/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.3.0/go.mod"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/google/go-cmp v0.4.0/go.mod"
	"github.com/google/go-cmp v0.4.1/go.mod"
	"github.com/google/go-cmp v0.5.0/go.mod"
	"github.com/google/go-cmp v0.5.2/go.mod"
	"github.com/google/go-cmp v0.5.4"
	"github.com/google/go-cmp v0.5.4/go.mod"
	"github.com/google/go-querystring v1.0.0"
	"github.com/google/go-querystring v1.0.0/go.mod"
	"github.com/google/gofuzz v1.0.0/go.mod"
	"github.com/google/gofuzz v1.1.0/go.mod"
	"github.com/google/gofuzz v1.2.0"
	"github.com/google/gofuzz v1.2.0/go.mod"
	"github.com/google/martian v2.1.0+incompatible/go.mod"
	"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
	"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
	"github.com/google/pprof v0.0.0-20191218002539-d4f498aebedc/go.mod"
	"github.com/google/pprof v0.0.0-20200212024743-f11f1df84d12/go.mod"
	"github.com/google/pprof v0.0.0-20200229191704-1ebb73c60ed3/go.mod"
	"github.com/google/renameio v0.1.0/go.mod"
	"github.com/google/uuid v1.0.0/go.mod"
	"github.com/google/uuid v1.1.1/go.mod"
	"github.com/google/uuid v1.1.2"
	"github.com/google/uuid v1.1.2/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.5"
	"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
	"github.com/googleapis/gnostic v0.3.1/go.mod"
	"github.com/googleapis/gnostic v0.4.1/go.mod"
	"github.com/googleapis/gnostic v0.5.1"
	"github.com/googleapis/gnostic v0.5.1/go.mod"
	"github.com/gophercloud/gophercloud v0.1.0/go.mod"
	"github.com/gophercloud/gophercloud v0.6.1-0.20191122030953-d8ac278c1c9d/go.mod"
	"github.com/gophercloud/gophercloud v0.11.1-0.20200518183226-7aec46f32c19/go.mod"
	"github.com/gophercloud/gophercloud v0.15.0"
	"github.com/gophercloud/gophercloud v0.15.0/go.mod"
	"github.com/gophercloud/utils v0.0.0-20200423144003-7c72efc7435d/go.mod"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
	"github.com/gorilla/context v1.1.1/go.mod"
	"github.com/gorilla/handlers v0.0.0-20150720190736-60c7bfde3e33/go.mod"
	"github.com/gorilla/mux v1.6.2/go.mod"
	"github.com/gorilla/mux v1.7.2/go.mod"
	"github.com/gorilla/mux v1.7.3/go.mod"
	"github.com/gorilla/mux v1.8.0"
	"github.com/gorilla/mux v1.8.0/go.mod"
	"github.com/gorilla/websocket v0.0.0-20170926233335-4201258b820c/go.mod"
	"github.com/gorilla/websocket v1.4.0/go.mod"
	"github.com/gorilla/websocket v1.4.2/go.mod"
	"github.com/gosuri/uitable v0.0.4/go.mod"
	"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7"
	"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7/go.mod"
	"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0/go.mod"
	"github.com/grpc-ecosystem/go-grpc-middleware v1.0.1-0.20190118093823-f849b5445de4/go.mod"
	"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.9.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.9.5/go.mod"
	"github.com/hashicorp/consul/api v1.1.0/go.mod"
	"github.com/hashicorp/consul/api v1.3.0/go.mod"
	"github.com/hashicorp/consul/sdk v0.1.1/go.mod"
	"github.com/hashicorp/consul/sdk v0.3.0/go.mod"
	"github.com/hashicorp/errwrap v0.0.0-20141028054710-7554cd9344ce/go.mod"
	"github.com/hashicorp/errwrap v1.0.0"
	"github.com/hashicorp/errwrap v1.0.0/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.0/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.1"
	"github.com/hashicorp/go-cleanhttp v0.5.1/go.mod"
	"github.com/hashicorp/go-hclog v0.0.0-20180709165350-ff2cf002a8dd/go.mod"
	"github.com/hashicorp/go-hclog v0.8.0/go.mod"
	"github.com/hashicorp/go-immutable-radix v1.0.0"
	"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
	"github.com/hashicorp/go-msgpack v0.5.3"
	"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
	"github.com/hashicorp/go-multierror v0.0.0-20161216184304-ed905158d874/go.mod"
	"github.com/hashicorp/go-multierror v1.0.0"
	"github.com/hashicorp/go-multierror v1.0.0/go.mod"
	"github.com/hashicorp/go-plugin v1.0.1/go.mod"
	"github.com/hashicorp/go-retryablehttp v0.5.4"
	"github.com/hashicorp/go-retryablehttp v0.5.4/go.mod"
	"github.com/hashicorp/go-rootcerts v1.0.0/go.mod"
	"github.com/hashicorp/go-rootcerts v1.0.1"
	"github.com/hashicorp/go-rootcerts v1.0.1/go.mod"
	"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
	"github.com/hashicorp/go-sockaddr v1.0.2"
	"github.com/hashicorp/go-sockaddr v1.0.2/go.mod"
	"github.com/hashicorp/go-syslog v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.1"
	"github.com/hashicorp/go-uuid v1.0.1/go.mod"
	"github.com/hashicorp/go-version v1.1.0/go.mod"
	"github.com/hashicorp/go-version v1.2.0"
	"github.com/hashicorp/go-version v1.2.0/go.mod"
	"github.com/hashicorp/go.net v0.0.1/go.mod"
	"github.com/hashicorp/golang-lru v0.0.0-20180201235237-0fb14efe8c47/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/hashicorp/golang-lru v0.5.1/go.mod"
	"github.com/hashicorp/golang-lru v0.5.3/go.mod"
	"github.com/hashicorp/golang-lru v0.5.4"
	"github.com/hashicorp/golang-lru v0.5.4/go.mod"
	"github.com/hashicorp/hcl v1.0.0"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/hashicorp/hcl/v2 v2.7.0"
	"github.com/hashicorp/hcl/v2 v2.7.0/go.mod"
	"github.com/hashicorp/logutils v1.0.0/go.mod"
	"github.com/hashicorp/mdns v1.0.0/go.mod"
	"github.com/hashicorp/memberlist v0.1.3/go.mod"
	"github.com/hashicorp/memberlist v0.1.4"
	"github.com/hashicorp/memberlist v0.1.4/go.mod"
	"github.com/hashicorp/serf v0.8.2/go.mod"
	"github.com/hashicorp/vault/api v1.0.4"
	"github.com/hashicorp/vault/api v1.0.4/go.mod"
	"github.com/hashicorp/vault/sdk v0.1.13"
	"github.com/hashicorp/vault/sdk v0.1.13/go.mod"
	"github.com/hashicorp/yamux v0.0.0-20180604194846-3520598351bb/go.mod"
	"github.com/hashicorp/yamux v0.0.0-20181012175058-2f1d1f20f75d/go.mod"
	"github.com/heketi/heketi v9.0.1-0.20190917153846-c2e2a4ab7ab9+incompatible/go.mod"
	"github.com/heketi/tests v0.0.0-20151005000721-f3775cbcefd6/go.mod"
	"github.com/howeyc/gopass v0.0.0-20170109162249-bf9dde6d0d2c/go.mod"
	"github.com/hpcloud/tail v1.0.0/go.mod"
	"github.com/huandu/xstrings v1.3.1"
	"github.com/huandu/xstrings v1.3.1/go.mod"
	"github.com/hudl/fargo v1.3.0/go.mod"
	"github.com/ianlancetaylor/demangle v0.0.0-20181102032728-5e5cf60278f6/go.mod"
	"github.com/imdario/mergo v0.3.5/go.mod"
	"github.com/imdario/mergo v0.3.7/go.mod"
	"github.com/imdario/mergo v0.3.8/go.mod"
	"github.com/imdario/mergo v0.3.9/go.mod"
	"github.com/imdario/mergo v0.3.10"
	"github.com/imdario/mergo v0.3.10/go.mod"
	"github.com/inconshreveable/mousetrap v1.0.0"
	"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
	"github.com/influxdata/influxdb1-client v0.0.0-20191209144304-8bf82d3c094d/go.mod"
	"github.com/ishidawataru/sctp v0.0.0-20190723014705-7c296d48a2b5/go.mod"
	"github.com/jacksontj/memberlistmesh v0.0.0-20190905163944-93462b9d2bb7"
	"github.com/jacksontj/memberlistmesh v0.0.0-20190905163944-93462b9d2bb7/go.mod"
	"github.com/jessevdk/go-flags v1.4.0/go.mod"
	"github.com/jetstack/cert-manager v1.1.0"
	"github.com/jetstack/cert-manager v1.1.0/go.mod"
	"github.com/jimstudt/http-authentication v0.0.0-20140401203705-3eca13d6893a/go.mod"
	"github.com/jmespath/go-jmespath v0.0.0-20160202185014-0b12d6b521d8/go.mod"
	"github.com/jmespath/go-jmespath v0.0.0-20160803190731-bd40a432e4c7/go.mod"
	"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af/go.mod"
	"github.com/jmespath/go-jmespath v0.3.0/go.mod"
	"github.com/jmespath/go-jmespath v0.4.0"
	"github.com/jmespath/go-jmespath v0.4.0/go.mod"
	"github.com/jmespath/go-jmespath/internal/testify v1.5.1"
	"github.com/jmespath/go-jmespath/internal/testify v1.5.1/go.mod"
	"github.com/jmoiron/sqlx v1.2.0/go.mod"
	"github.com/joho/godotenv v1.3.0/go.mod"
	"github.com/jonboulle/clockwork v0.1.0/go.mod"
	"github.com/json-iterator/go v1.1.5/go.mod"
	"github.com/json-iterator/go v1.1.6/go.mod"
	"github.com/json-iterator/go v1.1.7/go.mod"
	"github.com/json-iterator/go v1.1.8/go.mod"
	"github.com/json-iterator/go v1.1.10"
	"github.com/json-iterator/go v1.1.10/go.mod"
	"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
	"github.com/jstemmer/go-junit-report v0.9.1/go.mod"
	"github.com/jtolds/gls v4.20.0+incompatible"
	"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
	"github.com/julienschmidt/httprouter v1.2.0/go.mod"
	"github.com/jung-kurt/gofpdf v1.0.3-0.20190309125859-24315acbbda5/go.mod"
	"github.com/karrick/godirwalk v1.7.5/go.mod"
	"github.com/kisielk/errcheck v1.1.0/go.mod"
	"github.com/kisielk/errcheck v1.2.0"
	"github.com/kisielk/errcheck v1.2.0/go.mod"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/klauspost/cpuid v1.2.0/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.3/go.mod"
	"github.com/kr/fs v0.1.0"
	"github.com/kr/fs v0.1.0/go.mod"
	"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pretty v0.2.0/go.mod"
	"github.com/kr/pretty v0.2.1"
	"github.com/kr/pretty v0.2.1/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/pty v1.1.5/go.mod"
	"github.com/kr/text v0.1.0"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kubernetes-csi/csi-lib-utils v0.6.1/go.mod"
	"github.com/kubernetes-csi/csi-test v2.2.0+incompatible/go.mod"
	"github.com/kubernetes-csi/csi-test/v3 v3.1.0/go.mod"
	"github.com/kylelemons/godebug v0.0.0-20170820004349-d65d576e9348"
	"github.com/kylelemons/godebug v0.0.0-20170820004349-d65d576e9348/go.mod"
	"github.com/lann/builder v0.0.0-20180802200727-47ae307949d0/go.mod"
	"github.com/lann/ps v0.0.0-20150810152359-62de8c46ede0/go.mod"
	"github.com/lib/pq v1.0.0/go.mod"
	"github.com/lib/pq v1.2.0/go.mod"
	"github.com/lib/pq v1.8.0/go.mod"
	"github.com/libopenstorage/openstorage v1.0.0/go.mod"
	"github.com/liggitt/tabwriter v0.0.0-20181228230101-89fcab3d43de"
	"github.com/liggitt/tabwriter v0.0.0-20181228230101-89fcab3d43de/go.mod"
	"github.com/lightstep/lightstep-tracer-common/golang/gogo v0.0.0-20190605223551-bc2310a04743/go.mod"
	"github.com/lightstep/lightstep-tracer-go v0.18.1/go.mod"
	"github.com/lithammer/dedent v1.1.0/go.mod"
	"github.com/lpabon/godbc v0.1.1/go.mod"
	"github.com/lucas-clemente/aes12 v0.0.0-20171027163421-cd47fb39b79f/go.mod"
	"github.com/lucas-clemente/quic-clients v0.1.0/go.mod"
	"github.com/lucas-clemente/quic-go v0.10.2/go.mod"
	"github.com/lucas-clemente/quic-go-certificates v0.0.0-20160823095156-d2f86524cced/go.mod"
	"github.com/lyft/protoc-gen-validate v0.0.13/go.mod"
	"github.com/magiconair/properties v1.8.0/go.mod"
	"github.com/magiconair/properties v1.8.1"
	"github.com/magiconair/properties v1.8.1/go.mod"
	"github.com/mailru/easyjson v0.0.0-20160728113105-d5b7844b561a/go.mod"
	"github.com/mailru/easyjson v0.0.0-20180823135443-60711f1a8329/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190312143242-1de009706dbe/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190614124828-94de47d64c63/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e/go.mod"
	"github.com/mailru/easyjson v0.7.0"
	"github.com/mailru/easyjson v0.7.0/go.mod"
	"github.com/marstr/guid v1.1.0/go.mod"
	"github.com/marten-seemann/qtls v0.2.3/go.mod"
	"github.com/mattbaird/jsonpatch v0.0.0-20171005235357-81af80346b1a/go.mod"
	"github.com/mattn/go-colorable v0.0.9/go.mod"
	"github.com/mattn/go-colorable v0.1.2/go.mod"
	"github.com/mattn/go-ieproxy v0.0.0-20190702010315-6dee0af9227d/go.mod"
	"github.com/mattn/go-ieproxy v0.0.1"
	"github.com/mattn/go-ieproxy v0.0.1/go.mod"
	"github.com/mattn/go-isatty v0.0.3/go.mod"
	"github.com/mattn/go-isatty v0.0.4/go.mod"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-oci8 v0.0.7/go.mod"
	"github.com/mattn/go-runewidth v0.0.2/go.mod"
	"github.com/mattn/go-runewidth v0.0.4/go.mod"
	"github.com/mattn/go-runewidth v0.0.7/go.mod"
	"github.com/mattn/go-shellwords v1.0.10/go.mod"
	"github.com/mattn/go-sqlite3 v1.9.0/go.mod"
	"github.com/mattn/go-sqlite3 v1.12.0/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.2-0.20181231171920-c182affec369"
	"github.com/matttproud/golang_protobuf_extensions v1.0.2-0.20181231171920-c182affec369/go.mod"
	"github.com/mholt/certmagic v0.6.2-0.20190624175158-6a42ef9fe8c2/go.mod"
	"github.com/miekg/dns v1.0.14/go.mod"
	"github.com/miekg/dns v1.1.3/go.mod"
	"github.com/miekg/dns v1.1.4/go.mod"
	"github.com/miekg/dns v1.1.31"
	"github.com/miekg/dns v1.1.31/go.mod"
	"github.com/mindprince/gonvml v0.0.0-20190828220739-9ebdce4bb989/go.mod"
	"github.com/mistifyio/go-zfs v2.1.2-0.20190413222219-f784269be439+incompatible/go.mod"
	"github.com/mitchellh/cli v1.0.0/go.mod"
	"github.com/mitchellh/copystructure v1.0.0"
	"github.com/mitchellh/copystructure v1.0.0/go.mod"
	"github.com/mitchellh/go-homedir v1.0.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-testing-interface v0.0.0-20171004221916-a61a99592b77/go.mod"
	"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
	"github.com/mitchellh/go-wordwrap v0.0.0-20150314170334-ad45545899c7/go.mod"
	"github.com/mitchellh/go-wordwrap v1.0.0"
	"github.com/mitchellh/go-wordwrap v1.0.0/go.mod"
	"github.com/mitchellh/gox v0.4.0/go.mod"
	"github.com/mitchellh/iochan v1.0.0/go.mod"
	"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/mitchellh/osext v0.0.0-20151018003038-5e2d6d41470f/go.mod"
	"github.com/mitchellh/reflectwalk v1.0.0"
	"github.com/mitchellh/reflectwalk v1.0.0/go.mod"
	"github.com/moby/ipvs v1.0.1/go.mod"
	"github.com/moby/sys/mountinfo v0.1.3/go.mod"
	"github.com/moby/term v0.0.0-20200312100748-672ec06f55cd"
	"github.com/moby/term v0.0.0-20200312100748-672ec06f55cd/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
	"github.com/modern-go/reflect2 v1.0.1"
	"github.com/modern-go/reflect2 v1.0.1/go.mod"
	"github.com/mohae/deepcopy v0.0.0-20170603005431-491d3605edfb/go.mod"
	"github.com/morikuni/aec v1.0.0"
	"github.com/morikuni/aec v1.0.0/go.mod"
	"github.com/mrunalp/fileutils v0.0.0-20171103030105-7d4729fb3618/go.mod"
	"github.com/mrunalp/fileutils v0.0.0-20200520151820-abd8a0e76976/go.mod"
	"github.com/munnerz/crd-schema-fuzz v1.0.0/go.mod"
	"github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
	"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822/go.mod"
	"github.com/mvdan/xurls v1.1.0/go.mod"
	"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
	"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
	"github.com/naoina/go-stringutil v0.1.0/go.mod"
	"github.com/naoina/toml v0.1.1/go.mod"
	"github.com/nats-io/jwt v0.3.0/go.mod"
	"github.com/nats-io/jwt v0.3.2/go.mod"
	"github.com/nats-io/nats-server/v2 v2.1.2/go.mod"
	"github.com/nats-io/nats.go v1.9.1/go.mod"
	"github.com/nats-io/nkeys v0.1.0/go.mod"
	"github.com/nats-io/nkeys v0.1.3/go.mod"
	"github.com/nats-io/nuid v1.0.1/go.mod"
	"github.com/ncw/swift v1.0.47/go.mod"
	"github.com/nxadm/tail v1.4.4"
	"github.com/nxadm/tail v1.4.4/go.mod"
	"github.com/oklog/oklog v0.3.2/go.mod"
	"github.com/oklog/run v1.0.0/go.mod"
	"github.com/oklog/ulid v1.3.1"
	"github.com/oklog/ulid v1.3.1/go.mod"
	"github.com/olekukonko/tablewriter v0.0.0-20170122224234-a0225b3f23b5/go.mod"
	"github.com/olekukonko/tablewriter v0.0.1/go.mod"
	"github.com/olekukonko/tablewriter v0.0.2/go.mod"
	"github.com/olekukonko/tablewriter v0.0.4/go.mod"
	"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
	"github.com/onsi/ginkgo v1.4.0/go.mod"
	"github.com/onsi/ginkgo v1.6.0/go.mod"
	"github.com/onsi/ginkgo v1.7.0/go.mod"
	"github.com/onsi/ginkgo v1.8.0/go.mod"
	"github.com/onsi/ginkgo v1.10.1/go.mod"
	"github.com/onsi/ginkgo v1.10.3/go.mod"
	"github.com/onsi/ginkgo v1.11.0/go.mod"
	"github.com/onsi/ginkgo v1.12.0/go.mod"
	"github.com/onsi/ginkgo v1.12.1/go.mod"
	"github.com/onsi/ginkgo v1.14.1"
	"github.com/onsi/ginkgo v1.14.1/go.mod"
	"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
	"github.com/onsi/gomega v1.3.0/go.mod"
	"github.com/onsi/gomega v1.4.3/go.mod"
	"github.com/onsi/gomega v1.5.0/go.mod"
	"github.com/onsi/gomega v1.7.0/go.mod"
	"github.com/onsi/gomega v1.7.1/go.mod"
	"github.com/onsi/gomega v1.8.1/go.mod"
	"github.com/onsi/gomega v1.9.0/go.mod"
	"github.com/onsi/gomega v1.10.1/go.mod"
	"github.com/onsi/gomega v1.10.2"
	"github.com/onsi/gomega v1.10.2/go.mod"
	"github.com/op/go-logging v0.0.0-20160315200505-970db520ece7/go.mod"
	"github.com/opencontainers/go-digest v0.0.0-20170106003457-a6d0ee40d420/go.mod"
	"github.com/opencontainers/go-digest v0.0.0-20180430190053-c9281466c8b2/go.mod"
	"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
	"github.com/opencontainers/go-digest v1.0.0"
	"github.com/opencontainers/go-digest v1.0.0/go.mod"
	"github.com/opencontainers/image-spec v1.0.0/go.mod"
	"github.com/opencontainers/image-spec v1.0.1"
	"github.com/opencontainers/image-spec v1.0.1/go.mod"
	"github.com/opencontainers/runc v0.0.0-20190115041553-12f6a991201f/go.mod"
	"github.com/opencontainers/runc v0.1.1/go.mod"
	"github.com/opencontainers/runc v1.0.0-rc90.0.20200616040943-82d2fa4eb069/go.mod"
	"github.com/opencontainers/runc v1.0.0-rc91.0.20200707015106-819fcc687efb/go.mod"
	"github.com/opencontainers/runtime-spec v0.1.2-0.20190507144316-5b71a03e2700/go.mod"
	"github.com/opencontainers/runtime-spec v1.0.2/go.mod"
	"github.com/opencontainers/runtime-spec v1.0.3-0.20200520003142-237cc4f519e2/go.mod"
	"github.com/opencontainers/runtime-tools v0.0.0-20181011054405-1d69bd0f9c39/go.mod"
	"github.com/opencontainers/selinux v1.5.1/go.mod"
	"github.com/opencontainers/selinux v1.5.2/go.mod"
	"github.com/opentracing-contrib/go-observer v0.0.0-20170622124052-a52f23424492/go.mod"
	"github.com/opentracing/basictracer-go v1.0.0/go.mod"
	"github.com/opentracing/opentracing-go v1.0.2/go.mod"
	"github.com/opentracing/opentracing-go v1.1.0/go.mod"
	"github.com/openzipkin-contrib/zipkin-go-opentracing v0.4.5/go.mod"
	"github.com/openzipkin/zipkin-go v0.1.6/go.mod"
	"github.com/openzipkin/zipkin-go v0.2.1/go.mod"
	"github.com/openzipkin/zipkin-go v0.2.2/go.mod"
	"github.com/pact-foundation/pact-go v1.0.4/go.mod"
	"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
	"github.com/pascaldekloe/goe v0.1.0"
	"github.com/pascaldekloe/goe v0.1.0/go.mod"
	"github.com/pavel-v-chernykh/keystore-go v2.1.0+incompatible/go.mod"
	"github.com/pborman/uuid v1.2.0/go.mod"
	"github.com/pelletier/go-toml v1.2.0/go.mod"
	"github.com/pelletier/go-toml v1.4.0/go.mod"
	"github.com/pelletier/go-toml v1.8.1"
	"github.com/pelletier/go-toml v1.8.1/go.mod"
	"github.com/performancecopilot/speed v3.0.0+incompatible/go.mod"
	"github.com/peterbourgon/diskv v2.0.1+incompatible"
	"github.com/peterbourgon/diskv v2.0.1+incompatible/go.mod"
	"github.com/phayes/freeport v0.0.0-20180830031419-95f893ade6f2/go.mod"
	"github.com/pierrec/lz4 v1.0.2-0.20190131084431-473cd7ce01a1/go.mod"
	"github.com/pierrec/lz4 v2.0.5+incompatible"
	"github.com/pierrec/lz4 v2.0.5+incompatible/go.mod"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pkg/errors v0.8.1-0.20171018195549-f15c970de5b7/go.mod"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pkg/profile v1.2.1/go.mod"
	"github.com/pkg/sftp v1.12.0"
	"github.com/pkg/sftp v1.12.0/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/posener/complete v1.1.1/go.mod"
	"github.com/pquerna/cachecontrol v0.0.0-20171018203845-0dec1b30a021/go.mod"
	"github.com/prometheus/client_golang v0.0.0-20180209125602-c332b6f63c06/go.mod"
	"github.com/prometheus/client_golang v0.9.1/go.mod"
	"github.com/prometheus/client_golang v0.9.2/go.mod"
	"github.com/prometheus/client_golang v0.9.3-0.20190127221311-3c4408c8b829/go.mod"
	"github.com/prometheus/client_golang v0.9.3/go.mod"
	"github.com/prometheus/client_golang v1.0.0/go.mod"
	"github.com/prometheus/client_golang v1.3.0/go.mod"
	"github.com/prometheus/client_golang v1.7.1"
	"github.com/prometheus/client_golang v1.7.1/go.mod"
	"github.com/prometheus/client_model v0.0.0-20171117100541-99fa1f4be8e5/go.mod"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190115171406-56726106282f/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
	"github.com/prometheus/client_model v0.1.0/go.mod"
	"github.com/prometheus/client_model v0.2.0"
	"github.com/prometheus/client_model v0.2.0/go.mod"
	"github.com/prometheus/common v0.0.0-20180110214958-89604d197083/go.mod"
	"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
	"github.com/prometheus/common v0.0.0-20181126121408-4724e9255275/go.mod"
	"github.com/prometheus/common v0.2.0/go.mod"
	"github.com/prometheus/common v0.4.0/go.mod"
	"github.com/prometheus/common v0.4.1/go.mod"
	"github.com/prometheus/common v0.7.0/go.mod"
	"github.com/prometheus/common v0.10.0"
	"github.com/prometheus/common v0.10.0/go.mod"
	"github.com/prometheus/procfs v0.0.0-20180125133057-cb4147076ac7/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181204211112-1dc9a6cbc91a/go.mod"
	"github.com/prometheus/procfs v0.0.0-20190117184657-bf6a532e95b1/go.mod"
	"github.com/prometheus/procfs v0.0.0-20190507164030-5867b95ac084/go.mod"
	"github.com/prometheus/procfs v0.0.2/go.mod"
	"github.com/prometheus/procfs v0.0.5/go.mod"
	"github.com/prometheus/procfs v0.0.8/go.mod"
	"github.com/prometheus/procfs v0.0.11/go.mod"
	"github.com/prometheus/procfs v0.1.3/go.mod"
	"github.com/prometheus/procfs v0.2.0"
	"github.com/prometheus/procfs v0.2.0/go.mod"
	"github.com/prometheus/tsdb v0.7.1/go.mod"
	"github.com/quobyte/api v0.1.2/go.mod"
	"github.com/rcrowley/go-metrics v0.0.0-20181016184325-3113b8401b8a/go.mod"
	"github.com/remyoudompheng/bigfft v0.0.0-20170806203942-52369c62f446/go.mod"
	"github.com/robertkrimen/otto v0.0.0-20191219234010-c382bd3c16ff/go.mod"
	"github.com/robfig/cron v1.1.0/go.mod"
	"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
	"github.com/rogpeppe/go-internal v1.1.0/go.mod"
	"github.com/rogpeppe/go-internal v1.3.0/go.mod"
	"github.com/rogpeppe/go-internal v1.3.2/go.mod"
	"github.com/rogpeppe/go-internal v1.4.0/go.mod"
	"github.com/rubenv/sql-migrate v0.0.0-20200616145509-8d140a17f351/go.mod"
	"github.com/rubiojr/go-vhd v0.0.0-20200706105327-02e210299021/go.mod"
	"github.com/russross/blackfriday v0.0.0-20170610170232-067529f716f4/go.mod"
	"github.com/russross/blackfriday v1.5.2"
	"github.com/russross/blackfriday v1.5.2/go.mod"
	"github.com/russross/blackfriday/v2 v2.0.1"
	"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
	"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
	"github.com/ryanuber/columnize v2.1.0+incompatible/go.mod"
	"github.com/ryanuber/go-glob v1.0.0"
	"github.com/ryanuber/go-glob v1.0.0/go.mod"
	"github.com/samuel/go-zookeeper v0.0.0-20190923202752-2cc03de413da/go.mod"
	"github.com/satori/go.uuid v1.2.0/go.mod"
	"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529"
	"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
	"github.com/seccomp/libseccomp-golang v0.9.1/go.mod"
	"github.com/sergi/go-diff v1.0.0/go.mod"
	"github.com/sergi/go-diff v1.1.0"
	"github.com/sergi/go-diff v1.1.0/go.mod"
	"github.com/shurcooL/sanitized_anchor_name v1.0.0"
	"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
	"github.com/sirupsen/logrus v1.0.4-0.20170822132746-89742aefa4b2/go.mod"
	"github.com/sirupsen/logrus v1.2.0/go.mod"
	"github.com/sirupsen/logrus v1.4.1/go.mod"
	"github.com/sirupsen/logrus v1.4.2/go.mod"
	"github.com/sirupsen/logrus v1.6.0/go.mod"
	"github.com/sirupsen/logrus v1.7.0"
	"github.com/sirupsen/logrus v1.7.0/go.mod"
	"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
	"github.com/smartystreets/assertions v1.2.0"
	"github.com/smartystreets/assertions v1.2.0/go.mod"
	"github.com/smartystreets/goconvey v0.0.0-20190330032615-68dc04aab96a/go.mod"
	"github.com/smartystreets/goconvey v1.6.4"
	"github.com/smartystreets/goconvey v1.6.4/go.mod"
	"github.com/soheilhy/cmux v0.1.4/go.mod"
	"github.com/sony/gobreaker v0.4.1/go.mod"
	"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
	"github.com/spf13/afero v1.1.2/go.mod"
	"github.com/spf13/afero v1.2.2"
	"github.com/spf13/afero v1.2.2/go.mod"
	"github.com/spf13/cast v1.3.0/go.mod"
	"github.com/spf13/cast v1.3.1"
	"github.com/spf13/cast v1.3.1/go.mod"
	"github.com/spf13/cobra v0.0.2-0.20171109065643-2da4a54c5cee/go.mod"
	"github.com/spf13/cobra v0.0.3/go.mod"
	"github.com/spf13/cobra v0.0.5/go.mod"
	"github.com/spf13/cobra v0.0.7/go.mod"
	"github.com/spf13/cobra v1.0.0/go.mod"
	"github.com/spf13/cobra v1.1.1"
	"github.com/spf13/cobra v1.1.1/go.mod"
	"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
	"github.com/spf13/jwalterweatherman v1.1.0"
	"github.com/spf13/jwalterweatherman v1.1.0/go.mod"
	"github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
	"github.com/spf13/pflag v1.0.1-0.20171106142849-4c012f6dcd95/go.mod"
	"github.com/spf13/pflag v1.0.1/go.mod"
	"github.com/spf13/pflag v1.0.2/go.mod"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/spf13/pflag v1.0.5"
	"github.com/spf13/pflag v1.0.5/go.mod"
	"github.com/spf13/viper v1.3.2/go.mod"
	"github.com/spf13/viper v1.4.0/go.mod"
	"github.com/spf13/viper v1.7.0"
	"github.com/spf13/viper v1.7.0/go.mod"
	"github.com/spotinst/spotinst-sdk-go v1.80.0"
	"github.com/spotinst/spotinst-sdk-go v1.80.0/go.mod"
	"github.com/stoewer/go-strcase v1.2.0/go.mod"
	"github.com/storageos/go-api v0.0.0-20180912212459-343b3eff91fc/go.mod"
	"github.com/streadway/amqp v0.0.0-20190404075320-75d898a42a94/go.mod"
	"github.com/streadway/amqp v0.0.0-20190827072141-edfb9018d271/go.mod"
	"github.com/streadway/handy v0.0.0-20190108123426-d5acb3125c2a/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/objx v0.2.0"
	"github.com/stretchr/objx v0.2.0/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.5.1/go.mod"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/stretchr/testify v1.7.0"
	"github.com/stretchr/testify v1.7.0/go.mod"
	"github.com/subosito/gotenv v1.2.0"
	"github.com/subosito/gotenv v1.2.0/go.mod"
	"github.com/syndtr/gocapability v0.0.0-20170704070218-db04d3cc01c8/go.mod"
	"github.com/syndtr/gocapability v0.0.0-20180916011248-d98352740cb2/go.mod"
	"github.com/thecodeteam/goscaleio v0.1.0/go.mod"
	"github.com/tidwall/pretty v1.0.0/go.mod"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8/go.mod"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5/go.mod"
	"github.com/ugorji/go v1.1.4/go.mod"
	"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
	"github.com/urfave/cli v0.0.0-20171014202726-7bc6a0acffa5/go.mod"
	"github.com/urfave/cli v1.20.0/go.mod"
	"github.com/urfave/cli v1.22.1/go.mod"
	"github.com/urfave/cli v1.22.2/go.mod"
	"github.com/urfave/cli v1.22.4/go.mod"
	"github.com/urfave/cli/v2 v2.1.1/go.mod"
	"github.com/urfave/negroni v1.0.0/go.mod"
	"github.com/vektah/gqlparser v1.1.2/go.mod"
	"github.com/vishvananda/netlink v1.1.0/go.mod"
	"github.com/vishvananda/netns v0.0.0-20191106174202-0a2b9b5464df/go.mod"
	"github.com/vishvananda/netns v0.0.0-20200520041808-52d707b772fe/go.mod"
	"github.com/vmihailenco/msgpack v3.3.3+incompatible/go.mod"
	"github.com/vmware/govmomi v0.20.3/go.mod"
	"github.com/weaveworks/mesh v0.0.0-20170419100114-1f158d31de55"
	"github.com/weaveworks/mesh v0.0.0-20170419100114-1f158d31de55/go.mod"
	"github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f/go.mod"
	"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415/go.mod"
	"github.com/xeipuuv/gojsonschema v0.0.0-20180618132009-1d523034197f/go.mod"
	"github.com/xeipuuv/gojsonschema v1.2.0/go.mod"
	"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
	"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
	"github.com/yuin/goldmark v1.1.27/go.mod"
	"github.com/yuin/goldmark v1.2.1/go.mod"
	"github.com/yvasiyarov/go-metrics v0.0.0-20140926110328-57bccd1ccd43/go.mod"
	"github.com/yvasiyarov/gorelic v0.0.0-20141212073537-a9bba5b9ab50/go.mod"
	"github.com/yvasiyarov/newrelic_platform_go v0.0.0-20140908184405-b21fdbd4370f/go.mod"
	"github.com/zclconf/go-cty v1.2.0/go.mod"
	"github.com/zclconf/go-cty v1.3.1"
	"github.com/zclconf/go-cty v1.3.1/go.mod"
	"github.com/ziutek/mymysql v1.5.4/go.mod"
	"go.etcd.io/bbolt v1.3.2/go.mod"
	"go.etcd.io/bbolt v1.3.3/go.mod"
	"go.etcd.io/bbolt v1.3.5/go.mod"
	"go.etcd.io/etcd v0.0.0-20191023171146-3cf2f69b5738/go.mod"
	"go.etcd.io/etcd v0.5.0-alpha.5.0.20200819165624-17cef6e3e9d5/go.mod"
	"go.etcd.io/etcd v0.5.0-alpha.5.0.20200910180754-dd1b699fc489/go.mod"
	"go.mongodb.org/mongo-driver v1.0.3/go.mod"
	"go.mongodb.org/mongo-driver v1.1.1/go.mod"
	"go.mongodb.org/mongo-driver v1.1.2/go.mod"
	"go.opencensus.io v0.20.1/go.mod"
	"go.opencensus.io v0.20.2/go.mod"
	"go.opencensus.io v0.21.0/go.mod"
	"go.opencensus.io v0.22.0/go.mod"
	"go.opencensus.io v0.22.2/go.mod"
	"go.opencensus.io v0.22.3"
	"go.opencensus.io v0.22.3/go.mod"
	"go.uber.org/atomic v1.3.2/go.mod"
	"go.uber.org/atomic v1.4.0/go.mod"
	"go.uber.org/atomic v1.5.0/go.mod"
	"go.uber.org/atomic v1.6.0"
	"go.uber.org/atomic v1.6.0/go.mod"
	"go.uber.org/goleak v1.1.10"
	"go.uber.org/goleak v1.1.10/go.mod"
	"go.uber.org/multierr v1.1.0/go.mod"
	"go.uber.org/multierr v1.3.0/go.mod"
	"go.uber.org/multierr v1.5.0"
	"go.uber.org/multierr v1.5.0/go.mod"
	"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee"
	"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee/go.mod"
	"go.uber.org/zap v1.8.0/go.mod"
	"go.uber.org/zap v1.10.0/go.mod"
	"go.uber.org/zap v1.13.0/go.mod"
	"go.uber.org/zap v1.15.0"
	"go.uber.org/zap v1.15.0/go.mod"
	"golang.org/x/crypto v0.0.0-20171113213409-9f005a07e0d3/go.mod"
	"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
	"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
	"golang.org/x/crypto v0.0.0-20190123085648-057139ce5d2b/go.mod"
	"golang.org/x/crypto v0.0.0-20190211182817-74369b46fc67/go.mod"
	"golang.org/x/crypto v0.0.0-20190228161510-8dd112bcdc25/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190320223903-b7391e95e576/go.mod"
	"golang.org/x/crypto v0.0.0-20190325154230-a5d413f7728c/go.mod"
	"golang.org/x/crypto v0.0.0-20190426145343-a29dc8fdc734/go.mod"
	"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
	"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
	"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8/go.mod"
	"golang.org/x/crypto v0.0.0-20190617133340-57b3e21c3d56/go.mod"
	"golang.org/x/crypto v0.0.0-20190621222207-cc06ce4a13d4/go.mod"
	"golang.org/x/crypto v0.0.0-20190701094942-4def268fd1a4/go.mod"
	"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
	"golang.org/x/crypto v0.0.0-20191202143827-86a70503ff7e/go.mod"
	"golang.org/x/crypto v0.0.0-20191206172530-e9b2fee46413/go.mod"
	"golang.org/x/crypto v0.0.0-20200128174031-69ecbb4d6d5d/go.mod"
	"golang.org/x/crypto v0.0.0-20200414173820-0848c9571904/go.mod"
	"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
	"golang.org/x/crypto v0.0.0-20200820211705-5c72a883971a/go.mod"
	"golang.org/x/crypto v0.0.0-20201002170205-7f63de1d35b0/go.mod"
	"golang.org/x/crypto v0.0.0-20201208171446-5f87f3452ae9"
	"golang.org/x/crypto v0.0.0-20201208171446-5f87f3452ae9/go.mod"
	"golang.org/x/exp v0.0.0-20180321215751-8460e604b9de/go.mod"
	"golang.org/x/exp v0.0.0-20180807140117-3d87b88a115f/go.mod"
	"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
	"golang.org/x/exp v0.0.0-20190125153040-c74c464bbbf2/go.mod"
	"golang.org/x/exp v0.0.0-20190306152737-a1d7652674e8/go.mod"
	"golang.org/x/exp v0.0.0-20190312203227-4b39c73a6495/go.mod"
	"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
	"golang.org/x/exp v0.0.0-20190829153037-c13cbed26979/go.mod"
	"golang.org/x/exp v0.0.0-20191030013958-a1ab85dbe136/go.mod"
	"golang.org/x/exp v0.0.0-20191129062945-2f5052295587/go.mod"
	"golang.org/x/exp v0.0.0-20191227195350-da58074b4299/go.mod"
	"golang.org/x/exp v0.0.0-20200119233911-0405dc783f0a/go.mod"
	"golang.org/x/exp v0.0.0-20200207192155-f17229e696bd/go.mod"
	"golang.org/x/exp v0.0.0-20200224162631-6cc2880d07d6/go.mod"
	"golang.org/x/image v0.0.0-20180708004352-c73c2afc3b81/go.mod"
	"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
	"golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
	"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
	"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
	"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
	"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
	"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
	"golang.org/x/lint v0.0.0-20190909230951-414d861bb4ac/go.mod"
	"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
	"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
	"golang.org/x/lint v0.0.0-20200130185559-910be7a94367/go.mod"
	"golang.org/x/lint v0.0.0-20200302205851-738671d3881b"
	"golang.org/x/lint v0.0.0-20200302205851-738671d3881b/go.mod"
	"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
	"golang.org/x/mobile v0.0.0-20190719004257-d2bd2a29d028/go.mod"
	"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
	"golang.org/x/mod v0.1.0/go.mod"
	"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
	"golang.org/x/mod v0.1.1-0.20191107180719-034126e5016b/go.mod"
	"golang.org/x/mod v0.2.0/go.mod"
	"golang.org/x/mod v0.3.0/go.mod"
	"golang.org/x/mod v0.4.0"
	"golang.org/x/mod v0.4.0/go.mod"
	"golang.org/x/net v0.0.0-20180112015858-5ccada7d0a7b/go.mod"
	"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
	"golang.org/x/net v0.0.0-20180811021610-c39426892332/go.mod"
	"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
	"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
	"golang.org/x/net v0.0.0-20181005035420-146acd28ed58/go.mod"
	"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
	"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
	"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
	"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
	"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
	"golang.org/x/net v0.0.0-20190125091013-d26f9f9a57f3/go.mod"
	"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
	"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
	"golang.org/x/net v0.0.0-20190320064053-1272bf9dcd53/go.mod"
	"golang.org/x/net v0.0.0-20190328230028-74de082e2cca/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
	"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
	"golang.org/x/net v0.0.0-20190522155817-f3200d17e092/go.mod"
	"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
	"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
	"golang.org/x/net v0.0.0-20190619014844-b5b0513f8c1b/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190724013045-ca1201d0de80/go.mod"
	"golang.org/x/net v0.0.0-20190813141303-74dc4d7220e7/go.mod"
	"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
	"golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
	"golang.org/x/net v0.0.0-20191004110552-13f9640d40b9/go.mod"
	"golang.org/x/net v0.0.0-20191112182307-2180aed22343/go.mod"
	"golang.org/x/net v0.0.0-20191126235420-ef20fe5d7933/go.mod"
	"golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
	"golang.org/x/net v0.0.0-20200114155413-6afb5195e5aa/go.mod"
	"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
	"golang.org/x/net v0.0.0-20200222125558-5a598a2470a0/go.mod"
	"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
	"golang.org/x/net v0.0.0-20200301022130-244492dfa37a/go.mod"
	"golang.org/x/net v0.0.0-20200324143707-d3edc9973b7e/go.mod"
	"golang.org/x/net v0.0.0-20200520004742-59133d7f0dd7/go.mod"
	"golang.org/x/net v0.0.0-20200707034311-ab3426394381/go.mod"
	"golang.org/x/net v0.0.0-20200822124328-c89045814202/go.mod"
	"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
	"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b"
	"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
	"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
	"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6/go.mod"
	"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d"
	"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
	"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9"
	"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
	"golang.org/x/sys v0.0.0-20180117170059-2c42eef0765b/go.mod"
	"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
	"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
	"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
	"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
	"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
	"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
	"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
	"golang.org/x/sys v0.0.0-20181122145206-62eef0e2fa9b/go.mod"
	"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
	"golang.org/x/sys v0.0.0-20190124100055-b90733256f2e/go.mod"
	"golang.org/x/sys v0.0.0-20190129075346-302c3dd5f1cc/go.mod"
	"golang.org/x/sys v0.0.0-20190209173611-3b5209105503/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190228124157-a34e9553db1e/go.mod"
	"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
	"golang.org/x/sys v0.0.0-20190321052220-f7bb7a8bee54/go.mod"
	"golang.org/x/sys v0.0.0-20190403152447-81d4e9dc473e/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
	"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
	"golang.org/x/sys v0.0.0-20190502175342-a43fa875dd82/go.mod"
	"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
	"golang.org/x/sys v0.0.0-20190514135907-3a4b5fb9f71f/go.mod"
	"golang.org/x/sys v0.0.0-20190515120540-06a5c4944438/go.mod"
	"golang.org/x/sys v0.0.0-20190602015325-4c4f7f33c9ed/go.mod"
	"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
	"golang.org/x/sys v0.0.0-20190606203320-7fc4e5ec1444/go.mod"
	"golang.org/x/sys v0.0.0-20190616124812-15dcb6c0061f/go.mod"
	"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
	"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
	"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
	"golang.org/x/sys v0.0.0-20190904154756-749cb33beabd/go.mod"
	"golang.org/x/sys v0.0.0-20190916202348-b4ddaad3f8a3/go.mod"
	"golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
	"golang.org/x/sys v0.0.0-20191001151750-bb3f8db39f24/go.mod"
	"golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
	"golang.org/x/sys v0.0.0-20191022100944-742c48ecaeb7/go.mod"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
	"golang.org/x/sys v0.0.0-20191112214154-59a1497f0cea/go.mod"
	"golang.org/x/sys v0.0.0-20191113165036-4c7a9d0fe056/go.mod"
	"golang.org/x/sys v0.0.0-20191115151921-52ab43148777/go.mod"
	"golang.org/x/sys v0.0.0-20191120155948-bd437916bb0e/go.mod"
	"golang.org/x/sys v0.0.0-20191128015809-6d18c012aee9/go.mod"
	"golang.org/x/sys v0.0.0-20191204072324-ce4227a45e2e/go.mod"
	"golang.org/x/sys v0.0.0-20191220142924-d4481acd189f/go.mod"
	"golang.org/x/sys v0.0.0-20191228213918-04cbcbbfeed8/go.mod"
	"golang.org/x/sys v0.0.0-20200106162015-b016eb3dc98e/go.mod"
	"golang.org/x/sys v0.0.0-20200113162924-86b910548bc1/go.mod"
	"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
	"golang.org/x/sys v0.0.0-20200120151820-655fe14d7479/go.mod"
	"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82/go.mod"
	"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9/go.mod"
	"golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
	"golang.org/x/sys v0.0.0-20200212091648-12a6c2dcc1e4/go.mod"
	"golang.org/x/sys v0.0.0-20200217220822-9197077df867/go.mod"
	"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
	"golang.org/x/sys v0.0.0-20200302150141-5c8b2ff67527/go.mod"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
	"golang.org/x/sys v0.0.0-20200327173247-9dae0f8f5775/go.mod"
	"golang.org/x/sys v0.0.0-20200519105757-fe76b779f299/go.mod"
	"golang.org/x/sys v0.0.0-20200615200032-f1bc736245b1/go.mod"
	"golang.org/x/sys v0.0.0-20200622214017-ed371f2e16b4/go.mod"
	"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
	"golang.org/x/sys v0.0.0-20201112073958-5cba982894dd/go.mod"
	"golang.org/x/sys v0.0.0-20210119212857-b64e53b001e4"
	"golang.org/x/sys v0.0.0-20210119212857-b64e53b001e4/go.mod"
	"golang.org/x/term v0.0.0-20201117132131-f5c789dd3221"
	"golang.org/x/term v0.0.0-20201117132131-f5c789dd3221/go.mod"
	"golang.org/x/text v0.0.0-20170915032832-14c0d48ead0c/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.1-0.20171227012246-e19ae1496984/go.mod"
	"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
	"golang.org/x/text v0.3.1-0.20181227161524-e6919f6577db/go.mod"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.4"
	"golang.org/x/text v0.3.4/go.mod"
	"golang.org/x/time v0.0.0-20180412165947-fbb02b2291d2/go.mod"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
	"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
	"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
	"golang.org/x/time v0.0.0-20200630173020-3af7569d3a1e"
	"golang.org/x/time v0.0.0-20200630173020-3af7569d3a1e/go.mod"
	"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
	"golang.org/x/tools v0.0.0-20180525024113-a5b4c53f6e8b/go.mod"
	"golang.org/x/tools v0.0.0-20180828015842-6cd1fcedba52/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20181011042414-1f849cf54d09/go.mod"
	"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
	"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
	"golang.org/x/tools v0.0.0-20190125232054-d66bd3c5d5a6/go.mod"
	"golang.org/x/tools v0.0.0-20190206041539-40960b6deb8e/go.mod"
	"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
	"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
	"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
	"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
	"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
	"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
	"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
	"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
	"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
	"golang.org/x/tools v0.0.0-20190614205625-5aca471b1d59/go.mod"
	"golang.org/x/tools v0.0.0-20190617190820-da514acc4774/go.mod"
	"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
	"golang.org/x/tools v0.0.0-20190624222133-a101b041ded4/go.mod"
	"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
	"golang.org/x/tools v0.0.0-20190816200558-6889da9d5479/go.mod"
	"golang.org/x/tools v0.0.0-20190911174233-4f2ddba30aff/go.mod"
	"golang.org/x/tools v0.0.0-20190920225731-5eefd052ad72/go.mod"
	"golang.org/x/tools v0.0.0-20191004055002-72853e10c5a3/go.mod"
	"golang.org/x/tools v0.0.0-20191012152004-8de300cfc20a/go.mod"
	"golang.org/x/tools v0.0.0-20191029041327-9cc4af7d6b2c/go.mod"
	"golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5/go.mod"
	"golang.org/x/tools v0.0.0-20191108193012-7d206e10da11/go.mod"
	"golang.org/x/tools v0.0.0-20191112195655-aa38f8e97acc/go.mod"
	"golang.org/x/tools v0.0.0-20191113191852-77e3bb0ad9e7/go.mod"
	"golang.org/x/tools v0.0.0-20191115202509-3a792d9c32b2/go.mod"
	"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
	"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
	"golang.org/x/tools v0.0.0-20191130070609-6e064ea0cf2d/go.mod"
	"golang.org/x/tools v0.0.0-20191203134012-c197fd4bf371/go.mod"
	"golang.org/x/tools v0.0.0-20191216052735-49a3e744a425/go.mod"
	"golang.org/x/tools v0.0.0-20191216173652-a0e659d51361/go.mod"
	"golang.org/x/tools v0.0.0-20191227053925-7b8e75db28f4/go.mod"
	"golang.org/x/tools v0.0.0-20200103221440-774c71fcf114/go.mod"
	"golang.org/x/tools v0.0.0-20200117161641-43d50277825c/go.mod"
	"golang.org/x/tools v0.0.0-20200122220014-bf1340f18c4a/go.mod"
	"golang.org/x/tools v0.0.0-20200130002326-2f3ba24bd6e7/go.mod"
	"golang.org/x/tools v0.0.0-20200204074204-1cc6d1ef6c74/go.mod"
	"golang.org/x/tools v0.0.0-20200207183749-b753a1ba74fa/go.mod"
	"golang.org/x/tools v0.0.0-20200212150539-ea181f53ac56/go.mod"
	"golang.org/x/tools v0.0.0-20200224181240-023911ca70b2/go.mod"
	"golang.org/x/tools v0.0.0-20200304193943-95d2e580d8eb/go.mod"
	"golang.org/x/tools v0.0.0-20200410194907-79a7a3126eef/go.mod"
	"golang.org/x/tools v0.0.0-20200505023115-26f46d2f7ef8/go.mod"
	"golang.org/x/tools v0.0.0-20200616133436-c1934b75d054/go.mod"
	"golang.org/x/tools v0.1.0"
	"golang.org/x/tools v0.1.0/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
	"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
	"gomodules.xyz/jsonpatch/v2 v2.0.1/go.mod"
	"gomodules.xyz/jsonpatch/v2 v2.1.0"
	"gomodules.xyz/jsonpatch/v2 v2.1.0/go.mod"
	"gonum.org/v1/gonum v0.0.0-20180816165407-929014505bf4/go.mod"
	"gonum.org/v1/gonum v0.0.0-20190331200053-3d26580ed485/go.mod"
	"gonum.org/v1/gonum v0.6.2/go.mod"
	"gonum.org/v1/netlib v0.0.0-20190313105609-8cb42192e0e0/go.mod"
	"gonum.org/v1/netlib v0.0.0-20190331212654-76723241ea4e/go.mod"
	"gonum.org/v1/plot v0.0.0-20190515093506-e2840ee46a6b/go.mod"
	"google.golang.org/api v0.0.0-20160322025152-9bf6e6e569ff/go.mod"
	"google.golang.org/api v0.3.1/go.mod"
	"google.golang.org/api v0.4.0/go.mod"
	"google.golang.org/api v0.7.0/go.mod"
	"google.golang.org/api v0.8.0/go.mod"
	"google.golang.org/api v0.9.0/go.mod"
	"google.golang.org/api v0.13.0/go.mod"
	"google.golang.org/api v0.14.0/go.mod"
	"google.golang.org/api v0.15.0/go.mod"
	"google.golang.org/api v0.15.1-0.20200106000736-b8fc810ca6b5/go.mod"
	"google.golang.org/api v0.15.1/go.mod"
	"google.golang.org/api v0.17.0/go.mod"
	"google.golang.org/api v0.18.0/go.mod"
	"google.golang.org/api v0.20.0/go.mod"
	"google.golang.org/api v0.22.0"
	"google.golang.org/api v0.22.0/go.mod"
	"google.golang.org/appengine v1.1.0/go.mod"
	"google.golang.org/appengine v1.2.0/go.mod"
	"google.golang.org/appengine v1.4.0/go.mod"
	"google.golang.org/appengine v1.5.0/go.mod"
	"google.golang.org/appengine v1.6.1/go.mod"
	"google.golang.org/appengine v1.6.5/go.mod"
	"google.golang.org/appengine v1.6.6"
	"google.golang.org/appengine v1.6.6/go.mod"
	"google.golang.org/cloud v0.0.0-20151119220103-975617b05ea8/go.mod"
	"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
	"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
	"google.golang.org/genproto v0.0.0-20190404172233-64821d5d2107/go.mod"
	"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
	"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
	"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
	"google.golang.org/genproto v0.0.0-20190530194941-fb225487d101/go.mod"
	"google.golang.org/genproto v0.0.0-20190801165951-fa694d86fc64/go.mod"
	"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
	"google.golang.org/genproto v0.0.0-20190911173649-1774047e7e51/go.mod"
	"google.golang.org/genproto v0.0.0-20191108220845-16a3f7862a1a/go.mod"
	"google.golang.org/genproto v0.0.0-20191114150713-6bbd007550de/go.mod"
	"google.golang.org/genproto v0.0.0-20191115194625-c23dd37a84c9/go.mod"
	"google.golang.org/genproto v0.0.0-20191216164720-4f79533eabd1/go.mod"
	"google.golang.org/genproto v0.0.0-20191230161307-f3c370f40bfb/go.mod"
	"google.golang.org/genproto v0.0.0-20200115191322-ca5a22157cba/go.mod"
	"google.golang.org/genproto v0.0.0-20200122232147-0452cf42e150/go.mod"
	"google.golang.org/genproto v0.0.0-20200204135345-fa8e72b47b90/go.mod"
	"google.golang.org/genproto v0.0.0-20200212174721-66ed5ce911ce/go.mod"
	"google.golang.org/genproto v0.0.0-20200224152610-e50cd9704f63/go.mod"
	"google.golang.org/genproto v0.0.0-20200305110556-506484158171/go.mod"
	"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
	"google.golang.org/genproto v0.0.0-20201110150050-8816d57aaa9a"
	"google.golang.org/genproto v0.0.0-20201110150050-8816d57aaa9a/go.mod"
	"google.golang.org/grpc v0.0.0-20160317175043-d3ddb4469d5a/go.mod"
	"google.golang.org/grpc v1.14.0/go.mod"
	"google.golang.org/grpc v1.17.0/go.mod"
	"google.golang.org/grpc v1.19.0/go.mod"
	"google.golang.org/grpc v1.20.0/go.mod"
	"google.golang.org/grpc v1.20.1/go.mod"
	"google.golang.org/grpc v1.21.0/go.mod"
	"google.golang.org/grpc v1.21.1/go.mod"
	"google.golang.org/grpc v1.22.0/go.mod"
	"google.golang.org/grpc v1.22.1/go.mod"
	"google.golang.org/grpc v1.23.0/go.mod"
	"google.golang.org/grpc v1.23.1/go.mod"
	"google.golang.org/grpc v1.25.1/go.mod"
	"google.golang.org/grpc v1.26.0/go.mod"
	"google.golang.org/grpc v1.27.0/go.mod"
	"google.golang.org/grpc v1.27.1"
	"google.golang.org/grpc v1.27.1/go.mod"
	"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
	"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
	"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
	"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
	"google.golang.org/protobuf v1.21.0/go.mod"
	"google.golang.org/protobuf v1.22.0/go.mod"
	"google.golang.org/protobuf v1.23.0/go.mod"
	"google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
	"google.golang.org/protobuf v1.24.0/go.mod"
	"google.golang.org/protobuf v1.25.0"
	"google.golang.org/protobuf v1.25.0/go.mod"
	"gopkg.in/airbrake/gobrake.v2 v2.0.9/go.mod"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
	"gopkg.in/asn1-ber.v1 v1.0.0-20181015200546-f715ec2f112d/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20141024133853-64131543e789/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/cheggaaa/pb.v1 v1.0.25/go.mod"
	"gopkg.in/errgo.v2 v2.1.0/go.mod"
	"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
	"gopkg.in/gcfg.v1 v1.2.0/go.mod"
	"gopkg.in/gcfg.v1 v1.2.3"
	"gopkg.in/gcfg.v1 v1.2.3/go.mod"
	"gopkg.in/gemnasium/logrus-airbrake-hook.v2 v2.1.2/go.mod"
	"gopkg.in/gorp.v1 v1.7.2/go.mod"
	"gopkg.in/inf.v0 v0.9.1"
	"gopkg.in/inf.v0 v0.9.1/go.mod"
	"gopkg.in/ini.v1 v1.42.0/go.mod"
	"gopkg.in/ini.v1 v1.51.0/go.mod"
	"gopkg.in/ini.v1 v1.52.0/go.mod"
	"gopkg.in/ini.v1 v1.57.0/go.mod"
	"gopkg.in/ini.v1 v1.62.0"
	"gopkg.in/ini.v1 v1.62.0/go.mod"
	"gopkg.in/mcuadros/go-syslog.v2 v2.2.1/go.mod"
	"gopkg.in/natefinch/lumberjack.v2 v2.0.0/go.mod"
	"gopkg.in/resty.v1 v1.12.0/go.mod"
	"gopkg.in/sourcemap.v1 v1.0.5/go.mod"
	"gopkg.in/square/go-jose.v2 v2.2.2/go.mod"
	"gopkg.in/square/go-jose.v2 v2.3.1"
	"gopkg.in/square/go-jose.v2 v2.3.1/go.mod"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
	"gopkg.in/warnings.v0 v0.1.1/go.mod"
	"gopkg.in/warnings.v0 v0.1.2"
	"gopkg.in/warnings.v0 v0.1.2/go.mod"
	"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
	"gopkg.in/yaml.v2 v2.0.0/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.2.4/go.mod"
	"gopkg.in/yaml.v2 v2.2.5/go.mod"
	"gopkg.in/yaml.v2 v2.2.7/go.mod"
	"gopkg.in/yaml.v2 v2.2.8/go.mod"
	"gopkg.in/yaml.v2 v2.3.0"
	"gopkg.in/yaml.v2 v2.3.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20190905181640-827449938966/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200605160147-a5ece683394c/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200615113413-eeeca48fe776"
	"gopkg.in/yaml.v3 v3.0.0-20200615113413-eeeca48fe776/go.mod"
	"gotest.tools v2.2.0+incompatible"
	"gotest.tools v2.2.0+incompatible/go.mod"
	"gotest.tools/v3 v3.0.2/go.mod"
	"helm.sh/helm/v3 v3.4.2"
	"helm.sh/helm/v3 v3.4.2/go.mod"
	"honnef.co/go/tools v0.0.0-20180728063816-88497007e858/go.mod"
	"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
	"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
	"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
	"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
	"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
	"honnef.co/go/tools v0.0.1-2020.1.3/go.mod"
	"honnef.co/go/tools v0.0.1-2020.1.6"
	"honnef.co/go/tools v0.0.1-2020.1.6/go.mod"
	"k8s.io/api v0.20.4"
	"k8s.io/api v0.20.4/go.mod"
	"k8s.io/apiextensions-apiserver v0.20.4"
	"k8s.io/apiextensions-apiserver v0.20.4/go.mod"
	"k8s.io/apimachinery v0.20.4"
	"k8s.io/apimachinery v0.20.4/go.mod"
	"k8s.io/apiserver v0.20.4/go.mod"
	"k8s.io/cli-runtime v0.20.4"
	"k8s.io/cli-runtime v0.20.4/go.mod"
	"k8s.io/client-go v0.20.4"
	"k8s.io/client-go v0.20.4/go.mod"
	"k8s.io/cloud-provider v0.20.4"
	"k8s.io/cloud-provider v0.20.4/go.mod"
	"k8s.io/cloud-provider-openstack v1.19.2"
	"k8s.io/cloud-provider-openstack v1.19.2/go.mod"
	"k8s.io/cluster-bootstrap v0.20.4/go.mod"
	"k8s.io/code-generator v0.20.4/go.mod"
	"k8s.io/component-base v0.20.4"
	"k8s.io/component-base v0.20.4/go.mod"
	"k8s.io/component-helpers v0.20.4/go.mod"
	"k8s.io/controller-manager v0.20.4/go.mod"
	"k8s.io/cri-api v0.20.4/go.mod"
	"k8s.io/csi-translation-lib v0.20.4"
	"k8s.io/csi-translation-lib v0.20.4/go.mod"
	"k8s.io/gengo v0.0.0-20200413195148-3a45101e95ac/go.mod"
	"k8s.io/gengo v0.0.0-20200428234225-8167cfdcfc14/go.mod"
	"k8s.io/gengo v0.0.0-20201113003025-83324d819ded"
	"k8s.io/gengo v0.0.0-20201113003025-83324d819ded/go.mod"
	"k8s.io/heapster v1.2.0-beta.1/go.mod"
	"k8s.io/klog v0.3.1/go.mod"
	"k8s.io/klog v1.0.0"
	"k8s.io/klog v1.0.0/go.mod"
	"k8s.io/klog/v2 v2.0.0/go.mod"
	"k8s.io/klog/v2 v2.2.0/go.mod"
	"k8s.io/klog/v2 v2.3.0/go.mod"
	"k8s.io/klog/v2 v2.4.0"
	"k8s.io/klog/v2 v2.4.0/go.mod"
	"k8s.io/kube-aggregator v0.20.4/go.mod"
	"k8s.io/kube-controller-manager v0.20.4/go.mod"
	"k8s.io/kube-openapi v0.0.0-20200805222855-6aeccd4b50c6/go.mod"
	"k8s.io/kube-openapi v0.0.0-20201113171705-d219536bb9fd"
	"k8s.io/kube-openapi v0.0.0-20201113171705-d219536bb9fd/go.mod"
	"k8s.io/kube-proxy v0.20.4/go.mod"
	"k8s.io/kube-scheduler v0.20.4/go.mod"
	"k8s.io/kubectl v0.20.4"
	"k8s.io/kubectl v0.20.4/go.mod"
	"k8s.io/kubelet v0.20.4/go.mod"
	"k8s.io/kubernetes v1.13.0/go.mod"
	"k8s.io/kubernetes v1.19.0/go.mod"
	"k8s.io/legacy-cloud-providers v0.20.4"
	"k8s.io/legacy-cloud-providers v0.20.4/go.mod"
	"k8s.io/metrics v0.20.4/go.mod"
	"k8s.io/sample-apiserver v0.20.4/go.mod"
	"k8s.io/system-validators v1.1.2/go.mod"
	"k8s.io/utils v0.0.0-20200414100711-2df71ebbae66/go.mod"
	"k8s.io/utils v0.0.0-20200603063816-c1c6865ac451/go.mod"
	"k8s.io/utils v0.0.0-20200729134348-d5654de09c73/go.mod"
	"k8s.io/utils v0.0.0-20201110183641-67b214c5f920/go.mod"
	"k8s.io/utils v0.0.0-20210111153108-fddb29f9d009"
	"k8s.io/utils v0.0.0-20210111153108-fddb29f9d009/go.mod"
	"modernc.org/cc v1.0.0/go.mod"
	"modernc.org/golex v1.0.0/go.mod"
	"modernc.org/mathutil v1.0.0/go.mod"
	"modernc.org/strutil v1.0.0/go.mod"
	"modernc.org/xc v1.0.0/go.mod"
	"rsc.io/binaryregexp v0.2.0/go.mod"
	"rsc.io/pdf v0.1.1/go.mod"
	"rsc.io/quote/v3 v3.1.0/go.mod"
	"rsc.io/sampler v1.3.0/go.mod"
	"sigs.k8s.io/apiserver-network-proxy/konnectivity-client v0.0.14/go.mod"
	"sigs.k8s.io/controller-runtime v0.6.2/go.mod"
	"sigs.k8s.io/controller-runtime v0.8.3"
	"sigs.k8s.io/controller-runtime v0.8.3/go.mod"
	"sigs.k8s.io/controller-tools v0.2.9-0.20200414181213-645d44dca7c0/go.mod"
	"sigs.k8s.io/kustomize v2.0.3+incompatible"
	"sigs.k8s.io/kustomize v2.0.3+incompatible/go.mod"
	"sigs.k8s.io/structured-merge-diff/v4 v4.0.1/go.mod"
	"sigs.k8s.io/structured-merge-diff/v4 v4.0.2"
	"sigs.k8s.io/structured-merge-diff/v4 v4.0.2/go.mod"
	"sigs.k8s.io/testing_frameworks v0.1.2/go.mod"
	"sigs.k8s.io/yaml v1.1.0/go.mod"
	"sigs.k8s.io/yaml v1.2.0"
	"sigs.k8s.io/yaml v1.2.0/go.mod"
	"software.sslmate.com/src/go-pkcs12 v0.0.0-20180114231543-2291e8f0f237/go.mod"
	"software.sslmate.com/src/go-pkcs12 v0.0.0-20190209200317-47dd539968c4/go.mod"
	"software.sslmate.com/src/go-pkcs12 v0.0.0-20200830195227-52f69702a001/go.mod"
	"sourcegraph.com/sourcegraph/appdash v0.0.0-20190731080439-ebfcffb1b5c0/go.mod"
)
go-module_set_globals

SRC_URI="https://github.com/kubernetes/kops/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="Apache-2.0 BSD-2 BSD-4 ECL-2.0 imagemagick ISC JSON MIT MIT-with-advertising MPL-2.0 unicode"
SLOT="0"
KEYWORDS="~amd64"

RESTRICT+=" test"

src_compile() {
	export GOBIN="${WORKDIR}/${P}/bin"
	emake
}

src_install() {
	dobin bin/kops
}
