# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module
GIT_COMMIT=57e2f55f47effe9ce396cea42a1e0eb4f611ebbd

DESCRIPTION="Single Node Kubernetes Cluster"
HOMEPAGE="https://github.com/kubernetes/minikube https://kubernetes.io"

EGO_SUM=(
	"bitbucket.org/bertimus9/systemstat v0.0.0-20180207000608-0eeff89b0690/go.mod"
	"cloud.google.com/go v0.26.0/go.mod"
	"cloud.google.com/go v0.34.0/go.mod"
	"cloud.google.com/go v0.38.0/go.mod"
	"cloud.google.com/go v0.44.1/go.mod"
	"cloud.google.com/go v0.44.2/go.mod"
	"cloud.google.com/go v0.45.1"
	"cloud.google.com/go v0.45.1/go.mod"
	"cloud.google.com/go/bigquery v1.0.1/go.mod"
	"cloud.google.com/go/datastore v1.0.0/go.mod"
	"github.com/Azure/azure-sdk-for-go v35.0.0+incompatible/go.mod"
	"github.com/Azure/azure-sdk-for-go v38.0.0+incompatible/go.mod"
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78/go.mod"
	"github.com/Azure/go-autorest/autorest v0.9.0/go.mod"
	"github.com/Azure/go-autorest/autorest v0.9.3/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.5.0/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.8.0/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.8.1/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.3.0/go.mod"
	"github.com/Azure/go-autorest/autorest/to v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/to v0.3.0/go.mod"
	"github.com/Azure/go-autorest/autorest/validation v0.1.0/go.mod"
	"github.com/Azure/go-autorest/logger v0.1.0/go.mod"
	"github.com/Azure/go-autorest/tracing v0.5.0/go.mod"
	"github.com/BurntSushi/toml v0.3.1"
	"github.com/BurntSushi/toml v0.3.1/go.mod"
	"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
	"github.com/GoogleCloudPlatform/k8s-cloud-provider v0.0.0-20190822182118-27a4ced34534/go.mod"
	"github.com/JeffAshton/win_pdh v0.0.0-20161109143554-76bb4ee9f0ab/go.mod"
	"github.com/MakeNowJust/heredoc v0.0.0-20170808103936-bb23615498cd"
	"github.com/MakeNowJust/heredoc v0.0.0-20170808103936-bb23615498cd/go.mod"
	"github.com/Microsoft/go-winio v0.4.11"
	"github.com/Microsoft/go-winio v0.4.11/go.mod"
	"github.com/Microsoft/go-winio v0.4.14"
	"github.com/Microsoft/go-winio v0.4.14/go.mod"
	"github.com/Microsoft/go-winio v0.4.15-0.20190919025122-fc70bd9a86b5"
	"github.com/Microsoft/go-winio v0.4.15-0.20190919025122-fc70bd9a86b5/go.mod"
	"github.com/Microsoft/hcsshim v0.0.0-20190417211021-672e52e9209d"
	"github.com/Microsoft/hcsshim v0.0.0-20190417211021-672e52e9209d/go.mod"
	"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
	"github.com/OneOfOne/xxhash v1.2.2/go.mod"
	"github.com/OpenPeeDeeP/depguard v1.0.0/go.mod"
	"github.com/OpenPeeDeeP/depguard v1.0.1/go.mod"
	"github.com/Parallels/docker-machine-parallels v1.3.0"
	"github.com/Parallels/docker-machine-parallels v1.3.0/go.mod"
	"github.com/PuerkitoBio/purell v1.0.0/go.mod"
	"github.com/PuerkitoBio/purell v1.1.0/go.mod"
	"github.com/PuerkitoBio/purell v1.1.1"
	"github.com/PuerkitoBio/purell v1.1.1/go.mod"
	"github.com/PuerkitoBio/urlesc v0.0.0-20160726150825-5bd2802263f2/go.mod"
	"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578"
	"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578/go.mod"
	"github.com/Rican7/retry v0.1.0/go.mod"
	"github.com/StackExchange/wmi v0.0.0-20180116203802-5d049714c4a6/go.mod"
	"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d"
	"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d/go.mod"
	"github.com/VividCortex/ewma v1.1.1"
	"github.com/VividCortex/ewma v1.1.1/go.mod"
	"github.com/afbjorklund/go-getter v1.4.1-0.20190910175809-eb9f6c26742c"
	"github.com/afbjorklund/go-getter v1.4.1-0.20190910175809-eb9f6c26742c/go.mod"
	"github.com/agnivade/levenshtein v1.0.1/go.mod"
	"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc"
	"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
	"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf"
	"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
	"github.com/andreyvit/diff v0.0.0-20170406064948-c7f18ee00883/go.mod"
	"github.com/anmitsu/go-shlex v0.0.0-20161002113705-648efa622239/go.mod"
	"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
	"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20180720115003-f9ffefc3facf/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a"
	"github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a/go.mod"
	"github.com/auth0/go-jwt-middleware v0.0.0-20170425171159-5493cabe49f7/go.mod"
	"github.com/aws/aws-sdk-go v1.15.78"
	"github.com/aws/aws-sdk-go v1.15.78/go.mod"
	"github.com/aws/aws-sdk-go v1.16.26"
	"github.com/aws/aws-sdk-go v1.16.26/go.mod"
	"github.com/aws/aws-sdk-go v1.27.1"
	"github.com/aws/aws-sdk-go v1.27.1/go.mod"
	"github.com/bazelbuild/bazel-gazelle v0.18.2/go.mod"
	"github.com/bazelbuild/bazel-gazelle v0.19.1-0.20191105222053-70208cbdc798/go.mod"
	"github.com/bazelbuild/buildtools v0.0.0-20190731111112-f720930ceb60/go.mod"
	"github.com/bazelbuild/buildtools v0.0.0-20190917191645-69366ca98f89/go.mod"
	"github.com/bazelbuild/rules_go v0.0.0-20190719190356-6dae44dc5cab/go.mod"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
	"github.com/beorn7/perks v1.0.0"
	"github.com/beorn7/perks v1.0.0/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/bgentry/go-netrc v0.0.0-20140422174119-9fd32a8b3d3d"
	"github.com/bgentry/go-netrc v0.0.0-20140422174119-9fd32a8b3d3d/go.mod"
	"github.com/bgentry/speakeasy v0.1.0/go.mod"
	"github.com/bifurcation/mint v0.0.0-20180715133206-93c51c6ce115/go.mod"
	"github.com/blang/semver v3.5.0+incompatible"
	"github.com/blang/semver v3.5.0+incompatible/go.mod"
	"github.com/boltdb/bolt v1.3.1"
	"github.com/boltdb/bolt v1.3.1/go.mod"
	"github.com/bradfitz/go-smtpd v0.0.0-20170404230938-deb6d6237625/go.mod"
	"github.com/c4milo/gotoolkit v0.0.0-20170318115440-bcc06269efa9"
	"github.com/c4milo/gotoolkit v0.0.0-20170318115440-bcc06269efa9/go.mod"
	"github.com/caddyserver/caddy v1.0.3/go.mod"
	"github.com/cenkalti/backoff v2.1.1+incompatible/go.mod"
	"github.com/cenkalti/backoff v2.2.1+incompatible"
	"github.com/cenkalti/backoff v2.2.1+incompatible/go.mod"
	"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
	"github.com/cespare/prettybench v0.0.0-20150116022406-03b8cfe5406c/go.mod"
	"github.com/cespare/xxhash v1.1.0/go.mod"
	"github.com/chai2010/gettext-go v0.0.0-20160711120539-c6fed771bfd5"
	"github.com/chai2010/gettext-go v0.0.0-20160711120539-c6fed771bfd5/go.mod"
	"github.com/checkpoint-restore/go-criu v0.0.0-20190109184317-bdb7599cd87b"
	"github.com/checkpoint-restore/go-criu v0.0.0-20190109184317-bdb7599cd87b/go.mod"
	"github.com/cheekybits/genny v0.0.0-20170328200008-9127e812e1e9/go.mod"
	"github.com/cheggaaa/pb v1.0.27"
	"github.com/cheggaaa/pb v1.0.27/go.mod"
	"github.com/cheggaaa/pb/v3 v3.0.1"
	"github.com/cheggaaa/pb/v3 v3.0.1/go.mod"
	"github.com/client9/misspell v0.3.4/go.mod"
	"github.com/cloudfoundry-attic/jibber_jabber v0.0.0-20151120183258-bcc4c8345a21"
	"github.com/cloudfoundry-attic/jibber_jabber v0.0.0-20151120183258-bcc4c8345a21/go.mod"
	"github.com/cloudfoundry/jibber_jabber v0.0.0-20151120183258-bcc4c8345a21"
	"github.com/cloudfoundry/jibber_jabber v0.0.0-20151120183258-bcc4c8345a21/go.mod"
	"github.com/clusterhq/flocker-go v0.0.0-20160920122132-2b8b7259d313/go.mod"
	"github.com/cockroachdb/datadriven v0.0.0-20190809214429-80d97fb3cbaa/go.mod"
	"github.com/codegangsta/negroni v1.0.0/go.mod"
	"github.com/container-storage-interface/spec v1.2.0/go.mod"
	"github.com/containerd/console v0.0.0-20170925154832-84eeaae905fa"
	"github.com/containerd/console v0.0.0-20170925154832-84eeaae905fa/go.mod"
	"github.com/containerd/containerd v1.0.2/go.mod"
	"github.com/containerd/containerd v1.3.0"
	"github.com/containerd/containerd v1.3.0/go.mod"
	"github.com/containerd/containerd v1.3.1-0.20191213020239-082f7e3aed57"
	"github.com/containerd/containerd v1.3.1-0.20191213020239-082f7e3aed57/go.mod"
	"github.com/containerd/typeurl v0.0.0-20190228175220-2a93cfde8c20"
	"github.com/containerd/typeurl v0.0.0-20190228175220-2a93cfde8c20/go.mod"
	"github.com/containernetworking/cni v0.7.1"
	"github.com/containernetworking/cni v0.7.1/go.mod"
	"github.com/coredns/corefile-migration v1.0.4/go.mod"
	"github.com/coreos/bbolt v1.3.2/go.mod"
	"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
	"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
	"github.com/coreos/go-oidc v2.1.0+incompatible/go.mod"
	"github.com/coreos/go-semver v0.2.0/go.mod"
	"github.com/coreos/go-semver v0.3.0/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20181012123002-c6f51f82210d/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e"
	"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
	"github.com/coreos/pkg v0.0.0-20160727233714-3ac0863d7acf/go.mod"
	"github.com/coreos/pkg v0.0.0-20180108230652-97fdf19511ea/go.mod"
	"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f/go.mod"
	"github.com/cpuguy83/go-md2man v1.0.10"
	"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.0"
	"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
	"github.com/creack/pty v1.1.7/go.mod"
	"github.com/cyphar/filepath-securejoin v0.2.2"
	"github.com/cyphar/filepath-securejoin v0.2.2/go.mod"
	"github.com/davecgh/go-spew v0.0.0-20151105211317-5215b55f46b2/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/daviddengcn/go-colortext v0.0.0-20160507010035-511bcaf42ccd"
	"github.com/daviddengcn/go-colortext v0.0.0-20160507010035-511bcaf42ccd/go.mod"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
	"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
	"github.com/dnaeon/go-vcr v1.0.1/go.mod"
	"github.com/docker/cli v0.0.0-20191017083524-a8ff7f821017"
	"github.com/docker/cli v0.0.0-20191017083524-a8ff7f821017/go.mod"
	"github.com/docker/cli v0.0.0-20200303162255-7d407207c304"
	"github.com/docker/cli v0.0.0-20200303162255-7d407207c304/go.mod"
	"github.com/docker/distribution v2.7.1+incompatible"
	"github.com/docker/distribution v2.7.1+incompatible/go.mod"
	"github.com/docker/docker v1.4.2-0.20190924003213-a8608b5b67c7"
	"github.com/docker/docker v1.4.2-0.20190924003213-a8608b5b67c7/go.mod"
	"github.com/docker/docker-credential-helpers v0.6.3"
	"github.com/docker/docker-credential-helpers v0.6.3/go.mod"
	"github.com/docker/go-connections v0.3.0"
	"github.com/docker/go-connections v0.3.0/go.mod"
	"github.com/docker/go-connections v0.4.0"
	"github.com/docker/go-connections v0.4.0/go.mod"
	"github.com/docker/go-units v0.3.3"
	"github.com/docker/go-units v0.3.3/go.mod"
	"github.com/docker/go-units v0.4.0"
	"github.com/docker/go-units v0.4.0/go.mod"
	"github.com/docker/libnetwork v0.8.0-dev.2.0.20190624125649-f0e46a78ea34/go.mod"
	"github.com/docker/spdystream v0.0.0-20160310174837-449fdfce4d96"
	"github.com/docker/spdystream v0.0.0-20160310174837-449fdfce4d96/go.mod"
	"github.com/dustin/go-humanize v0.0.0-20171111073723-bb3d318650d4/go.mod"
	"github.com/dustin/go-humanize v1.0.0"
	"github.com/dustin/go-humanize v1.0.0/go.mod"
	"github.com/elazarl/goproxy v0.0.0-20170405201442-c4fc26588b6e/go.mod"
	"github.com/elazarl/goproxy v0.0.0-20190421051319-9d40249d3c2f"
	"github.com/elazarl/goproxy v0.0.0-20190421051319-9d40249d3c2f/go.mod"
	"github.com/elazarl/goproxy/ext v0.0.0-20190421051319-9d40249d3c2f"
	"github.com/elazarl/goproxy/ext v0.0.0-20190421051319-9d40249d3c2f/go.mod"
	"github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
	"github.com/emicklei/go-restful v2.9.5+incompatible"
	"github.com/emicklei/go-restful v2.9.5+incompatible/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
	"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
	"github.com/euank/go-kmsg-parser v2.0.0+incompatible/go.mod"
	"github.com/evanphx/json-patch v4.2.0+incompatible"
	"github.com/evanphx/json-patch v4.2.0+incompatible/go.mod"
	"github.com/evanphx/json-patch v4.5.0+incompatible"
	"github.com/evanphx/json-patch v4.5.0+incompatible/go.mod"
	"github.com/exponent-io/jsonpath v0.0.0-20151013193312-d6023ce2651d"
	"github.com/exponent-io/jsonpath v0.0.0-20151013193312-d6023ce2651d/go.mod"
	"github.com/fatih/camelcase v1.0.0"
	"github.com/fatih/camelcase v1.0.0/go.mod"
	"github.com/fatih/color v1.6.0/go.mod"
	"github.com/fatih/color v1.7.0"
	"github.com/fatih/color v1.7.0/go.mod"
	"github.com/flynn/go-shlex v0.0.0-20150515145356-3f9db97f8568/go.mod"
	"github.com/fsnotify/fsnotify v1.4.7"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/ghodss/yaml v0.0.0-20150909031657-73d445a93680/go.mod"
	"github.com/ghodss/yaml v1.0.0"
	"github.com/ghodss/yaml v1.0.0/go.mod"
	"github.com/gliderlabs/ssh v0.1.1/go.mod"
	"github.com/globalsign/mgo v0.0.0-20180905125535-1ca0a4f7cbcb/go.mod"
	"github.com/globalsign/mgo v0.0.0-20181015135952-eeefdecb41b8/go.mod"
	"github.com/go-acme/lego v2.5.0+incompatible/go.mod"
	"github.com/go-bindata/go-bindata v3.1.1+incompatible/go.mod"
	"github.com/go-critic/go-critic v0.3.5-0.20190526074819-1df300866540/go.mod"
	"github.com/go-kit/kit v0.8.0/go.mod"
	"github.com/go-lintpack/lintpack v0.5.2/go.mod"
	"github.com/go-logfmt/logfmt v0.3.0/go.mod"
	"github.com/go-logfmt/logfmt v0.4.0/go.mod"
	"github.com/go-logr/logr v0.1.0/go.mod"
	"github.com/go-ole/go-ole v1.2.1/go.mod"
	"github.com/go-ole/go-ole v1.2.4"
	"github.com/go-ole/go-ole v1.2.4/go.mod"
	"github.com/go-openapi/analysis v0.0.0-20180825180245-b006789cd277/go.mod"
	"github.com/go-openapi/analysis v0.17.0/go.mod"
	"github.com/go-openapi/analysis v0.18.0/go.mod"
	"github.com/go-openapi/analysis v0.19.2/go.mod"
	"github.com/go-openapi/analysis v0.19.5/go.mod"
	"github.com/go-openapi/errors v0.17.0/go.mod"
	"github.com/go-openapi/errors v0.18.0/go.mod"
	"github.com/go-openapi/errors v0.19.2/go.mod"
	"github.com/go-openapi/jsonpointer v0.0.0-20160704185906-46af16f9f7b1/go.mod"
	"github.com/go-openapi/jsonpointer v0.17.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.18.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.19.2/go.mod"
	"github.com/go-openapi/jsonpointer v0.19.3"
	"github.com/go-openapi/jsonpointer v0.19.3/go.mod"
	"github.com/go-openapi/jsonreference v0.0.0-20160704190145-13c6e3589ad9/go.mod"
	"github.com/go-openapi/jsonreference v0.17.0/go.mod"
	"github.com/go-openapi/jsonreference v0.18.0/go.mod"
	"github.com/go-openapi/jsonreference v0.19.2/go.mod"
	"github.com/go-openapi/jsonreference v0.19.3"
	"github.com/go-openapi/jsonreference v0.19.3/go.mod"
	"github.com/go-openapi/loads v0.17.0/go.mod"
	"github.com/go-openapi/loads v0.18.0/go.mod"
	"github.com/go-openapi/loads v0.19.0/go.mod"
	"github.com/go-openapi/loads v0.19.2/go.mod"
	"github.com/go-openapi/loads v0.19.4/go.mod"
	"github.com/go-openapi/runtime v0.0.0-20180920151709-4f900dc2ade9/go.mod"
	"github.com/go-openapi/runtime v0.19.0/go.mod"
	"github.com/go-openapi/runtime v0.19.4/go.mod"
	"github.com/go-openapi/spec v0.0.0-20160808142527-6aced65f8501/go.mod"
	"github.com/go-openapi/spec v0.17.0/go.mod"
	"github.com/go-openapi/spec v0.18.0/go.mod"
	"github.com/go-openapi/spec v0.19.2/go.mod"
	"github.com/go-openapi/spec v0.19.3"
	"github.com/go-openapi/spec v0.19.3/go.mod"
	"github.com/go-openapi/strfmt v0.17.0/go.mod"
	"github.com/go-openapi/strfmt v0.18.0/go.mod"
	"github.com/go-openapi/strfmt v0.19.0/go.mod"
	"github.com/go-openapi/strfmt v0.19.3/go.mod"
	"github.com/go-openapi/swag v0.0.0-20160704191624-1d0bd113de87/go.mod"
	"github.com/go-openapi/swag v0.17.0/go.mod"
	"github.com/go-openapi/swag v0.18.0/go.mod"
	"github.com/go-openapi/swag v0.19.2/go.mod"
	"github.com/go-openapi/swag v0.19.5"
	"github.com/go-openapi/swag v0.19.5/go.mod"
	"github.com/go-openapi/validate v0.18.0/go.mod"
	"github.com/go-openapi/validate v0.19.2/go.mod"
	"github.com/go-openapi/validate v0.19.5/go.mod"
	"github.com/go-ozzo/ozzo-validation v3.5.0+incompatible"
	"github.com/go-ozzo/ozzo-validation v3.5.0+incompatible/go.mod"
	"github.com/go-stack/stack v1.8.0/go.mod"
	"github.com/go-toolsmith/astcast v1.0.0/go.mod"
	"github.com/go-toolsmith/astcopy v1.0.0/go.mod"
	"github.com/go-toolsmith/astequal v0.0.0-20180903214952-dcb477bfacd6/go.mod"
	"github.com/go-toolsmith/astequal v1.0.0/go.mod"
	"github.com/go-toolsmith/astfmt v0.0.0-20180903215011-8f8ee99c3086/go.mod"
	"github.com/go-toolsmith/astfmt v1.0.0/go.mod"
	"github.com/go-toolsmith/astinfo v0.0.0-20180906194353-9809ff7efb21/go.mod"
	"github.com/go-toolsmith/astp v0.0.0-20180903215135-0af7e3c24f30/go.mod"
	"github.com/go-toolsmith/astp v1.0.0/go.mod"
	"github.com/go-toolsmith/pkgload v0.0.0-20181119091011-e9e65178eee8/go.mod"
	"github.com/go-toolsmith/pkgload v1.0.0/go.mod"
	"github.com/go-toolsmith/strparse v1.0.0/go.mod"
	"github.com/go-toolsmith/typep v1.0.0/go.mod"
	"github.com/gobwas/glob v0.2.3"
	"github.com/gobwas/glob v0.2.3/go.mod"
	"github.com/godbus/dbus v0.0.0-20181101234600-2ff6f7ffd60f"
	"github.com/godbus/dbus v0.0.0-20181101234600-2ff6f7ffd60f/go.mod"
	"github.com/gogo/protobuf v1.1.1"
	"github.com/gogo/protobuf v1.1.1/go.mod"
	"github.com/gogo/protobuf v1.2.1/go.mod"
	"github.com/gogo/protobuf v1.2.2-0.20190723190241-65acae22fc9d"
	"github.com/gogo/protobuf v1.2.2-0.20190723190241-65acae22fc9d/go.mod"
	"github.com/gogo/protobuf v1.3.1"
	"github.com/gogo/protobuf v1.3.1/go.mod"
	"github.com/golang-collections/collections v0.0.0-20130729185459-604e922904d3"
	"github.com/golang-collections/collections v0.0.0-20130729185459-604e922904d3/go.mod"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
	"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903"
	"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
	"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef"
	"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef/go.mod"
	"github.com/golang/mock v1.0.0/go.mod"
	"github.com/golang/mock v1.1.1/go.mod"
	"github.com/golang/mock v1.2.0"
	"github.com/golang/mock v1.2.0/go.mod"
	"github.com/golang/mock v1.3.1"
	"github.com/golang/mock v1.3.1/go.mod"
	"github.com/golang/protobuf v0.0.0-20161109072736-4bd1920723d7/go.mod"
	"github.com/golang/protobuf v1.2.0"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.3.1/go.mod"
	"github.com/golang/protobuf v1.3.2"
	"github.com/golang/protobuf v1.3.2/go.mod"
	"github.com/golangci/check v0.0.0-20180506172741-cfe4005ccda2/go.mod"
	"github.com/golangci/dupl v0.0.0-20180902072040-3e9179ac440a/go.mod"
	"github.com/golangci/errcheck v0.0.0-20181223084120-ef45e06d44b6/go.mod"
	"github.com/golangci/go-misc v0.0.0-20180628070357-927a3d87b613/go.mod"
	"github.com/golangci/go-tools v0.0.0-20190318055746-e32c54105b7c/go.mod"
	"github.com/golangci/goconst v0.0.0-20180610141641-041c5f2b40f3/go.mod"
	"github.com/golangci/gocyclo v0.0.0-20180528134321-2becd97e67ee/go.mod"
	"github.com/golangci/gofmt v0.0.0-20181222123516-0b8337e80d98/go.mod"
	"github.com/golangci/golangci-lint v1.18.0/go.mod"
	"github.com/golangci/gosec v0.0.0-20190211064107-66fb7fc33547/go.mod"
	"github.com/golangci/ineffassign v0.0.0-20190609212857-42439a7714cc/go.mod"
	"github.com/golangci/lint-1 v0.0.0-20190420132249-ee948d087217/go.mod"
	"github.com/golangci/maligned v0.0.0-20180506175553-b1d89398deca/go.mod"
	"github.com/golangci/misspell v0.0.0-20180809174111-950f5d19e770/go.mod"
	"github.com/golangci/prealloc v0.0.0-20180630174525-215b22d4de21/go.mod"
	"github.com/golangci/revgrep v0.0.0-20180526074752-d9c87f5ffaf0/go.mod"
	"github.com/golangci/unconvert v0.0.0-20180507085042-28b1c447d1f4/go.mod"
	"github.com/golangplus/bytes v0.0.0-20160111154220-45c989fe5450/go.mod"
	"github.com/golangplus/fmt v0.0.0-20150411045040-2a5d6d7d2995/go.mod"
	"github.com/golangplus/testing v0.0.0-20180327235837-af21d9c3145e/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/btree v1.0.0"
	"github.com/google/btree v1.0.0/go.mod"
	"github.com/google/cadvisor v0.35.0/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.3.0"
	"github.com/google/go-cmp v0.3.0/go.mod"
	"github.com/google/go-cmp v0.3.2-0.20191028172631-481baca67f93"
	"github.com/google/go-cmp v0.3.2-0.20191028172631-481baca67f93/go.mod"
	"github.com/google/go-containerregistry v0.0.0-20200131185320-aec8da010de2"
	"github.com/google/go-containerregistry v0.0.0-20200131185320-aec8da010de2/go.mod"
	"github.com/google/go-github v17.0.0+incompatible"
	"github.com/google/go-github v17.0.0+incompatible/go.mod"
	"github.com/google/go-querystring v1.0.0"
	"github.com/google/go-querystring v1.0.0/go.mod"
	"github.com/google/gofuzz v0.0.0-20161122191042-44d81051d367/go.mod"
	"github.com/google/gofuzz v1.0.0"
	"github.com/google/gofuzz v1.0.0/go.mod"
	"github.com/google/martian v2.1.0+incompatible"
	"github.com/google/martian v2.1.0+incompatible/go.mod"
	"github.com/google/martian v2.1.1-0.20190517191504-25dcb96d9e51+incompatible"
	"github.com/google/martian v2.1.1-0.20190517191504-25dcb96d9e51+incompatible/go.mod"
	"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
	"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f"
	"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
	"github.com/google/renameio v0.1.0/go.mod"
	"github.com/google/uuid v1.0.0/go.mod"
	"github.com/google/uuid v1.1.1"
	"github.com/google/uuid v1.1.1/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.5"
	"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
	"github.com/googleapis/gnostic v0.0.0-20170729233727-0c5108395e2d"
	"github.com/googleapis/gnostic v0.0.0-20170729233727-0c5108395e2d/go.mod"
	"github.com/googleapis/gnostic v0.2.2/go.mod"
	"github.com/googleapis/gnostic v0.3.0"
	"github.com/googleapis/gnostic v0.3.0/go.mod"
	"github.com/gophercloud/gophercloud v0.1.0/go.mod"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
	"github.com/gorilla/context v1.1.1/go.mod"
	"github.com/gorilla/mux v1.7.0/go.mod"
	"github.com/gorilla/mux v1.7.3"
	"github.com/gorilla/mux v1.7.3/go.mod"
	"github.com/gorilla/websocket v0.0.0-20170926233335-4201258b820c/go.mod"
	"github.com/gorilla/websocket v1.4.0/go.mod"
	"github.com/gostaticanalysis/analysisutil v0.0.0-20190318220348-4088753ea4d3/go.mod"
	"github.com/gostaticanalysis/analysisutil v0.0.3/go.mod"
	"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7"
	"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7/go.mod"
	"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0/go.mod"
	"github.com/grpc-ecosystem/go-grpc-middleware v1.0.1-0.20190118093823-f849b5445de4/go.mod"
	"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0"
	"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.9.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.9.5"
	"github.com/grpc-ecosystem/grpc-gateway v1.9.5/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.0"
	"github.com/hashicorp/go-cleanhttp v0.5.0/go.mod"
	"github.com/hashicorp/go-retryablehttp v0.5.4"
	"github.com/hashicorp/go-retryablehttp v0.5.4/go.mod"
	"github.com/hashicorp/go-safetemp v1.0.0"
	"github.com/hashicorp/go-safetemp v1.0.0/go.mod"
	"github.com/hashicorp/go-syslog v1.0.0/go.mod"
	"github.com/hashicorp/go-version v1.1.0"
	"github.com/hashicorp/go-version v1.1.0/go.mod"
	"github.com/hashicorp/golang-lru v0.0.0-20180201235237-0fb14efe8c47/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/hashicorp/golang-lru v0.5.1"
	"github.com/hashicorp/golang-lru v0.5.1/go.mod"
	"github.com/hashicorp/golang-lru v0.5.3"
	"github.com/hashicorp/golang-lru v0.5.3/go.mod"
	"github.com/hashicorp/hcl v0.0.0-20180404174102-ef8a98b0bbce/go.mod"
	"github.com/hashicorp/hcl v1.0.0"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/heketi/heketi v9.0.1-0.20190917153846-c2e2a4ab7ab9+incompatible"
	"github.com/heketi/heketi v9.0.1-0.20190917153846-c2e2a4ab7ab9+incompatible/go.mod"
	"github.com/heketi/tests v0.0.0-20151005000721-f3775cbcefd6"
	"github.com/heketi/tests v0.0.0-20151005000721-f3775cbcefd6/go.mod"
	"github.com/hooklift/assert v0.0.0-20170704181755-9d1defd6d214"
	"github.com/hooklift/assert v0.0.0-20170704181755-9d1defd6d214/go.mod"
	"github.com/hooklift/iso9660 v0.0.0-20170318115843-1cf07e5970d8"
	"github.com/hooklift/iso9660 v0.0.0-20170318115843-1cf07e5970d8/go.mod"
	"github.com/hpcloud/tail v1.0.0"
	"github.com/hpcloud/tail v1.0.0/go.mod"
	"github.com/imdario/mergo v0.3.5"
	"github.com/imdario/mergo v0.3.5/go.mod"
	"github.com/imdario/mergo v0.3.8"
	"github.com/imdario/mergo v0.3.8/go.mod"
	"github.com/inconshreveable/mousetrap v1.0.0"
	"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
	"github.com/intel-go/cpuid v0.0.0-20181003105527-1a4a6f06a1c6"
	"github.com/intel-go/cpuid v0.0.0-20181003105527-1a4a6f06a1c6/go.mod"
	"github.com/jellevandenhooff/dkim v0.0.0-20150330215556-f50fe3d243e1/go.mod"
	"github.com/jimstudt/http-authentication v0.0.0-20140401203705-3eca13d6893a/go.mod"
	"github.com/jmespath/go-jmespath v0.0.0-20160202185014-0b12d6b521d8"
	"github.com/jmespath/go-jmespath v0.0.0-20160202185014-0b12d6b521d8/go.mod"
	"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af"
	"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af/go.mod"
	"github.com/joefitzgerald/rainbow-reporter v0.1.0/go.mod"
	"github.com/johanneswuerbach/nfsexports v0.0.0-20200318065542-c48c3734757f"
	"github.com/johanneswuerbach/nfsexports v0.0.0-20200318065542-c48c3734757f/go.mod"
	"github.com/jonboulle/clockwork v0.1.0"
	"github.com/jonboulle/clockwork v0.1.0/go.mod"
	"github.com/json-iterator/go v0.0.0-20180612202835-f2b4162afba3/go.mod"
	"github.com/json-iterator/go v1.1.6"
	"github.com/json-iterator/go v1.1.6/go.mod"
	"github.com/json-iterator/go v1.1.7/go.mod"
	"github.com/json-iterator/go v1.1.8"
	"github.com/json-iterator/go v1.1.8/go.mod"
	"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
	"github.com/jtolds/gls v4.20.0+incompatible"
	"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
	"github.com/juju/clock v0.0.0-20190205081909-9c5c9712527c"
	"github.com/juju/clock v0.0.0-20190205081909-9c5c9712527c/go.mod"
	"github.com/juju/errors v0.0.0-20190806202954-0232dcc7464d"
	"github.com/juju/errors v0.0.0-20190806202954-0232dcc7464d/go.mod"
	"github.com/juju/loggo v0.0.0-20190526231331-6e530bcce5d8"
	"github.com/juju/loggo v0.0.0-20190526231331-6e530bcce5d8/go.mod"
	"github.com/juju/mutex v0.0.0-20180619145857-d21b13acf4bf"
	"github.com/juju/mutex v0.0.0-20180619145857-d21b13acf4bf/go.mod"
	"github.com/juju/retry v0.0.0-20180821225755-9058e192b216"
	"github.com/juju/retry v0.0.0-20180821225755-9058e192b216/go.mod"
	"github.com/juju/testing v0.0.0-20190723135506-ce30eb24acd2"
	"github.com/juju/testing v0.0.0-20190723135506-ce30eb24acd2/go.mod"
	"github.com/juju/utils v0.0.0-20180820210520-bf9cc5bdd62d"
	"github.com/juju/utils v0.0.0-20180820210520-bf9cc5bdd62d/go.mod"
	"github.com/juju/version v0.0.0-20180108022336-b64dbd566305"
	"github.com/juju/version v0.0.0-20180108022336-b64dbd566305/go.mod"
	"github.com/julienschmidt/httprouter v1.2.0/go.mod"
	"github.com/karrick/godirwalk v1.7.5/go.mod"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51/go.mod"
	"github.com/kisielk/errcheck v1.1.0/go.mod"
	"github.com/kisielk/errcheck v1.2.0/go.mod"
	"github.com/kisielk/gotool v0.0.0-20161130080628-0de1eaf82fa3/go.mod"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/klauspost/compress v1.4.0/go.mod"
	"github.com/klauspost/compress v1.4.1/go.mod"
	"github.com/klauspost/cpuid v0.0.0-20180405133222-e7e905edc00e/go.mod"
	"github.com/klauspost/cpuid v1.2.0/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.2"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
	"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
	"github.com/kr/pretty v0.1.0"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pretty v0.2.0"
	"github.com/kr/pretty v0.2.0/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/pty v1.1.3/go.mod"
	"github.com/kr/pty v1.1.5/go.mod"
	"github.com/kr/text v0.1.0"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kylelemons/godebug v0.0.0-20170820004349-d65d576e9348/go.mod"
	"github.com/libopenstorage/openstorage v1.0.0/go.mod"
	"github.com/libvirt/libvirt-go v3.4.0+incompatible"
	"github.com/libvirt/libvirt-go v3.4.0+incompatible/go.mod"
	"github.com/liggitt/tabwriter v0.0.0-20181228230101-89fcab3d43de"
	"github.com/liggitt/tabwriter v0.0.0-20181228230101-89fcab3d43de/go.mod"
	"github.com/lithammer/dedent v1.1.0"
	"github.com/lithammer/dedent v1.1.0/go.mod"
	"github.com/logrusorgru/aurora v0.0.0-20181002194514-a7b3b318ed4e/go.mod"
	"github.com/lpabon/godbc v0.1.1/go.mod"
	"github.com/lucas-clemente/aes12 v0.0.0-20171027163421-cd47fb39b79f/go.mod"
	"github.com/lucas-clemente/quic-clients v0.1.0/go.mod"
	"github.com/lucas-clemente/quic-go v0.10.2/go.mod"
	"github.com/lucas-clemente/quic-go-certificates v0.0.0-20160823095156-d2f86524cced/go.mod"
	"github.com/machine-drivers/docker-machine-driver-vmware v0.1.1"
	"github.com/machine-drivers/docker-machine-driver-vmware v0.1.1/go.mod"
	"github.com/machine-drivers/machine v0.7.1-0.20200323212942-41eb826190d8"
	"github.com/machine-drivers/machine v0.7.1-0.20200323212942-41eb826190d8/go.mod"
	"github.com/magiconair/properties v1.7.6/go.mod"
	"github.com/magiconair/properties v1.8.0"
	"github.com/magiconair/properties v1.8.0/go.mod"
	"github.com/magiconair/properties v1.8.1"
	"github.com/magiconair/properties v1.8.1/go.mod"
	"github.com/mailru/easyjson v0.0.0-20160728113105-d5b7844b561a/go.mod"
	"github.com/mailru/easyjson v0.0.0-20180823135443-60711f1a8329/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190312143242-1de009706dbe/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190614124828-94de47d64c63/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e/go.mod"
	"github.com/mailru/easyjson v0.7.0"
	"github.com/mailru/easyjson v0.7.0/go.mod"
	"github.com/marten-seemann/qtls v0.2.3/go.mod"
	"github.com/mattn/go-colorable v0.0.9/go.mod"
	"github.com/mattn/go-colorable v0.1.2"
	"github.com/mattn/go-colorable v0.1.2/go.mod"
	"github.com/mattn/go-isatty v0.0.3/go.mod"
	"github.com/mattn/go-isatty v0.0.4/go.mod"
	"github.com/mattn/go-isatty v0.0.8"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-isatty v0.0.9"
	"github.com/mattn/go-isatty v0.0.9/go.mod"
	"github.com/mattn/go-isatty v0.0.11"
	"github.com/mattn/go-isatty v0.0.11/go.mod"
	"github.com/mattn/go-runewidth v0.0.2/go.mod"
	"github.com/mattn/go-runewidth v0.0.4"
	"github.com/mattn/go-runewidth v0.0.4/go.mod"
	"github.com/mattn/go-runewidth v0.0.7"
	"github.com/mattn/go-runewidth v0.0.7/go.mod"
	"github.com/mattn/go-shellwords v1.0.5"
	"github.com/mattn/go-shellwords v1.0.5/go.mod"
	"github.com/mattn/goveralls v0.0.2/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
	"github.com/maxbrunsfeld/counterfeiter/v6 v6.2.2"
	"github.com/maxbrunsfeld/counterfeiter/v6 v6.2.2/go.mod"
	"github.com/mesos/mesos-go v0.0.9/go.mod"
	"github.com/mholt/certmagic v0.6.2-0.20190624175158-6a42ef9fe8c2/go.mod"
	"github.com/miekg/dns v1.1.3/go.mod"
	"github.com/miekg/dns v1.1.4"
	"github.com/miekg/dns v1.1.4/go.mod"
	"github.com/mindprince/gonvml v0.0.0-20190828220739-9ebdce4bb989/go.mod"
	"github.com/mistifyio/go-zfs v2.1.1+incompatible/go.mod"
	"github.com/mitchellh/go-homedir v1.0.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-ps v0.0.0-20170309133038-4fdf99ab2936"
	"github.com/mitchellh/go-ps v0.0.0-20170309133038-4fdf99ab2936/go.mod"
	"github.com/mitchellh/go-testing-interface v1.0.0"
	"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
	"github.com/mitchellh/go-wordwrap v1.0.0"
	"github.com/mitchellh/go-wordwrap v1.0.0/go.mod"
	"github.com/mitchellh/mapstructure v0.0.0-20180220230111-00c29f56e238/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/moby/hyperkit v0.0.0-20171020124204-a12cd7250bcd"
	"github.com/moby/hyperkit v0.0.0-20171020124204-a12cd7250bcd/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180320133207-05fbef0ca5da/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
	"github.com/modern-go/reflect2 v1.0.1"
	"github.com/modern-go/reflect2 v1.0.1/go.mod"
	"github.com/mohae/deepcopy v0.0.0-20170603005431-491d3605edfb/go.mod"
	"github.com/morikuni/aec v0.0.0-20170113033406-39771216ff4c"
	"github.com/morikuni/aec v0.0.0-20170113033406-39771216ff4c/go.mod"
	"github.com/morikuni/aec v1.0.0"
	"github.com/morikuni/aec v1.0.0/go.mod"
	"github.com/mozilla/tls-observatory v0.0.0-20180409132520-8791a200eb40/go.mod"
	"github.com/mrunalp/fileutils v0.0.0-20171103030105-7d4729fb3618"
	"github.com/mrunalp/fileutils v0.0.0-20171103030105-7d4729fb3618/go.mod"
	"github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
	"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822/go.mod"
	"github.com/mvdan/xurls v1.1.0/go.mod"
	"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
	"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f"
	"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
	"github.com/naoina/go-stringutil v0.1.0/go.mod"
	"github.com/naoina/toml v0.1.1/go.mod"
	"github.com/nbutton23/zxcvbn-go v0.0.0-20160627004424-a22cb81b2ecd/go.mod"
	"github.com/nbutton23/zxcvbn-go v0.0.0-20171102151520-eafdab6b0663/go.mod"
	"github.com/oklog/ulid v1.3.1/go.mod"
	"github.com/olekukonko/tablewriter v0.0.0-20170122224234-a0225b3f23b5"
	"github.com/olekukonko/tablewriter v0.0.0-20170122224234-a0225b3f23b5/go.mod"
	"github.com/olekukonko/tablewriter v0.0.4"
	"github.com/olekukonko/tablewriter v0.0.4/go.mod"
	"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
	"github.com/onsi/ginkgo v1.6.0/go.mod"
	"github.com/onsi/ginkgo v1.8.0"
	"github.com/onsi/ginkgo v1.8.0/go.mod"
	"github.com/onsi/ginkgo v1.10.1"
	"github.com/onsi/ginkgo v1.10.1/go.mod"
	"github.com/onsi/ginkgo v1.10.3"
	"github.com/onsi/ginkgo v1.10.3/go.mod"
	"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
	"github.com/onsi/gomega v1.4.2/go.mod"
	"github.com/onsi/gomega v1.4.3/go.mod"
	"github.com/onsi/gomega v1.5.0"
	"github.com/onsi/gomega v1.5.0/go.mod"
	"github.com/onsi/gomega v1.7.0"
	"github.com/onsi/gomega v1.7.0/go.mod"
	"github.com/onsi/gomega v1.7.1"
	"github.com/onsi/gomega v1.7.1/go.mod"
	"github.com/opencontainers/go-digest v1.0.0-rc1"
	"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
	"github.com/opencontainers/image-spec v1.0.1"
	"github.com/opencontainers/image-spec v1.0.1/go.mod"
	"github.com/opencontainers/runc v1.0.0-rc9"
	"github.com/opencontainers/runc v1.0.0-rc9/go.mod"
	"github.com/opencontainers/runtime-spec v1.0.0"
	"github.com/opencontainers/runtime-spec v1.0.0/go.mod"
	"github.com/opencontainers/selinux v1.3.1-0.20190929122143-5215b1806f52"
	"github.com/opencontainers/selinux v1.3.1-0.20190929122143-5215b1806f52/go.mod"
	"github.com/otiai10/copy v1.0.2"
	"github.com/otiai10/copy v1.0.2/go.mod"
	"github.com/otiai10/curr v0.0.0-20150429015615-9b4961190c95"
	"github.com/otiai10/curr v0.0.0-20150429015615-9b4961190c95/go.mod"
	"github.com/otiai10/mint v1.3.0"
	"github.com/otiai10/mint v1.3.0/go.mod"
	"github.com/pborman/uuid v1.2.0"
	"github.com/pborman/uuid v1.2.0/go.mod"
	"github.com/pelletier/go-toml v1.1.0/go.mod"
	"github.com/pelletier/go-toml v1.2.0"
	"github.com/pelletier/go-toml v1.2.0/go.mod"
	"github.com/pelletier/go-toml v1.6.0"
	"github.com/pelletier/go-toml v1.6.0/go.mod"
	"github.com/peterbourgon/diskv v2.0.1+incompatible"
	"github.com/peterbourgon/diskv v2.0.1+incompatible/go.mod"
	"github.com/phayes/freeport v0.0.0-20180830031419-95f893ade6f2"
	"github.com/phayes/freeport v0.0.0-20180830031419-95f893ade6f2/go.mod"
	"github.com/pkg/browser v0.0.0-20160118053552-9302be274faa"
	"github.com/pkg/browser v0.0.0-20160118053552-9302be274faa/go.mod"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pkg/errors v0.8.1"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pkg/profile v0.0.0-20161223203901-3a8809bd8a80"
	"github.com/pkg/profile v0.0.0-20161223203901-3a8809bd8a80/go.mod"
	"github.com/pmezard/go-difflib v0.0.0-20151028094244-d8ed2627bdf0/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/pquerna/cachecontrol v0.0.0-20171018203845-0dec1b30a021/go.mod"
	"github.com/pquerna/ffjson v0.0.0-20180717144149-af8b230fcd20/go.mod"
	"github.com/prometheus/client_golang v0.9.1/go.mod"
	"github.com/prometheus/client_golang v0.9.3/go.mod"
	"github.com/prometheus/client_golang v1.0.0"
	"github.com/prometheus/client_golang v1.0.0/go.mod"
	"github.com/prometheus/client_golang v1.1.0"
	"github.com/prometheus/client_golang v1.1.0/go.mod"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90"
	"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4"
	"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
	"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
	"github.com/prometheus/common v0.4.0/go.mod"
	"github.com/prometheus/common v0.4.1"
	"github.com/prometheus/common v0.4.1/go.mod"
	"github.com/prometheus/common v0.6.0"
	"github.com/prometheus/common v0.6.0/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
	"github.com/prometheus/procfs v0.0.0-20190507164030-5867b95ac084/go.mod"
	"github.com/prometheus/procfs v0.0.2"
	"github.com/prometheus/procfs v0.0.2/go.mod"
	"github.com/prometheus/procfs v0.0.3/go.mod"
	"github.com/prometheus/procfs v0.0.5"
	"github.com/prometheus/procfs v0.0.5/go.mod"
	"github.com/prometheus/tsdb v0.7.1/go.mod"
	"github.com/quasilyte/go-consistent v0.0.0-20190521200055-c6f3937de18c/go.mod"
	"github.com/quobyte/api v0.1.2/go.mod"
	"github.com/remyoudompheng/bigfft v0.0.0-20170806203942-52369c62f446/go.mod"
	"github.com/robfig/cron v1.1.0/go.mod"
	"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
	"github.com/rogpeppe/go-charset v0.0.0-20180617210344-2471d30d28b4/go.mod"
	"github.com/rogpeppe/go-internal v1.1.0/go.mod"
	"github.com/rogpeppe/go-internal v1.3.0/go.mod"
	"github.com/rubiojr/go-vhd v0.0.0-20160810183302-0bfd3b39853c/go.mod"
	"github.com/russross/blackfriday v0.0.0-20170610170232-067529f716f4/go.mod"
	"github.com/russross/blackfriday v1.5.2"
	"github.com/russross/blackfriday v1.5.2/go.mod"
	"github.com/russross/blackfriday v1.5.3-0.20200218234912-41c5fccfd6f6"
	"github.com/russross/blackfriday v1.5.3-0.20200218234912-41c5fccfd6f6/go.mod"
	"github.com/russross/blackfriday/v2 v2.0.1"
	"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
	"github.com/ryanuber/go-glob v0.0.0-20170128012129-256dc444b735/go.mod"
	"github.com/satori/go.uuid v1.2.0/go.mod"
	"github.com/sayboras/dockerclient v0.0.0-20191231050035-015626177a97"
	"github.com/sayboras/dockerclient v0.0.0-20191231050035-015626177a97/go.mod"
	"github.com/sclevine/spec v1.2.0/go.mod"
	"github.com/seccomp/libseccomp-golang v0.9.1"
	"github.com/seccomp/libseccomp-golang v0.9.1/go.mod"
	"github.com/sergi/go-diff v1.0.0"
	"github.com/sergi/go-diff v1.0.0/go.mod"
	"github.com/shirou/gopsutil v0.0.0-20180427012116-c95755e4bcd7/go.mod"
	"github.com/shirou/gopsutil v2.18.12+incompatible"
	"github.com/shirou/gopsutil v2.18.12+incompatible/go.mod"
	"github.com/shirou/w32 v0.0.0-20160930032740-bb4de0191aa4"
	"github.com/shirou/w32 v0.0.0-20160930032740-bb4de0191aa4/go.mod"
	"github.com/shurcooL/go v0.0.0-20180423040247-9e1955d9fb6e/go.mod"
	"github.com/shurcooL/go-goon v0.0.0-20170922171312-37c2f522c041/go.mod"
	"github.com/shurcooL/sanitized_anchor_name v1.0.0"
	"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
	"github.com/sirupsen/logrus v1.0.5/go.mod"
	"github.com/sirupsen/logrus v1.0.6/go.mod"
	"github.com/sirupsen/logrus v1.2.0/go.mod"
	"github.com/sirupsen/logrus v1.4.1/go.mod"
	"github.com/sirupsen/logrus v1.4.2"
	"github.com/sirupsen/logrus v1.4.2/go.mod"
	"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d"
	"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
	"github.com/smartystreets/goconvey v0.0.0-20190330032615-68dc04aab96a/go.mod"
	"github.com/smartystreets/goconvey v1.6.4"
	"github.com/smartystreets/goconvey v1.6.4/go.mod"
	"github.com/soheilhy/cmux v0.1.4/go.mod"
	"github.com/sourcegraph/go-diff v0.5.1/go.mod"
	"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
	"github.com/spf13/afero v1.1.0/go.mod"
	"github.com/spf13/afero v1.1.2"
	"github.com/spf13/afero v1.1.2/go.mod"
	"github.com/spf13/afero v1.2.2"
	"github.com/spf13/afero v1.2.2/go.mod"
	"github.com/spf13/cast v1.2.0/go.mod"
	"github.com/spf13/cast v1.3.0"
	"github.com/spf13/cast v1.3.0/go.mod"
	"github.com/spf13/cast v1.3.1"
	"github.com/spf13/cast v1.3.1/go.mod"
	"github.com/spf13/cobra v0.0.2/go.mod"
	"github.com/spf13/cobra v0.0.3/go.mod"
	"github.com/spf13/cobra v0.0.5"
	"github.com/spf13/cobra v0.0.5/go.mod"
	"github.com/spf13/cobra v1.0.0"
	"github.com/spf13/cobra v1.0.0/go.mod"
	"github.com/spf13/jwalterweatherman v0.0.0-20180109140146-7c0cea34c8ec/go.mod"
	"github.com/spf13/jwalterweatherman v1.0.0"
	"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
	"github.com/spf13/jwalterweatherman v1.1.0"
	"github.com/spf13/jwalterweatherman v1.1.0/go.mod"
	"github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
	"github.com/spf13/pflag v1.0.1/go.mod"
	"github.com/spf13/pflag v1.0.3"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/spf13/pflag v1.0.5"
	"github.com/spf13/pflag v1.0.5/go.mod"
	"github.com/spf13/viper v1.0.2/go.mod"
	"github.com/spf13/viper v1.3.2"
	"github.com/spf13/viper v1.3.2/go.mod"
	"github.com/spf13/viper v1.4.0/go.mod"
	"github.com/spf13/viper v1.6.1"
	"github.com/spf13/viper v1.6.1/go.mod"
	"github.com/storageos/go-api v0.0.0-20180912212459-343b3eff91fc/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/objx v0.2.0"
	"github.com/stretchr/objx v0.2.0/go.mod"
	"github.com/stretchr/testify v0.0.0-20151208002404-e3a8ff8ce365/go.mod"
	"github.com/stretchr/testify v1.2.2"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/subosito/gotenv v1.2.0"
	"github.com/subosito/gotenv v1.2.0/go.mod"
	"github.com/syndtr/gocapability v0.0.0-20180916011248-d98352740cb2"
	"github.com/syndtr/gocapability v0.0.0-20180916011248-d98352740cb2/go.mod"
	"github.com/tarm/serial v0.0.0-20180830185346-98f6abe2eb07/go.mod"
	"github.com/thecodeteam/goscaleio v0.1.0/go.mod"
	"github.com/tidwall/pretty v1.0.0/go.mod"
	"github.com/timakin/bodyclose v0.0.0-20190721030226-87058b9bfcec/go.mod"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8/go.mod"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5/go.mod"
	"github.com/ugorji/go v1.1.4/go.mod"
	"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
	"github.com/ulikunitz/xz v0.5.5"
	"github.com/ulikunitz/xz v0.5.5/go.mod"
	"github.com/ultraware/funlen v0.0.1/go.mod"
	"github.com/ultraware/funlen v0.0.2/go.mod"
	"github.com/urfave/cli v1.20.0"
	"github.com/urfave/cli v1.20.0/go.mod"
	"github.com/urfave/negroni v1.0.0/go.mod"
	"github.com/valyala/bytebufferpool v1.0.0/go.mod"
	"github.com/valyala/fasthttp v1.2.0/go.mod"
	"github.com/valyala/quicktemplate v1.1.1/go.mod"
	"github.com/valyala/tcplisten v0.0.0-20161114210144-ceec8f93295a/go.mod"
	"github.com/vdemeester/k8s-pkg-credentialprovider v0.0.0-20200107171650-7c61ffa44238/go.mod"
	"github.com/vektah/gqlparser v1.1.2/go.mod"
	"github.com/vishvananda/netlink v1.0.0"
	"github.com/vishvananda/netlink v1.0.0/go.mod"
	"github.com/vishvananda/netns v0.0.0-20171111001504-be1fbeda1936"
	"github.com/vishvananda/netns v0.0.0-20171111001504-be1fbeda1936/go.mod"
	"github.com/vmware/govmomi v0.20.3/go.mod"
	"github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f"
	"github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f/go.mod"
	"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415"
	"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415/go.mod"
	"github.com/xeipuuv/gojsonschema v0.0.0-20180618132009-1d523034197f"
	"github.com/xeipuuv/gojsonschema v0.0.0-20180618132009-1d523034197f/go.mod"
	"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
	"github.com/xlab/handysort v0.0.0-20150421192137-fb3537ed64a1/go.mod"
	"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
	"github.com/zchee/go-vmnet v0.0.0-20161021174912-97ebf9174097"
	"github.com/zchee/go-vmnet v0.0.0-20161021174912-97ebf9174097/go.mod"
	"go.etcd.io/bbolt v1.3.2/go.mod"
	"go.etcd.io/bbolt v1.3.3"
	"go.etcd.io/bbolt v1.3.3/go.mod"
	"go.etcd.io/etcd v0.0.0-20191023171146-3cf2f69b5738/go.mod"
	"go.mongodb.org/mongo-driver v1.0.3/go.mod"
	"go.mongodb.org/mongo-driver v1.1.1/go.mod"
	"go.mongodb.org/mongo-driver v1.1.2/go.mod"
	"go.opencensus.io v0.21.0/go.mod"
	"go.opencensus.io v0.22.0"
	"go.opencensus.io v0.22.0/go.mod"
	"go.uber.org/atomic v1.3.2/go.mod"
	"go.uber.org/atomic v1.4.0/go.mod"
	"go.uber.org/multierr v1.1.0/go.mod"
	"go.uber.org/zap v1.10.0/go.mod"
	"go4.org v0.0.0-20180809161055-417644f6feb5/go.mod"
	"golang.org/x/build v0.0.0-20190927031335-2835ba2e683f"
	"golang.org/x/build v0.0.0-20190927031335-2835ba2e683f/go.mod"
	"golang.org/x/crypto v0.0.0-20180426230345-b49d69b5da94/go.mod"
	"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
	"golang.org/x/crypto v0.0.0-20190123085648-057139ce5d2b/go.mod"
	"golang.org/x/crypto v0.0.0-20190211182817-74369b46fc67/go.mod"
	"golang.org/x/crypto v0.0.0-20190228161510-8dd112bcdc25/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190313024323-a1f597ede03a/go.mod"
	"golang.org/x/crypto v0.0.0-20190320223903-b7391e95e576/go.mod"
	"golang.org/x/crypto v0.0.0-20190424203555-c05e17bb3b2d/go.mod"
	"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
	"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
	"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8/go.mod"
	"golang.org/x/crypto v0.0.0-20190617133340-57b3e21c3d56/go.mod"
	"golang.org/x/crypto v0.0.0-20190820162420-60c769a6c586"
	"golang.org/x/crypto v0.0.0-20190820162420-60c769a6c586/go.mod"
	"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
	"golang.org/x/crypto v0.0.0-20191206172530-e9b2fee46413"
	"golang.org/x/crypto v0.0.0-20191206172530-e9b2fee46413/go.mod"
	"golang.org/x/crypto v0.0.0-20200302210943-78000ba7a073"
	"golang.org/x/crypto v0.0.0-20200302210943-78000ba7a073/go.mod"
	"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
	"golang.org/x/exp v0.0.0-20190125153040-c74c464bbbf2/go.mod"
	"golang.org/x/exp v0.0.0-20190312203227-4b39c73a6495/go.mod"
	"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
	"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
	"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
	"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
	"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
	"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
	"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
	"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
	"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
	"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
	"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee"
	"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
	"golang.org/x/net v0.0.0-20170114055629-f2499483f923/go.mod"
	"golang.org/x/net v0.0.0-20170915142106-8351a756f30f/go.mod"
	"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
	"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
	"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
	"golang.org/x/net v0.0.0-20180911220305-26e67e76b6c3/go.mod"
	"golang.org/x/net v0.0.0-20181005035420-146acd28ed58/go.mod"
	"golang.org/x/net v0.0.0-20181102091132-c10e9556a7bc/go.mod"
	"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
	"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
	"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
	"golang.org/x/net v0.0.0-20190125091013-d26f9f9a57f3/go.mod"
	"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
	"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
	"golang.org/x/net v0.0.0-20190320064053-1272bf9dcd53/go.mod"
	"golang.org/x/net v0.0.0-20190328230028-74de082e2cca/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
	"golang.org/x/net v0.0.0-20190502183928-7f726cade0ab/go.mod"
	"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
	"golang.org/x/net v0.0.0-20190522155817-f3200d17e092/go.mod"
	"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
	"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190628185345-da137c7871d7/go.mod"
	"golang.org/x/net v0.0.0-20190813141303-74dc4d7220e7/go.mod"
	"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
	"golang.org/x/net v0.0.0-20191004110552-13f9640d40b9"
	"golang.org/x/net v0.0.0-20191004110552-13f9640d40b9/go.mod"
	"golang.org/x/net v0.0.0-20200301022130-244492dfa37a"
	"golang.org/x/net v0.0.0-20200301022130-244492dfa37a/go.mod"
	"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190402181905-9f3314589c9a"
	"golang.org/x/oauth2 v0.0.0-20190402181905-9f3314589c9a/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45"
	"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
	"golang.org/x/perf v0.0.0-20180704124530-6e6d33e29852/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e"
	"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
	"golang.org/x/sys v0.0.0-20170830134202-bb24a47a89ea/go.mod"
	"golang.org/x/sys v0.0.0-20171026204733-164713f0dfce/go.mod"
	"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
	"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
	"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
	"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
	"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
	"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
	"golang.org/x/sys v0.0.0-20190122071731-054c452bb702/go.mod"
	"golang.org/x/sys v0.0.0-20190124100055-b90733256f2e/go.mod"
	"golang.org/x/sys v0.0.0-20190209173611-3b5209105503/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190228124157-a34e9553db1e/go.mod"
	"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
	"golang.org/x/sys v0.0.0-20190321052220-f7bb7a8bee54/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
	"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
	"golang.org/x/sys v0.0.0-20190502175342-a43fa875dd82/go.mod"
	"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
	"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
	"golang.org/x/sys v0.0.0-20190616124812-15dcb6c0061f/go.mod"
	"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
	"golang.org/x/sys v0.0.0-20190626221950-04f50cda93cb/go.mod"
	"golang.org/x/sys v0.0.0-20190801041406-cbf593c0f2f3/go.mod"
	"golang.org/x/sys v0.0.0-20190813064441-fde4db37ae7a/go.mod"
	"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456"
	"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
	"golang.org/x/sys v0.0.0-20190916202348-b4ddaad3f8a3/go.mod"
	"golang.org/x/sys v0.0.0-20191010194322-b09406accb47"
	"golang.org/x/sys v0.0.0-20191010194322-b09406accb47/go.mod"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
	"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9"
	"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9/go.mod"
	"golang.org/x/text v0.0.0-20160726164857-2910a502d2bf/go.mod"
	"golang.org/x/text v0.0.0-20170915090833-1cbadb444a80/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
	"golang.org/x/text v0.3.2"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/time v0.0.0-20180412165947-fbb02b2291d2/go.mod"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
	"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4"
	"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
	"golang.org/x/tools v0.0.0-20170915040203-e531a2a1c15f/go.mod"
	"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
	"golang.org/x/tools v0.0.0-20180525024113-a5b4c53f6e8b/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20181011042414-1f849cf54d09/go.mod"
	"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
	"golang.org/x/tools v0.0.0-20181117154741-2ddaf7f79a09/go.mod"
	"golang.org/x/tools v0.0.0-20190110163146-51295c7ec13a/go.mod"
	"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
	"golang.org/x/tools v0.0.0-20190121143147-24cd39ecf745/go.mod"
	"golang.org/x/tools v0.0.0-20190122202912-9c309ee22fab/go.mod"
	"golang.org/x/tools v0.0.0-20190125232054-d66bd3c5d5a6/go.mod"
	"golang.org/x/tools v0.0.0-20190206041539-40960b6deb8e/go.mod"
	"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
	"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
	"golang.org/x/tools v0.0.0-20190311215038-5c2858a9cfe5/go.mod"
	"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
	"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
	"golang.org/x/tools v0.0.0-20190322203728-c1a832b0ad89/go.mod"
	"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
	"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
	"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
	"golang.org/x/tools v0.0.0-20190521203540-521d6ed310dd/go.mod"
	"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
	"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
	"golang.org/x/tools v0.0.0-20190614205625-5aca471b1d59/go.mod"
	"golang.org/x/tools v0.0.0-20190617190820-da514acc4774/go.mod"
	"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
	"golang.org/x/tools v0.0.0-20190624222133-a101b041ded4/go.mod"
	"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
	"golang.org/x/tools v0.0.0-20190706070813-72ffa07ba3db/go.mod"
	"golang.org/x/tools v0.0.0-20190909030654-5b82db07426d/go.mod"
	"golang.org/x/tools v0.0.0-20190920225731-5eefd052ad72/go.mod"
	"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
	"golang.org/x/tools v0.0.0-20200115165105-de0b1760071a"
	"golang.org/x/tools v0.0.0-20200115165105-de0b1760071a/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
	"gonum.org/v1/gonum v0.0.0-20190331200053-3d26580ed485/go.mod"
	"gonum.org/v1/netlib v0.0.0-20190313105609-8cb42192e0e0/go.mod"
	"gonum.org/v1/netlib v0.0.0-20190331212654-76723241ea4e/go.mod"
	"google.golang.org/api v0.4.0/go.mod"
	"google.golang.org/api v0.6.1-0.20190607001116-5213b8090861/go.mod"
	"google.golang.org/api v0.7.0/go.mod"
	"google.golang.org/api v0.8.0/go.mod"
	"google.golang.org/api v0.9.0"
	"google.golang.org/api v0.9.0/go.mod"
	"google.golang.org/appengine v1.1.0/go.mod"
	"google.golang.org/appengine v1.4.0/go.mod"
	"google.golang.org/appengine v1.5.0"
	"google.golang.org/appengine v1.5.0/go.mod"
	"google.golang.org/appengine v1.6.1"
	"google.golang.org/appengine v1.6.1/go.mod"
	"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
	"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
	"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
	"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
	"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
	"google.golang.org/genproto v0.0.0-20190801165951-fa694d86fc64/go.mod"
	"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55"
	"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
	"google.golang.org/genproto v0.0.0-20200117163144-32f20d992d24"
	"google.golang.org/genproto v0.0.0-20200117163144-32f20d992d24/go.mod"
	"google.golang.org/grpc v1.19.0/go.mod"
	"google.golang.org/grpc v1.20.1/go.mod"
	"google.golang.org/grpc v1.21.0/go.mod"
	"google.golang.org/grpc v1.21.1"
	"google.golang.org/grpc v1.21.1/go.mod"
	"google.golang.org/grpc v1.23.0/go.mod"
	"google.golang.org/grpc v1.23.1"
	"google.golang.org/grpc v1.23.1/go.mod"
	"google.golang.org/grpc v1.24.0"
	"google.golang.org/grpc v1.24.0/go.mod"
	"google.golang.org/grpc v1.26.0"
	"google.golang.org/grpc v1.26.0/go.mod"
	"gopkg.in/airbrake/gobrake.v2 v2.0.9"
	"gopkg.in/airbrake/gobrake.v2 v2.0.9/go.mod"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/cheggaaa/pb.v1 v1.0.25/go.mod"
	"gopkg.in/cheggaaa/pb.v1 v1.0.27"
	"gopkg.in/cheggaaa/pb.v1 v1.0.27/go.mod"
	"gopkg.in/errgo.v2 v2.1.0/go.mod"
	"gopkg.in/fsnotify.v1 v1.4.7"
	"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
	"gopkg.in/gcfg.v1 v1.2.0/go.mod"
	"gopkg.in/gemnasium/logrus-airbrake-hook.v2 v2.1.2"
	"gopkg.in/gemnasium/logrus-airbrake-hook.v2 v2.1.2/go.mod"
	"gopkg.in/inf.v0 v0.9.1"
	"gopkg.in/inf.v0 v0.9.1/go.mod"
	"gopkg.in/ini.v1 v1.51.0/go.mod"
	"gopkg.in/ini.v1 v1.51.1"
	"gopkg.in/ini.v1 v1.51.1/go.mod"
	"gopkg.in/mcuadros/go-syslog.v2 v2.2.1/go.mod"
	"gopkg.in/mgo.v2 v2.0.0-20190816093944-a6b53ec6cb22"
	"gopkg.in/mgo.v2 v2.0.0-20190816093944-a6b53ec6cb22/go.mod"
	"gopkg.in/natefinch/lumberjack.v2 v2.0.0/go.mod"
	"gopkg.in/resty.v1 v1.12.0/go.mod"
	"gopkg.in/square/go-jose.v2 v2.2.2/go.mod"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
	"gopkg.in/warnings.v0 v0.1.1/go.mod"
	"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.2.4"
	"gopkg.in/yaml.v2 v2.2.4/go.mod"
	"gopkg.in/yaml.v2 v2.2.8"
	"gopkg.in/yaml.v2 v2.2.8/go.mod"
	"gotest.tools v2.1.0+incompatible/go.mod"
	"gotest.tools v2.2.0+incompatible"
	"gotest.tools v2.2.0+incompatible/go.mod"
	"gotest.tools/gotestsum v0.3.5/go.mod"
	"gotest.tools/v3 v3.0.2"
	"gotest.tools/v3 v3.0.2/go.mod"
	"grpc.go4.org v0.0.0-20170609214715-11d0a25b4919/go.mod"
	"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
	"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
	"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
	"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
	"honnef.co/go/tools v0.0.1-2019.2.2/go.mod"
	"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
	"k8s.io/api v0.17.3"
	"k8s.io/api v0.17.3/go.mod"
	"k8s.io/apiextensions-apiserver v0.17.3"
	"k8s.io/apiextensions-apiserver v0.17.3/go.mod"
	"k8s.io/apimachinery v0.17.3"
	"k8s.io/apimachinery v0.17.3/go.mod"
	"k8s.io/apiserver v0.17.3"
	"k8s.io/apiserver v0.17.3/go.mod"
	"k8s.io/cli-runtime v0.17.3"
	"k8s.io/cli-runtime v0.17.3/go.mod"
	"k8s.io/client-go v0.17.3"
	"k8s.io/client-go v0.17.3/go.mod"
	"k8s.io/cloud-provider v0.17.3/go.mod"
	"k8s.io/cluster-bootstrap v0.17.3"
	"k8s.io/cluster-bootstrap v0.17.3/go.mod"
	"k8s.io/code-generator v0.17.3/go.mod"
	"k8s.io/component-base v0.17.3"
	"k8s.io/component-base v0.17.3/go.mod"
	"k8s.io/cri-api v0.17.3"
	"k8s.io/cri-api v0.17.3/go.mod"
	"k8s.io/csi-translation-lib v0.17.3/go.mod"
	"k8s.io/gengo v0.0.0-20190128074634-0689ccc1d7d6/go.mod"
	"k8s.io/gengo v0.0.0-20190822140433-26a664648505"
	"k8s.io/gengo v0.0.0-20190822140433-26a664648505/go.mod"
	"k8s.io/heapster v1.2.0-beta.1/go.mod"
	"k8s.io/klog v0.0.0-20181102134211-b9b56d5dfc92/go.mod"
	"k8s.io/klog v0.3.0/go.mod"
	"k8s.io/klog v1.0.0"
	"k8s.io/klog v1.0.0/go.mod"
	"k8s.io/kube-aggregator v0.17.3/go.mod"
	"k8s.io/kube-controller-manager v0.17.3/go.mod"
	"k8s.io/kube-openapi v0.0.0-20191107075043-30be4d16710a"
	"k8s.io/kube-openapi v0.0.0-20191107075043-30be4d16710a/go.mod"
	"k8s.io/kube-proxy v0.17.3"
	"k8s.io/kube-proxy v0.17.3/go.mod"
	"k8s.io/kube-scheduler v0.17.3/go.mod"
	"k8s.io/kubectl v0.17.3"
	"k8s.io/kubectl v0.17.3/go.mod"
	"k8s.io/kubelet v0.17.3"
	"k8s.io/kubelet v0.17.3/go.mod"
	"k8s.io/kubernetes v1.17.3"
	"k8s.io/kubernetes v1.17.3/go.mod"
	"k8s.io/legacy-cloud-providers v0.17.3/go.mod"
	"k8s.io/metrics v0.17.3"
	"k8s.io/metrics v0.17.3/go.mod"
	"k8s.io/repo-infra v0.0.1-alpha.1/go.mod"
	"k8s.io/sample-apiserver v0.17.3/go.mod"
	"k8s.io/system-validators v1.0.4/go.mod"
	"k8s.io/utils v0.0.0-20191114184206-e782cd3c129f"
	"k8s.io/utils v0.0.0-20191114184206-e782cd3c129f/go.mod"
	"k8s.io/utils v0.0.0-20200229041039-0a110f9eb7ab"
	"k8s.io/utils v0.0.0-20200229041039-0a110f9eb7ab/go.mod"
	"modernc.org/cc v1.0.0/go.mod"
	"modernc.org/golex v1.0.0/go.mod"
	"modernc.org/mathutil v1.0.0/go.mod"
	"modernc.org/strutil v1.0.0/go.mod"
	"modernc.org/xc v1.0.0/go.mod"
	"mvdan.cc/interfacer v0.0.0-20180901003855-c20040233aed/go.mod"
	"mvdan.cc/lint v0.0.0-20170908181259-adc824a0674b/go.mod"
	"mvdan.cc/unparam v0.0.0-20190209190245-fbb59629db34/go.mod"
	"rsc.io/binaryregexp v0.2.0/go.mod"
	"sigs.k8s.io/kustomize v2.0.3+incompatible"
	"sigs.k8s.io/kustomize v2.0.3+incompatible/go.mod"
	"sigs.k8s.io/sig-storage-lib-external-provisioner v4.0.0+incompatible"
	"sigs.k8s.io/sig-storage-lib-external-provisioner v4.0.0+incompatible/go.mod"
	"sigs.k8s.io/structured-merge-diff v0.0.0-20190525122527-15d366b2352e/go.mod"
	"sigs.k8s.io/structured-merge-diff v1.0.1-0.20191108220359-b1b620dd3f06/go.mod"
	"sigs.k8s.io/yaml v1.1.0"
	"sigs.k8s.io/yaml v1.1.0/go.mod"
	"sourcegraph.com/sqs/pbtypes v0.0.0-20180604144634-d3ebe8f20ae4/go.mod"
	"vbom.ml/util v0.0.0-20160121211510-db5cfe13f5cc"
	"vbom.ml/util v0.0.0-20160121211510-db5cfe13f5cc/go.mod"
	)
go-module_set_globals
SRC_URI="https://github.com/kubernetes/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="Apache-2.0 BSD BSD-2 CC-BY-4.0 CC-BY-SA-4.0 CC0-1.0 GPL-2 ISC LGPL-3 MIT MPL-2.0 WTFPL-2 ZLIB || ( LGPL-3+ GPL-2 ) || ( Apache-2.0 LGPL-3+ ) || ( Apache-2.0 CC-BY-4.0 )"
SLOT="0"
KEYWORDS="~amd64"
IUSE="hardened libvirt"

COMMON_DEPEND="libvirt? ( app-emulation/libvirt:=[qemu] )"
DEPEND="${COMMON_DEPEND}"
RDEPEND=">=sys-cluster/kubectl-1.17.3
	${COMMON_DEPEND}"
BDEPEND="dev-go/go-bindata"

RESTRICT+=" test"

src_compile() {
	COMMIT=${GIT_COMMIT} \
	COMMIT_NO=${GIT_COMMIT} \
	CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')" \
	LDFLAGS="" \
	emake \
		$(usex libvirt "out/docker-machine-driver-kvm2" "") \
		out/minikube-linux-amd64
}

src_install() {
	newbin out/minikube-linux-amd64 minikube
	use libvirt && dobin out/docker-machine-driver-kvm2
	dodoc -r site CHANGELOG.md README.md
}

pkg_postinst() {
	elog "You may want to install the following optional dependency:"
	elog "  app-emulation/virtualbox or app-emulation/virtualbox-bin"
}
