# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module
EGIT_COMMIT=4741b276e4bbaa41a67d62443239d50b5a936623

DESCRIPTION="Top-like interface for container-metrics"
HOMEPAGE="https://ctop.sh https://github.com/bcicen/ctop"

EGO_SUM=(
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78/go.mod"
	"github.com/BurntSushi/toml v0.3.0"
	"github.com/BurntSushi/toml v0.3.0/go.mod"
	"github.com/Microsoft/go-winio v0.4.12"
	"github.com/Microsoft/go-winio v0.4.12/go.mod"
	"github.com/bcicen/termui v0.0.0-20180326052246-4eb80249d3f5"
	"github.com/bcicen/termui v0.0.0-20180326052246-4eb80249d3f5/go.mod"
	"github.com/c9s/goprocinfo v0.0.0-20170609001544-b34328d6e0cd"
	"github.com/c9s/goprocinfo v0.0.0-20170609001544-b34328d6e0cd/go.mod"
	"github.com/checkpoint-restore/go-criu v0.0.0-20190109184317-bdb7599cd87b"
	"github.com/checkpoint-restore/go-criu v0.0.0-20190109184317-bdb7599cd87b/go.mod"
	"github.com/containerd/console v0.0.0-20181022165439-0650fd9eeb50"
	"github.com/containerd/console v0.0.0-20181022165439-0650fd9eeb50/go.mod"
	"github.com/containerd/continuity v0.0.0-20181203112020-004b46473808"
	"github.com/containerd/continuity v0.0.0-20181203112020-004b46473808/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20151104194251-b4a58d95188d"
	"github.com/coreos/go-systemd v0.0.0-20151104194251-b4a58d95188d/go.mod"
	"github.com/cyphar/filepath-securejoin v0.2.2"
	"github.com/cyphar/filepath-securejoin v0.2.2/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/docker/docker v0.7.3-0.20190309235953-33c3200e0d16"
	"github.com/docker/docker v0.7.3-0.20190309235953-33c3200e0d16/go.mod"
	"github.com/docker/go-connections v0.4.0"
	"github.com/docker/go-connections v0.4.0/go.mod"
	"github.com/docker/go-units v0.4.0"
	"github.com/docker/go-units v0.4.0/go.mod"
	"github.com/fsouza/go-dockerclient v1.4.1"
	"github.com/fsouza/go-dockerclient v1.4.1/go.mod"
	"github.com/godbus/dbus v0.0.0-20151105175453-c7fdd8b5cd55"
	"github.com/godbus/dbus v0.0.0-20151105175453-c7fdd8b5cd55/go.mod"
	"github.com/gogo/protobuf v1.2.1"
	"github.com/gogo/protobuf v1.2.1/go.mod"
	"github.com/golang/protobuf v1.3.0"
	"github.com/golang/protobuf v1.3.0/go.mod"
	"github.com/google/go-cmp v0.3.0"
	"github.com/google/go-cmp v0.3.0/go.mod"
	"github.com/gorilla/mux v1.7.2/go.mod"
	"github.com/ijc/Gotty v0.0.0-20170406111628-a8b993ba6abd"
	"github.com/ijc/Gotty v0.0.0-20170406111628-a8b993ba6abd/go.mod"
	"github.com/jgautheron/codename-generator v0.0.0-20150829203204-16d037c7cc3c"
	"github.com/jgautheron/codename-generator v0.0.0-20150829203204-16d037c7cc3c/go.mod"
	"github.com/kisielk/errcheck v1.1.0/go.mod"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/mattn/go-runewidth v0.0.0-20170201023540-14207d285c6c"
	"github.com/mattn/go-runewidth v0.0.0-20170201023540-14207d285c6c/go.mod"
	"github.com/mitchellh/go-wordwrap v0.0.0-20150314170334-ad45545899c7"
	"github.com/mitchellh/go-wordwrap v0.0.0-20150314170334-ad45545899c7/go.mod"
	"github.com/mrunalp/fileutils v0.0.0-20171103030105-7d4729fb3618"
	"github.com/mrunalp/fileutils v0.0.0-20171103030105-7d4729fb3618/go.mod"
	"github.com/nsf/termbox-go v0.0.0-20180303152453-e2050e41c884"
	"github.com/nsf/termbox-go v0.0.0-20180303152453-e2050e41c884/go.mod"
	"github.com/nu7hatch/gouuid v0.0.0-20131221200532-179d4d0c4d8d"
	"github.com/nu7hatch/gouuid v0.0.0-20131221200532-179d4d0c4d8d/go.mod"
	"github.com/op/go-logging v0.0.0-20160211212156-b2cb9fa56473"
	"github.com/op/go-logging v0.0.0-20160211212156-b2cb9fa56473/go.mod"
	"github.com/opencontainers/go-digest v1.0.0-rc1"
	"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
	"github.com/opencontainers/image-spec v1.0.1"
	"github.com/opencontainers/image-spec v1.0.1/go.mod"
	"github.com/opencontainers/runc v0.1.1"
	"github.com/opencontainers/runc v0.1.1/go.mod"
	"github.com/opencontainers/runc v1.0.0-rc8"
	"github.com/opencontainers/runc v1.0.0-rc8/go.mod"
	"github.com/opencontainers/runtime-spec v1.0.1"
	"github.com/opencontainers/runtime-spec v1.0.1/go.mod"
	"github.com/opencontainers/selinux v1.2.2"
	"github.com/opencontainers/selinux v1.2.2/go.mod"
	"github.com/pkg/errors v0.8.1"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/seccomp/libseccomp-golang v0.0.0-20150813023252-1b506fc7c24e"
	"github.com/seccomp/libseccomp-golang v0.0.0-20150813023252-1b506fc7c24e/go.mod"
	"github.com/sirupsen/logrus v1.3.0"
	"github.com/sirupsen/logrus v1.3.0/go.mod"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/testify v1.2.2"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/syndtr/gocapability v0.0.0-20180916011248-d98352740cb2"
	"github.com/syndtr/gocapability v0.0.0-20180916011248-d98352740cb2/go.mod"
	"github.com/vishvananda/netlink v0.0.0-20150820014904-1e2e08e8a2dc"
	"github.com/vishvananda/netlink v0.0.0-20150820014904-1e2e08e8a2dc/go.mod"
	"github.com/vishvananda/netns v0.0.0-20180720170159-13995c7128cc"
	"github.com/vishvananda/netns v0.0.0-20180720170159-13995c7128cc/go.mod"
	"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190310054646-10058d7d4faa"
	"golang.org/x/sys v0.0.0-20190310054646-10058d7d4faa/go.mod"
	"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
	"google.golang.org/genproto v0.0.0-20180831171423-11092d34479b/go.mod"
	"gotest.tools v2.2.0+incompatible"
	"gotest.tools v2.2.0+incompatible/go.mod"
	)
go-module_set_globals
SRC_URI="https://github.com/bcicen/ctop/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="hardened"

RESTRICT+=" test "

src_compile() {
	export CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')"
		go build -tags release -ldflags "-X main.version=${PV} -X main.build=${EGIT_COMMIT:0:7}" -o ${PN} || die
}

src_install() {
	dobin ${PN}
	dodoc README.md
}
