# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit fcaps go-module systemd

DESCRIPTION="Fast, cross-platform HTTP/2 web server with automatic HTTPS"
HOMEPAGE="https://caddyserver.com"

EGO_SUM=(
"cloud.google.com/go v0.26.0/go.mod"
"cloud.google.com/go v0.31.0/go.mod"
"cloud.google.com/go v0.34.0/go.mod"
"cloud.google.com/go v0.37.0/go.mod"
"cloud.google.com/go v0.38.0/go.mod"
"cloud.google.com/go v0.44.1/go.mod"
"cloud.google.com/go v0.44.2/go.mod"
"cloud.google.com/go v0.45.1/go.mod"
"cloud.google.com/go v0.46.3/go.mod"
"cloud.google.com/go v0.51.0"
"cloud.google.com/go v0.51.0/go.mod"
"cloud.google.com/go/bigquery v1.0.1/go.mod"
"cloud.google.com/go/datastore v1.0.0/go.mod"
"cloud.google.com/go/pubsub v1.0.1/go.mod"
"cloud.google.com/go/storage v1.0.0/go.mod"
"contrib.go.opencensus.io/exporter/stackdriver v0.12.1/go.mod"
"contrib.go.opencensus.io/resource v0.1.1/go.mod"
"dmitri.shuralyov.com/app/changes v0.0.0-20180602232624-0a106ad413e3/go.mod"
"dmitri.shuralyov.com/gpu/mtl v0.0.0-20190408044501-666a987793e9/go.mod"
"dmitri.shuralyov.com/html/belt v0.0.0-20180602232347-f7d459c86be0/go.mod"
"dmitri.shuralyov.com/service/change v0.0.0-20181023043359-a85b471d5412/go.mod"
"dmitri.shuralyov.com/state v0.0.0-20180228185332-28bcc343414c/go.mod"
"git.apache.org/thrift.git v0.0.0-20180902110319-2566ecd5d999/go.mod"
"github.com/AndreasBriese/bbloom v0.0.0-20190306092124-e2d15f34fcf9"
"github.com/AndreasBriese/bbloom v0.0.0-20190306092124-e2d15f34fcf9/go.mod"
"github.com/BurntSushi/toml v0.3.1"
"github.com/BurntSushi/toml v0.3.1/go.mod"
"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
"github.com/DataDog/zstd v1.4.1"
"github.com/DataDog/zstd v1.4.1/go.mod"
"github.com/GeertJohan/go.incremental v1.0.0/go.mod"
"github.com/GeertJohan/go.rice v1.0.0/go.mod"
"github.com/Knetic/govaluate v3.0.1-0.20171022003610-9aa49832a739+incompatible/go.mod"
"github.com/Masterminds/glide v0.13.2/go.mod"
"github.com/Masterminds/goutils v1.1.0"
"github.com/Masterminds/goutils v1.1.0/go.mod"
"github.com/Masterminds/semver v1.4.2"
"github.com/Masterminds/semver v1.4.2/go.mod"
"github.com/Masterminds/semver/v3 v3.1.0"
"github.com/Masterminds/semver/v3 v3.1.0/go.mod"
"github.com/Masterminds/sprig/v3 v3.1.0"
"github.com/Masterminds/sprig/v3 v3.1.0/go.mod"
"github.com/Masterminds/vcs v1.13.0/go.mod"
"github.com/Microsoft/go-winio v0.4.14/go.mod"
"github.com/OneOfOne/xxhash v1.2.2"
"github.com/OneOfOne/xxhash v1.2.2/go.mod"
"github.com/OpenPeeDeeP/depguard v1.0.0/go.mod"
"github.com/OpenPeeDeeP/depguard v1.0.1/go.mod"
"github.com/Shopify/sarama v1.19.0/go.mod"
"github.com/Shopify/toxiproxy v2.1.4+incompatible/go.mod"
"github.com/StackExchange/wmi v0.0.0-20180116203802-5d049714c4a6/go.mod"
"github.com/ThomasRooney/gexpect v0.0.0-20161231170123-5482f0350944/go.mod"
"github.com/VividCortex/gohistogram v1.0.0/go.mod"
"github.com/afex/hystrix-go v0.0.0-20180502004556-fa1af6a1f4f5/go.mod"
"github.com/akavel/rsrc v0.8.0/go.mod"
"github.com/alecthomas/assert v0.0.0-20170929043011-405dbfeb8e38"
"github.com/alecthomas/assert v0.0.0-20170929043011-405dbfeb8e38/go.mod"
"github.com/alecthomas/chroma v0.7.2-0.20200305040604-4f3623dce67a/go.mod"
"github.com/alecthomas/chroma v0.8.2"
"github.com/alecthomas/chroma v0.8.2/go.mod"
"github.com/alecthomas/colour v0.0.0-20160524082231-60882d9e2721"
"github.com/alecthomas/colour v0.0.0-20160524082231-60882d9e2721/go.mod"
"github.com/alecthomas/kong v0.1.17-0.20190424132513-439c674f7ae0/go.mod"
"github.com/alecthomas/kong v0.2.1-0.20190708041108-0548c6b1afae/go.mod"
"github.com/alecthomas/kong v0.2.4/go.mod"
"github.com/alecthomas/kong-hcl v0.1.8-0.20190615233001-b21fea9723c8/go.mod"
"github.com/alecthomas/repr v0.0.0-20180818092828-117648cd9897"
"github.com/alecthomas/repr v0.0.0-20180818092828-117648cd9897/go.mod"
"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
"github.com/alecthomas/units v0.0.0-20190924025748-f65c72e2690d/go.mod"
"github.com/anmitsu/go-shlex v0.0.0-20161002113705-648efa622239/go.mod"
"github.com/antihax/optional v0.0.0-20180407024304-ca021399b1a6/go.mod"
"github.com/antlr/antlr4 v0.0.0-20200503195918-621b933c7a7f"
"github.com/antlr/antlr4 v0.0.0-20200503195918-621b933c7a7f/go.mod"
"github.com/apache/thrift v0.12.0/go.mod"
"github.com/apache/thrift v0.13.0/go.mod"
"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
"github.com/aryann/difflib v0.0.0-20170710044230-e206f873d14a"
"github.com/aryann/difflib v0.0.0-20170710044230-e206f873d14a/go.mod"
"github.com/asaskevich/govalidator v0.0.0-20180720115003-f9ffefc3facf/go.mod"
"github.com/aws/aws-lambda-go v1.13.3/go.mod"
"github.com/aws/aws-sdk-go v1.19.18/go.mod"
"github.com/aws/aws-sdk-go v1.27.0/go.mod"
"github.com/aws/aws-sdk-go v1.30.29"
"github.com/aws/aws-sdk-go v1.30.29/go.mod"
"github.com/aws/aws-sdk-go-v2 v0.18.0/go.mod"
"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
"github.com/beorn7/perks v1.0.0/go.mod"
"github.com/beorn7/perks v1.0.1"
"github.com/beorn7/perks v1.0.1/go.mod"
"github.com/bgentry/speakeasy v0.1.0/go.mod"
"github.com/bombsimon/wsl/v2 v2.0.0/go.mod"
"github.com/boombuler/barcode v1.0.0/go.mod"
"github.com/bradfitz/go-smtpd v0.0.0-20170404230938-deb6d6237625/go.mod"
"github.com/buger/jsonparser v0.0.0-20181115193947-bf1c66bbce23/go.mod"
"github.com/caddyserver/certmagic v0.12.1-0.20201215190346-201f83a06067"
"github.com/caddyserver/certmagic v0.12.1-0.20201215190346-201f83a06067/go.mod"
"github.com/casbin/casbin/v2 v2.1.2/go.mod"
"github.com/cenkalti/backoff v2.2.1+incompatible/go.mod"
"github.com/census-instrumentation/opencensus-proto v0.2.0/go.mod"
"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
"github.com/cespare/xxhash v1.1.0"
"github.com/cespare/xxhash v1.1.0/go.mod"
"github.com/cespare/xxhash/v2 v2.1.1"
"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
"github.com/cheekybits/genny v1.0.0"
"github.com/cheekybits/genny v1.0.0/go.mod"
"github.com/chzyer/logex v1.1.10"
"github.com/chzyer/logex v1.1.10/go.mod"
"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e"
"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1"
"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
"github.com/clbanning/x2j v0.0.0-20191024224557-825249438eec/go.mod"
"github.com/client9/misspell v0.3.4/go.mod"
"github.com/cockroachdb/datadriven v0.0.0-20190809214429-80d97fb3cbaa/go.mod"
"github.com/codahale/hdrhistogram v0.0.0-20161010025455-3a0bb77429bd/go.mod"
"github.com/codegangsta/cli v1.20.0/go.mod"
"github.com/coreos/bbolt v1.3.2/go.mod"
"github.com/coreos/bbolt v1.3.3/go.mod"
"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
"github.com/coreos/etcd v3.3.13+incompatible/go.mod"
"github.com/coreos/etcd v3.3.18+incompatible/go.mod"
"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
"github.com/coreos/go-semver v0.2.0/go.mod"
"github.com/coreos/go-semver v0.3.0/go.mod"
"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7/go.mod"
"github.com/coreos/go-systemd v0.0.0-20181012123002-c6f51f82210d/go.mod"
"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
"github.com/coreos/pkg v0.0.0-20160727233714-3ac0863d7acf/go.mod"
"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f/go.mod"
"github.com/corpix/uarand v0.1.1/go.mod"
"github.com/cpuguy83/go-md2man v1.0.10"
"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0"
"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
"github.com/creack/pty v1.1.7/go.mod"
"github.com/daaku/go.zipexe v1.0.0/go.mod"
"github.com/danwakefield/fnmatch v0.0.0-20160403171240-cbb64ac3d964"
"github.com/danwakefield/fnmatch v0.0.0-20160403171240-cbb64ac3d964/go.mod"
"github.com/davecgh/go-spew v1.1.0/go.mod"
"github.com/davecgh/go-spew v1.1.1"
"github.com/davecgh/go-spew v1.1.1/go.mod"
"github.com/dgraph-io/badger v1.5.3"
"github.com/dgraph-io/badger v1.5.3/go.mod"
"github.com/dgraph-io/badger/v2 v2.0.1-rc1.0.20200413122845-09dd2e1a4195"
"github.com/dgraph-io/badger/v2 v2.0.1-rc1.0.20200413122845-09dd2e1a4195/go.mod"
"github.com/dgraph-io/ristretto v0.0.2-0.20200115201040-8f368f2f2ab3"
"github.com/dgraph-io/ristretto v0.0.2-0.20200115201040-8f368f2f2ab3/go.mod"
"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
"github.com/dgryski/go-farm v0.0.0-20190423205320-6a90982ecee2"
"github.com/dgryski/go-farm v0.0.0-20190423205320-6a90982ecee2/go.mod"
"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
"github.com/dlclark/regexp2 v1.1.6/go.mod"
"github.com/dlclark/regexp2 v1.2.0"
"github.com/dlclark/regexp2 v1.2.0/go.mod"
"github.com/dustin/go-humanize v0.0.0-20171111073723-bb3d318650d4/go.mod"
"github.com/dustin/go-humanize v1.0.0/go.mod"
"github.com/dustin/go-humanize v1.0.1-0.20200219035652-afde56e7acac"
"github.com/dustin/go-humanize v1.0.1-0.20200219035652-afde56e7acac/go.mod"
"github.com/eapache/go-resiliency v1.1.0/go.mod"
"github.com/eapache/go-xerial-snappy v0.0.0-20180814174437-776d5712da21/go.mod"
"github.com/eapache/queue v1.1.0/go.mod"
"github.com/edsrzf/mmap-go v1.0.0/go.mod"
"github.com/envoyproxy/go-control-plane v0.6.9/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
"github.com/fatih/color v1.6.0/go.mod"
"github.com/fatih/color v1.7.0/go.mod"
"github.com/fatih/color v1.8.0/go.mod"
"github.com/flynn/go-shlex v0.0.0-20150515145356-3f9db97f8568/go.mod"
"github.com/francoispqt/gojay v1.2.13/go.mod"
"github.com/franela/goblin v0.0.0-20200105215937-c9ffbefa60db/go.mod"
"github.com/franela/goreq v0.0.0-20171204163338-bcd34c9993f8/go.mod"
"github.com/fsnotify/fsnotify v1.4.7/go.mod"
"github.com/fsnotify/fsnotify v1.4.9"
"github.com/fsnotify/fsnotify v1.4.9/go.mod"
"github.com/ghodss/yaml v1.0.0/go.mod"
"github.com/gliderlabs/ssh v0.1.1/go.mod"
"github.com/go-chi/chi v4.0.2+incompatible/go.mod"
"github.com/go-chi/chi v4.1.2+incompatible"
"github.com/go-chi/chi v4.1.2+incompatible/go.mod"
"github.com/go-critic/go-critic v0.3.5-0.20190526074819-1df300866540/go.mod"
"github.com/go-critic/go-critic v0.4.0/go.mod"
"github.com/go-errors/errors v1.0.1/go.mod"
"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20191125211704-12ad95a8df72/go.mod"
"github.com/go-kit/kit v0.8.0/go.mod"
"github.com/go-kit/kit v0.9.0/go.mod"
"github.com/go-kit/kit v0.10.0/go.mod"
"github.com/go-lintpack/lintpack v0.5.2/go.mod"
"github.com/go-logfmt/logfmt v0.3.0/go.mod"
"github.com/go-logfmt/logfmt v0.4.0/go.mod"
"github.com/go-logfmt/logfmt v0.5.0/go.mod"
"github.com/go-ole/go-ole v1.2.1/go.mod"
"github.com/go-piv/piv-go v1.5.0/go.mod"
"github.com/go-sql-driver/mysql v1.4.0/go.mod"
"github.com/go-sql-driver/mysql v1.4.1/go.mod"
"github.com/go-sql-driver/mysql v1.5.0"
"github.com/go-sql-driver/mysql v1.5.0/go.mod"
"github.com/go-stack/stack v1.8.0/go.mod"
"github.com/go-toolsmith/astcast v1.0.0/go.mod"
"github.com/go-toolsmith/astcopy v1.0.0/go.mod"
"github.com/go-toolsmith/astequal v0.0.0-20180903214952-dcb477bfacd6/go.mod"
"github.com/go-toolsmith/astequal v1.0.0/go.mod"
"github.com/go-toolsmith/astfmt v0.0.0-20180903215011-8f8ee99c3086/go.mod"
"github.com/go-toolsmith/astfmt v1.0.0/go.mod"
"github.com/go-toolsmith/astinfo v0.0.0-20180906194353-9809ff7efb21/go.mod"
"github.com/go-toolsmith/astp v0.0.0-20180903215135-0af7e3c24f30/go.mod"
"github.com/go-toolsmith/astp v1.0.0/go.mod"
"github.com/go-toolsmith/pkgload v0.0.0-20181119091011-e9e65178eee8/go.mod"
"github.com/go-toolsmith/pkgload v1.0.0/go.mod"
"github.com/go-toolsmith/strparse v1.0.0/go.mod"
"github.com/go-toolsmith/typep v1.0.0/go.mod"
"github.com/gobwas/glob v0.2.3/go.mod"
"github.com/gofrs/flock v0.0.0-20190320160742-5135e617513b/go.mod"
"github.com/gogo/googleapis v1.1.0/go.mod"
"github.com/gogo/protobuf v1.1.1/go.mod"
"github.com/gogo/protobuf v1.2.0/go.mod"
"github.com/gogo/protobuf v1.2.1/go.mod"
"github.com/gogo/protobuf v1.3.1/go.mod"
"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b"
"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef/go.mod"
"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
"github.com/golang/groupcache v0.0.0-20191027212112-611e8accdfc9/go.mod"
"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7"
"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7/go.mod"
"github.com/golang/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
"github.com/golang/mock v1.0.0/go.mod"
"github.com/golang/mock v1.1.1/go.mod"
"github.com/golang/mock v1.2.0/go.mod"
"github.com/golang/mock v1.3.1/go.mod"
"github.com/golang/mock v1.4.0/go.mod"
"github.com/golang/mock v1.4.4"
"github.com/golang/mock v1.4.4/go.mod"
"github.com/golang/protobuf v1.2.0/go.mod"
"github.com/golang/protobuf v1.3.1/go.mod"
"github.com/golang/protobuf v1.3.2/go.mod"
"github.com/golang/protobuf v1.3.3/go.mod"
"github.com/golang/protobuf v1.3.4/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
"github.com/golang/protobuf v1.4.0/go.mod"
"github.com/golang/protobuf v1.4.1/go.mod"
"github.com/golang/protobuf v1.4.2/go.mod"
"github.com/golang/protobuf v1.4.3"
"github.com/golang/protobuf v1.4.3/go.mod"
"github.com/golang/snappy v0.0.0-20180518054509-2e65f85255db/go.mod"
"github.com/golang/snappy v0.0.1"
"github.com/golang/snappy v0.0.1/go.mod"
"github.com/golangci/check v0.0.0-20180506172741-cfe4005ccda2/go.mod"
"github.com/golangci/dupl v0.0.0-20180902072040-3e9179ac440a/go.mod"
"github.com/golangci/errcheck v0.0.0-20181223084120-ef45e06d44b6/go.mod"
"github.com/golangci/go-misc v0.0.0-20180628070357-927a3d87b613/go.mod"
"github.com/golangci/go-tools v0.0.0-20190318055746-e32c54105b7c/go.mod"
"github.com/golangci/goconst v0.0.0-20180610141641-041c5f2b40f3/go.mod"
"github.com/golangci/gocyclo v0.0.0-20180528134321-2becd97e67ee/go.mod"
"github.com/golangci/gocyclo v0.0.0-20180528144436-0a533e8fa43d/go.mod"
"github.com/golangci/gofmt v0.0.0-20181222123516-0b8337e80d98/go.mod"
"github.com/golangci/gofmt v0.0.0-20190930125516-244bba706f1a/go.mod"
"github.com/golangci/golangci-lint v1.17.2-0.20190910081718-bad04bb7378f/go.mod"
"github.com/golangci/golangci-lint v1.22.2/go.mod"
"github.com/golangci/gosec v0.0.0-20190211064107-66fb7fc33547/go.mod"
"github.com/golangci/ineffassign v0.0.0-20190609212857-42439a7714cc/go.mod"
"github.com/golangci/lint-1 v0.0.0-20190420132249-ee948d087217/go.mod"
"github.com/golangci/lint-1 v0.0.0-20191013205115-297bf364a8e0/go.mod"
"github.com/golangci/maligned v0.0.0-20180506175553-b1d89398deca/go.mod"
"github.com/golangci/misspell v0.0.0-20180809174111-950f5d19e770/go.mod"
"github.com/golangci/prealloc v0.0.0-20180630174525-215b22d4de21/go.mod"
"github.com/golangci/revgrep v0.0.0-20180526074752-d9c87f5ffaf0/go.mod"
"github.com/golangci/revgrep v0.0.0-20180812185044-276a5c0a1039/go.mod"
"github.com/golangci/unconvert v0.0.0-20180507085042-28b1c447d1f4/go.mod"
"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
"github.com/google/btree v1.0.0/go.mod"
"github.com/google/cel-go v0.6.0"
"github.com/google/cel-go v0.6.0/go.mod"
"github.com/google/cel-spec v0.4.0/go.mod"
"github.com/google/certificate-transparency-go v1.1.0/go.mod"
"github.com/google/go-cmp v0.2.0/go.mod"
"github.com/google/go-cmp v0.3.0/go.mod"
"github.com/google/go-cmp v0.3.1/go.mod"
"github.com/google/go-cmp v0.4.0"
"github.com/google/go-cmp v0.4.0/go.mod"
"github.com/google/go-github v17.0.0+incompatible/go.mod"
"github.com/google/go-querystring v1.0.0/go.mod"
"github.com/google/gofuzz v1.0.0/go.mod"
"github.com/google/martian v2.1.0+incompatible/go.mod"
"github.com/google/monologue v0.0.0-20190606152607-4b11a32b5934/go.mod"
"github.com/google/monologue v0.0.0-20191220140058-35abc9683a6c/go.mod"
"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
"github.com/google/pprof v0.0.0-20191218002539-d4f498aebedc/go.mod"
"github.com/google/renameio v0.1.0/go.mod"
"github.com/google/trillian v1.2.2-0.20190612132142-05461f4df60a/go.mod"
"github.com/google/trillian-examples v0.0.0-20190603134952-4e75ba15216c/go.mod"
"github.com/google/uuid v1.0.0/go.mod"
"github.com/google/uuid v1.1.1"
"github.com/google/uuid v1.1.1/go.mod"
"github.com/googleapis/gax-go v2.0.0+incompatible"
"github.com/googleapis/gax-go v2.0.0+incompatible/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.3/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.5"
"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
"github.com/gorilla/context v1.1.1/go.mod"
"github.com/gorilla/csrf v1.6.0/go.mod"
"github.com/gorilla/handlers v1.4.1/go.mod"
"github.com/gorilla/mux v1.6.2/go.mod"
"github.com/gorilla/mux v1.7.3/go.mod"
"github.com/gorilla/securecookie v1.1.1/go.mod"
"github.com/gorilla/websocket v0.0.0-20170926233335-4201258b820c/go.mod"
"github.com/gorilla/websocket v1.4.0/go.mod"
"github.com/gorilla/websocket v1.4.1/go.mod"
"github.com/gostaticanalysis/analysisutil v0.0.0-20190318220348-4088753ea4d3/go.mod"
"github.com/gostaticanalysis/analysisutil v0.0.3/go.mod"
"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.1-0.20190118093823-f849b5445de4/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.1.0/go.mod"
"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.5.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.5/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.12.1/go.mod"
"github.com/hashicorp/consul/api v1.3.0/go.mod"
"github.com/hashicorp/consul/sdk v0.3.0/go.mod"
"github.com/hashicorp/errwrap v1.0.0/go.mod"
"github.com/hashicorp/go-cleanhttp v0.5.1/go.mod"
"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
"github.com/hashicorp/go-multierror v1.0.0/go.mod"
"github.com/hashicorp/go-rootcerts v1.0.0/go.mod"
"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
"github.com/hashicorp/go-syslog v1.0.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.1/go.mod"
"github.com/hashicorp/go-version v1.2.0/go.mod"
"github.com/hashicorp/go.net v0.0.1/go.mod"
"github.com/hashicorp/golang-lru v0.5.0/go.mod"
"github.com/hashicorp/golang-lru v0.5.1/go.mod"
"github.com/hashicorp/hcl v0.0.0-20180404174102-ef8a98b0bbce/go.mod"
"github.com/hashicorp/hcl v1.0.0/go.mod"
"github.com/hashicorp/logutils v1.0.0/go.mod"
"github.com/hashicorp/mdns v1.0.0/go.mod"
"github.com/hashicorp/memberlist v0.1.3/go.mod"
"github.com/hashicorp/serf v0.8.2/go.mod"
"github.com/hpcloud/tail v1.0.0/go.mod"
"github.com/huandu/xstrings v1.3.1"
"github.com/huandu/xstrings v1.3.1/go.mod"
"github.com/hudl/fargo v1.3.0/go.mod"
"github.com/ianlancetaylor/demangle v0.0.0-20181102032728-5e5cf60278f6/go.mod"
"github.com/icrowley/fake v0.0.0-20180203215853-4178557ae428/go.mod"
"github.com/imdario/mergo v0.3.8"
"github.com/imdario/mergo v0.3.8/go.mod"
"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
"github.com/influxdata/influxdb1-client v0.0.0-20191209144304-8bf82d3c094d/go.mod"
"github.com/jellevandenhooff/dkim v0.0.0-20150330215556-f50fe3d243e1/go.mod"
"github.com/jessevdk/go-flags v1.4.0/go.mod"
"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af/go.mod"
"github.com/jmespath/go-jmespath v0.3.0"
"github.com/jmespath/go-jmespath v0.3.0/go.mod"
"github.com/jonboulle/clockwork v0.1.0/go.mod"
"github.com/jpillora/backoff v1.0.0/go.mod"
"github.com/json-iterator/go v1.1.6/go.mod"
"github.com/json-iterator/go v1.1.7/go.mod"
"github.com/json-iterator/go v1.1.8/go.mod"
"github.com/json-iterator/go v1.1.9/go.mod"
"github.com/json-iterator/go v1.1.10/go.mod"
"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
"github.com/jstemmer/go-junit-report v0.9.1/go.mod"
"github.com/jsternberg/zap-logfmt v1.2.0"
"github.com/jsternberg/zap-logfmt v1.2.0/go.mod"
"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
"github.com/juju/ansiterm v0.0.0-20180109212912-720a0952cc2a"
"github.com/juju/ansiterm v0.0.0-20180109212912-720a0952cc2a/go.mod"
"github.com/juju/ratelimit v1.0.1/go.mod"
"github.com/julienschmidt/httprouter v1.2.0/go.mod"
"github.com/julienschmidt/httprouter v1.3.0/go.mod"
"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51/go.mod"
"github.com/kisielk/errcheck v1.1.0/go.mod"
"github.com/kisielk/errcheck v1.2.0/go.mod"
"github.com/kisielk/gotool v0.0.0-20161130080628-0de1eaf82fa3/go.mod"
"github.com/kisielk/gotool v1.0.0/go.mod"
"github.com/klauspost/compress v1.4.0/go.mod"
"github.com/klauspost/compress v1.4.1/go.mod"
"github.com/klauspost/compress v1.11.3"
"github.com/klauspost/compress v1.11.3/go.mod"
"github.com/klauspost/cpuid v0.0.0-20180405133222-e7e905edc00e/go.mod"
"github.com/klauspost/cpuid v1.2.0/go.mod"
"github.com/klauspost/cpuid v1.2.5"
"github.com/klauspost/cpuid v1.2.5/go.mod"
"github.com/klauspost/cpuid/v2 v2.0.1"
"github.com/klauspost/cpuid/v2 v2.0.1/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.3"
"github.com/konsorten/go-windows-terminal-sequences v1.0.3/go.mod"
"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
"github.com/kr/pretty v0.1.0"
"github.com/kr/pretty v0.1.0/go.mod"
"github.com/kr/pty v1.1.1/go.mod"
"github.com/kr/pty v1.1.3/go.mod"
"github.com/kr/pty v1.1.8/go.mod"
"github.com/kr/text v0.1.0"
"github.com/kr/text v0.1.0/go.mod"
"github.com/kylelemons/godebug v1.1.0"
"github.com/kylelemons/godebug v1.1.0/go.mod"
"github.com/letsencrypt/pkcs11key v2.0.1-0.20170608213348-396559074696+incompatible/go.mod"
"github.com/lib/pq v1.1.1/go.mod"
"github.com/lib/pq v1.2.0/go.mod"
"github.com/libdns/libdns v0.1.0"
"github.com/libdns/libdns v0.1.0/go.mod"
"github.com/lightstep/lightstep-tracer-common/golang/gogo v0.0.0-20190605223551-bc2310a04743/go.mod"
"github.com/lightstep/lightstep-tracer-go v0.18.1/go.mod"
"github.com/logrusorgru/aurora v0.0.0-20181002194514-a7b3b318ed4e/go.mod"
"github.com/lucas-clemente/quic-go v0.19.3"
"github.com/lucas-clemente/quic-go v0.19.3/go.mod"
"github.com/lunixbochs/vtclean v1.0.0"
"github.com/lunixbochs/vtclean v1.0.0/go.mod"
"github.com/lyft/protoc-gen-validate v0.0.13/go.mod"
"github.com/magiconair/properties v1.7.6/go.mod"
"github.com/magiconair/properties v1.8.0/go.mod"
"github.com/magiconair/properties v1.8.1/go.mod"
"github.com/mailru/easyjson v0.0.0-20190312143242-1de009706dbe/go.mod"
"github.com/manifoldco/promptui v0.3.1"
"github.com/manifoldco/promptui v0.3.1/go.mod"
"github.com/marten-seemann/qpack v0.2.1"
"github.com/marten-seemann/qpack v0.2.1/go.mod"
"github.com/marten-seemann/qtls v0.10.0"
"github.com/marten-seemann/qtls v0.10.0/go.mod"
"github.com/marten-seemann/qtls-go1-15 v0.1.1"
"github.com/marten-seemann/qtls-go1-15 v0.1.1/go.mod"
"github.com/matoous/godox v0.0.0-20190911065817-5d6d842e92eb/go.mod"
"github.com/mattn/go-colorable v0.0.9/go.mod"
"github.com/mattn/go-colorable v0.1.4/go.mod"
"github.com/mattn/go-colorable v0.1.6"
"github.com/mattn/go-colorable v0.1.6/go.mod"
"github.com/mattn/go-isatty v0.0.3/go.mod"
"github.com/mattn/go-isatty v0.0.4/go.mod"
"github.com/mattn/go-isatty v0.0.8/go.mod"
"github.com/mattn/go-isatty v0.0.11/go.mod"
"github.com/mattn/go-isatty v0.0.12"
"github.com/mattn/go-isatty v0.0.12/go.mod"
"github.com/mattn/go-runewidth v0.0.2/go.mod"
"github.com/mattn/go-runewidth v0.0.4/go.mod"
"github.com/mattn/go-runewidth v0.0.7/go.mod"
"github.com/mattn/go-sqlite3 v1.10.0/go.mod"
"github.com/mattn/goveralls v0.0.2/go.mod"
"github.com/matttproud/golang_protobuf_extensions v1.0.1"
"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
"github.com/mholt/acmez v0.1.1"
"github.com/mholt/acmez v0.1.1/go.mod"
"github.com/microcosm-cc/bluemonday v1.0.1/go.mod"
"github.com/miekg/dns v1.0.14/go.mod"
"github.com/miekg/dns v1.1.30"
"github.com/miekg/dns v1.1.30/go.mod"
"github.com/miekg/pkcs11 v1.0.2/go.mod"
"github.com/mitchellh/cli v1.0.0/go.mod"
"github.com/mitchellh/copystructure v1.0.0"
"github.com/mitchellh/copystructure v1.0.0/go.mod"
"github.com/mitchellh/go-homedir v1.0.0/go.mod"
"github.com/mitchellh/go-homedir v1.1.0/go.mod"
"github.com/mitchellh/go-ps v0.0.0-20170309133038-4fdf99ab2936/go.mod"
"github.com/mitchellh/go-ps v0.0.0-20190716172923-621e5597135b/go.mod"
"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
"github.com/mitchellh/gox v0.4.0/go.mod"
"github.com/mitchellh/iochan v1.0.0/go.mod"
"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
"github.com/mitchellh/mapstructure v0.0.0-20180220230111-00c29f56e238/go.mod"
"github.com/mitchellh/mapstructure v1.1.2/go.mod"
"github.com/mitchellh/reflectwalk v1.0.0"
"github.com/mitchellh/reflectwalk v1.0.0/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
"github.com/modern-go/reflect2 v1.0.1/go.mod"
"github.com/mohae/deepcopy v0.0.0-20170929034955-c48cc78d4826/go.mod"
"github.com/mozilla/tls-observatory v0.0.0-20180409132520-8791a200eb40/go.mod"
"github.com/mozilla/tls-observatory v0.0.0-20190404164649-a3c1b6cfecfd/go.mod"
"github.com/mreiferson/go-httpclient v0.0.0-20160630210159-31f0106b4474/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20190716064945-2f068394615f/go.mod"
"github.com/naoina/go-stringutil v0.1.0"
"github.com/naoina/go-stringutil v0.1.0/go.mod"
"github.com/naoina/toml v0.1.1"
"github.com/naoina/toml v0.1.1/go.mod"
"github.com/nats-io/jwt v0.3.0/go.mod"
"github.com/nats-io/jwt v0.3.2/go.mod"
"github.com/nats-io/nats-server/v2 v2.1.2/go.mod"
"github.com/nats-io/nats.go v1.9.1/go.mod"
"github.com/nats-io/nkeys v0.1.0/go.mod"
"github.com/nats-io/nkeys v0.1.3/go.mod"
"github.com/nats-io/nuid v1.0.1/go.mod"
"github.com/nbutton23/zxcvbn-go v0.0.0-20160627004424-a22cb81b2ecd/go.mod"
"github.com/nbutton23/zxcvbn-go v0.0.0-20171102151520-eafdab6b0663/go.mod"
"github.com/nbutton23/zxcvbn-go v0.0.0-20180912185939-ae427f1e4c1d/go.mod"
"github.com/neelance/astrewrite v0.0.0-20160511093645-99348263ae86/go.mod"
"github.com/neelance/sourcemap v0.0.0-20151028013722-8c68805598ab/go.mod"
"github.com/newrelic/go-agent v2.15.0+incompatible/go.mod"
"github.com/ngdinhtoan/glide-cleanup v0.2.0/go.mod"
"github.com/nkovacs/streamquote v0.0.0-20170412213628-49af9bddb229/go.mod"
"github.com/nxadm/tail v1.4.4"
"github.com/nxadm/tail v1.4.4/go.mod"
"github.com/oklog/oklog v0.3.2/go.mod"
"github.com/oklog/run v1.0.0/go.mod"
"github.com/oklog/ulid v1.3.1/go.mod"
"github.com/olekukonko/tablewriter v0.0.0-20170122224234-a0225b3f23b5/go.mod"
"github.com/olekukonko/tablewriter v0.0.1/go.mod"
"github.com/olekukonko/tablewriter v0.0.4/go.mod"
"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
"github.com/onsi/ginkgo v1.6.0/go.mod"
"github.com/onsi/ginkgo v1.7.0/go.mod"
"github.com/onsi/ginkgo v1.10.1/go.mod"
"github.com/onsi/ginkgo v1.11.0/go.mod"
"github.com/onsi/ginkgo v1.12.1/go.mod"
"github.com/onsi/ginkgo v1.14.0"
"github.com/onsi/ginkgo v1.14.0/go.mod"
"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
"github.com/onsi/gomega v1.4.2/go.mod"
"github.com/onsi/gomega v1.4.3/go.mod"
"github.com/onsi/gomega v1.7.0/go.mod"
"github.com/onsi/gomega v1.7.1/go.mod"
"github.com/onsi/gomega v1.8.1/go.mod"
"github.com/onsi/gomega v1.10.1"
"github.com/onsi/gomega v1.10.1/go.mod"
"github.com/op/go-logging v0.0.0-20160315200505-970db520ece7/go.mod"
"github.com/opentracing-contrib/go-observer v0.0.0-20170622124052-a52f23424492/go.mod"
"github.com/opentracing/basictracer-go v1.0.0/go.mod"
"github.com/opentracing/opentracing-go v1.0.2/go.mod"
"github.com/opentracing/opentracing-go v1.1.0/go.mod"
"github.com/openzipkin-contrib/zipkin-go-opentracing v0.4.5/go.mod"
"github.com/openzipkin/zipkin-go v0.1.1/go.mod"
"github.com/openzipkin/zipkin-go v0.1.6/go.mod"
"github.com/openzipkin/zipkin-go v0.2.1/go.mod"
"github.com/openzipkin/zipkin-go v0.2.2/go.mod"
"github.com/pact-foundation/pact-go v1.0.4/go.mod"
"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
"github.com/pborman/uuid v1.2.0/go.mod"
"github.com/pelletier/go-toml v1.1.0/go.mod"
"github.com/pelletier/go-toml v1.2.0/go.mod"
"github.com/pelletier/go-toml v1.6.0/go.mod"
"github.com/performancecopilot/speed v3.0.0+incompatible/go.mod"
"github.com/pierrec/lz4 v1.0.2-0.20190131084431-473cd7ce01a1/go.mod"
"github.com/pierrec/lz4 v2.0.5+incompatible/go.mod"
"github.com/pkg/errors v0.8.0/go.mod"
"github.com/pkg/errors v0.8.1/go.mod"
"github.com/pkg/errors v0.9.1"
"github.com/pkg/errors v0.9.1/go.mod"
"github.com/pkg/profile v1.2.1/go.mod"
"github.com/pmezard/go-difflib v1.0.0"
"github.com/pmezard/go-difflib v1.0.0/go.mod"
"github.com/posener/complete v1.1.1/go.mod"
"github.com/pquerna/otp v1.0.0/go.mod"
"github.com/prometheus/client_golang v0.8.0/go.mod"
"github.com/prometheus/client_golang v0.9.1/go.mod"
"github.com/prometheus/client_golang v0.9.3-0.20190127221311-3c4408c8b829/go.mod"
"github.com/prometheus/client_golang v0.9.3/go.mod"
"github.com/prometheus/client_golang v0.9.4/go.mod"
"github.com/prometheus/client_golang v1.0.0/go.mod"
"github.com/prometheus/client_golang v1.3.0/go.mod"
"github.com/prometheus/client_golang v1.7.1/go.mod"
"github.com/prometheus/client_golang v1.9.0"
"github.com/prometheus/client_golang v1.9.0/go.mod"
"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
"github.com/prometheus/client_model v0.0.0-20190115171406-56726106282f/go.mod"
"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
"github.com/prometheus/client_model v0.1.0/go.mod"
"github.com/prometheus/client_model v0.2.0"
"github.com/prometheus/client_model v0.2.0/go.mod"
"github.com/prometheus/common v0.0.0-20180801064454-c7de2306084e/go.mod"
"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
"github.com/prometheus/common v0.2.0/go.mod"
"github.com/prometheus/common v0.4.0/go.mod"
"github.com/prometheus/common v0.4.1/go.mod"
"github.com/prometheus/common v0.7.0/go.mod"
"github.com/prometheus/common v0.10.0/go.mod"
"github.com/prometheus/common v0.15.0"
"github.com/prometheus/common v0.15.0/go.mod"
"github.com/prometheus/procfs v0.0.0-20180725123919-05ee40e3a273/go.mod"
"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
"github.com/prometheus/procfs v0.0.0-20190117184657-bf6a532e95b1/go.mod"
"github.com/prometheus/procfs v0.0.0-20190507164030-5867b95ac084/go.mod"
"github.com/prometheus/procfs v0.0.2/go.mod"
"github.com/prometheus/procfs v0.0.8/go.mod"
"github.com/prometheus/procfs v0.1.3/go.mod"
"github.com/prometheus/procfs v0.2.0"
"github.com/prometheus/procfs v0.2.0/go.mod"
"github.com/prometheus/tsdb v0.7.1/go.mod"
"github.com/quasilyte/go-consistent v0.0.0-20190521200055-c6f3937de18c/go.mod"
"github.com/rcrowley/go-metrics v0.0.0-20181016184325-3113b8401b8a/go.mod"
"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
"github.com/rogpeppe/fastuuid v1.2.0/go.mod"
"github.com/rogpeppe/go-internal v1.1.0/go.mod"
"github.com/rogpeppe/go-internal v1.3.0/go.mod"
"github.com/rogpeppe/go-internal v1.3.2/go.mod"
"github.com/rs/cors v1.6.0/go.mod"
"github.com/rs/xid v1.2.1"
"github.com/rs/xid v1.2.1/go.mod"
"github.com/russross/blackfriday v1.5.2"
"github.com/russross/blackfriday v1.5.2/go.mod"
"github.com/russross/blackfriday/v2 v2.0.1"
"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
"github.com/ryanuber/go-glob v0.0.0-20170128012129-256dc444b735/go.mod"
"github.com/samfoo/ansi v0.0.0-20160124022901-b6bd2ded7189"
"github.com/samfoo/ansi v0.0.0-20160124022901-b6bd2ded7189/go.mod"
"github.com/samuel/go-zookeeper v0.0.0-20190923202752-2cc03de413da/go.mod"
"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
"github.com/securego/gosec v0.0.0-20191002120514-e680875ea14d/go.mod"
"github.com/securego/gosec v0.0.0-20200106085552-9cb83e10afad/go.mod"
"github.com/sergi/go-diff v1.0.0"
"github.com/sergi/go-diff v1.0.0/go.mod"
"github.com/shirou/gopsutil v0.0.0-20180427012116-c95755e4bcd7/go.mod"
"github.com/shirou/gopsutil v0.0.0-20190901111213-e4ec7b275ada/go.mod"
"github.com/shirou/w32 v0.0.0-20160930032740-bb4de0191aa4/go.mod"
"github.com/shurcooL/component v0.0.0-20170202220835-f88ec8f54cc4/go.mod"
"github.com/shurcooL/events v0.0.0-20181021180414-410e4ca65f48/go.mod"
"github.com/shurcooL/github_flavored_markdown v0.0.0-20181002035957-2122de532470/go.mod"
"github.com/shurcooL/go v0.0.0-20180423040247-9e1955d9fb6e/go.mod"
"github.com/shurcooL/go-goon v0.0.0-20170922171312-37c2f522c041/go.mod"
"github.com/shurcooL/gofontwoff v0.0.0-20180329035133-29b52fc0a18d/go.mod"
"github.com/shurcooL/gopherjslib v0.0.0-20160914041154-feb6d3990c2c/go.mod"
"github.com/shurcooL/highlight_diff v0.0.0-20170515013008-09bb4053de1b/go.mod"
"github.com/shurcooL/highlight_go v0.0.0-20181028180052-98c3abbbae20/go.mod"
"github.com/shurcooL/home v0.0.0-20181020052607-80b7ffcb30f9/go.mod"
"github.com/shurcooL/htmlg v0.0.0-20170918183704-d01228ac9e50/go.mod"
"github.com/shurcooL/httperror v0.0.0-20170206035902-86b7830d14cc/go.mod"
"github.com/shurcooL/httpfs v0.0.0-20171119174359-809beceb2371/go.mod"
"github.com/shurcooL/httpgzip v0.0.0-20180522190206-b1c53ac65af9/go.mod"
"github.com/shurcooL/issues v0.0.0-20181008053335-6292fdc1e191/go.mod"
"github.com/shurcooL/issuesapp v0.0.0-20180602232740-048589ce2241/go.mod"
"github.com/shurcooL/notifications v0.0.0-20181007000457-627ab5aea122/go.mod"
"github.com/shurcooL/octicon v0.0.0-20181028054416-fa4f57f9efb2/go.mod"
"github.com/shurcooL/reactions v0.0.0-20181006231557-f2e0b4ca5b82/go.mod"
"github.com/shurcooL/sanitized_anchor_name v0.0.0-20170918181015-86672fcb3f95/go.mod"
"github.com/shurcooL/sanitized_anchor_name v1.0.0"
"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
"github.com/shurcooL/users v0.0.0-20180125191416-49c67e49c537/go.mod"
"github.com/shurcooL/webdavfs v0.0.0-20170829043945-18c3829fa133/go.mod"
"github.com/sirupsen/logrus v1.0.5/go.mod"
"github.com/sirupsen/logrus v1.2.0/go.mod"
"github.com/sirupsen/logrus v1.3.0/go.mod"
"github.com/sirupsen/logrus v1.4.1/go.mod"
"github.com/sirupsen/logrus v1.4.2/go.mod"
"github.com/sirupsen/logrus v1.6.0"
"github.com/sirupsen/logrus v1.6.0/go.mod"
"github.com/smallstep/assert v0.0.0-20180720014142-de77670473b5/go.mod"
"github.com/smallstep/assert v0.0.0-20200103212524-b99dc1097b15/go.mod"
"github.com/smallstep/assert v0.0.0-20200723003110-82e2b9b3b262"
"github.com/smallstep/assert v0.0.0-20200723003110-82e2b9b3b262/go.mod"
"github.com/smallstep/certificates v0.15.0/go.mod"
"github.com/smallstep/certificates v0.15.1/go.mod"
"github.com/smallstep/certificates v0.15.4"
"github.com/smallstep/certificates v0.15.4/go.mod"
"github.com/smallstep/certinfo v1.3.0/go.mod"
"github.com/smallstep/cli v0.15.0/go.mod"
"github.com/smallstep/cli v0.15.2"
"github.com/smallstep/cli v0.15.2/go.mod"
"github.com/smallstep/nosql v0.3.0"
"github.com/smallstep/nosql v0.3.0/go.mod"
"github.com/smallstep/truststore v0.9.6"
"github.com/smallstep/truststore v0.9.6/go.mod"
"github.com/smallstep/zcrypto v0.0.0-20200203191936-fbc32cf76bce/go.mod"
"github.com/smallstep/zlint v0.0.0-20180727184541-d84eaafe274f/go.mod"
"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
"github.com/smartystreets/goconvey v1.6.4/go.mod"
"github.com/soheilhy/cmux v0.1.4/go.mod"
"github.com/sony/gobreaker v0.4.1/go.mod"
"github.com/sourcegraph/annotate v0.0.0-20160123013949-f4cad6c6324d/go.mod"
"github.com/sourcegraph/go-diff v0.5.1/go.mod"
"github.com/sourcegraph/syntaxhighlight v0.0.0-20170531221838-bd320f5d308e/go.mod"
"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
"github.com/spaolacci/murmur3 v1.1.0"
"github.com/spaolacci/murmur3 v1.1.0/go.mod"
"github.com/spf13/afero v1.1.0/go.mod"
"github.com/spf13/afero v1.1.2/go.mod"
"github.com/spf13/afero v1.2.2/go.mod"
"github.com/spf13/cast v1.2.0/go.mod"
"github.com/spf13/cast v1.3.0/go.mod"
"github.com/spf13/cast v1.3.1"
"github.com/spf13/cast v1.3.1/go.mod"
"github.com/spf13/cobra v0.0.2/go.mod"
"github.com/spf13/cobra v0.0.3/go.mod"
"github.com/spf13/cobra v0.0.5/go.mod"
"github.com/spf13/jwalterweatherman v0.0.0-20180109140146-7c0cea34c8ec/go.mod"
"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
"github.com/spf13/jwalterweatherman v1.1.0/go.mod"
"github.com/spf13/pflag v1.0.1/go.mod"
"github.com/spf13/pflag v1.0.3/go.mod"
"github.com/spf13/pflag v1.0.5/go.mod"
"github.com/spf13/viper v1.0.2/go.mod"
"github.com/spf13/viper v1.3.2/go.mod"
"github.com/spf13/viper v1.6.1/go.mod"
"github.com/streadway/amqp v0.0.0-20190404075320-75d898a42a94/go.mod"
"github.com/streadway/amqp v0.0.0-20190827072141-edfb9018d271/go.mod"
"github.com/streadway/handy v0.0.0-20190108123426-d5acb3125c2a/go.mod"
"github.com/stretchr/objx v0.1.0/go.mod"
"github.com/stretchr/objx v0.1.1/go.mod"
"github.com/stretchr/objx v0.2.0/go.mod"
"github.com/stretchr/testify v1.2.2/go.mod"
"github.com/stretchr/testify v1.3.0/go.mod"
"github.com/stretchr/testify v1.4.0/go.mod"
"github.com/stretchr/testify v1.5.1"
"github.com/stretchr/testify v1.5.1/go.mod"
"github.com/subosito/gotenv v1.2.0/go.mod"
"github.com/tarm/serial v0.0.0-20180830185346-98f6abe2eb07/go.mod"
"github.com/timakin/bodyclose v0.0.0-20190721030226-87058b9bfcec/go.mod"
"github.com/timakin/bodyclose v0.0.0-20190930140734-f7f2e9bca95e/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5/go.mod"
"github.com/tomasen/realip v0.0.0-20180522021738-f0c99a92ddce/go.mod"
"github.com/tommy-muehle/go-mnd v1.1.1/go.mod"
"github.com/ugorji/go v1.1.4/go.mod"
"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
"github.com/ultraware/funlen v0.0.1/go.mod"
"github.com/ultraware/funlen v0.0.2/go.mod"
"github.com/ultraware/whitespace v0.0.4/go.mod"
"github.com/urfave/cli v1.20.0/go.mod"
"github.com/urfave/cli v1.22.1/go.mod"
"github.com/urfave/cli v1.22.2"
"github.com/urfave/cli v1.22.2/go.mod"
"github.com/uudashr/gocognit v1.0.1/go.mod"
"github.com/valyala/bytebufferpool v1.0.0/go.mod"
"github.com/valyala/fasthttp v1.2.0/go.mod"
"github.com/valyala/fasttemplate v1.0.1/go.mod"
"github.com/valyala/quicktemplate v1.1.1/go.mod"
"github.com/valyala/quicktemplate v1.2.0/go.mod"
"github.com/valyala/tcplisten v0.0.0-20161114210144-ceec8f93295a/go.mod"
"github.com/viant/assertly v0.4.8/go.mod"
"github.com/viant/toolbox v0.24.0/go.mod"
"github.com/weppos/publicsuffix-go v0.4.0/go.mod"
"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
"github.com/yuin/goldmark v1.1.22/go.mod"
"github.com/yuin/goldmark v1.2.1"
"github.com/yuin/goldmark v1.2.1/go.mod"
"github.com/yuin/goldmark-highlighting v0.0.0-20200307114337-60d527fdb691"
"github.com/yuin/goldmark-highlighting v0.0.0-20200307114337-60d527fdb691/go.mod"
"github.com/zmap/rc2 v0.0.0-20131011165748-24b9757f5521/go.mod"
"github.com/zmap/rc2 v0.0.0-20190804163417-abaa70531248/go.mod"
"github.com/zmap/zcertificate v0.0.0-20180516150559-0e3d58b1bac4/go.mod"
"github.com/zmap/zcertificate v0.0.0-20190521191901-30e388164f71/go.mod"
"github.com/zmap/zcrypto v0.0.0-20190329181646-dff83107394d/go.mod"
"github.com/zmap/zlint v0.0.0-20190516161541-9047d02cf65a/go.mod"
"go.etcd.io/bbolt v1.3.2/go.mod"
"go.etcd.io/bbolt v1.3.3"
"go.etcd.io/bbolt v1.3.3/go.mod"
"go.etcd.io/etcd v0.0.0-20191023171146-3cf2f69b5738/go.mod"
"go.etcd.io/etcd v3.3.13+incompatible/go.mod"
"go.etcd.io/etcd v3.3.18+incompatible/go.mod"
"go.opencensus.io v0.18.0/go.mod"
"go.opencensus.io v0.20.1/go.mod"
"go.opencensus.io v0.20.2/go.mod"
"go.opencensus.io v0.21.0/go.mod"
"go.opencensus.io v0.22.0/go.mod"
"go.opencensus.io v0.22.2"
"go.opencensus.io v0.22.2/go.mod"
"go.step.sm/crypto v0.0.0-20200805202904-ec18b6df3cf0/go.mod"
"go.step.sm/crypto v0.1.1/go.mod"
"go.step.sm/crypto v0.2.0/go.mod"
"go.step.sm/crypto v0.6.0"
"go.step.sm/crypto v0.6.0/go.mod"
"go.uber.org/atomic v1.3.2/go.mod"
"go.uber.org/atomic v1.4.0/go.mod"
"go.uber.org/atomic v1.5.0/go.mod"
"go.uber.org/atomic v1.5.1/go.mod"
"go.uber.org/atomic v1.6.0"
"go.uber.org/atomic v1.6.0/go.mod"
"go.uber.org/multierr v1.1.0/go.mod"
"go.uber.org/multierr v1.3.0/go.mod"
"go.uber.org/multierr v1.4.0/go.mod"
"go.uber.org/multierr v1.5.0"
"go.uber.org/multierr v1.5.0/go.mod"
"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee"
"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee/go.mod"
"go.uber.org/zap v1.9.1/go.mod"
"go.uber.org/zap v1.10.0/go.mod"
"go.uber.org/zap v1.13.0/go.mod"
"go.uber.org/zap v1.15.0/go.mod"
"go.uber.org/zap v1.16.0"
"go.uber.org/zap v1.16.0/go.mod"
"go4.org v0.0.0-20180809161055-417644f6feb5/go.mod"
"golang.org/x/build v0.0.0-20190111050920-041ab4dc3f9d/go.mod"
"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
"golang.org/x/crypto v0.0.0-20181030102418-4d3f4d9ffa16/go.mod"
"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
"golang.org/x/crypto v0.0.0-20190313024323-a1f597ede03a/go.mod"
"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
"golang.org/x/crypto v0.0.0-20190701094942-4def268fd1a4/go.mod"
"golang.org/x/crypto v0.0.0-20190923035154-9ee001bba392/go.mod"
"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
"golang.org/x/crypto v0.0.0-20191227163750-53104e6ec876/go.mod"
"golang.org/x/crypto v0.0.0-20200221231518-2aa609cf4a9d/go.mod"
"golang.org/x/crypto v0.0.0-20200414173820-0848c9571904/go.mod"
"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
"golang.org/x/crypto v0.0.0-20200709230013-948cd5f35899/go.mod"
"golang.org/x/crypto v0.0.0-20200728195943-123391ffb6de"
"golang.org/x/crypto v0.0.0-20200728195943-123391ffb6de/go.mod"
"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
"golang.org/x/exp v0.0.0-20190306152737-a1d7652674e8/go.mod"
"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
"golang.org/x/exp v0.0.0-20190829153037-c13cbed26979/go.mod"
"golang.org/x/exp v0.0.0-20191227195350-da58074b4299/go.mod"
"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
"golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
"golang.org/x/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
"golang.org/x/lint v0.0.0-20190909230951-414d861bb4ac/go.mod"
"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f"
"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
"golang.org/x/mobile v0.0.0-20190719004257-d2bd2a29d028/go.mod"
"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
"golang.org/x/mod v0.1.0/go.mod"
"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
"golang.org/x/net v0.0.0-20170915142106-8351a756f30f/go.mod"
"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
"golang.org/x/net v0.0.0-20180911220305-26e67e76b6c3/go.mod"
"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
"golang.org/x/net v0.0.0-20181029044818-c44066c5c816/go.mod"
"golang.org/x/net v0.0.0-20181106065722-10aee1819953/go.mod"
"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
"golang.org/x/net v0.0.0-20190125091013-d26f9f9a57f3/go.mod"
"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
"golang.org/x/net v0.0.0-20190301231341-16b79f2e4e95/go.mod"
"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
"golang.org/x/net v0.0.0-20190313220215-9f648a60d977/go.mod"
"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
"golang.org/x/net v0.0.0-20190522155817-f3200d17e092/go.mod"
"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
"golang.org/x/net v0.0.0-20190813141303-74dc4d7220e7/go.mod"
"golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
"golang.org/x/net v0.0.0-20191002035440-2ec189313ef0/go.mod"
"golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
"golang.org/x/net v0.0.0-20200301022130-244492dfa37a/go.mod"
"golang.org/x/net v0.0.0-20200520004742-59133d7f0dd7/go.mod"
"golang.org/x/net v0.0.0-20200625001655-4c5254603344/go.mod"
"golang.org/x/net v0.0.0-20200707034311-ab3426394381/go.mod"
"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b"
"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
"golang.org/x/oauth2 v0.0.0-20181017192945-9dcd33a902f4/go.mod"
"golang.org/x/oauth2 v0.0.0-20181203162652-d668ce993890/go.mod"
"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
"golang.org/x/oauth2 v0.0.0-20190402181905-9f3314589c9a/go.mod"
"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6"
"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6/go.mod"
"golang.org/x/perf v0.0.0-20180704124530-6e6d33e29852/go.mod"
"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e"
"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
"golang.org/x/sys v0.0.0-20171026204733-164713f0dfce/go.mod"
"golang.org/x/sys v0.0.0-20180202135801-37707fdb30a5/go.mod"
"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
"golang.org/x/sys v0.0.0-20181029174526-d69651ed3497/go.mod"
"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
"golang.org/x/sys v0.0.0-20181122145206-62eef0e2fa9b/go.mod"
"golang.org/x/sys v0.0.0-20181128092732-4ed8d59d0b35/go.mod"
"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
"golang.org/x/sys v0.0.0-20190316082340-a2f829d7f35f/go.mod"
"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
"golang.org/x/sys v0.0.0-20190626221950-04f50cda93cb/go.mod"
"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
"golang.org/x/sys v0.0.0-20190904154756-749cb33beabd/go.mod"
"golang.org/x/sys v0.0.0-20190922100055-0a153f010e69/go.mod"
"golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
"golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
"golang.org/x/sys v0.0.0-20191120155948-bd437916bb0e/go.mod"
"golang.org/x/sys v0.0.0-20191204072324-ce4227a45e2e/go.mod"
"golang.org/x/sys v0.0.0-20191220142924-d4481acd189f/go.mod"
"golang.org/x/sys v0.0.0-20191228213918-04cbcbbfeed8/go.mod"
"golang.org/x/sys v0.0.0-20200106162015-b016eb3dc98e/go.mod"
"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
"golang.org/x/sys v0.0.0-20200302150141-5c8b2ff67527/go.mod"
"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
"golang.org/x/sys v0.0.0-20200413165638-669c56c373c4/go.mod"
"golang.org/x/sys v0.0.0-20200519105757-fe76b779f299/go.mod"
"golang.org/x/sys v0.0.0-20200615200032-f1bc736245b1/go.mod"
"golang.org/x/sys v0.0.0-20200625212154-ddb9806d33ae/go.mod"
"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
"golang.org/x/sys v0.0.0-20201214210602-f9fddec55a1e"
"golang.org/x/sys v0.0.0-20201214210602-f9fddec55a1e/go.mod"
"golang.org/x/text v0.0.0-20170915032832-14c0d48ead0c/go.mod"
"golang.org/x/text v0.0.0-20170915090833-1cbadb444a80/go.mod"
"golang.org/x/text v0.3.0/go.mod"
"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
"golang.org/x/text v0.3.2/go.mod"
"golang.org/x/text v0.3.3"
"golang.org/x/text v0.3.3/go.mod"
"golang.org/x/time v0.0.0-20180412165947-fbb02b2291d2/go.mod"
"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
"golang.org/x/tools v0.0.0-20170915040203-e531a2a1c15f/go.mod"
"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
"golang.org/x/tools v0.0.0-20180525024113-a5b4c53f6e8b/go.mod"
"golang.org/x/tools v0.0.0-20180828015842-6cd1fcedba52/go.mod"
"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
"golang.org/x/tools v0.0.0-20181030000716-a0a13e073c7b/go.mod"
"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
"golang.org/x/tools v0.0.0-20181117154741-2ddaf7f79a09/go.mod"
"golang.org/x/tools v0.0.0-20190110163146-51295c7ec13a/go.mod"
"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
"golang.org/x/tools v0.0.0-20190121143147-24cd39ecf745/go.mod"
"golang.org/x/tools v0.0.0-20190221204921-83362c3779f5/go.mod"
"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
"golang.org/x/tools v0.0.0-20190311215038-5c2858a9cfe5/go.mod"
"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
"golang.org/x/tools v0.0.0-20190322203728-c1a832b0ad89/go.mod"
"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
"golang.org/x/tools v0.0.0-20190521203540-521d6ed310dd/go.mod"
"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
"golang.org/x/tools v0.0.0-20190719005602-e377ae9d6386/go.mod"
"golang.org/x/tools v0.0.0-20190816200558-6889da9d5479/go.mod"
"golang.org/x/tools v0.0.0-20190909030654-5b82db07426d/go.mod"
"golang.org/x/tools v0.0.0-20190910044552-dd2b5c81c578/go.mod"
"golang.org/x/tools v0.0.0-20190911151314-feee8acb394c/go.mod"
"golang.org/x/tools v0.0.0-20190911174233-4f2ddba30aff/go.mod"
"golang.org/x/tools v0.0.0-20190930201159-7c411dea38b0/go.mod"
"golang.org/x/tools v0.0.0-20191012152004-8de300cfc20a/go.mod"
"golang.org/x/tools v0.0.0-20191029041327-9cc4af7d6b2c/go.mod"
"golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5/go.mod"
"golang.org/x/tools v0.0.0-20191113232020-e2727e816f5a/go.mod"
"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
"golang.org/x/tools v0.0.0-20191216052735-49a3e744a425/go.mod"
"golang.org/x/tools v0.0.0-20191227053925-7b8e75db28f4/go.mod"
"golang.org/x/tools v0.0.0-20200103221440-774c71fcf114/go.mod"
"golang.org/x/tools v0.0.0-20200106190116-7be0a674c9fc"
"golang.org/x/tools v0.0.0-20200106190116-7be0a674c9fc/go.mod"
"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
"google.golang.org/api v0.0.0-20180910000450-7ca32eb868bf/go.mod"
"google.golang.org/api v0.0.0-20181030000543-1d582fd0359e/go.mod"
"google.golang.org/api v0.1.0/go.mod"
"google.golang.org/api v0.3.1/go.mod"
"google.golang.org/api v0.4.0/go.mod"
"google.golang.org/api v0.5.0/go.mod"
"google.golang.org/api v0.6.0/go.mod"
"google.golang.org/api v0.7.0/go.mod"
"google.golang.org/api v0.8.0/go.mod"
"google.golang.org/api v0.9.0/go.mod"
"google.golang.org/api v0.15.0"
"google.golang.org/api v0.15.0/go.mod"
"google.golang.org/appengine v1.1.0/go.mod"
"google.golang.org/appengine v1.2.0/go.mod"
"google.golang.org/appengine v1.3.0/go.mod"
"google.golang.org/appengine v1.4.0/go.mod"
"google.golang.org/appengine v1.5.0/go.mod"
"google.golang.org/appengine v1.6.1/go.mod"
"google.golang.org/appengine v1.6.5"
"google.golang.org/appengine v1.6.5/go.mod"
"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
"google.golang.org/genproto v0.0.0-20180831171423-11092d34479b/go.mod"
"google.golang.org/genproto v0.0.0-20181029155118-b69ba1387ce2/go.mod"
"google.golang.org/genproto v0.0.0-20181202183823-bd91e49a0898/go.mod"
"google.golang.org/genproto v0.0.0-20190306203927-b5d61aea6440/go.mod"
"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
"google.golang.org/genproto v0.0.0-20190530194941-fb225487d101/go.mod"
"google.golang.org/genproto v0.0.0-20190605220351-eb0b1bdb6ae6/go.mod"
"google.golang.org/genproto v0.0.0-20190801165951-fa694d86fc64/go.mod"
"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
"google.golang.org/genproto v0.0.0-20190911173649-1774047e7e51/go.mod"
"google.golang.org/genproto v0.0.0-20190927181202-20e1ac93f88c/go.mod"
"google.golang.org/genproto v0.0.0-20191230161307-f3c370f40bfb/go.mod"
"google.golang.org/genproto v0.0.0-20200305110556-506484158171/go.mod"
"google.golang.org/genproto v0.0.0-20200416231807-8751e049a2a0/go.mod"
"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
"google.golang.org/genproto v0.0.0-20200806141610-86f49bd18e98"
"google.golang.org/genproto v0.0.0-20200806141610-86f49bd18e98/go.mod"
"google.golang.org/grpc v1.14.0/go.mod"
"google.golang.org/grpc v1.16.0/go.mod"
"google.golang.org/grpc v1.17.0/go.mod"
"google.golang.org/grpc v1.19.0/go.mod"
"google.golang.org/grpc v1.20.0/go.mod"
"google.golang.org/grpc v1.20.1/go.mod"
"google.golang.org/grpc v1.21.0/go.mod"
"google.golang.org/grpc v1.21.1/go.mod"
"google.golang.org/grpc v1.22.1/go.mod"
"google.golang.org/grpc v1.23.0/go.mod"
"google.golang.org/grpc v1.23.1/go.mod"
"google.golang.org/grpc v1.24.0/go.mod"
"google.golang.org/grpc v1.26.0/go.mod"
"google.golang.org/grpc v1.27.0/go.mod"
"google.golang.org/grpc v1.27.1"
"google.golang.org/grpc v1.27.1/go.mod"
"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
"google.golang.org/protobuf v1.21.0/go.mod"
"google.golang.org/protobuf v1.22.0/go.mod"
"google.golang.org/protobuf v1.23.0/go.mod"
"google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
"google.golang.org/protobuf v1.24.0"
"google.golang.org/protobuf v1.24.0/go.mod"
"gopkg.in/airbrake/gobrake.v2 v2.0.9/go.mod"
"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
"gopkg.in/cheggaaa/pb.v1 v1.0.25/go.mod"
"gopkg.in/cheggaaa/pb.v1 v1.0.28/go.mod"
"gopkg.in/errgo.v2 v2.1.0/go.mod"
"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
"gopkg.in/gcfg.v1 v1.2.3/go.mod"
"gopkg.in/gemnasium/logrus-airbrake-hook.v2 v2.1.2/go.mod"
"gopkg.in/inf.v0 v0.9.1/go.mod"
"gopkg.in/ini.v1 v1.51.0/go.mod"
"gopkg.in/ini.v1 v1.51.1/go.mod"
"gopkg.in/natefinch/lumberjack.v2 v2.0.0"
"gopkg.in/natefinch/lumberjack.v2 v2.0.0/go.mod"
"gopkg.in/resty.v1 v1.12.0/go.mod"
"gopkg.in/square/go-jose.v2 v2.4.0/go.mod"
"gopkg.in/square/go-jose.v2 v2.5.1"
"gopkg.in/square/go-jose.v2 v2.5.1/go.mod"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
"gopkg.in/warnings.v0 v0.1.2/go.mod"
"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
"gopkg.in/yaml.v2 v2.2.1/go.mod"
"gopkg.in/yaml.v2 v2.2.2/go.mod"
"gopkg.in/yaml.v2 v2.2.3/go.mod"
"gopkg.in/yaml.v2 v2.2.4/go.mod"
"gopkg.in/yaml.v2 v2.2.5/go.mod"
"gopkg.in/yaml.v2 v2.2.7/go.mod"
"gopkg.in/yaml.v2 v2.3.0"
"gopkg.in/yaml.v2 v2.3.0/go.mod"
"grpc.go4.org v0.0.0-20170609214715-11d0a25b4919/go.mod"
"honnef.co/go/tools v0.0.0-20180728063816-88497007e858/go.mod"
"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
"honnef.co/go/tools v0.0.1-2019.2.3"
"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
"howett.net/plist v0.0.0-20181124034731-591f970eefbb"
"howett.net/plist v0.0.0-20181124034731-591f970eefbb/go.mod"
"mvdan.cc/interfacer v0.0.0-20180901003855-c20040233aed/go.mod"
"mvdan.cc/lint v0.0.0-20170908181259-adc824a0674b/go.mod"
"mvdan.cc/unparam v0.0.0-20190209190245-fbb59629db34/go.mod"
"mvdan.cc/unparam v0.0.0-20190720180237-d51796306d8f/go.mod"
"mvdan.cc/unparam v0.0.0-20191111180625-960b1ec0f2c2/go.mod"
"rsc.io/binaryregexp v0.2.0/go.mod"
"rsc.io/quote/v3 v3.1.0/go.mod"
"rsc.io/sampler v1.3.0/go.mod"
"sigs.k8s.io/yaml v1.1.0/go.mod"
"sourcegraph.com/sourcegraph/appdash v0.0.0-20190731080439-ebfcffb1b5c0/go.mod"
"sourcegraph.com/sourcegraph/go-diff v0.5.0/go.mod"
"sourcegraph.com/sqs/pbtypes v0.0.0-20180604144634-d3ebe8f20ae4/go.mod"
"sourcegraph.com/sqs/pbtypes v1.0.0/go.mod"
)
go-module_set_globals
SRC_URI="https://github.com/caddyserver/caddy/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="Apache-2.0 BSD ECL-2.0 MIT"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND="
	acct-user/http
	acct-group/http"
DEPEND="${RDEPEND}"

RESTRICT+=" test"

FILECAPS=(
	-m 755 'cap_net_bind_service=+ep' usr/bin/${PN}
)

src_compile() {
	go build ./cmd/caddy || die
}

src_install() {
	dobin caddy
	dodoc README.md
	keepdir /etc/caddy
	insinto /etc/caddy
	newins "${FILESDIR}"/caddy_config.json caddy_config.json.example
	systemd_dounit "${FILESDIR}/${PN}.service"
	newinitd "${FILESDIR}/initd" "${PN}"
	newconfd "${FILESDIR}/confd" "${PN}"
	insinto /etc/logrotate.d
	newins "${FILESDIR}/logrotated" "${PN}"
}

pkg_postinst() {
	fcaps_pkg_postinst
	go-module_pkg_postinst
}
